What is The ImagXpress Product Family?

ImagXpress® Version 9 is Pegasus Imaging Corporation’s comprehensive image processing toolkit designed for document imaging, medical imaging, and photo imaging application development. The ImagXpress v9 Product Family includes the following Components:

  • ImagXpress v9 – image compression, decompression, viewing, and processing
  • NotateXpress™ v9 – image annotation support
  • ThumbnailXpress™ v2 – thumbnail image support
  • TwainPRO™ v5 – TWAIN image acquisition support
  • PrintPRO™ v4 – image printing support

ImagXpress Editions: The components within the ImagXpress v9 Product Family are available in four editions, designed to meet specific imaging needs:

  • Photo: includes ImagXpress, NotateXpress, TwainPRO, PrintPRO, and ThumbnailXpress
  • Document: includes ImagXpress, NotateXpress, TwainPRO, PrintPRO, and ThumbnailXpress
  • View: Includes ImagXpress, NotateXpress, PrintPRO, and ThumbnailXpress
  • Standard: Includes ImagXpress and TwainPRO

Additional Pegasus Imaging Components: Additional components are available for purchase separately, and integrate easily with to provide a comprehensive imaging solution:

  • PDFXpress™ – PDF creation, viewing, and annotating
  • OCRXpress™ – full page OCR
  • Barcode Xpress™ – recognize barcodes
  • ScanFix Xpress™ – advanced image cleanup
  • FormFix™ – form ID, dropout, and OMR
  • SmartZone™ ICR / OCR – character recognition

See www.PegasusImaging.com for product packaging and sales information.

See Also

Getting Support and Samples | License Agreement | Operating Requirements

© 2008, Pegasus Imaging Corporation, All Rights Reserved.


What is the ImagXpress Component?

The ImagXpress® Version 9 Component is the flagship of the ImagXpress v9 Product Family, offering the core imaging functionality of compression, decompression, viewing, and processing.

New Features in Version 9 of the Component Include:

Additional File Format Support

  • AutoCAD 2000 - DWG, DXF, DXB, DWF
  • HD Photo (JPEG XR) - HDP, WDP
  • More Camera RAW Formats
  • PTOCA – IBM’s AFP format with Presentation Text
  • ABIC– IBM compression format for check images
  • IPTC metadata support within TIFF and JPEG files
  • TIFF with intrinsic orientation (the file itself contains a rotation angle that can be interpreted during display)
  • JPEG 2000 images within PDFs
  • Compress to PSNR value in JPEG 2000 (to specify the amount of compression by quality rather than by target file size)
  • JPEG 2000 multithreading support for faster compression & decompression

Included in the Component, Previously Available Only as Add-ons

ImagXpress licensing has been simplified. File formats that were previously available only with add-on licensing are now available as part of the component. See www.PegasusImaging.com for more information on formats supported in each edition. File formats include:

  • JPEG2000,
  • JPEGLS,
  • Lossless JPEG,
  • JBIG2, and
  • WSQ

Improved Rendering

  • Enhanced ability to load and process large images and files
  • Improved viewing of large PDF or CAD images

Query from Memory

  • Query image data (e.g. tags) from memory buffer or IO.Stream without loading the entire image
  • Save image data (e.g. tags) to memory buffer or IO.Stream without saving the entire image

Improved Unicode Support

  • File names
  • Text

New User Interface Features

  • Smooth scroll
  • Mouse wheel support
  • Custom cursors


Getting Support and Samples

Benefits of Registering your Development Kit

Purchasers of development kits need to register with Pegasus in order to be notified of updates and receive support now or in the future. Registration is automatic when purchased directly from the Pegasus web site. If purchased through a Pegasus re-seller, please register your purchase by filling out the form at www.PegasusImaging.com/registration.htm.

Vehicles for Support

Samples

Samples are included in the downloaded installation.
The product installation program installs a common sample folder accessible via the Start Menu.
Samples for the ActiveX framework:
  • ActiveX/Visual Basic 6
  • ActiveX/C++
  • Access database
  • Delphi (ActiveX)
  • HTML
  • ActiveX

Access the Samples

  • Through the Windows Start menu: Start | Programs | Pegasus Imaging | ImagXpress | Samples.
  • Sample image files install in your Program Files directory: Pegasus Imaging\Common\Images.

Sample Newsgroups

Customers create samples of great benefit to other developers, so we created a Sample Code Newsgroup. This is a newsgroup for our customers and potential customers. They post and receive sample code from our development team and other developers to expedite their development. Go online at: www.PegasusImaging.com/samplecode.htm

Web Support

Visit the Pegasus Imaging web site frequently asked questions page www.PegasusImaging.com/faq.htm for the fastest answers to common questions. The web site also provides other support options that are accessible at www.PegasusImaging.com/supportagree.htm.

E-mail Support

Both pre-sale and post-sale email support is offered free of charge. Questions are answered on a First-Come-First-Served basis. Support@JPG.com responds instantly to e-mail received with a helpful set of locations to find additional information on Pegasus products including FAQ's, sample code, newsgroup locations and other current information pertaining to the use of the products. The support request is then added to the queue of outstanding requests. The goal of the support team to respond to each e-mail within 1 business day.

The sales team is always available as a backup to the support team. If you feel you have an urgent support or sales issue please contact Sales@JPG.com. They will assist you promptly.

Newsgroup Support

The Publicly accessible NNTP news groups located at News.PegasusImaging.com are available for each of the controls as well as advanced imaging technology and a sample code group. We expect that the development community will freely access and search these newsgroups to find common questions and answers regarding specific uses of the controls.

On-Demand Phone Support

On-demand priority phone support can be purchased in 15 minute increments with a credit card via the Pegasus Imaging Corporation web site Support, General Info page. If you decide to purchase "on-demand" phone support, instructions will immediately be e-mailed upon receipt of your purchase.

Additionally, Pegasus offers three support plans for those customers whose commercial products or projects are sensitive or critical in nature, where immediate response and 'latest release' code are important.

1. Chariot Support

All Pegasus Imaging customers are given the opportunity to purchase a Chariot Support agreement. This is a maintenance and upgrade agreement that entitles customers to priority e-mail service, direct phone support from the support and development staff and free product upgrades for the covered products. Since upgrades are included for Chariot customers at no additional charge, Chariot customers can frequently save money, plus obtain the benefits of phone and expedited support. Pegasus Imaging reserves the right to change the terms of this service at any renewal period. Contact Sales via the web at www.PegasusImaging.com/contactform.htm.

2. Galleon Support

Customers are given the opportunity to purchase Galleon Support for Pegasus Imaging products that are applications and for products that require runtime licensing. Galleon Support includes licensing of product upgrades for deployed installations at no additional license fee cost. Pegasus Imaging reserves the right to change the terms of this service at any renewal period. Contact Sales via the web at www.PegasusImaging.com/contactform.htm.

3. Atlas Support

All Pegasus Imaging customers are given the opportunity to purchase an Atlas Support agreement on currently supported products. This is an agreement that entitles customers to priority e-mail service and direct phone support from the support and development staff. It differs from Chariot Support in that it does not include version upgrades free of charge. Pegasus Imaging reserves the right to change the terms of this service at any renewal period. Contact Sales via the web at www.PegasusImaging.com/contactform.htm.

For the latest and most up-to-date support information, access www.PegasusImaging.com/contact.htm

See Also

Operating Requirements | Trial Mode | Installing on a Development Machine


Pegasus Imaging Corporation

Pegasus Imaging is uniquely positioned to serve as your leading imaging technology supplier. A full suite of document imaging toolkits, forms processing technology, medical image compression SDKs, photo editing and compression libraries, browser-based image viewers, and video codecs provide advanced technology designed to enhance imaging software solutions. Fully functional trial downloads and customer-acclaimed support allow you to be certain your requirements will be met before purchase. Work with the best. Choose Pegasus Imaging for all your imaging needs.

Visit www.PegasusImaging.com for full product descriptions, FAQ's, downloads, demos, and contact information.

Pegasus Imaging

4001 North Riverside Drive

Tampa, FL 33603

Sales: 813-875-7575

Copyrights & Trademarks

Pegasus and the Pegasus Horse Logo are registered marks (®) of Pegasus Imaging Corporation.

Barcode Xpress, CapturePRO, FilePrinter, FormAssist, FormDirector, FormSuite, ISIS Xpress, The JPEG Wizard, MedXpress, NotateXpress, OCR Xpress, PDF Xpress, PICTools, ePIC, PICVideo, PrintPRO, SmartScan Xpress, SmartZone, ThumbnailXpress, and TwainPRO are trademarks (™) of Pegasus Imaging Corporation.

ImagXpress, FormFix, ScanFix, Prizm, ColorDrop, ColorEnhance, ColorFind, ColorForms, CompressDirector, Digital Mark Recognition (DMR), Image Detergent, ViewDirector and Virtual Scoring Center (VSC) by assignment are trademarks (™) or registered trademarks (®) of Pegasus Imaging Corporation.

Pegasus Imaging and/or its agents use these marks and brand names in connection with its goods and/or services, in the United States and other countries. Information in this document is subject to change without notice. No part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose, without the express written permission of Pegasus Imaging Corporation.

Microsoft, Microsoft.NET, Visual Basic, Visual Studio and Visual Studio.NET are trademarks of Microsoft Corporation in the USA and/or other countries. All other product and brand names are the property of their respective owners.

See Also

What is the ImagXpress Component? | What is The ImagXpress Product Family?


Operating Requirements

Operating Systems

ImagXpress® runs on 32-bit Microsoft Windows operating systems: Vista, 2000 Professional and Server, XP Home and Professional, Server 2003 and Windows Server 2008. It works with 32-bit Windows versions running on 32 and 64-bit processors. It runs in 32-bit executables running under 64-bit Windows 2000 Server, 2003 Server, and Windows Server 2008.

Threading

ImagXpress is a synchronous or asynchronous multi-threaded control.

Development Environments

  • Microsoft Visual Basic 6
  • Microsoft Visual C++ 6
  • Delphi 7
See Also

Getting Support and Samples | Installing on a Development Machine | Run Time Licensing


Installing on a Development Machine

To Install ImagXpress® Component

Run the downloaded setup program which installs the development kit on your development machine.

The downloaded development kit includes code samples for supported platforms. Samples are available through the Start | Programs | Pegasus Imaging | ImagXpress menu.

By default this will register trial licensing which allows you to develop applications but not to distribute them. The trial license allows testing of all the functions and features.

Please see the section 'Distributing Applications and Deployment' to understand the limits and details to convert licensing editions.
In order to distribute your finished application you must purchase and install a fully paid license from Pegasus Imaging Corporation. Paid licenses override trial licenses.

To Use ImagXpress Help Files

Stand-alone Help file "PegasusImaging.ActiveX.ImagXpress9.chm"

Access the ImagXpress stand-alone help through the Windows Start menu: Start | Programs | Pegasus Imaging | ImagXpress

The stand-alone file is created with MS Help system version 1. To view stand-alone help files, you must have:

  • Windows 2000 (to view the file via the Windows HTML Help Viewer)
  • Internet Explorer 4 or higher
  • MS HTML Help Viewer
See Also

Operating Requirements | Run Time Licensing | Development Mode | License Agreement | Distributing with Your ActiveX Application


Import ImagXpress as a COM Object

Importing a Control into Visual C++

The #import directive line can be added to the stdafx.h file to provide the appropriate functionality to all sources in the project.

C++ Example:

// This code demonstrates the #import directive used in the stdafx.h file

#define AFX_STDAFX_H__B0A9FE69_3B8B_11D3_9CFE_00400543FF49__INCLUDED_
#if _MSC_VER= 1000
#pragma once
#endif // _MSC_VER >= 1000
#define VC_EXTRALEAN // Exclude rarely-used stuff from Windows headers
#include <afxwin.h> // MFC core and standard components
#include <afxext.h> // MFC extensions
#include <afxdisp.h> // MFC OLE automation classes
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h> // MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT
#import PegasusImaging.ActiveX.ImagXpress9.dll
//{{AFX_INSERT_LOCATION}}
//Microsoft Developer Studio will insert additional declarations immediately before the previous line.
#endif // !defined(AFX_STDAFX_H__B0A9FE69_3B8B_11D3_9CFE_00400543FF49__INCLUDED_)

The #import directive simply points to the ImagXpress® control. When you #import the ImagXpress control, the compiler produces 2 files – a .tli and a .tlh file – that together create the necessary COM wrapper for the control’s properties and methods. Since the directive is in your stdafx.h file, the wrappers are immediately available to your other modules. The wrapper code defines COM smart pointers to your .IDL-defined interfaces. To use this COM object, you simply create an instance of the interface you want and then call methods directly off this instance pointer.

Declare a Pointer to the COM Object

After you add the #import statement, you need to define a pointer to the ImagXpress COM object and its event handlers. We have implemented the event handling interface for you. This interface is located in ImagXpress9Events.h which installs in the ImagXpress VC++\Include directory. This file introduces the CImagXpress class which encapsulates both the COM pointer and the event handler interface, therefore, you must always include this file. In the Print project, the pointer is called pImagXpress and the encapsulated class is called ppCImagXpress. They are implemented in the PrintDlg.h file as follows:

C++ Example:

// This code demonstrates how the pointer is declared and implemented in the PrintDlg.h file

#if !defined(AFX_PRINTDLG_H__B0A9FE67_3B8B_11D3_9CFE_00400543FF49__INCLUDED_)
#define AFX_PRINTDLG_H__B0A9FE67_3B8B_11D3_9CFE_00400543FF49__INCLUDED_
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
Using namespace PegasusImagingActiveXImagXpress9;
#include " ImagXpress9Events.h "
/////////////////////////////////////////////////////////////////////////////
// CPrintDlg dialog
class CPrintDlg : public CDialog
public:
// Construction
CPrintDlg(CWnd* pParent = NULL); // standard constructor
// these are the pointers to our COM instance
CImagXpress *ppCImagXpress;
IImagXpressPtr pImagXpress;

Initialize COM

You need to initialize the COM library before you can call COM functions. Also, you need to close the COM library and delete the ImagXpress COM objects when your program ends. This is illustrated in the Print.cpp file as follows:

C++ Example:

// This code demonstrates how the COM library must be initialized

BOOL CPrintApp::InitInstance()
HRESULT hRes = CoInitialize(NULL);
AfxEnableControlContainer();
// Standard initialization
// If you are not using these features and wish to reduce the size
// of your final executable, you should remove from the following
// the specific initialization routines you do not need.
#ifdef _AFXDLL
Enable3dControls(); // Call this when using MFC in a shared DLL
#else
Enable3dControlsStatic(); // Call this when linking to MFC statically
#endif
CPrintDlg dlg;
m_pMainWnd = &dlg;
int nResponse = dlg.DoModal();
if (nResponse == IDOK)
// TODO: Place code here to handle when the dialog is
// dismissed with OK
else if (nResponse == IDCANCEL)
// TODO: Place code here to handle when the dialog is
// dismissed with Cancel
// Closes the COM library on the current apartment,
// unloads all DLLs loaded by apartment,
// frees any other resources that the apartment maintains and
// forces all RPC connections on the apartment to close.
CoUnintialize();
//Since the dialog is closed, return FALSE so that we exit the
// application, rather than start the application's message pump.
return FALSE;

Creating the ImagXpress COM Object

You need to create an instance of the ImagXpress COM object. After the object is created, you can use the object’s properties and methods to integrate ImagXpress features in your application. In the Print project, the COM object is created in the PrintDlg.cpp file as follows:

C++ Example:

// This code demonstrates how the ImagXpress COM object is created

#include "IX9_open.cpp "
BOOL CPrintDlg::OnInitDialog()
CDialog::OnInitDialog();
// Add "About..." menu item to system menu.
// IDM_ABOUTBOX must be in the system command range.
ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
ASSERT(IDM_ABOUTBOX < 0xF000);
CMenu* pSysMenu = GetSystemMenu(FALSE);
if (pSysMenu != NULL)
CString strAboutMenu;
strAboutMenu.LoadString(IDS_ABOUTBOX);
if (!strAboutMenu.IsEmpty())
pSysMenu->AppendMenu(MF_SEPARATOR);
pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
// Set the icon for this dialog. The framework does this automatically
// when the application's main window is not a dialog
SetIcon(m_hIcon, TRUE); // Set big icon
SetIcon(m_hIcon, FALSE); // Set small icon
// TODO: Add extra initialization here
HINSTANCE hDLL = IX_Open();
// Create an ImagXpress Object
ppCImagXpress = new CImagXpress((DWORD)this, 1, (long)m_hWnd, 50, 20, 50, 50);
pImagXpress = ppCImagXpress->pImagXpress;
// Control Initialization
if (pImagXpress)
pImagXpress->BorderType = BORD_Raised;
pImagXpress->FileName = "bird.jpg";
// From now on, the library is referenced by the new
// ImagXpress COM instance.
IX_Close(hDLL);
return TRUE; // return TRUE unless you set the focus to a control
}

The IX9_open.cpp file installs in the ImagXpress VC++\Include directory. This file contains 2 functions IX_Open and IX_Close. These function calls are required to properly register and license the ImagXpress COM object and only need to be called once. You must issue an IX_Open prior to creating the first ImagXpress object and you must issue an IX_Close anytime after the first ImagXpress object is created.

C++ Example:

// When creating a new ImagXpress object, you must pass the following parameters

DWORD classPtr
// The Dialog’s this pointer.
DWORD objID
// A unique object ID that you assign to the object’s instance. This ID can be used in event handling to determine which instance of an object has triggered the event.
long hWndParent
// The parent Window of the ImagXpress object. Typically, this is the Dialog’s hWnd.
long left
// The x coordinate of the ImagXpress object in pixels.
long top
// The top coordinate of the ImagXpress object in pixels.
long width
// The width of the ImagXpress object in pixels.
long height
// The height of the ImagXpress object in pixels.

Deleting the ImagXpress COM Object

You must delete the ImagXpress object when you are finished with it. A convenient place to do this is when the dialog receives a WM_DESTROY message.

C++ Example:

// This code demonstrates how to delete the ImagXpress COM object

void CPrintDlg::OnDestroy()
CDialog::OnDestroy();
if (pImagXpress)
pImagXpress = NULL;
if (ppCImagXpress)
delete ppCImagXpress;


Use ImagXpress as an ActiveX Control

ImagXpress® can be used as an ATL COM ActiveX control in development environments, like Visual Basic, that accept ActiveX controls. The following discussion assumes that your development environment is Visual Basic.

Creating an Application with Visual Basic and ImagXpress

  1. Add the ImagXpress control to a project.
  2. Use the ImagXpress control on a form.
  3. Write code that controls the ImagXpress properties and methods.

Loading the ImagXpress Control Involves Adding it to a Project

  1. Open the project that will use the ImagXpress control. This can be a new or existing project.
  2. From the Project menu, choose Components. The Control window appears with a list of available controls.
  3. Select the Pegasus Imaging control (i.e. ImagXpress). Click the OK button.

Other Environments

The ImagXpress control is supported by a variety of host environments. To use ImagXpress in other environments, consult the development tool's documentation for information on how to use ActiveX controls. As soon as the control is loaded, the following things happen:

  1. The control becomes part of the current project.
  2. A new tool is added to the Toolbox. This tool is used to draw the ImagXpress control on the form.
The new control can now be used as if it were a standard control. The ImagXpress control has its own set of properties and methods which can be seen by using the Properties and Code windows.


Trial Mode

Default Installation

The default installation installs Trial Mode Licensing, which allows you to test features and functions, and develop applications but not distribute them. Downloading and installing ImagXpress® in trial mode provides you with access to all features and functionality of the ImagXpress product family. E-mail support is available with the trial license.

When using the trial version of ImagXpress, an evaluation dialog box will be displayed periodically. Applications built with a trial license can only be run on a computer that has ImagXpress Licensing installed on it.

Changing Trial Mode Behavior

You have the flexibility to change the behavior of ImagXpress in evaluation mode as follows:

  • To facilitate server/service mode evaluations, choose to permanently watermark every image written in lieu of displaying an evaluation dialog box periodically. This is the Watermark setting for the EvalMode property.

Changing ImagXpress Edition

Downloading ImagXpress in trial mode enables you to try out all the editions associated with ImagXpress, by setting the Edition property. Any edition for which you do not have paid licensing will display the evaluation dialog box or watermark. For example, if you have paid licensing for the ImagXpress Standard, and you would like to evaluate ImagXpress Document, you can change the Edition property from Standard to Document, and use the functionality of Document with evaluation dialog boxes displayed periodically.

See Also

Development Mode | Run Time Licensing | License Agreement | Getting Support and Samples


Development Mode

To suppress the evaluation dialog box and attain technical support (beyond e-mail) as well as future product updates and upgrade notifications, you must update from a trial version to a paid version of the ImagXpress® development kit.

1. Purchase Development Kit(s)

To purchase licensing of the ImagXpress development kit, use one of the following options:

  • Purchase online at www.PegasusImaging.com
  • Contact Sales via the web at www.PegasusImaging.com/contactform.htm.
  • Contact a Pegasus Imaging Corporation reseller

When the development kit is purchased, a serial number & registration code is e-mailed to you. You will need these codes to upgrade from trial to paid licensing.

2. Register the ImagXpress Product

When you purchase ImagXpress online or or via Sales at www.PegasusImaging.com/contactform.htm, your product ownership is automatically registered.

To register products purchased through a reseller, use the form found at www.PegasusImaging.com/registration.htm.

If your registration information should change, visit www.PegasusImaging.com/contact.htm for forms to update registration information.

3. Update Your ImagXpress Product Version from Trial to Paid Licensing

Updating your ImagXpress from trial to paid licensing will suppress the evaluation dialog box or watermark. This must be done for each component within the ImagXpress toolkit that you are using.

To Update Components from Trial to Paid Licensing

  • Enter your new license codes using one of the following options:
    • Enter licensing information (serial number, registration code, and personal registration information) during component installation while downloading the latest release from www.PegasusImaging.com (the recommended approach).
    • Alternatively, licensing information (serial number, registration code, and personal registration information) can be entered through the Visual Development Environment in response to the dialog display.

For more information on Runtime licensing, see the Pegasus Imaging website for more detailed information regarding Run Times and Deployment Licensing.

See Also

Trial Mode | Run Time Licensing | License Agreement | Getting Support and Samples


Run Time Licensing

Run Time & Deployment Licensing

All copyrights to Pegasus Imaging development kits and software are retained by Pegasus Imaging Corporation. ALL RIGHTS RESERVED. Your use of any of Pegasus Imaging software or run-times created with Pegasus Imaging software is allowed under license terms granted by Pegasus Imaging. It is the Licensee's responsibility to honor the terms of such license grants.

Locking Mechanism

ImagXpress® contains a locking mechanism that does not permit you to distribute applications created with evaluation versions of ImagXpress. Prior to distributing an application that utilizes ImagXpress, you must purchase and enable run time licensing. If the application will be delivered on the web, you must also enable web application licensing.

To Unlock Run Times

Unlock run times for the ImagXpress component first, then any other components included in your edition (e.g. ThumbnailXpress™, TwainPRO™, PrintPRO™).

Enable Run Time Licensing

Enable run-time licensing by calling UnlockRuntime when the application begins, and pass the 4 unlock codes as the parameters to the method. If you do not have the unlock codes please contact Sales via the web at www.PegasusImaging.com/contactform.htm.

Web

If deploying to a web application, enable Web Licensing by calling UnlockWeb when the application begins, supplying your web license string. If you do not have a web license string, please contact Sales via the web at www.PegasusImaging.com/contactform.htm.

Obtaining Appropriate Licensing

The Licensee is required to purchase one copy of our development kit(s) for each developer in addition to obtaining the appropriate license agreement prior to deploying applications which contain Pegasus code.

Pegasus Imaging software applications and development tools are limited for use on a single CPU. Any run times or copies created must be granted by a direct license from Pegasus Imaging Corporation. These "end user" licenses provide the terms and limits of number and usage.

All prospective customers have every opportunity to evaluate Pegasus Imaging's products prior to purchasing. Product licensing is priced to cover what is considered to be normal (and even high) use. In addition, Pegasus Imaging fully supports and warrants its code and pricing reflects those costs as well. The larger and more valuable an application deployment is, the higher the support and warranty risk is for Pegasus.

Review the licensing categories, and select the one that matches your deployment. Special circumstances should be discussed with a Pegasus Imaging representative.

For more information on Runtime licensing, see the Pegasus Imaging website for more detailed information regarding Run Times and Deployment Licensing.

See Also

www.PegasusImaging.com | Getting Support and Samples | Development Mode | License Agreement | Distributing with Your ActiveX Application


License Agreement

Pegasus Imaging Corporation

SOFTWARE LICENSE AGREEMENT

GRANT OF LICENSE

This Pegasus Imaging Corporation ("PEGASUS") Agreement ("License") permits Licensee ("LICENSEE") the right to use one copy of a properly registered Pegasus Development Toolkit ("TOOLKIT") for development purposes on any single computer, provided the TOOLKIT is in use on only one computer at any time. TOOLKIT is "in-use" on a computer when it loads into temporary memory (that is, RAM) or installed into the permanent memory (that is, hard disk, CD-ROM, or other storage device) of that computer.

REDISTRIBUTION OF THE TOOLKIT RUNTIMES

PEGASUS does NOT grant any runtime licenses with the TOOLKIT purchase, except by specific exemptions described on our licensing web pages. For Runtime Licensing information, please visit our web site www.PegasusImaging.com/licensing.htm, or contact our sales staff. Any rights to distribute TOOLKIT run times as part of the LICENSEE's software application or derivative works ("PRODUCT"), require you to acknowledge and uphold this License Agreement and agree to notify PEGASUS immediately of any changes in status or violations. In cases where PEGASUS grants the LICENSEE a right to use, reproduce, display or otherwise distribute or transfer copies of TOOLKIT run times, LICENSEE agrees and affirms the following:

a) LICENSEE is not using PEGASUS' name, logo, or trademarks to market PRODUCT without prior written approval of PEGASUS.

b) LICENSEE agrees to indemnify, hold harmless and defend PEGASUS from and against any claims or lawsuits, including attorney's fees, that arise or result from the use or distribution of PRODUCT.

c) Only the TOOLKIT run times can be distributed. Distribution of the TOOLKIT development kit, documentation, source code, or the distribution unlock codes, is a violation of this agreement.

d) LICENSEE includes a statement substantially similar to the following within derivative work's documentation and about box: "This product contains portions of imaging code owned by Pegasus Imaging Corporation, Tampa, FL, (www.PegasusImaging.com). ALL RIGHTS RESERVED."

If ANY of the above terms are not applicable to LICENSEE's situation, or any of the above cannot be complied with, or LICENSEE needs modifications to this license, for any reason; then LICENSEE shall obtain an expanded direct license from PEGASUS for derivative works, (available by phone at: 813-875-7575, x321, by e-mail at: Sales@JPG.com.

PEGASUS reserves the right to charge the LICENSEE up to ten times the normal license price for the use of each unlicensed copy of PRODUCT. The license granted herein and all of your rights to use or maintain possession of TOOLKIT shall terminate immediately upon breach of any material provisions of this Agreement.

This license grants rights to LICENSEE for only the PEGASUS code (TOOLKIT) mentioned above and does not convey any other rights of use or distribution to PEGASUS technology.

COPYRIGHT

The Software is owned by PEGASUS or Pegasus Imaging Corporation and is protected by United States copyright laws and international treaty provisions. LICENSEE may not remove or alter the copyright notice from any copy of the Software or any copy of the written materials, accompanying the Software.

OTHER RESTRICTIONS

This PEGASUS License Agreement is LICENSEE's proof of license to exercise the rights granted herein and must be retained by LICENSEE. LICENSEE may not rent, lease or transfer TOOLKIT or parts thereof. LICENSEE may not reverse engineer, decompile or disassemble TOOLKIT.

NO WARRANTY

ANY USE BY LICENSEE OF THE SOFTWARE IS AT THE LICENSEE'S OWN RISK. THE SOFTWARE IS PROVIDED FOR USE ONLY WITH WINDOWS PRODUCTS AND RELATED APPLICATION SOFTWARE AND/OR HARDWARE PRODUCTS. THE SOFTWARE IS PROVIDED FOR USE "AS IS" WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED BY LAW, PEGASUS DISCLAIMS ALL WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. PEGASUS IS NOT OBLIGATED TO PROVIDE ANY UPDATES TO THE SOFTWARE.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES

In no event shall PEGASUS be liable for any damages whatsoever (including, without limitation, incidental, direct, indirect and consequential damages, damages for loss of business profits, business interruption, loss of business information, or other pecuniary loss) arising out of the use or inability to use this PEGASUS product, even if PEGASUS is advised of the possibility of such damages. Because some states/countries do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to LICENSEE.

INDEMNIFICATION BY LICENSEE

If LICENSEE distributes TOOLKIT in violation of this Agreement, LICENSEE agrees to indemnify, hold harmless and defend PEGASUS and its suppliers from and against any claims or lawsuits, including attorney's fees that arise or result from the use or distribution of TOOLKIT in violation of this Agreement.

This Agreement is governed by the laws of the State of Florida .The program and data contained in this TOOLKIT Product are provided with Restricted Rights. Use, duplication, or disclosure by the U.S. Government is subject to restrictions as set forth in FAR 52.227-14 (Alternate III) or subparagraph (c)(1)(II) of the rights in technical data and computer software clause at 252.227-7013. Manufacturer is Pegasus Imaging Corporation, 4001 Riverside Drive, Tampa, FL, 33603.

For questions concerning this Agreement, or to contact PEGASUS for any reason, please contact Pegasus Imaging Corporation by phone 1-813-875-7575 x321 or e-mail Sales@JPG.com.

See Also

Trial Mode | Development Mode | Run Time Licensing | Distributing with Your ActiveX Application


Verify You're Using the Latest Service Pack

Service pack updates will not overwrite paid licensing. Your paid licensing will continue to work and you will not be required to re-enter your purchased registration codes. Service pack updates do not include any changes that might "break" previously developed and/or deployed code.

Verify Latest Development Components

To verify you are using the latest version of a Pegasus Imaging Development Component or Components, please use the PegConnect utility program. Please note that a Help File for each product may be found on the Start Bar under Pegasus, or in C:\Windows\Help.

PegConnect is installed by all component product installers and is accessible through the Windows Start menu:

Start | Programs | Pegasus Imaging | Pegasus Imaging | Common | Utilities

PegConnect Allows You To:

  1. Check with Pegasus Imaging via online connection and verify that the installed version of the component includes all the most recent updates.
  2. Update to the latest version automatically with your permission.
  3. Determine if a control is registered or unregistered on the machine.
  4. Easily change the registration status from registered to non-registered, or non-registered to registered.

Alternatively, you can see the currently released product build numbers at www.PegasusImaging.com/latestbuilds.htm.

If you require further assistance or have questions or comments, please see the section Getting Support for more detailed information.

See Also

Getting Support and Samples | Installing on a Development Machine


Distributing with Your ActiveX Application

Distributing ImagXpress®

Check for Proper Licensing and Unlock Codes

ImagXpress contains a locking mechanism that does not permit you to distribute applications created with evaluation versions of ImagXpress. Prior to distributing an application that utilizes ImagXpress v9, you must purchase and enable run-time licensing. If the application will be delivered on the web, you must also enable web application licensing.

DLL Files to Distribute

Distribute the appropriate assembly DLL files with applications using the ImagXpress Product:

  • PegasusImaging.ActiveX.ImagXpress9.dll
  • PegasusImaging.ActiveX.NotateXpress9.dll
  • PegasusImaging.ActiveX.ThumbnailXpress2.dll
  • PegasusImaging.WinForms.TwainPro5.dll
  • PegasusImaging.WinForms.PrintPro4.dll
See Also

Getting Support and Samples | Installing on a Development Machine | Development Mode | Run Time Licensing | License Agreement | Verify You're Using the Latest Service Pack


Supported File Formats

ImagXpress® supports the following file formats:

BMP (Microsoft Windows Bitmap)

  • Reads 1, 4, 8, 16, 24 and 32-bit BMP.
  • Reads 1, 4 and 8-bit RLE compressed BMP.
  • Writes 1, 4, 8 and 24-bit BMP.
  • 16 and 32-bit BMP files are converted to 24-bit.

CALS (type 1)

  • Reads 1-bit CALS-1 TypeI.
  • Writes 1-bit CALS-1 TypeI.

Camera Raw

  • Reads most vendor specific camera raw formats.

DCX (PC Paintbrush Multiple Page File Format)

  • Reads 1, 4, 8 and 24-bit DCX.
  • Writes 1, 4, 8 and 24-bit DCX.

DIB (Microsoft Windows Device Independent Bitmap)

  • Reads 1, 4, 8, 16, 24 and 32-bit DIB.
  • Writes 1, 4, 8 and 24-bit DIB as BMPs.
  • 16 and 32-bit DIB files are converted to 24-bit.

DWF (AutoCAD Design Web Format)

  • Reads DWF.

DWG (AutoCAD Drawing Database)

  • Reads DWG versions 2.5 through 2007.

DXF (AutoCAD Drawing Interchange Format)

  • Reads DXF.

EMF (Microsoft Enhanced Metafile Format - also known as WMF)

  • Reads Windows Metafiles.
  • EMF may be displayed in Metafile format or optionally converted to device dependent bitmaps for display.

GIF (CompuServe Graphics Interchange Format)

  • Reads 1 through 8-bit GIF.
  • Writes 1, 4 and 8-bit GIF.
  • Reads and writes GIF89a and GIF87a formats.
  • Reads and writes interlaced and non-interlaced formats.
  • Reads and writes GIF with a transparent color.
  • Internally, 2 & 3-bit GIFs are converted to 4-bit, and 5, 6, and 7-bit GIFs are converted to 8-bit.

HDP (Microsoft Windows Media Photo – also known as WDP)

  • Reads 8 bit and 16 bit gray, RGB or RGBA (8 bits per channel unsigned integer).
  • Writes 8 bit and 16 bit gray, RGB or RGBA (8 bits per channel unsigned integer).

ICO (Microsoft Windows Icon)

  • Reads 1, 4, 8, 16, 24, and 32-bit ICO. Single and multiple image.
  • Writes 1, 4, 8, and 24-bit ICO. Single and multiple image.
  • 16 and 32-bit ICO files are converted to 24-bit.
  • Reading and writing a transparent color is supported.

JLS (JPEG LS Format)

  • Reads 2 through 16-bit grayscale and 24-bit color JLS.
  • Writes 2 through 16-bit grayscale and 24-bit color JLS.

JP2, J2K (JPEG 2000 Format)

  • Reads 2 through 16-bit grayscale and 24-bit color JP2, J2K.
  • Writes 2 through 16-bit grayscale and 24-bit color JP2.
  • Supports lossless and lossy compression and decompression.

JPEG, JIF (JPEG File Interchange Format)

  • Reads 8 and 12-bit grayscale and 24-bit JPEG.
  • Writes 8 and 12-bit grayscale and 24-bit JPEG.
  • Reads and writes JFIF compliant JPEG and Progressive JPEG formats.
  • Also reads and writes EXIF compliant JPEGs.
  • Document and Photo Edition can read and write EXIF tags with thumbnail.

LJP (Lossless JPEG)

  • Reads 8 through 16-bit and 4-bit grayscale, and 24-bit color lossless JPEG.
  • Writes 8 through 16-bit and 4-bit grayscale, and 24-bit color lossless JPEG.
  • Supports RGB and YCBCR compression, and decompression.

MO:DCA

  • Reads 1-bit MOD:CA.
  • Writes 1-bit MOD:CA.
  • Reads PTOCA and IOCA:
    o 1 bpp IBM MMR, 1 bpp G4, 1 bpp ABIC, 4 bpp Concatenated ABIC (Grayscale).
    o PTOCA Fonts: C0CHz00p0.
    o Codepages: Default to EBCIDIC codepages but also support codepage ‘T1001252’ for ASCII data.
    o Support internal overlays.

PBM (Portable Bitmap)

  • Reads 1-bit PBM (ASCII and binary formats).
  • Writes 1-bit PBM (ASCII and binary formats).

PCX (PC Paintbrush File Format)

  • Reads 1, 4, 8 and 24-bit PCX.
  • Writes 1, 4, 8 and 24-bit PCX.

PDF (Image-only)

  • Writes 1, 8 and 24 bit uncompressed image streams. Single and multiple page.
  • Writes 8, 24 bit and CMYK JPEG compressed image streams. Single and multiple page.
  • Writes 1 bit G3-1D, G3-2D, G4 and JBIG2 compressed image streams. Single and multiple page.
  • Reads 1, 8 and 24 bit uncompressed image streams. Single and multiple page.
  • Reads 8, 24 bit and CMYK JPEG compressed image streams. Single and multiple page.
  • Reads 1 bit G3-1D, G3-2D, G4 and JBIG2 compressed image streams. Single and multiple page.

PGM (Portable Graymap)

  • Reads 8-bit grayscale PGM (ASCII and binary formats).
  • Writes 8-bit grayscale PGM (ASCII and binary formats).

PIC, ePIC (Pegasus Enhanced PIC)

  • Reads 8-bit grayscale and 24-bit ePIC format.
  • Writes 8-bit grayscale and 24-bit ePIC format.
  • Reads and writes 24-bit ePIC.
  • Supports password image protection.

PNG (Portable Network Graphics)

  • Reads 1, 4, 8, 16 and 24-bit PNG.
  • Writes 1, 4, 8 and 24-bit PNG.
  • Reads and writes interlaced and non-interlaced formats.
  • 16-bit PNG files are decompressed to 24-bit.

PPM (Portable Pixmap)

  • Reads 24-bit PPM (ASCII and binary formats).
  • Writes 24-bit PPM (ASCII and binary formats).
  • RLE (Run-Length Encoded Bitmap).
  • Reads 1, 4 and 8-bit RLE.

RAW (Raw Image Data)

  • Reads 8 through 16-bit grayscale and 24-bit color.
  • Writes 1 through 16-bit grayscale and 24-bit color.
  • Supports RGB, RGB555, RGB565, RGBA, ARGB, BGR, BGRA, ABGR, CMYK, YUV, YUYV, UYVY, and YCBCR in both "big endian" and "little endian" formats.

TGA (Truevision Targa)

  • Reads 1, 8, 16, 24 and 32-bit TGA.
  • Writes 1, 8 and 24-bit TGA.
  • 16 and 32-bit TGA files are converted to 24-bit.
  • Reads compressed and uncompressed TGA.
  • Writes uncompressed TGA.

TIFF (Tag Image File Format)

  • Reads 1, 4, 8, 16, 24 and 32-bit uncompressed TIFF.
  • Writes 1, 4, 8 and 24-bit uncompressed TIFF.
  • Reads and writes CCITT RLE, Group 3, and Group 4 compressed TIFF.
  • Reads and writes 1, 4, 8 and 24-bit Pack Bits TIFF.
  • Reads and writes 1, 4, 8 and 24-bit LZW TIFF.
  • Reads and writes 8-bit grayscale and 24-bit color (JPEG 6 and JPEG 7) TIFF.
  • Reads and writes 1, 4, 8 and 24-bit deflate TIFF.
  • Reads and writes multiple page TIFF.
  • 16 and 32-bit TIFF files are converted to 24-bit.
  • Reads CMYK TIFF.
  • Reads 9 to 16 bit gray scale TIFF.
  • Handles either "big endian" or "little endian" byte ordering.
  • Read tiled TIFF with LZW, JPEG, and G4 compression types.

WBMP (Wireless Bitmap)

  • Reads 1-bit WBMP.
  • Writes 1-bit WBMP.

WDP (Microsoft Windows Media Photo – also known as HDP)

  • Reads 8-bit and 16-bit gray, RGB or RGBA (8-bits per channel unsigned integer).
  • Writes 8-bit and 16-bit gray, RGB or RGBA (8-bits per channel unsigned integer).

WMF (Windows Metafile - also known as EMF)

  • Reads Windows Metafiles.
  • WMF may be displayed in Metafile format or optionally converted to device dependent bitmaps for display.

WSQ (WSQ Fingerprint File Format)

  • Reads 8-bit grayscale WSQ (included in all editions of ImagXpress).
  • Writes 8-bit grayscale WSQ.


Save Memory

How Big is My Image?

If you need to figure out approximately how many bytes an image takes up in memory, multiply the image’s width in pixels times the height, times the color depth and divide by 8. If the image is the current image (ProcessImageID), the image size is available by reading the IFileSize property.

Reduce Memory Usage

To reduce memory usage with ImagXpress®, try the following:

  • Resize Images

If you are displaying the image scaled down, you may want to resize the image to that size instead of using the ZoomToFit method or AutoSize property.

  • Reduce Bit depth

You can use the ColorDepth method to reduce the bit depth of the image. Use the UniqueColors method to count the colors in the image, without damaging the image. For 2 colors, use 1-bit color. For 16 colors or less, you can use 4-bit color. For 256 colors or less, you can use 8-bit color.

  • Compress in Memory

Set the CompressInMemory property to store the image in memory in a compressed mode. Note that when CompressInMemory is True, ImagXpress slows down, since memory must be compressed and uncompressed whenever a buffer is used.

  • Don't undo

The UndoEnabled property saves an uncompressed copy of the DIB. If you want to undo without incurring this memory usage, save the image to file or buffer in a compressed format like PNG, instead of using the UndoEnabled property. Then, when you need the undo image, load it into ImagXpress.

Other Hints for Large Images

  • Multi-task

Set the MultiTask property to True, to specify that other windows tasks can run concurrently during image processing.

  • Monitor progress

Enable the Progress event to notify the application of progress made during loading, saving, or image processing. The Progress event is enabled by calling EventSetEnabled(EVENT_PROGRESS).

See Also

ColorDepth | ImagXData


Manage Image Buffers in ImagXpress

Image Buffers

Before an image can be displayed or processed, it must be loaded into an ImagXpress® buffer. ImagXpress maintains one buffer for each loaded image. The image buffer stores:

  • DIB
  • Image palette
  • Image color profile
  • Tags
  • JPEG comments
  • Undo image

A single ImagXpress control may manage multiple image buffers. The number of buffers is limited only by available memory and resources. Each image buffer within ImagXpress has a unique identifier (the image ID), assigned when the buffer is created.

The ProcessImageID property identifies the image buffer currently loaded, processed, or saved. The ProcessStatus property gets or sets the status of this buffer.

The ViewImageID identifies the image buffer that is currently being displayed. ViewStatus gets or sets the status of this buffer.

Creating a Buffer

An image buffer is created anytime ProcessImageID is assigned an ID for which no buffer currently exists. To create the new buffer, assign ProcessImageID an imageID identified by the GetUniqueImageID method, or one you know to be available (The IsValid method determines if the ID you wish to use is valid).

When the AutoAssignID property is True, ImagXpress automatically assigns an image ID (not currently in use) to ProcessImageID, creating a new buffer. When AutoAssignID is False, the ProcessImageID persists from when the control was last saved or as seen in design time.

Re-using a Buffer

An existing buffer can be reused. If an image is created, copied, or loaded into an image buffer that is already in use, the existing image buffer data is deleted and is replaced with the new image information.

Populating a Buffer

A buffer can be populated with image data, using any of the load procedures described in Load and Decompress Image.

Deleting a Buffer

Call the CloseImage method to delete the specified image buffer and free up associated resources. If ViewImageID or ProcessImageID are set to the buffer when CloseImage is called, the DIB is deleted, but the buffer will not be closed. If ViewImageID is assigned to the image buffer, the control window will blank out as a result of the DIB being deleted.

Setting the AutoClose property to True instructs that when an ImagXpress control is destroyed, the image it was displaying (ViewImageID) is deleted if no other controls are viewing or processing that image. If another control is using the buffer, the DIB is deleted, but the image buffer will not be closed.

Monitoring the Status of a Buffer

Once a buffer is created, an image can be loaded, decoded, processed and saved using ImagXpress. The ImageStatus method identifies the current status of the specified image buffer. The ImageStatusChanged event generates every time the status of the image changes. The Cancel method cancels the current operation (loading & decompressing, processing, saving, etc.) on the specified image buffer. The ProcessStatus property provides the status of the buffer pointed to by ProcessImageID. The ViewStatus property provides the status of the buffer pointed to by ViewImageID.

Assigning a Buffer to be Displayed in the Control Window

To display an image, set ViewImageID to the image buffer containing the image you wish to display. This image is displayed each time the control window paints. ViewStatus indicates the status (for example, opened, decoded, wait, saved, etc.) of the image in the ViewImageID buffer.

Sharing a Buffer to be Displayed in Multiple Control Windows

Each ImagXpress control in the project can display only one image at a time. Sometimes it is necessary to display multiple views of the same image. A typical use would be to have a thumbnail version of the image and the full sized image displayed simultaneously. Or, the application may need to display a "before" and "after" view of an image with some image rendering options changed.

To view the same image using multiple ImagXpress controls, load the image into the first control and assign its ViewImageID to the second control's ViewImageID. Now the two views share the image.

VB Example:

// This code demonstrates how to view the same image using multiple ImagXpress controls

IX9a.FileName = "a.gif"

IX9b.ViewImageID = IX9a.ViewImageID

If a change occurs to the buffer shared by multiple controls, you may wish to repaint each of the control windows to reflect the change. Set AutoInvalidate property to True. This notifies all controls displaying an image buffer to repaint when a change occurs to the buffer.

In applications where buffers are shared between multiple ImagXpress controls, it may be necessary to specify that the buffer, not the control, is accessed when reading property information (See Enable Properties).

Assigning a Buffer to be Queried or Processed

Set ProcessImageID to the desired image buffer. If ProcessImageID is set to an image ID that does not exist yet, the buffer is automatically created. The image processed and the image viewed can be different.

VB Example:

// This code demonstrates how to set the desired image buffer

IX9.ProcessImageID = 502
IX9.Negate ' Do a reverse video on 'c.tif' but don't show it

IX9.ProcessImageID = 501
IX9.Negate ' Do a reverse video on 'a.tif' but don't show it

IX9.ViewImageID = 502 ' Finally show the reversed 'c.tif'

A single ImagXpress control may manage multiple images. The number of buffers is limited only by available memory and resources. By changing the ProcessImageID property you select which of the image buffers the following operations effects. You do not need to create or set-up buffers before using them.

VB Example:

// This code demonstrates how to load five different images into five image buffers in one control

' The default ProcessImageID is 500
IX9.FileName = "a.tif"

IX9.ProcessImageID = 501
IX9.FileName = "b.tif"

IX9.ProcessImageID = 502
IX9.FileName = "c.tif"

IX9.ProcessImageID = 503
IX9.FileName = "d.gif"

IX9.ProcessImageID = 504
IX9.FileName = "e.bmp"

Modifying Data within the Image Buffer

Once an ImagBuffer loads, the content can be modified (see Modify the image, Modify image palette, Modify image metadata and Annotate image).

Querying Data within an Image Buffer

  • Call GetImageHnd method to get the handle to the DIB associated with the specified image buffer.
  • For additional information about the image, set ProcessImageID to the image you wish to query, then read:
    • hDIB (read/write property) to get the handle to the DIB.
    • hBMP (read-only property) to get the handle to the BITMAP.
    • hPAL (read-only property) to get the handle to the palette associated with the specified image buffer.
    • RGBColorCount method - returns three arrays, each containing a histogram of intensity values for the red, green and blue components of the DIB.
    • IFormat (read-only property) - returns the image's format.
    • IBPP (read-only property) - returns the image's bits per pixel.
    • IFileSize (read-only property) - returns the file size, in bytes.
    • IHeight (read-only property) - returns the height of the image, in pixels.
    • IWidth (read-only property) - returns the width of the image, in pixels.
    • IResUnits (read/write property) - the unit of measurement of resolution.
    • IResX (read/write property) - the image's X resolution.
    • IResY (read/write property) - the image's Y resolution.
    • ImagHeight (read-only property) - the image's height, in twips
    • ImagWidth (read-only property) - the image's width, in twips
    • DIBGetPalIndex method - an RGB value for a specified palette entry.
    • DIBGetPixel method - an RGB value for a specified pixel in the DIB.
    • JPEGGetComment method - returns the comment text of a specified comment.
    • TagFind, TagFirst and TagNext methods - retrieve tag data items.
    • TagData (read-only property) - retrieve tag data
  • To display information about an image being viewed, set ViewImageID to the image you wish to display, then call ShowViewImageInfo method.

Managing Buffer Memory

When the hBMP property is called, a bitmap version of the image is created and placed at hBMP. When you are done with this bitmap, you must free up the bitmap pointer. To do this, call the gdi32.dll entry DeleteObject(HOBJ)hBitmap.

Compressing Image Data in Memory When Not in Use

The CompressInMemory property specifies whether the image is compressed when stored in memory. This can be useful when displaying many ImagXpress objects at the same time. For images with bit-levels greater than 1, compressing in memory results in only a small amount of compression, but at a high price of reduced performance. For this reason, CompressInMemory is most useful for 1-bit images.

Alternatively, the user can compress an image in memory by calling the SaveToBuffer property, setting the compression type to whatever is most desirable. When the image is needed, use LoadBuffer method to load the image.

See Also

Save Memory | Query Image Files | Set Control Window Appearance | Set Toolbar and Tools | Set the Context and Toolbar Menus


Enable Internet Applications

To optimize ImagXpress® performance within Internet Applications, consider setting color palette management and property persistence as follows:

Color Palette Management

Image color palette management in Internet Explorer is handled differently than in Visual Basic. In order for the ImagXpress ActiveX control to work in all environments, a property called ManagePalette is included.

  • When the ImagXpress control is used in Internet Explorer, the ManagePalette property should be set to False, to ensure that all ImagXpress controls will retain their individual color palettes.
  • In environments like Visual Basic and Delphi, the ManagePalette property should be set to True (Default), to ensure that all ImagXpress controls display the same color palette (the palette of the topmost control).

Using Persistence

When the Persistence property is True (Default), control properties set at design time are maintained at run time. In Visual Basic, the control’s property values store in the form’s .FRM file. In ActiveX Control Pad, the property values store in the .ALX or .HTML file. The size of the .ALX, .HTML or .FRM files can become quite large if you have many ImagXpress controls in your project because many of the property values are stored for each control.

For Internet applications, you want to keep your .HTML and .ALX file size as small as possible in order to decrease download time. You accomplish this by setting the Persistence property to False, then set your control properties at run time, instead of design time. This decreases the size of the .ALX or .HTML file, because you are setting only desired properties.

See Also

Enable Color Management | Enable Parallel Processing | Enable Exceptions | Enable Event Handling | Enable Palette Management | Configure Scrollbars, Mouse and Keys | Enable Properties


Color Management Overview

Different Interpretations of Color

Different devices (scanners, monitors and printers) have different interpretations of the digital values for colors. Not only are the interpretations different from device to device, but so is the "gamut", the range of realizable colors. In other words, some devices can display/output/print colors that others can not. Without managing this problem, the colors in a scanned source image will differ from the colors in the image displayed on a monitor and from the colors in the image when printed.

Windows' Image Color Management (ICM)

ICM provides a solution to this color accuracy problem. ICM processes all "white" images via a standardized intermediate scheme; the Profile Connection Space (PCS). When an image is scanned, the image from the scanner is adjusted for that particular scanner's profile (data file) to convert it into the PCS. Prior to displaying or printing the image, the image is converted from the PCS to the monitor or printer's color space using the monitor's or printer's profile.

Each device (scanner, monitor, printer) has an associated color profile, which indicates how to convert between the device-specific color space and the PCS. Images have an associated color profile, which indicates how color data is currently represented in that image. This provides flexibility in where image color management is performed.

Specify Whether or Not ImagXpress® Performs ICM

For example, a source image which loads into ImagXpress, then printed, can be converted to the printer's color space: by the application prior to loading into ImagXpress; by ImagXpress during processing; by the PrintPRO component; by the printer driver; or by the printing device. Therefore, the application must specify whether Image Color Management should be performed by the ImagXpress control or not.


Query Image Files

ImagXpress® provides the ability to query and modify TIFF images without loading them into ImagXpress.

The images may be remote or local but may not have an HTTP or FTP address.

Query Image Files

Querying enables the user to gain information about the file before choosing to process it using ImagXpress. For example: The user may decide to load only images that are smaller than a threshold size, or images that are of a specified type.

The QueryFile and QueryFileV methods enables the user to obtain information about a specified page in a TIFF file. Using these methods obtains the following file information: image height and width in pixels, bits per pixel, image format, image file size and image resolution.

The NumPages method enables the user to query a multiple page PDF, TIFF or DCX file to determine the number of pages in the file. This enables a user to query multiple pages, by iterating the page number in the QueryFile and QueryFileV methods.

Modify Image Files

Using ImagXpress, the user can make page-level modifications to TIFF files without loading them using the ImagXpress load methods. This enables the user to clean up or reduce the image size prior to loading.

  • The CompactFile method removes unused pages from the specified TIFF file.
  • The DeletePage and InsertPage methods delete/insert a specified page in the specified TIFF file.
  • The NumPages method enables the user to query a multiple page TIFF or DCX file to determine the number of pages in the file. This enables a user to delete or insert multiple pages in a TIFF file, by iterating the page number in the DeletePage and InsertPage methods.

Modify Tags

ImagXpress enables users to set and get tags for TIFF images without loading the image data, using the FileGetTags and FileSetTags methods.

If the image data has been loaded into ImagXpress, the FileGetTags and FileSetTags methods do NOT update the current image. Only the image at the specified filename is modified. To modify tags of a loaded image, use the "Tag" methods and properties (e.g. TagData, TagNumber, TagGetDataItem, TagModify).

See Also

Save Memory | Manage Image Buffers in ImagXpress | Set Control Window Appearance | Set Toolbar and Tools | Set the Context and Toolbar Menus


Enable Properties

Property Persistence

When the Persistence property is True (Default), control properties that are set at design time are maintained at run time. If the Persistence property is set to False, the properties that you set at design time will not be maintained when you run your application.

In Internet applications, it is advantageous to set the Persistence property to False, to decrease download time.

Property Locations

Generally, ImagXpress properties read from the ImagXpress® control. However, when image buffers share between multiple ImagXpress controls, the control may not contain the most up to date property information on the shared buffer.

For example, if an image was loaded into ImagXpress1 with LoadCropEnabled = true, then ImagXpress2 assigns ProcessImageID to that buffer, the ImagXpress2 control will not have information about the LoadCrop that was performed by imagXpress1. In cases such as this, set PropertyLocations to point to the buffer, not the component.

See Also

Enable Color Management | Enable Parallel Processing | Enable Internet Applications | Enable Exceptions | Enable Event Handling | Enable Palette Management | Configure Scrollbars, Mouse and Keys


Enable Exceptions

Set the RaiseExceptions property to enable or disable raising exceptions when an error is encountered.

Even if RaiseExceptions is set to False, the ImagError property (read-only) can be queried to determine if an error has occurred, or DisplayError can be set to True, to enable the error to display on the screen when raised.

VB Example:

' Display an error

ImagXpress1.FileName = "c:\Images\Test.jpg"

IErr = ImagXpress1.ImagError

If IErr<>0 Then

MsgBox("Load Failed: Error #" & IErr)

End If

See Also

Enable Color Management | Enable Parallel Processing | Enable Internet Applications | Enable Event Handling | Enable Palette Management | Configure Scrollbars, Mouse and Keys | Enable Properties


Enable Event Handling

ImagXpress® fires events to notify the application when an interesting change has occurred in the control. (See enumEventID for a list of ImagXpress events.)

  • Each event within ImagXpress can be enabled or disabled, allowing the application control over which events are of interest. EventGetEnabled and EventSetEnabled methods allow the application to specify which events to enable.
  • The Notify property enables and disables the Notify event. The NotifyDelay property and gets the time delay, in milliseconds, for a Notify event.
  • The ProgressPct property specifies the frequency at which Progress events will occur.
See Also

Enable Color Management | Enable Parallel Processing | Enable Internet Applications | Enable Exceptions | Enable Palette Management | Configure Scrollbars, Mouse and Keys | Enable Properties


Enable Parallel Processing

To enable parallel processing using the ImagXpress® control, you must:

  • Set Async to True, to indicate that image loading/processing/saving operations occur in a thread separate from the main ActiveX thread. The Idle property determines if the control is doing an operation or not. This can be useful when processing asynchronously.
  • Set AsyncMaxThreads to specify the maximum number of threads each ImagXpress control can spawn.
  • Set the AsyncPriority property to establish the priority of each thread.
  • Set Multitask to indicate whether other windows tasks can run concurrently to ImagXpress control processing, loading and saving.
  • Set AsyncCancelOnClose to indicate whether pending asynchronous operations are allowed to complete when the control is being terminated.
See Also

Enable Color Management | Enable Internet Applications | Enable Exceptions | Enable Event Handling | Enable Palette Management | Configure Scrollbars, Mouse and Keys | Enable Properties


Enable Color Management

Once enabled, ImagXpress® works with Windows' ICM seamlessly:

1. Enable ICM capability, by setting the ICMEnabled property.

2. Enable ICM target proofing (displaying image prior to printing) if desired, by setting the ICMProofingEnabled property.

3. Specify the color profiles to be used when performing ICM on an image:

  • When an image loads, the ICMSourceProfileName applies to the image and the resulting converted image stores in the ImagXpress image buffer.
  • When an image saves, the ICMSaveProfileName applies to the image and the resulting converted image stores in the target location.
  • When an image displays, the ICMMonitorProfileName is applied when the control paints to the display device. No change is made to the image, but the display reflects the specified color profile. If no ICMMonitorProfileName is set, ImagXpress will use the ICMDefaultMonitorProfileName (the default monitor profile name from the current Windows device context).
  • When an image is proofed prior to printing, the ICMTargetProfileName applies to the image and the resulting image displays on the monitor. No change is made to the image stored in ImagXpress.
  • When an image prints, the ICMPrinterProfileName is applied to the image and the resulting image is printed. No change is made to the image stored in ImagXpress.

4. Specify how profiles should be applied, by setting the ICMRenderIntent property (for example, Picture, Graphics, Business and Colorimetric interpretation.)

See Also

Enable Parallel Processing | Enable Event Handling | Configure Scrollbars, Mouse and Keys | Enable Properties | Enable Internet Applications


Enable Palette Management

When displaying an image with 8-bits or less per pixel, a palette defines how image color values map to display colors.

  • When an image loads, if the image has a palette, it automatically saves in the ImagXpress® image buffer.
  • When an image is saved, the palette in the ImagXpress image buffer automatically saves to buffer or file.
  • When an image displays or the image's palette applies, unless overridden by the Palette property. The Palette property impacts how the image displays or prints, but does not modify the palette of the image itself (no change to image stores in the ImagXpress image buffer).
  • Specify the Palette property if overrides to the image's palette are to be consistently used when displaying the image (for example, grayscale for all images). If a user-defined palette is used, call PRGBSetColors and PRGBGetColors methods to define the palette entries. If the palette loads from a separate file, specify the palette's filename (PFileName property).
  • Specify the ManagePalette property to True if you wish to apply the palette of the top (z-order) image to all ImagXpress controls on the display. If ManagePalette is False, each control displays with its own palette.
When using the ImagXpress control in Internet Explorer, set ManagePalette to False. In environments, like VisualBasic and Delphi, set ManagePalette to True.
See Also

Enable Color Management | Enable Parallel Processing | Enable Internet Applications | Enable Exceptions | Enable Event Handling | Configure Scrollbars, Mouse and Keys | Enable Properties


Enable Cancel

To enable the application end-user to cancel the loading, decompression, saving, compression, or processing of images, set the CancelMode property to the mouse or key event that will trigger the cancellation. Set CancelLoad to specify whether the cancel can occur while loading and set CancelRemove to indicate whether the event message appears in the message queue.

See Also

CancelMode Property | CancelLoad Property | CancelRemove Property


Glossary Item Box

Load Image from File | Load Image from Buffer | Load Image using Call Back | Load Image Using OLE Drag-and-Drop | Load Image using Picture | Create a New Image | Copy an Image from an Existing ImagXpress Buffer | Load Image using Clipboard | Load Image from Screen Capture | Display Image

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Specify Load Options

Prior to loading an image, specify the image's load options, using the properties below. Load options specify critical image loading instructions and are applied as appropriate when images are loaded from File, Buffer, Picture property, Call Back event, or OLE Drop event.

General load options

  • The length of time a loading thread should wait before timing out (FileTimeout).
  • The event that cancels loading, decompression, saving, compression, or processing of images (CancelMode property), whether this event is enabled to cancel on load (CancelLoad), and what will appear in the message queue (CancelRemove) properties.
  • Specify whether images can be loaded via OLE Drag and Drop (OLEDropMode).
  • Specify whether the Picture property can be used to load images (PictureEnabled).
  • The offset in the file or memory buffer where ImagXpress® begins reading image data (FileOffset and TiffIFDOffset property). The FileOffsetUse property determines the behavior of the FileOffset property when loading a TIFF file.
  • Whether alpha channel loads (LoadAlphaChannel).
  • Whether preserve black will be applied to the image when loaded to increase readability (LoadResizePreserveBlack property).
  • Whether the image should display progressively while loading (ViewProgressive property).
  • Set thumbnail size (LoadThumbnail )
  • Whether the image is cropped, resized and/or rotated upon loading (the ImagXpress buffer contains a modified version of the original image, based on the requested operations).

Note: LoadCrop, LoadResize and LoadRotate are not supported when loading an image from a stream as the entire image must be loaded before the ImageX object can be modified.

When more than one of these operations is requested, the order is:

1) LoadCrop

Whether the image is cropped upon loading (LoadCropEnabled property). Image is cropped to the dimensions specified in LoadCropHeight, LoadCropWidth, LoadCropX and LoadCropY properties.

2) LoadResize

Whether the image is resized when it is decompressed (LoadResizeEnabled property), to the dimensions specified in LoadResizeHeight, LoadResizeWidth and LoadResizeMaintainAspectRatio properties. If ScaleResizeToGray is true, the image will be scaled to gray when resized.

3) LoadRotate

Whether image is rotated upon loading (LoadRotated property).

Image Color Management Loading Options

If you wish to apply an image color profile to the image being loaded into ImagXpress:

  1. Specify how profiles should be applied, by setting the ICMRenderIntent property (for example, Picture, Graphics, Business or Colorimetric interpretation.)
  2. Set the ICMSourceProfileName property to the name of the color profile you wish to apply to the image being loaded. When the image loads, the specified profile is applied to the image and the resulting converted image stores in the ImagXpress image buffer.

Palette Loading Options

Specify the Palette property if you wish to load the image with a palette other than the one included with the file being loaded.

FTP Loading Options

To enable loading from a remote location, set the FTPUserName and FTPPassword properties. You might need to set the FTPMode and ProxyServer properties as well, depending on your server configuration.

Image Format specific load options

  • JBIG2: JB2SwapBlackandWhite property specifies if the values for black and white use industry default or not.
  • JPEG: load options include specifying whether image was compressed with cosited sub-sampling (JPEGCosited), and specifying whether the JPEG decoder should use the Pegasus enhanced decomposition (JPEGEnhDecomp) property.
  • ePIC: a password to protect the .PIC file (PICPassword) property.
  • Metafile: whether a Windows Metafile should be converted to DIB at load time (WMFConvert) property.
  • PDF: whether a PDF file should be loaded with black and white pixels swapped (PDFSwapBlackandWhite property).
  • TIFF: the offset in the source file or memory buffer where ImagXpress will begin reading image data. (TIFFIFDOffset property). Whether this is a banking-vendor specific application requiring special TIFF handling (SpecialTIFFHandling property).
  • Raw: To enable loading of images that are in a camera raw format, do one of the following:

  • Explicitly specify that image data should be treated as a raw format when loading:

If the application expects the image to be in a camera raw format, and knows the specific camera raw format, then Load Options can be explicitly set to accurately interpret the raw image data:

  1. Set LoadMode to raw, in order to treat the image data as a raw format when loading.
  2. Call LoadRaw method to load the raw image.

OR

  • Inspect the image when loading, to automatically determine whether it is in a Camera Raw format.

The ImagXpress control has the ability to inspect an image when loading to determine that an image is in a camera raw format, identify the specific camera raw format of the image, and load the image using that format.

  1. Set LoadMode to Normal, in order to inspect the image data when loading to determine format.
  2. Set CameraRawEnabled = True to specify that the image should be examined on loading to see if the data is in a camera raw format, and to identify the raw format.

Note: When CameraRAWEnabled = True, the image can only be loaded from a File. Loading from a stream is not supported as the entire image must be loaded before the raw format can be recognized.

Load the image, (e.g. FileName). The image will be inspected to see if it is in a CameraRaw format as part of the loading process, and will be decoded using the specific camera raw format detected.

To optimize performance, set CameraRawEnabled property to False when it is not needed.

See Also

Load Image from File | Load Image from Buffer | Load Image using Call Back | Load Image Using OLE Drag-and-Drop | Load Image using Picture | Create a New Image | Copy an Image from an Existing ImagXpress Buffer | Load Image using Clipboard | Load Image from Screen Capture | Display Image


Glossary Item Box

Load Image from File | Load Image from Buffer | Specify Load Options | Load Image using Call Back | Load Image Using OLE Drag-and-Drop | Load Image using Picture | Create a New Image | Copy an Image from an Existing ImagXpress Buffer | Load Image from Screen Capture | Display Image

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Load Image from File

Prior to loading an image, set the load options to provide specific instructions for loading the image. If no load options are specified, ImagXpress uses default values when loading the image.

Load from a Disk File

To load an image from a file, set the FileName property to the path and filename you want to load. ImagXpress looks at the file extension to recognize the file type. If the FileName property is set to a valid filename, ImagXpress opens the file, reads the header information, and loads the image. When an image is loaded from file, it is stored as a DIB. This DIB, with the image's palette information, tag information and color profile information are stored in the target ImagXpress buffer (identified by the ProcessImageID property). The ViewImageID is set to the newly loaded image, enabling the display of the new image.

Check the check the ImageStatus method to understand the current loading status of the image.

Load from an HTTP or FTP location

  1. Set the FTPUserName and FTPPassword properties. You might need to set the FTPMode and ProxyServer properties as well, depending on your server configuration.
  2. Set the FileName property to the full path.
If the file is extremely large and heavily compressed, such as a JPEG image and the computer was slow, then it could take more than a few seconds to decode the image and display it. To let the user know that the computer is working and not locked up, set the ViewProgressive property to True. With ViewProgressive active, the image displays incrementally, as it decodes, instead of waiting until the control finishes loading it. ViewProgressive is useful when loading large images over the Internet.

Load a Multi-page Image

ImagXpress supports the following multi-page image formats: TIFF, PDF, ICO and DCX. Multi-page images can be read (decompressed and loaded) in the View, Document and Photo editions. The standard edition can read (decompress and load) the first page of a multi-page image.

To decompress and load a multi page image from file, you must first set the PageNbr property to the page you want to load and then set the FileName property to load. You can use the NumPages method to find out how many pages in a file.

See Also

Load Image from File | Load Image from Buffer | Specify Load Options | Load Image using Call Back | Load Image Using OLE Drag-and-Drop | Load Image using Picture | Create a New Image | Copy an Image from an Existing ImagXpress Buffer | Load Image from Screen Capture | Display Image


Glossary Item Box

Load Image from File | Specify Load Options | Load Image using Call Back | Load Image Using OLE Drag-and-Drop | Load Image using Picture | Create a New Image | Copy an Image from an Existing ImagXpress Buffer | Load Image using Clipboard | Load Image from Screen Capture | Display Image

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Load Image from Buffer

To load an image stored in memory, use the LoadBuffer method, if a locked global handle to the image data is available. Use the LoadBufferPtr method if a pointer to the image data stored in memory is available.

The Microsoft Windows® API call GlobalLock can be used to get a pointer to the data in memory. A Microsoft Windows API GlobalUnlock should be called when the memory is no longer needed. The Microsoft Windows API GlobalSize will tell you the size of the data (in bytes).

When an image loads using the LoadBuffer or LoadBufferPtr methods, the image data decompresses and converts to a DIB. The DIB, along with the image's palette information, tag information and color profile information store in the target ImagXpress buffer (identified by the ProcessImageID property). The ViewImageID property is set to the newly loaded image, enabling the display of the new image.

See Also

Load Image from File | Specify Load Options | Load Image using Call Back | Load Image Using OLE Drag-and-Drop | Load Image using Picture | Create a New Image | Copy an Image from an Existing ImagXpress Buffer | Load Image using Clipboard | Load Image from Screen Capture | Display Image


Load Image from Bitmap or DIB

If the image to load is a DIB or BMP, setting the hDIB property loads the image. If the image is a BMP, a call to hDIB converts the bitmap to a DIB and stores at hDIB.

The image can be accessed as a device dependent bitmap by calling the hBMP (read-only property). Note: hBMP does not load an image. When hBMP is called, the current DIB is converted to a device dependent bitmap and stored at hBMP. Therefore, the value of hBMP may change in subsequent calls, if the DIB has been modified.

The OwnDIB property specifies whether ImagXpress® should make a copy of the DIB during loading, or use the source DIB at the source location.

  • If the OwnDIB property is False, when loading a DIB using hDIB, then ImagXpress stores a copy of the source DIB at a new location and assigns hDIB to this location. Processing of the loaded DIB will not result in modifications in the source DIB.
  • If the OwnDIB property is True, when loading a DIB using hDIB, then ImagXpress stores the source DIB handle in the ImagXpress buffer and subsequent processing of the image results in modification of the source DIB.
Note that when a DIB loads by setting hDIB, the display is not immediately updated. The display will update to the new DIB the next time the display paints.
See Also

Specify Load Options | hDIB Property | hBMP Property | OwnDIB Property


Load Image From BLOB

A BLOB (Binary Large Object) is a data type used to store large blocks of binary data, such as an image, in databases. An image can be loaded into ImagXpress® as a DIB using the LoadBlob method. The LoadBlob method is typically used to interface with the Visual Basic Data control.

See Also

LoadBlob Method | Specify Load Options


Glossary Item Box

Load Image from File | Load Image from Buffer | Specify Load Options | Load Image using Call Back | Load Image Using OLE Drag-and-Drop | Create a New Image | Copy an Image from an Existing ImagXpress Buffer | Load Image using Clipboard | Load Image from Screen Capture | Display Image

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Load Image using Picture

When PictureEnabled is set to true, an image can be loaded by setting the Picture property to the Picture property of a Form object, PictureBox control, or Image control. (e.g. VB LoadPicture function)

The ImagXpress® Picture property supports picture type BITMAP only. It does not support ICON or METAFILE. When an image loads using the Picture property, the Picture property stores the DDB (BITMAP). The image is stored as a DIB in an ImagXpress buffer (identified by the ProcessImageID property). If an Undo DIB resides in memory, it is deleted and the hDIBUndo property is set to NULL. The ViewImageID property is set to the newly loaded image, enabling the display of the new image.

The Picture property of the control has size limitations due to limitations of the Windows API. Although the Windows SDK does not document this limitation, our tests indicate that the limitation is approximately 16 MB. If the Picture property is set to an image that exceeds this size, the ImagError property is set, the ImagXpress Picture property is not set, and the image is not loaded into an ImagXpress buffer.

See Also

Load Image from File | Load Image from Buffer | Specify Load Options | Load Image using Call Back | Load Image Using OLE Drag-and-Drop | Create a New Image | Copy an Image from an Existing ImagXpress Buffer | Load Image using Clipboard | Load Image from Screen Capture | Display Image


Glossary Item Box

Load Image from File | Load Image from Buffer | Specify Load Options | Load Image Using OLE Drag-and-Drop | Load Image using Picture | Create a New Image | Copy an Image from an Existing ImagXpress Buffer | Load Image using Clipboard | Load Image from Screen Capture | Display Image

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Load Image using Call Back

To enable image loading through a call back event:

1. Call LoadCB method to initiate a user load.

2. ImagXpress® generates a CB event with value CBID_Open. This notifies the user to open data sources and do memory allocation/initialization.

3. Once user supplies data sources, ImagXpress generates a CB event with value CBID_Read. This indicates the de-compressor is requesting more data. The user supplies this data through the WriteCBData and WriteCBDataPtr methods.

4. When decompression is complete, ImagXpress generates a CB Event with value CBID_CLOSE. This notifies the user to perform any clean-up such as file closing, etc.

See Also

Load Image from File | Load Image from Buffer | Specify Load Options | Load Image Using OLE Drag-and-Drop | Load Image using Picture | Create a New Image | Copy an Image from an Existing ImagXpress Buffer | Load Image using Clipboard | Load Image from Screen Capture | Display Image


Glossary Item Box

Load Image from File | Load Image from Buffer | Specify Load Options | Load Image using Call Back | Load Image using Picture | Create a New Image | Copy an Image from an Existing ImagXpress Buffer | Load Image using Clipboard | Load Image from Screen Capture | Display Image

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Load Image Using OLE Drag-and-Drop

ImagXpress® supports OLE drag-and-drop, a powerful tool enabling you to move data between applications that support OLE drag-and-drop (such as many common Microsoft Applications, as well as other ImagXpress controls).

When OLEDropMode property is enabled, users can drag and drop data between applications and controls using the mouse.

A user selects an image to load into ImagXpress (by holding the mouse button down), selects the desired content in the source application or control, then drags it over to the ImagXpress control window. An OLEDragOver event triggers when this occurs, notifying the application that data is in the ImagXpress control.

When the user releases the mouse over the ImagXpress control, to "drop" the image into ImagXpress, an OLEDragDrop event is triggered by ImagXpress. This event notifies the application that the user requested the image be loaded into ImagXpress. The application is responsible for opening the data source and doing memory allocation/initialization and any clean up such as file closing, etc.

See Also

Load Image from File | Load Image from Buffer | Specify Load Options | Load Image using Call Back | Load Image using Picture | Create a New Image | Copy an Image from an Existing ImagXpress Buffer | Load Image using Clipboard | Load Image from Screen Capture | Display Image


Glossary Item Box

Load Image from File | Load Image from Buffer | Specify Load Options | Load Image using Call Back | Load Image Using OLE Drag-and-Drop | Load Image using Picture | Create a New Image | Copy an Image from an Existing ImagXpress Buffer | Load Image from Screen Capture | Display Image

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Load Image using Clipboard

ImagXpress® supports the use of the clipboard for loading a DIB into ImagXpress. To load a DIB from the clipboard into an ImagXpress image buffer:

  1. Copy content from the source into the clipboard. If copying from an existing ImagXpress buffer: Set the ProcessImageID property to the source buffer. Call the ImagXpress Copy method to copy the DIB from the buffer to the clipboard.
  2. Set the ProcessImageID to the target ImagXpress buffer which should receive the data from the clipboard.
  3. Call the ImagXpress Paste method to copy the DIB from the clipboard to the target buffer.
  4. The image can now be modified or saved. To display the image, set ViewImageID property to the target image buffer (ProcessImageID).
See Also

Load Image from File | Load Image from Buffer | Specify Load Options | Load Image using Call Back | Load Image Using OLE Drag-and-Drop | Load Image using Picture | Create a New Image | Copy an Image from an Existing ImagXpress Buffer | Load Image from Screen Capture | Display Image


Glossary Item Box

Load Image from File | Load Image from Buffer | Specify Load Options | Load Image using Call Back | Load Image Using OLE Drag-and-Drop | Load Image using Picture | Create a New Image | Copy an Image from an Existing ImagXpress Buffer | Load Image using Clipboard | Display Image

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Load Image from Screen Capture

To capture an image from the display and store it as a DIB in an ImagXpress® buffer:

  1. Set the ProcessImageID property to the target ImagXpress buffer.
  2. Call the ImagXpress Capture method, to save the screen area bounded by the control window as a DIB, or
  3. Call the ImagXpress CaptureWindow method, to save the screen area within the specified window as a DIB.
  4. The image can now be modified or saved. To display the image, set ViewImageID property to the target image buffer (ProcessImageID).
See Also

Load Image from File | Load Image from Buffer | Specify Load Options | Load Image using Call Back | Load Image Using OLE Drag-and-Drop | Load Image using Picture | Create a New Image | Copy an Image from an Existing ImagXpress Buffer | Load Image using Clipboard | Display Image


Glossary Item Box

Load Image from File | Load Image from Buffer | Specify Load Options | Load Image using Call Back | Load Image Using OLE Drag-and-Drop | Load Image using Picture | Create a New Image | Load Image using Clipboard | Load Image from Screen Capture | Display Image

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Copy an Image from an Existing ImagXpress Buffer

An image buffer can be loaded with a copy of an image from a different ImagXpress® buffer as follows:

  1. Set ProcessImageID property to the buffer you wish to populate (target buffer).
  2. Call CopyImage method to copy the contents of a specified existing buffer to the target buffer, or call CopyDIB method to copy just the DIB of a specified existing buffer to the target buffer.
  3. The new image can now be modified or saved. To display the image, set ViewImageID property to the target image buffer (ProcessImageID).
See Also

Load Image from File | Load Image from Buffer | Specify Load Options | Load Image using Call Back | Load Image Using OLE Drag-and-Drop | Load Image using Picture | Create a New Image | Load Image using Clipboard | Load Image from Screen Capture | Display Image


Glossary Item Box

Load Image from File | Load Image from Buffer | Specify Load Options | Load Image using Call Back | Load Image Using OLE Drag-and-Drop | Load Image using Picture | Copy an Image from an Existing ImagXpress Buffer | Load Image using Clipboard | Load Image from Screen Capture | Display Image

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Create a New Image

A new image can be created in ImagXpress® as follows:

  1. Set ProcessImageID property to the buffer you wish to populate (target buffer).
  2. Call CreateDIB method to create a new DIB and store it in the target buffer.
  3. The new image can now be modified or saved. To display the image, set ViewImageID property to the target image buffer (ProcessImageID).
See Also

Load Image from File | Load Image from Buffer | Specify Load Options | Load Image using Call Back | Load Image Using OLE Drag-and-Drop | Load Image using Picture | Copy an Image from an Existing ImagXpress Buffer | Load Image using Clipboard | Load Image from Screen Capture | Display Image


Get Loaded Image Information

Get Image Data

Once an image has been loaded into ImagXpress®, information about the image is available through the properties and methods within the ImagXpress Object.

Get Image Status

The ImageStatusChanged and Progress events raise to provide feedback on the status of the image as it is viewed, processed, or saved.

See Also

ImagXpress Object | ImageStatusChanged Event | Progress Event


Glossary Item Box

Undo a Processing Action | Annotate an Image | Print an Image | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Draw Graphics

Draw Lines and Shapes on the DIB

The ImagXpress® control has graphic drawing methods that let you draw lines and shapes on the DIB. Since the graphics are drawn onto the DIB, they become a permanent part of the image.

The Undo method does not undo changes to the image palette.

The following properties and methods are used to draw graphics:

  • DrawMode property — Returns or sets a value that determines how the interaction of color settings are managed (for example: pen color, background color, display color and foreground color).

  • DrawStyle property — Returns or sets a value that determines the line style for output from graphics methods.

  • DrawWidth property — Returns or sets the line width for output from graphics methods.

  • DrawFillStyle property — Returns or sets the pattern used to fill circles and boxes created with the DrawCircle, DrawLine and DrawPolygon graphics methods.

  • DrawFillColor property — Returns or sets the color used to fill in circles, boxes and polygons created with the DrawCircle, DrawLine and DrawPolygon graphics methods.

  • DrawLine method — Draws lines and rectangles on an image.

  • DrawCurve — Draws a Bezier curve on an image.

  • DrawCircle — Draws a circle or ellipse on an image.

  • DrawPolygon — Draws a 2-6 sided polygon on an image.

  • DrawRoundRect — Draws a rectangle with rounded corners on an image.

  • DrawArc — Draws an arc on an image.

  • DrawPie — Draws a pie-shaped wedge on an image.

  • DrawTextString — Draws text on an image.

See Also

Undo a Processing Action | Annotate an Image | Print an Image | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette


Glossary Item Box

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Palette

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Modify Image Metadata

Modify TIFF Tags in a Loaded Image

Once a TIFF image has been loaded into ImageXpress®, the tags can be modified by accessing the "Tag" properties and methods within the ImagXpress object.

Tags can be also modified without loading the image, using the FileGetTags and FileSetTags methods. (See Query Image Files).

Modify JPEG Comments in a Loaded Image

JPEG, JPEG2000, JLS, or WSQ files may have a list of comments. ImagXpress enables you to modify comments of an image loaded into ImagXpress, as follows:

  • Count the comments: The JPEGCommentCount property returns the number of comments contained in the file.
  • Get the Comments: The JPEGGetComment method returns the text associated with a specified comment.
  • Add a Comment: TheJPEGCommentAdd method adds a comment to the comment list.
  • Delete a Comment: The JPEGCommentDelete method deletes a comment from the comment list.
The Undo method does not undo changes to JPEG comments or TIFF tags
See Also

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Palette


Glossary Item Box

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Modify Image Palette

To permanently change the values of the image's palette, you can modify the RGB values at a specified index in the image's stored palette, as follows:

  1. Set ProcessImageID property to the image you wish to query or modify
  2. Call DIBGetPalIndex and DIBSetPalIndex to get and set the RGB value for a specified palette entry in the image's palette.
The Undo method does not undo changes to the image palette.
It is also possible to apply a different palette to the display or print DC without modifying the image's palette. See Display Image and Print an Image for more information.
See Also

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette


Glossary Item Box

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Perform Pixel-Level Modifications

To modify the loaded image on a pixel-by-pixel basis,

  • Call DIBGetPixel and DIBSetPixel methods to get and set the color of a pixel at specified coordinates within the DIB.
  • Get or set IResX, IResY and IResUnits to specify the resolution of the image.
These modifications cannot be undone using the Undo method.
See Also

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette


Set Control Window Appearance

ImagXpress® as an ActiveX Object

The ImagXpress control window serves as the image viewer. (To enable multiple views of an image within a project, load multiple ImagXpress controls.)

When using ImagXpress as an ActiveX object, the stock ActiveX control properties provide the user with the ability to define the window appearance.

ImageXpress as a COM Object

When using ImagXpress as a COM object or when using the ImagXpress ActiveX control in a container that does not support the stock properties, the window appearance can be defined using ImagXpress:

  1. Create an ImagXpress control window, by calling CreateCtlWindow. The hWnd property will now specify the window handle of the ImagXpress control.
  2. Set window characteristics as follows:
  • Background color of the control (BackColor property)
  • Style of border of the control (BorderType property)
  • Whether the control window is visible (CtlVisible property)
  • The position of the control window (CtlLeft, CtlTop, CtlWidth, CtlHeight properties) Call the CtlMove method to move the control window to a new location.
  • The name of the font to use in the control window: (CtlFontName property)
  • The size of font to use in the control window (CtlFontSize property)
  • The font style to use in the control window (CtlSetFontStyle method)
  • The maximum and minimum dimensions of the control window: MaxHeight, MinHeight, MaxWidth and MinWidth.

3.When destroying the ImagXpress control, call DestroyCtlWindow to free up the window.

See Also

Set Toolbar and Tools | Set the Context and Toolbar Menus


Set Toolbar and Tools

ImagXpress® supports a toolbar, which enables application end-users to access ImagXpress capability. Once the control loads, set the toolbar attributes, using the "Toolbar" properties and methods. Set the individual tool attributes, using the "Tool" properties and methods.

See Also

Set the Context and Toolbar Menus | Set Control Window Appearance


Set the Context and Toolbar Menus

Enable Menus

ImagXpress® provides the capability to define one context menu, as well as a toolbar menu for each tool on the toolbar. Menus can be enabled or disabled using the MenuSetEnabled and MenuGetEnabled methods. When a menu is disabled, no menu will appear when the user right clicks on the element (if context menu) or tool (if toolbar menu).

VB Example:

// This code demonstrates how to disable the toolbar and context menu

ImagXpress1.MenuSetEnabled Menu_Context, TOOL_None, False

ImagXpress1.MenuSetEnabled Menu_Toolbar, TOOL_None, False

Modify Menu Items

To modify the items in a menu, use the "Menu" methods within the ImagXpress object.

VB Example:

// This code demonstrates how to add a new menu and sub-menu item to the context menu

ImagXpress.MenuAddItem Menu_Context, 0, 100, 0, "Rotate", 0, 0
ImagXpress.MenuAddItem Menu_Context, 0, 100, 1, "Rotate 90 degrees", 0, 0
ImagXpress.MenuAddItem Menu_Context, 0, 100, 2, "Rotate 180 degrees", 0, 0

Private Sub ImagXpress_MenuSelect(

ByVal Menu As PegasusImagingActiveXImagXpress9Ctl.enumMenu,
ByVal Tool As PegasusImagingActiveXImagXpress9Ctl.enumIXTool,
ByVal TopMenuID As Long,
ByVal SubMenuID As Long,
ByVal User1 As Long,
ByVal User2 As Long)

If (menuType = MenuContext) Then
Select Case TopMenuID
Case 100
Select Case SubMenuID
Case 1
ImagXpress.Rotate 90
Case 2
ImagXpress.Rotate 180
End Select
End Select
End If
End Sub

See Also

Save Memory | Query Image Files | Manage Image Buffers in ImagXpress | Set Control Window Appearance | Set Toolbar and Tools


Configure Scrollbars, Mouse and Keys

Enable Scrollbars

To specify scroll bar behavior within the control:

  • Set the ScrollBars property, to indicate whether vertical and/or horizontal scrollbars is enabled.
  • Ensure that Scroll event is enabled, by calling EventSetEnabled.
When scrollbars are enabled, the application end-user is able to use scrollbars to navigate the view window, or scroll behavior can be programmatically controlled using the ScrollX and ScrollY properties.

Specify Cursor Style

To specify the style of pointer to be displayed:

  • Set the MousePointer property. To define a custom mouse icon, set the MouseIcon property and set MousePointer enumerator to MP_Custom.
  • Set the ShowHourglass property to specify that the MousePointer enumerator should be set to its hourglass value whenever an image loads, saved, or during image processing.
  • Set the MousePointerSetFromCursor property to set a mouse pointer from the given cursor.
  • Set the MousePointerSetFromPicture property to set a mouse pointer from a picture.

Enable Mouse & Key Actions

To enable interpretation of an application end-user's mouse and key actions:

  • Ensure that the mouse events: Click, DblClick, MouseUp, MouseDown, MouseMove, OLEDragDrop and OLEDragover events are enabled by using the EventSetEnabled and EventGetEnabled methods. These events alert the application that a change has occurred in the application end-user's mouse status.

The DIBXPos and DIBYPos properties provide the position (in pixels) of the mouse with respect to the DIB.

XPos and YPos return the logical position of the cursor in the displayed image, in pixels.

  • Call the KeysGetEnabled and KeysSetEnabled methods, to indicate which key strokes are interpreted by the control. When KEYS_ACCELERATORS_FORWARD or KEYS_SYSTEM_FORWARD are enabled, the key messages are forwarded to the key motion events. Ensure that the Keydown, Keypress and Keyup events are enabled, by calling EventSetEnabled for each.
  • Establish the Mouse or Key Actions required to control tools in the toolbar using the ToolGet and ToolSet methods.
  • Establish the Mouse or Key Actions required to cancel the loading, decompression, saving, compression, or processing of images, by setting the CancelMode property.
See Also

Enable Color Management | Enable Parallel Processing | Enable Internet Applications | Enable Exceptions | Enable Event Handling | Enable Palette Management | Enable Properties


Set Display Color Management

Color Management while Displaying an Image

Image Color Management (ICM) performs to ensure that the image has a very similar appearance, regardless of the device on which it is displayed or printed. When displaying an image, the image must be converted to the device-specific color space of the specified monitor. This conversion can be done at a number of different points in the process:

  • Prior to loading the image into ImagXpress®
  • By ImagXpress
  • By the display device

To perform color management within ImagXpress,

  1. Ensure that ICMEnabled is set to True.
  2. Specify how to apply profiles, by setting the ICMRenderIntent property (for example, Picture, Graphics, Business or Colorimetric interpretation.)
  3. Specify the color profile to be used when performing ICM on an image to be displayed by setting ICMMonitorProfileName. Setting ICMMonitorProfileName doesn't change the profile name stored with the monitor device context - it simply specifies the color profile ImagXpress uses when performing Image Color Management. If no ICMMonitorName is set, ImagXpress will use the ICMDefaultMonitorProfileName (the default monitor profile name from the current Windows device context).
  4. Display the Image.
See Also

Color Management Overview | Set Display Bit Depth | Set Display Palette


Set Display Bit Depth

Set the Bit Depth of the Displayed Image

If the image to be displayed has a greater bit depth than the monitor supports, then ImagXPress® will down sample the image when sending it to the display device.

In some cases, it may be necessary for the application programmer to artificially set the display device to a lower bit depth than the hardware supports (for example, to simulate the application's performance and appearance on a VGA monitor).

Use the DisplayMode property to get and set the maximum color depth to use on the display device. If ImageXView.DisplayMode is set to TrueColor, 24-bit images can be rendered to display. If DisplayMode is set to PaletteColor, 8-bit images can be rendered and if DisplayMode is set to VGAColor, 4-bit images can be rendered.

See Also

Set Display Color Management | Set Display Palette | Enable Progressive Viewing | DisplayMode Property


Set Display Palette

Set the Color Palette of the Displayed Image

When the image has a bit depth of 8 bits or less, the image's palette is realized by the display device. In other words, the image's palette combines with the display device's logical palette and is used to display the image. You can specify a different display behavior by setting the Palette property.

If Palette is set to:

  • UserDefined - then use the PRGBGetColors and PRGBSetColors methods to define and access a user-defined palette.
  • PalFile - then use the PFilename to set and get the source for the palette.
  • Gray - then a fixed gray palette is used.
  • Fixed - then an ImagXpress® internally defined palette is used.
  • Optimized - then the image is analyzed and the best palette is used.

Setting the PaletteType property does not change the palette stored with the image, but does change the palette realized by the display device.

See Also

Set Display Color Management | Set Display Bit Depth | Enable Progressive Viewing | Palette Property


Enable Progressive Viewing

Set ViewProgressive to specify whether or not images are displayed progressively. Progressive viewing can be useful if loading is expected to take a long time (for example, remote loading of a large, highly compressed file).

See Also

Set Display Color Management | Set Display Bit Depth | Set Display Palette | ViewProgressive Property


Glossary Item Box

Load Image from File | Load Image from Buffer | Specify Load Options | Load Image using Call Back | Load Image Using OLE Drag-and-Drop | Load Image using Picture | Create a New Image | Copy an Image from an Existing ImagXpress Buffer | Load Image using Clipboard | Load Image from Screen Capture

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Display Image

Display an Image:

To display an image,

  • Ensure that ViewUpdate is true, to specify that the display paint whenever there is a request to paint.
  • Ensure that AutoInvalidate is true, to specify that a repaint should be performed whenever there is a change to the image.
  • Set Notify to true if Notify events are to be generated when the control paints. The length of delay between painting and notifying is specified by the NotifyDelay property.

When Notify is true, a Notify event occurs every time the control paints. There are many factors that can cause a control to paint which may not always be apparent. This can sometimes lead to unexpected results, such as infinite loops. The following VB code illustrates how a recursive loop can occur and potentially cause a stack overflow error:

VB Example:

' The wrong way to do it

Sub ImagXpress1_Notify()

' Changing the border causes a repaint which generates another Notify event

ImagXpress1.BorderType = 1

' Changing the filename causes a repaint which generates another Notify event

ImagXpress1.FileName = "C:\PIC1.BMP"

DoEvents

End Sub

You can prevent loops like this from occuring by either setting the Notify property to False to prevent a Notify event from occurring, or setting the ViewUpdate property to False to also prevent the control from repainting.

  • Set the ViewImageID to the image to display. The control window will display the image identified by ViewImageID property when the window next paints.
The frequency of painting to the ImagXpress® control window is determined by the settings in Windows. If a paint is required immediately, the Paint method forces an immediate paint of the control window. The PaintDC method forces an immediate paint to a specified device (monitor or printer). Call DIBUpdate method to update the control's display with the current DIB.

Display Different Images Within One Control Window

To change the image being displayed, assign ViewImageID to a different image buffer. This image displays when the control window next paints. When an image loads into ImagXpress, the ViewImageID is assigned to the newly loaded image and the image is displayed automatically. The ViewStatus property indicates the status (for example, opened, decoded, wait, saved, etc.) of the image in the ViewImageID buffer.

Display Different Images at the Same Time

Each ImagXpress control that loads can display a different image, so loading multiple controls enables display of multiple images. The ManagePalette property specifies how palettes are applied across multiple control windows. When ManagePalette is True, the palette of the image displays in the top (z-level) control in the project and applies to all ImagXpress control windows. This enables a user to retain a consistent palette across multiple displayed images. When ManagePalette is False, each control window retains its own palette.

Display Multiple Simultaneous Views of the Same Image

Each ImagXpress control can display only one image at a time. Sometimes it is necessary to display multiple views of the same image. A typical use would be to display a "before" and "after" view of an image with some image rendering options changed.

To view the same image using multiple ImagXpress controls, load the image into the first control and assign its ViewImageID to the second control's ViewImageID. Now the two views share the image.

VB Example:

// This code demonstrates how to view the same image using multiple ImagXpress controls

IX9a.FileName = "a.gif"

IX9b.ViewImageID = IX9a.ViewImageID

Display Image Information in the Control Window

To display a dialog box with information about the image being displayed, call ShowViewImageInfo method.

See Also

Load Image from File | Load Image from Buffer | Specify Load Options | Load Image using Call Back | Load Image Using OLE Drag-and-Drop | Load Image using Picture | Create a New Image | Copy an Image from an Existing ImagXpress Buffer | Load Image using Clipboard | Load Image from Screen Capture


Modify Image View

The ImagXpress® control provides image display features, which will alter the display of an image after it loads, without modifying the image in the ImagXpress image buffer (DIB).

There are some advantages to modifying the view rather than the image data:

1. It is faster to change the view than to actually change the image data

2. Changes made to the view are not permanent

3. Changing the display rather than the image data enables applications to maintain multiple views of one image, processed independently.

The user can change the size of the display of the image, change the view position, track cursor position, and modify image rendering in the display without changing the image itself.

(See modify images for how to modify the image data).

See Also

Select a Section of the Displayed Image | Zoom Image Display | Change Image Display Rendering


Align Image Display

The AlignH and AlignV properties are set to specify the horizontal and vertical alignment of the image being viewed.

See Also

AlignH Property | AlignV Property | Zoom Image Display | Change Image Display Rendering


Zoom Image Display

Set the AutoSize property defines the default value for how an image will be sized and positioned for display when painted. The MaxHeight, MinHeight, MaxWidth, and MinWidth properties define the maximum and minimum dimensions that the control can be set to.

Resize Image

You can resize the display image without changing the DIB using either of the following:
  • Call the AutoSize property to change the display image size, effective the next time the control paints.
  • Call the ZoomToFit method to zoom the displayed image to fit the width, height, or both to the control window. The image's DIB, the aspect ratio of the displayed image and the aspect ratio of the image's pixels remain unchanged.
If the AutoSize property is set to 'BestFit' then the ImageXView.ZoomFactor property will be locked.
  • Change the aspect ratio of the pixels by setting the AspectX and AspectY properties. Setting these properties defines the shape of each pixel in the display. This changes the aspect ratio of the displayed image, but has no effect on the DIB.

These resize actions change the size of the display, without impacting the size of the image. To translate between the coordinates on the displayed image and the coordinates in the image, use the TranslateX and TranslateY methods. To modify the size the of the image, use the ResizeEx method.

See Also

Select a Section of the Displayed Image | Modify Image View | Change Image Display Rendering


Change Image Display Rendering

The ImagXpress® control provides advanced image display features. The following properties will alter the display of an image after it loads, without changing the image itself. These operations are faster than actually changing the image data and not permanent. They are particularly useful when using multiple views of one image. In that case, an operation on the image data would effect all views of that image buffer, while these operations will only effect one view.

Anti-Aliasing

The ViewAntialias property enables or disables the anti-alias effect. When the logical size of an image is reduced to less than the actual size of the image, then some of that image’s pixels will get lost. When ViewAntiAlias is enabled, all of the pixels that would occupy the same area are averaged together. This prevents fine lines from being lost, and allows a full page of printed text to be read clearly.

Brightness

The ViewBrightness property sets the change-of-brightness level for the image. Allows the user to adjust the brightness of the displayed image.

Contrast

The ViewContrast property sets the change-of-contrast level for the image. Allows the user to adjust the contrast of the displayed image.

Gray Mode

The ViewGrayMode property controls how ApplyGrayscaleTransform method levels the image: either via the standard algorithm or the medical algorithm.

Smoothing

The ViewSmoothing property enables or disables the view smoothing effect. When the logical size of an image is increased to more than the actual size of the image, the image starts to look boxy. When ViewSmoothing is enabled, ImagXpress performs a smoothing algorithm that smoothes out the square edges.

Dithering

The ViewDithered property enables or disables the use of dithering.

See Also

Select a Section of the Displayed Image | Modify Image View | Zoom Image Display


Capture an Image from Screen

Capture the screen area bounded by the ImagXpress® window and save it to an image buffer

Use the Capture method to capture the screen area bounded by the control and save it to the current image.

Capture the entire screen area within a specified window

Use the CaptureWindow method to capture the screen area bounded by the window and save it to the current image.

See Also

Capture Method | CaptureWindow Method | Select a Section of the Displayed Image


Select a Section of the Displayed Image

Use a Rubberband

ImagXpress® enables the user to select a section of the image that is being viewed. This section, referred to as a Rubberband, can then be used in a variety of ways: for example, copied to another control or buffer, or selected as a region to process.

To use a rubberband,

  • Call the RubberBand method, setting state = true, to initiate a rubberband starting at a specified position.
  • Call RubberbandUpdate method to update the end coordinates of the rubberband rectangle. The RubberBandH, RubberBandW, RubberBandL and RubberBandT properties are read only properties that return the height, width and coordinates of the rubberband rectangle. These properties update when RubberbandUpdate is called.
  • Copy the content framed by the rubberband to a DIB by calling the CopyRubberbandDIB method.

VB Example:

' Activate the rubberband when the user first clicks the mouse

Private Sub ImagXpress1_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)

' CLEAR ANY EXISTING RUBBER BANDING REGION
 ImagXpress1.RubberBand False, X, Y, False

' CONVERT X & Y TO PIXELS
 X = X / Screen.TwipsPerPixelX
Y = Y / Screen.TwipsPerPixelY

' TURN THE RUBBER BANDING ON, SET THE STARTING POINT
ImagXpress1.RubberBand True, X, Y, False

End Sub

' Track the user's changes whenever they move the mouse

Private Sub ImagXpress1_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

' UPDATE THE RUBBER BAND
X = X / Screen.TwipsPerPixelX
Y = Y / Screen.TwipsPerPixelY

ImagXpress1.RubberbandUpdate X, Y

End Sub

' Do something with the region when the user lifts off the mouse

Private Sub ImagXpress1_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)

Dim xpos, ypos, w, h As Integer

' YOU CAN DO ANYTHING WITH, OR TO, THE REGION THE USER HAS SELECTED. IN THIS EXAMPLE, WE WILL
' COPY THE AREA TO ANOTHER CONTROL.
ImagXpress2.hDib = ImagXpress1.CopyRubberbandDib
ImagXpress2.ZoomToFit ZOOMFIT_BEST

' TURN THE RUBBER BAND OFF
ImagXpress1.RubberBand False, X, Y, False

End Sub

Use a Sprite

ImagXpress provides capability to create and use a sprite. A sprite is created by copying a part of the displayed image into a transparent window. This window can be moved or pasted within the image view. To create and use a sprite:

  • Define a part of the displayed image to copy. (This can be done either by defining a Rubberband, Area, or a graphics path)
  • Create the sprite, by calling the RgnCreateSprite method
  • Move the sprite, by calling the RgnMoveSprite method
  • To permanently paste the sprite to the ImageX object, call the RgnPasteSprite method.
Even if the viewer is assigned a different image to display, the Sprite remains in effect and can be moved or pasted in the new image being viewed. Therefore, sprites can be used to merge images.
  • Delete the sprite and free up its resources, by calling the RgnDeleteSprite method.
Deleting the sprite does not result in any changes to the image being viewed.
See Also

Modify Image View | Zoom Image Display | Change Image Display Rendering


Handle End-User Viewing Events

End-User Interaction with the Toolbar and Menus

  • When a tool is selected the ToolbarSelect event raises to tell the application which tool was selected.
  • When a tool is used, ToolUse events raise to notify the application when: the tool is clicked, the tool is in action and the tool is no longer in use.
  • When the toolbar window opens, the ToolbarOpen event raises.
  • When the toolbar window closes, the ToolbarClose event raises.
  • When a menu item is selected, a MenuSelect raises to notify the application of the selection made. The menu ID is provided to the event handler when this event is raised.

VB Example:

// Write the event handler to dispatch the work when the user makes a menu selection
Sub IX1_MenuSelect (long menuType, long tool, long topMenuID, long subMenuID, long user1, long user2)

if (menuType = MenuContext) then

Select Case topMenuID

Case 100 ' Color

MyObj.Color = user1

Case 200 ' Size

MyObj.Size = user1

Case 300 ' Type

SelectCase subMenuID

Case 310

MyObj.DrawLine

Case 320

MyObj.DrawEllipse

Case 330

MyObj.DrawRect

End Select

end if
end sub

End-User Scrolling

The application end-user can change the portion of the image that is viewed in the View Window using scrollbars.

If scrollbars are enabled, then when the scroll bar is clicked, a Scroll event raises to alert the application to a scrolling request. The ScrollBarLargeChangeH, ScrollBarLargeChangeV, ScrollBarSmallChangeH and ScrollBarSmallChangeV properties are set to indicate the amount of requested change to the horizontal and vertical positioning of the view. The view is updated on the next paint.

End-User Cursor Movement

Track the position of the cursor in the displayed image as follows:

  • The XPos and YPos read-only properties return the logical position of the cursor within the displayed image, in pixels.
  • The DIBXpos and DIBYpos read-only properties return the position of the cursor with respect to the DIB, in pixels.
  • The PixelColor read-only property returns the color of the pixel at the current cursor position.
To translate between the coordinates on the displayed image and the coordinates in the DIB, use TranslateX and TranslateY methods.

End-User Mouse and Key Actions

  • When an application end-user uses the mouse, mouse events (Click, DblClick, MouseUp, MouseDown, MouseMove, OLEDragDrop, and OLEDragOver) are raised if they have been enabled (EventSetEnabled, EventGetEnabled).
  • An an application end-user presses keys, key events (KeyDown, KeyPress, KeyUp) are raised if keys have been enabled (KeysGetEnabled, KeysSetEnabled), and if key events have been enabled (EventSetEnabled, EventGetEnabled).
See Also

Set Control Window Appearance | Set Toolbar and Tools | Set the Context and Toolbar Menus | Configure Scrollbars, Mouse and Keys


Glossary Item Box

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Specify a Part of the Image to Process

Prior to performing image processing on an image, you must specify whether the entire image, or a section of the image, should be processed. The ImagXpress® control provides two vehicles for specifying a section of the image to be processed:

  • Area (Limited to a rectangular area), and
  • Region (not limited to a rectangular area).

If either an Area or a Region are defined, processing will apply only to that both an Area and a Region are enabled and defined, then the last one to be set will be used.

Region

Creating a Region

To create a region,

  1. Call RgnDelete to delete the old region.
  2. Define the points in the new region, by calling RgnAddPoint, specifying the coordinates of the next point defining the region. (Points cannot be added once the region has been created).
  3. Call RgnCreate to create the region.

A RubberBand can be created to define a rectangular region on the display. First create the rubberband, then use the RubberBandH, RubberBandL, RubberBandT, and RubberBandW properties to populate the X and Y coordinates in RgnAddPoint.

Querying a Region

The RgnX, RgnY, RgnWidth, and RgnHeight properties (read only) provide status on the current position and size of the region.

Copying the Region to a Sprite

Call RgnCreateSprite to create a Sprite by copying the current region into a transparent window. The sprite can then be moved (RgnMoveSprite) or pasted (RgnPasteSprite) to the image that is currently being viewed. The RgnSpriteX and RgnSpriteY properties define the upper left corner of the rectangle bounding the sprite. If the Viewer is assigned a different image to display, the Sprite remains in effect and can be moved or pasted in the new image being viewed. To delete the sprite and free up the resources associated with it, call RgnDeleteSprite.

Deleting the sprite does not make any changes to the image being viewed.

Enabling the Region for Image Processing

To enable the region, set the RgnEnabled property. When the region has been enabled, all image processing methods act on the region instead of the entire image. When the RegionEnabled property is False, the entire image is processed.

Deleting a Region

To delete a region object and free up the associated memory, call the RgnDelete method (there is no impact on the image).

Area

An area is a rectangular subset of the image. When the area is enabled (IPArea = true), image processing is performed on the area of the image only.

The RemoveRedeye, RemoveDust, and RemoveScratches methods require that an area be set to specify a subset of the image to process. For all other methods and properties, setting an area is optional.

Creating an Area

To create an Area, call the Area method with a specified rectangular bounding area. Since only one area can be defined for each ImagXpress control, calling Area will delete the previous area.

A RubberBand can be created to define a rectangular region on the display. First create the rubberband, then use the RubberbandH, RubberBandL, RubberBandT, and RubberBandW properties to populate the coordinates in Area.

Querying an Area

The size, location, and status of an area can be identified, using the following properties: IPAreaX, IPAreaY, IPAreaWidth, IPAreaHeight and IPArea.

Copying the Area to a Sprite

A Sprite cannot be created from an Area. To create a sprite, first copy the area to region. Then create the sprite.

Deleting an Area

Calling the Area method will replace the current area with a newly defined area.

See Also

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette


Glossary Item Box

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Modify Image Size and Orientation

Image size and orientation can be modified in several ways using ImagXpress®:

  • Modify the size or orientation of an image during loading of the image into ImagXpress (see Specify Load Options). In this case, the DIB in ImagXpress is modified to the specified size and orientation, but the source image is not modified.
  • Modify the size (or orientation) of the display of the image in the view window, without modifying the DIB in ImagXpress. (see Change image display size).
  • Modify the size and orientation of an image that is already loaded into ImagXpress. In this case, the DIB in ImagXpress is modified to the specified size and orientation, but the source image is not modified. (see below)

Resize

The Resize and ResizeEx methods resize the current image according to the specified algorithm.

  • If ScaleResizetoGray property is True and the DIB is 1-bit per pixel, the image resizes and scales to gray when Resize or ResizeEx is called.
  • If ScaleResizePreserveBlack is true, the image resizes and lines are darkened, to preserve details in the image. This is useful when shrinking image size).
  • After resizing, the ImagHeight and ImagWidth properties update to the new image height and width.

Crop

The Crop method adjusts the current image to the specified size. (The AutoCrop , CropBorder, and DocumentBorderCrop methods provide capability to crop space or border from an image. These are generally used primarily to clean up the document, rather than resize it.) After cropping, the ImagHeight and ImagWidth properties update to the new image height and width.

Flip

The Flip method vertically flips the image.

Mirror

The Mirror method rotates the image 180 degrees, then flips it to create a mirror image.

Rotate

The Rotate method rotates the current DIB by the specified angle, from -360 to 360 degrees. After rotating, the ImagHeight and ImagWidth properties update to the new image height and width.

See Also

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette


Modify Image Bit Depth

The following can be used to reduce the bit depth of an image:

Change Color Depth

The ColorDepth method changes the bits per pixel of the current image.

You can use the UniqueColors method to return the number of unique colors in the current image or region. This can be useful for determining if there is an opportunity to reduce the bit depth of the pixels without degrading the image.
If an image bit depth is modified from an image that is greater than 16 bits to an image that is 8 bits or less in depth, then a palette is associated with the image, as specified by the PaletteType parameter when calling the ColorDepth method.

Reduce GrayScale Bit Depth

It may be advantageous to reduce the bit depth of a gray image, as most humans can only discern 256 shades of gray. To level an 8 through 16-bit image to an 8-bit gray image,

  • Set ViewGrayMode to indicate whether medical or standard transformation method should be used.
  • Call the ApplyGrayscaleTransform method to modify the image (permanently).

Binarize

The Binarize method operates on 1-bit and 24-bit input images, permanently modifying the image to a 1-bit or 8-bit grayscale DIB of the same dimensions.

This is often done to clean up an image or create an image effect.

See Also

Specify a Part of the Image to Process | Modify Image Size and Orientation | Correct Color and Contrast


Glossary Item Box

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Cleanup Images | Modify Image Metadata | Modify Image Palette

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Correct Color and Contrast

ImagXpress® provides a suite of methods and properties that enable adjustment of image color.

The properties and methods listed here are used primarily to correct the color and contrast of an image to create a more pleasing and natural image. Some methods designed to invoke special image effects (for example, ReplaceColors and Parabolic) will also change the color and contrast of the image (see Apply image effects).

Correction of color and contrast

The color of each pixel in an image can be characterized using various color spaces. ImagXpress enables the user to modify the color balance within an image by specifying either of the following color spaces:

  • RGB specifies the red, green and blue values within the pixel.
  • HSL specifies the hue (color tone), saturation (grayness), and luminance (intensity of light).

Modify RGB levels

To change the levels of red, green and blue in the image, call AdjustRGB method, specifying the amount of change to the red, green and blue components of each pixel (in units or by percentage). Use the RGBColorCount method to identify the red,green and blue color intensities of the image. This is useful in determining how to set parameters.

Modify HSL levels

To change the levels of hue, saturation and luminance in the image, call AdjustHSL, specifying the amount of change to the hue, saturation and luminance components of each pixel (in units or by percentage).

Modify Luminance/Brightness

The Brightness method uniformly brightens the current image. A brightened image has pixels with higher luminance values (in HSL color space), or higher RGB values (in RGB color space) than the original image.

Automatic Color Balance

ImagXpress provides two alternative automatic color balance methods. Each uses a different algorithm to correct color balance. The user has the flexibility to use whichever method works best for the application and image.

  • To balance automatically, call AutoColorBalance. To override the default parameters used in the AutoColorBalance algorithm, call AdjustColorBalance instead of AutoColorBalance. The RGBColorCount method can be used to identify the red, green and blue color intensities of the image. This may be useful in determining how to set parameters specified in AdjustColorBalance.
  • To color balance automatically using an alternative algorithm, call AutoLevel.

Automatic Contrast Correction

ImagXpress provides three alternative automatic contrast correction methods. Each uses a different algorithm to correct contrast within the image. The user has the flexibility to use whichever method works best for the application and image.

  • The AutoLightness method assesses and adjusts contrast in light and dark regions of the image separately. This can be especially useful for bringing more detail into the shadowy areas of the image, without washing out the light regions. To override the default parameters used in the AutoLightness algorithm, call AdjustLightness instead of AutoLightness.
  • The AutoContrast method adjusts the overall contrast of the image. To adjust the automatic contrast correction by a specified amount, call Contrast instead of AutoContrast.
  • The Equalize method adjusts contrast without changing the brightness range of the image. If the brightness values of the image were represented in a histogram, the Equalize method would have the effect of redistributing the brightness values within the image's brightness range, so that "clumps" of brightness values are spread out more evenly. For example, if an image has many pixels that have similar brightness, the Equalize method will introduce greater difference in brightness between these pixels, without changing the least bright or most bright pixels. The effect is that greater detail can be seen in areas that previously had very similar brightness.

Modify Gamma

Unfortunately, monitors may output pixel brightness in a non-linear fashion, so that when the image is displayed, the image brightness is not accurately portrayed. Adjusting gamma enables the user to adjust pixel brightness to compensate for the limitations of the display device. The gamma value represents the ratio of input vs. output brightness.

A gamma of one represents a linear relationship between input and output brightness - no change is made to the image. A gamma other than one represents a parabolic relationship between input and output brightness. Applying a gamma greater than one brightens the image, with mid-brightness levels increased more than extremely dark or light pixels. A gamma less than one darkens the image, with mid-brightness levels decreased more than extremely dark or light pixels.

The Gamma method adjusts the brightness of the image based on a parabolic transform, defined by the gamma value. A Gamma value that is greater than one will result in a convex parabolic transform, with the mid-range brightened more than high and low end. A Gamma value that is less than one will result in a concave parabolic transform, with the mid-range darkened more than the high and low end.

Join, Split, Count Colors

  • Join or Split RGB values

ImagXpress also provides the capability to split or join the RGB values of the pixels in the image.

To separate the color components of the image, call ColorSeparation. To join the color components of the image, call ColorJoin.

  • Count the number of pixels of a specified color

The ColorCount method returns the number of pixels of a specified color within the current image or region. This can be useful, for example, in determining whether a check box on a form is filled.

See Also

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Cleanup Images | Modify Image Metadata | Modify Image Palette


Glossary Item Box

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Modify Image Metadata | Modify Image Palette

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Cleanup Images

ImagXpress® provides methods and properties to support cleanup of photo and document images.

Binarize

To facilitate cleanup or image recognition, it may be useful to convert an image to a 1-bit or 8-bit gray scale image. The Binarize method operates on 1-bit and 24-bit input DIB's, permanently modifying it to a 1-bit or 8-bit gray scale DIB of the same dimensions.

Deskew

To adjust the rotation of the page to remove skew, use one of the following:

  • General: the Deskew method. You have the option of specifying how the deskew performs (for example, whether the rotated image is cropped to original dimensions, or whether the image size adjusts based on the deskew).
  • Document: If the image is a black and white document, you may wish to use the DocumentDeskew method, which has been optimized for 1-bit images and which provides feedback on confidence in the result (IPConfidence property) and rotation angle required to correct the skew (IPRotationAngle property).

Shear

To adjust the rotation of the body of the image, use:

  • Document: Use the DocumentShear method to correct rotation within the body of the image text. (For example, if an image, like a page of a book, was not flat when scanned, the resulting digital image text may be skewed. The Deskew method will correct rotation of the entire page, but will not address skew within the text body of the image. In this instance Shear may be a more useful method.)

Remove specks or blobs

To eliminate small specks or larger black objects, use one of the following:

  • General: The Despeckle method removes black specks from an image.
  • Document: If the image is a black and white document, you may wish to use on of the following:
    • To remove small specks, use the DocumentDespeckle method, which has been optimized for 1-bit images and which provides feedback on the number of specks found (IPCountOfSpecsFound).
    • To remove larger black objects, such as binder punch holes, use the DocumentBlobRemoval method. This method sets the IPCountOfObjectsFound property.
  • Photo: If the image is a photo, you may wish to use the RemoveDust method, which has been optimized to remove black or white specks from color images. (Note: You must define an area to be processed, using the Area method prior to using the RemoveDust method.

Remove lines or scratches

To eliminate lines or scratches from the image, use one of the following:

  • Document: If the image is a black and white document, use the DocumentLineRemoval method. This method sets the IPCountOfLinesFound property.
  • Photo: If the image is a photo, use the RemoveScratches method to remove scratches from the image. (Note: You must define an area to be processed, using the Area method prior to using the RemoveScratches method.)

Identify blank pages

  • Document: To identify blank pages in a document, call the DocumentBlankPageDetect method. The IPBlankPageDetected and IPConfidence properties are set with the results of the DocumentBlankPageDetect method.

Clarify letters and lines

ImagXpress offers a number of methods, aimed at clarifying and smoothing letters and lines. They are:

Dilate

  • General: To enhance/fill in divots in black letters and lines, use Dilate.
  • Document: If the image is black and white, you can use the DocumentDilate method, which has been enhanced for black and white images.

Erode

  • General: To reduce/erase protrusions from black letters and lines, use Erode.
  • Document: If the image is black and white, you can use the DocumentErode method, which has been enhanced for black and white images.

Smooth

  • Document: If the image is black and white, you can use the DocumentZoomSmooth method. This method smoothes letters and lines, by first doubling their width and height, then dilating and eroding as required.

Remove edges or borders

  • General: To remove borders of an image, use one of the following methods:
    • Crop borders using the CropBorder method, specifying the type of crop (cropType) and threshold for recognizing the border (percentToCrop).
    • Automatically crop edge space from an image, using the AutoCrop method.
  • Document: If the image is black and white, the DocumentBorderCrop method can be used to automatically crop the borders of the document. This method has been enhanced for black and white images and sets the IPConfidence property to indicate the confidence of the DocumentBorderCrop result.
See Also

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Modify Image Metadata | Modify Image Palette


Remove Redeye

To reduce the red reflection of the flash seen in the eyes of people in color flash photo images, use one of the following methods:

Manual Red Eye Removal

Manually remove redeye from eyes in the image, using the RemoveRedeye method. (Note: You must define an area to be processed, using the Area method prior to using the RemoveRedeye method.)

Automatic Red Eye Removal

Automatically remove redeye from eyes in the image, using the AutoRemoveRedeye method. The AutoRemoveRedeye method will accurately correct red eyes without modifying elements in the photo which are not eyes, in most cases without any intervention.

Optimized Red Eye Removal

As with any algorithm, there is a potential for false positives (modifications of areas that are not eyes), or red eyes that are not corrected in some images.

To provide the application with maximum control over this behavior, the AutoRemoveRedeye method returns all areas that have been corrected as a collection of rectangles. The rectangles identify areas in which red-eyes were detected and corrected and a value indicating the confidence that the area corrected was a red eye. This enables the application to set an acceptable level of false positives and optimize red-eye correction.

The following describes how to implement optimized Red Eye Removal:

Enable the undo method by setting UndoEnabled = True.

Correct redeye, by calling AutoRemoveRedeye , specifying desired eyeshade, desired eye glare and setting UseEditRectangles to False. (When bUseEditRectangles is True, previously detected rectangles will be used to correct red eyes. When bUseEditRectangles is False, existing rectangles are ignored.) The AutoRemoveRedeye method removes red eyes from the image and sets the rectangles property to the collection of rectangles in which red eyes were detected and corrected.

To correct redeye without displaying the results, disable paint by setting AutoInvalidate = False prior to calling AutoRemoveRedeye.

Search and reverse any false positives

A. Enumerate through the set of rectangles:

1) Identify the number of rectangles found by calling RedeyeTotalCount . This sets the current rectangle to look at using the RedeyeRectangle properties.

2) Examine the RedeyeRectangleConfidence indicating the confidence value of that redeye correction.

B. Determine if a rectangle erroneously identified an area as containing red eyes, either by visual inspection or by determining that confidence values are below the desired threshold.

This threshold could be set by either the application end-user or the application programmer.

1) If the goal is to minimize false positives (modification of areas that aren't red eyes), keep only rectangles that have a very high confidence level. This will result in fewer red-eyes that are corrected, but may reduce the false positives.

2) If the goal is to maximize the number of red-eyes corrected, keep rectangles with a lower confidence level as well. This will result in more red-eyes corrected, but may increase the false positives.

3) Call RedeyeRectangleDelete to delete rectangles associated with any regions that should NOT be corrected.

Add red eyes that were not automatically corrected, if any, as follows:

A. Identify any remaining red eyes (visually).

B. Draw a rectangle around the remaining eyes. (Use rubberband, region, or area.)

C. Add the rectangle to the rectangle collection, by calling RedeyeRectangleAdd .

Modify redeye regions size or position, by calling RedeyeRectangleEdit .

Correct red-eyes and display the image as follows:

A. Undo the previous AutoRemoveRedeye by calling Undo .

B. Enable painting, by setting AutoInvalidate = True

C. Correct redeye, by calling AutoRemoveRedeye , setting bUseEditRectangles to True.

See Also

Select a Section of the Displayed Image | Modify Image View | Zoom Image Display | Change Image Display Rendering


Glossary Item Box

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Apply Image Effects

ImagXpress® provides methods and properties to support a variety of image processing effects, including:

Color & Lightness Effects

  • Binarize - The Binarize method operates on 1-bit and 24-bit input DIB's, permanently modifying it to a 1-bit or 8-bit gray scale DIB of the same dimensions.
  • Negate - The Negate method creates a color negative of the image.
  • Solarize - The Solarize method negates the colors beyond the threshold value.
  • ReplaceColors - The ReplaceColors method replaces a range of colors in the current image.
  • Posterize - The Posterize method reduces the number of colors in the image, to give the effect of contours in the image.
  • Emboss - The Emboss method transforms the image to give it a raised metallic-like look.
  • Parabolic - The Parabolic method adjusts the brightness of the image based on either a convex or concave parabolic transform, as specified. The convex parabolic transform darkens the pixels at the high and low range of the image's brightness spectrum and brightens the pixels in the middle range. The concave parabolic transform brightens the pixels at the high and low range of the image's brightness spectrum and darkens pixels in the mid-range.

Blending Effects

  • Blend -The Blend method blends each pixel in the image with its neighboring pixels.
  • Diffuse - The Diffuse method replaces each pixel in the image with a randomly selected neighboring pixel.
  • Median - The Median method uses a 3x3 median filter to blend in the current image.

Sharpness Effects

  • Blur - The Blur method blurs the image to give it an 'out of focus' appearance.
  • Sharpen - The Sharpen method sharpens the image by applying a high pass convolution filter.
  • Soften - The Soften method softens the image by applying a low pass convolution filter.
  • Unsharpen - The Unsharpen method sharpens edges within the image, but softens other areas.

Special Effects

  • Perspective - The Perspective method changes the aspect for each row and column of pixels to give the effect of an altered perspective.
  • Swirl - The Swirl method transforms the image, making it look as if it were swirled from the center.
  • Twist - The Twist method transforms the image, by dividing the image into square blocks and rotating each block.
  • Ripple - The Ripple method produces a wave-like ripple effect in the image.
  • Pinch - The Pinch method transforms the image to make it appear "pinched" in the center.
  • Buttonize - The Buttonize method transforms the image to make it look like a 3D button by adding translucent bevels to the edges of the image.
  • Outline - The Outline method enhances the edges in an image so that objects appear outlined.
  • Tile - The Tile method tiles the image.
  • Mosaic - The Mosaic method creates a pixilated version of the image.
  • Noise - The Noise method adds noise to the image.
See Also

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette


Glossary Item Box

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Modify Alpha Channel

ImagXpress® supports processing alpha channel information to manage transparency in images. Alpha channels are supported for PNG, Targa, and TIFF files. While not typical, ImagXpress also supports alpha channel for BMP and ICO files. If the image is saved to a format which does not support alpha channel, the alpha channel will be dropped.

Add Alpha Channel to an image

To add an alpha channel to a 24 bit image, call AlphaAdd, specifying an hDib with the desired alpha channel information. The current image (ProcessImageID) will be converted to a 32 bit image, including the new alpha channel. Note: The image must be 24 bit prior to calling AlphaAdd, or an exception is thrown.

The image must be a 32 bit image including alpha information prior to calling AlphaFlatten, or an exception is thrown.

Remove an Alpha Channel from an image

To remove an alpha channel from a 32 bit image, call AlphaRemove, which converts the to a 24-bit image without an alpha channel. The alpha channel information is not saved.

The image must be a 32 bit image including alpha information prior to calling AlphaFlatten, or an exception is thrown.

Flatten an Alpha Channel Image

Call AlphaFlatten to blend the 32 bit image's alpha channel plane with a specified color to create a blended 24 bit image. The resulting image has transparency information stored in the specified color within the 24-bit color spectrum.

The image must be a 32 bit image including alpha information prior to calling AlphaFlatten, or an exception is thrown.

Read Alpha Channel information

To get the alpha value at a specified X and Y location in the image, call AlphaGet.

To get the entire alpha channel plane associated with the image, call AlphaReturn. The alpha plane will be stored to an hDib.

Modify Alpha Channel Information

To set an alpha value at a specified X and Y location in the image, call AlphaSet.

To modify transparency levels across the image, select one of the following options:

  • Call AlphaInvert to invert the alpha values throughout the image, so that what was opaque becomes transparent, and vice versa.
  • Call AlphaFill to fill a specified region within the alpha image with a specified value.
If no region is specified, the entire alpha channel is set with the specified value.

Process an Image that Contains Alpha Channel

All image processing methods in ImagXpress support alpha channel, with the following exceptions:

Swirl, Pinch, PWarp, Ripple, Blur, Perspective do NOT support alpha channel.

These processes distort the image, and therefore drop the alpha channel.

See Also

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette


Glossary Item Box

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Merge Images

Merging is the operation of combining the current image being processed (ProcessImageID) with another image. The resulting merged image is stored in ProcessImageID.

To merge images,

(1) call Merge method.

(2) Load another image, using Picture, Filename, hDIB properties, or LoadBlob method. This image merges with the existing image.

(3) The resulting merged image stores at ProcessImageID, overwriting the existing image.

If an area or region is active when Merge is called, then the source image is merged with the active region or area on the target image.
If either of the images being merged has a bit depth of less than 24-bits, then both images are converted to 24-bit images, then merged.
If either of the images being merged has an associated color profile, then each image's profile is applied, then the images are merged. No color profile is retained.
When the images being merged are both TIFF files that have tags, ensure that the tags are saved when merging, by first capturing the tags, then merging, then applying tags again.
Sprites also offer limited capability of merging a part of an image with another one.

See Also

Undo a Processing Action | Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette


Glossary Item Box

Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Undo a Processing Action

You can check IPImageWasModified property at any time to determine whether the image was modified by the last processing action. (If an error occurs during processing, the processing action is discontinued and the image is not modified.)

Enable Undo Capability

The Undo capability enables you to undo the action of a processing method. To use the Undo capability:

  • Make sure UndoEnabled property is set to True. This enables the undo feature for a specific image, prior to performing image processing.

  • When UndoEnabled is True, additional memory is required to store the undo image.

    If Undo is not needed, set UndoEnabled to False, to reduce memory usage.

Undo a Processing Action

  • To undo the image processing action, call the Undo method. The current DIB (hDIB) is replaced with the Undo DIB (hDIBUndo), restoring the image to its original state. The hDIBUndo property is set to NULL.

Only image processing actions can be undone. Changes to ICM, loading and saving cannot be undone.

See Also

Annotate an Image | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette


Glossary Item Box

Undo a Processing Action | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Annotate an Image

Once an image has been loaded into ImagXpress®, it can be annotated using the NotateXpress™ control. See the NotateXpress Help file for information on how to load the NotateXpress control, link it to an ImagXpress control, create and save annotations.

Co-existing with the NotateXpress Toolbar

It is common to have NotateXpress' toolbar visible while ImagXpress' toolbar is also visible. If ImagXpress' toolbar is currently set to a tool other than the pointer (Tool_none), the NotateXpress toolbar tools do not activate. Inform the application end-user to set the ImagXpress tool to the pointer to be able to use the NotateXpress toolbar.

A tool tip for the pointer arrow is a good measure.
See Also

Undo a Processing Action | Print an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette


Glossary Item Box

Undo a Processing Action | Annotate an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette

See Also PegasusImaging.ActiveX.ImageXpress9 Send comments on this topic.

Print an Image

ImagXpress® enables you to print an image, using either ImagXpress or PrintPRO™.

Print the Image using ImagXpress

ImagXpress enables the user to print an image. This can be the easiest way to print the image, if the DC and printed page coordinates are known. ImagXpress provides two ways to print:

ImagXpress Option One: Use PrinterhDC property to print an image:

  1. If your printer requires printer banding, ensure PrinterBanding property is set to True.
  2. Set the ProcessImageID property to the image you wish to print.
  3. Set the PrinterLeft, PrinterTop, PrinterHeight and PrinterWidth properties to define the position and size of the printed image. The value for these properties must be in twips. There are 1440 twips per inch. You can identify the height and width of the current (ProcessImageID) image by calling the ImagHeight and ImagWidth properties.
  4. Set PrinterhDC to the printer's device context. This results in a request to print to the specified printer. Because PrinterhDC invokes a printing request, this is a write-only property.

The following code prints the current ImagXpress image (ProcessImageID) in the upper left corner of the printed page.

VB Example:

ImagXpress1.FileName = "C:\IMAGES\BIRD.JPG"

' Set the dimensions of the printed control

ImagXpress1.PrinterTop = 0

ImagXpress1.PrinterLeft = 0

ImagXpress1.PrinterWidth = ImagXpress1.Width ' Assumes twips

ImagXpress1.PrinterHeight = ImagXpress1.Height ' Assumes twips

Printer.Print ""

ImagXpress1.PrinterhDC = Printer.hDC

Printer.EndDoc

ImagXpress Option Two: Use PaintDC to Print

Use the PaintDC method to print what is in the current image view as follows:

  1. If your printer requires printer banding, ensure PrinterBanding is set to True.
  2. Ensure the ViewImageID property is set to the image you wish to print.
  3. Call PaintDC, passing in the handle of the printer device context, along with the position and size of both the printed page and the source image.

Print the Image using PrintPRO

The ImagXpress PrinterhDC property and PaintDC method require a printer DC from the container. However, in some containers, a printer DC is not available. In this case, PrintPRO provides a vehicle to print to a selected printing device. PrintPRO also may provide the best solution if you require a customized printer interface and programmatic control over printing functions.

VB Example:

// This code demonstrates how to print an image using ImagXpress and PrintPRO

Dim a As Integer

Dim b As Integer

PrintPRO1.hDIB = Xpress1.hDIB

PrintPRO1.ScaleMode = SCALE_Pixel

PrintPRO1.StartPrintDoc

a = PrintPRO1.ScaleWidth - PrintPRO1.LMargin

b = PrintPRO1.ScaleHeight - PrintPRO1.TMargin - PrintPRO1.BMargin

PrintPRO1.PrintDIB PrintPRO1.LMargin, PrintPRO1.TMargin, a, b, 0, 0, 0, 0, True

PrintPRO1.EndPrintDoc

VB Example:

// This code demonstrates how to print a multi-page TIFF image using ImagXpress and PrintPRO

PrintPRO1.PrintDialog

PrintPRO1.StartPrintDoc

For counter = 1 To IX1.NumPages(IX1.FileName)

IX1.PageNbr = counter

IX1.FileName = IX1.FileName

PrintPRO1.hDIB = IX1.hDIB

a = PrintPRO1.ScaleWidth - 1 - PrintPRO1.LMargin

b = PrintPRO1.ScaleHeight - 1 - PrintPRO1.Tmargin - PrintPRO1.BMargin

PrintPRO1.PrintDIB PrintPRO1.LMargin, PrintPRO1.TMargin, a, b, 0, 0, 0, 0, True

PrintPRO1.NewPage

Next counter

PrintPRO1.EndPrintDoc

Color Management While Printing an Image

Color management is performed to ensure that the image has a similar appearance, regardless of the device on which it is displayed or printed. When printing an image, the image must be converted to the device-specific color space of the specified printer. This conversion can be done at a number of different points in the process:

  • Prior to loading the image into ImagXpress
  • By ImagXpress
  • By PrintPRO
  • By the printing device

To perform color management with ImagXpress,

  1. Ensure that ICMEnabled property is set to True.
  2. Specify how profiles should be applied, by setting the ICMRenderIntent property (for example, Picture, Graphics, Business and Colorimetric interpretation.)
  3. Enable color management of an image to be proofed, by setting ICMProofingEnabled property to True. Set the ICMTargetProfileName property to the profile to use when proofing the image. When ICMProofingEnabled is True, this profile overrides the ICMPrinterProfileName property. This can be helpful if proofing occurs on a printer/ink different than the destination printer.
  4. Specify the color profile to use when performing ICM on an image to be printed (ICMPrinterProfileName). Setting ICMPrinterProfileName doesn't change the profile name stored with the printer device context - it simply specifies the color profile ImagXpress should use in performing Image Color Management.
  5. Send the image to the specified device, or to PrintPRO, to be printed (see above).
See Also

Undo a Processing Action | Annotate an Image | Draw Graphics | Specify a Part of the Image to Process | Modify Image Size and Orientation | Apply Image Effects | Merge Images | Perform Pixel-Level Modifications | Modify Alpha Channel | Correct Color and Contrast | Cleanup Images | Modify Image Metadata | Modify Image Palette


Specify Save Options

Prior to saving an image, specify the image's save options, by setting the properties below. Save options specify critical image saving information.

General Save Options

  • File name: The SaveFileName property specifies the path and name of the file to save.
  • File type: The SaveFileType property specifies the type (format) of file to save.
  • Compression size: The SaveCompressSize property specifies the desired file size in bytes.
  • Save to buffer: The SaveToBuffer property specifies whether image data is saved to a file or memory buffer. The SaveBufferHandle property specifies the handle of the memory buffer which will receive the image data.
  • Multi-page file: The SaveMultiPage property specifies if a TIFF, DPF, ICO, MODCA or DCX file should be saved as the next page in an existing file.

Image Color Management Saving Options

Apply an image color profile to the image being saved by ImagXpress:

  1. Specify how profiles should be applied, by setting the ICMRenderIntent property (for example, Picture, Graphics, Business, Colorimetric interpretation.)
  2. Set the ICMSaveProfileName to the name of the color profile you wish to apply to the image being saved. When the image is saved, the specified profile is applied to the image and the resulting converted image is stored in the destination image buffer.

Internet Saving Options

To enable saving to a remote location, set the FTPUserName and FTPPassword properties. You might need to set the FTPMode and ProxyServer properties as well depending on your server configuration.

Image Format-Specific Save Options

PIC

  • Password: The PICPassword property specifies the password for an ePIC (.PIC) format file.

PDF

  • Compression type: The SavePDFCompression property specifies the PDF compression type for saving a PDF file.
  • Black and white: The SavePDFSwapBlackandWhite property indicates whether black and white pixels should be swapped when saving the PDF image.
  • Multi page file: The SaveMultipage property specifies that the image is being saved to a multi-page file.

PNG

  • Format type: The SavePNGInterlaced property specifies whether a PNG file is to be saved in the interlaced format.
  • Transparency: The SaveTransparencyColor property specifies the color used to represent transparency.

PBM

  • Format type: The SavePBMType property specifies the format for saving a PBM file.

PGM

  • Format type: The SavePGMType property specifies the format for saving a PGM file.

PPM

  • Format type: The SavePPMType specifies the format for saving a PPM file.

GIF

  • Format type: The SaveGIFType property specifies the GIF format for saving a GIF file.
  • Transparency: The SaveTransparent and SaveTransparencyColor property specifies how transparency information is saved in the file.
  • Interlaced: The SaveGIFInterlaced property indicates whether the GIF file is saved in the interlaced format.

EXIF

Thumbnail size: The SaveEXIFThumbnailSize property specifies the size of an EXIF thumbnail image.

TIFF

  • Byte order: The SaveTIFFByteOrder property indicates the byte order for saving a TIFF file.
  • Compression type: The SaveTIFFCompression property specifies the TIFF compression type for saving a TIFF file.
  • Rows: The SaveTIFFRowsPerStrip property specifies how many rows to save in each strip of a TIFF file.
  • Special tiff handling: SpecialTIFFHandling property indicates that special case TIFF handling is required.
  • Multi page file: The SaveMultipage property specifies that the image is being saved to a multi-page file.
  • Fast Saving of Multi page files: For detailed information on fast saving of multi-page TIFF files, see Save Image to File.

DCX

  • Multi page file: The SaveMultipage property specifies that the image is being saved to a multi-page file.

Icon

  • Multi page file: The SaveMultipage property specifies that the image is being saved to a multi-page file.

JBIG2

  • Encoding mode: The SaveJBIG2EncodeModeCompression property specifies the encoding mode to use when creating the JBIG2 file.
  • File organization: The SaveJBIG2FileOrgCompression property specifies the file organization of the JBIG2 bit-stream.
  • Invert bits: The SaveJBIG2InvertedRegion property specifies whether the bits should be inverted prior to symbol analysis.
  • Looseness: The SaveJBIG2LoosenessCompression property specifies how loose to be when matching symbols and compressing text using either of the lossy text region encode modes.

JPEG, TIFF-JPEG, and ePIC:

  • Quality Level: The SaveJPEGChromFactor property specifies the chrominance quality setting. The SaveJPEGLumFactor property specifies the luminance quality setting to use when saving the file. The SaveJPEGSubSampling property specifies the sub-sampling type (which affects color sharpness).
  • For higher quality and lower compression, set Luminance and Chrominance in the low teens and set SubSampling to 1:1:1 compression.
  • For higher compression and lower quality, set Luminance and Chrominance in the low 20’s and set SubSampling to 4:1:1 compression

  • Gray Scale: The SaveJPEGGrayscale property specifies whether the file is saved as a gray scale file. The SaveJPEGCoisted property specifies whether DICOM compression is used. The SaveJPEGProgressive property specifies whether JPEG files are to be saved as standard or progressive files.

Lossless JPEG:

  • Compression type and method: The SaveLJPCompType and SaveLJPCompMethod properties specify the compression type and method used for saving a lossless JPEG file. The SaveLJPPrediction property specifies the prediction formula to use in determining the best compression.

JLS

  • Interleave Value: The SaveJLSInterLeave property specifies the interleave value.
  • Near: The SaveJLSNear property enables overriding the default near parameter.
  • MaxValue: The SaveJLSMaxValue property enables overriding the default maximum value parameter.
  • Point Transform: The SaveJLSPoint property specifies that an optional point transform should be applied to the image data for compressing JPEG-LS files.

JPEG 2000

  • Compression Type: The SaveJP2Type property specifies whether the compression is lossy or lossless.
  • Progression Order: The SaveJP2Order specifies the progression order of the saved JPEG2000 file.
  • Tile Dimensions: The SaveTileHeight and SaveTileWidth properties specify the tile dimensions for the saved image.

WSQ

  • Black and White Levels: The SaveWSQBlack and SaveWSQWhite properties specify the level of black and white used in the compression of the saved WSQ file.
  • Quantization: The SaveWSQQaunt property specifies the quantization of the saved WSQ file.
See Also

Save Image to File | Save Image to Buffer | Assign the DIB to Another Owner


Save Image to File

When an image is stored to file, the current image buffer (ProcessImageID property) within ImagXpress® remains unchanged, but the contents of the image buffer store to a file.

Saving an Image to File

To save an image to file, first verify that save options are set for the file type you are saving. Then, set the SaveFileName property to the path and filename you wish to save to. ImagXpress automatically saves the image as the type specified by the file extension, if the SaveFileType property is set to 0 (FT_DEFAULT).

VB Example:

ImagXpress1.SaveFileName = "C:\IMAGXPRESS\XYZ.JPG"

ImageXpress1.SaveFile

ImagXpress converts and compresses the image to the file format specified and saves it to the target location. While ImagXpress is compressing and saving the image, you can check the ProcessStatus property to understand the current status of the process. If the file is extremely large and requires heavy compression and the computer is slow, then it could take more than a few seconds to encode the image.

Saving a Multi-page Image

ImagXpress supports the following multi-page image formats: TIFF, PDF, ICO and DCX. Multi-page images can be compressed and saved in the Document and Photo editions. The standard edition can read (decompress and load) the first page of a multi-page image.

ImagXpress does not support saving to a multi page image at an HTTP or FTP location.

To compress and save a multi page image to file, you need to:

  1. Set the SaveMultiPage property to True, indicating that the image appends to a multi-page document.
  2. Then loop through the images to be appended.

VB Example:

ImagXpress1.SaveFileName = "C:\newmulti.tif"

ImagXpress1.SaveMultiPage = True

<<loop>>

ImagXpress1.ProcessImageID = 500

ImagXpress1.SaveFile

ImagXpress1.ProcessImageID++

<<end loop>>

Fast Saving of Multi-page TIFF Files (generally over 1000 pages)

When the SaveUseIFDOffset property is false (default), the image is appended to the end of the multi-page TIFF. Due to the linked format of TIFF, the software must traverse all the link pointers to identify the location to which the new page will be appended. The greater the number of pages in the target TIFF file, the longer the write process takes. (Typically, if the target file has more than 1000 pages, the write speed will degrade substantially.

Setting the SaveUseIFDOffset property to true specifies that the control should write the image to the location stored in the SaveIFDOffset property. This enables much faster writing of TIFF files with many pages because the software can seek to that location without traversing all previous pointer links. This process gives very predictable speeds in adding pages to a multi-page TIFF file.

Important:

If the file's IFDOffset ever became out of sync with the SaveIFDOffset property value, file corruption could occur. To protect the application from inadvertently corrupting a saved mutli-page file, the ImagXpress.0 control takes the following measures:

  • If the application sets the SaveUseIFDOffset property to true or false, the SaveIFDOffset property is automatically set to zero. The application must then explicitly set the IFD Offset to be used.
  • Executing any Save method will automatically set the SaveUseIFDOffset property to false. The application must then explicitly set the value back to true as needed.
  • Executing any Load method will automatically set the SaveIFDOffset to zero, and SaveUseIFDOffset to false. The application must then explicitly set the SaveUseIFDOffset to true as needed.
  • When the SaveIFDOffset property is zero, a normal write (not fast TIFF write) will occur regardless of the SaveUseIFDOffset value. The fast write will take place only when SaveIFDOffset is set to non-zero and the SaveUseIFDOffset is set to true.

The following example illustrates how to use the SaveUseIFDOffset and SaveIFDOffset properties to safely enable fast TIFF writing.

VB Example:

myIFDOffset = 0

For i = 1 To MaxCount

ImagXpress1.FileName = OpenName
‘ SaveUseIDFOffset is reset to False
‘ and SaveIDFOffset is reset to zero
‘ Specify that the fast TIFF writing should be used to append
‘ the next page to the multi-page TIFF
‘ Specify the SaveIFDOffset to which the image will be written.
 ImagXpress1.SaveMultiPage = True
ImagXpress1.SaveFileName = “Multipage.tif”
ImagXpress1.SaveTIFFCompression = TIFF_CCITTFAX4

‘ Save the image to the multi-page file
 ImagXpress1.SaveFileType = FT_TIFF
If FastTiffChk.Value = 1 Then
ImagXpress1.SaveUseIFDOffset = True
Else
ImagXpress1.SaveUseIFDOffset = False

End If

ImagXpress1.SaveIFDOffset = myIFDOffset
ImagXpress1.SaveFile
‘ SaveUseIFDOffset is now reset to false.
‘ SaveIFDOffset is set to the new IFDOffset
‘ to which the next page should be appended.
‘ Read the SaveIFDOffset property and temporarily store it away for
‘ reuse the next time the output file is appended.
 myIFDOffset = ImagXpress1.SaveIFDOffset

Next i

See Also

Specify Save Options | Save Image to Buffer | Assign the DIB to Another Owner


Save Image to Buffer

Images can be saved from ImagXpress® to a memory buffer:

  1. Set the SaveToBuffer property to specify that image data should be set to a memory buffer.
  2. Set the SaveBufferHandle property when specifying save options. The contents of the buffer are saved to the specified target buffer.
  3. Call the SaveFile method.
  4. Call DeleteSaveBuffer method to free the memory used during the saving process. The source image buffer (ProcessImageID) remains intact.

VC++ Example:

// This code demonstrates how to save images to a memory buffer

ImagXpress1.SaveToFile = True;

ImagXpress1.SaveBufferHandle = targetdestination;

ImagXpress1.SaveFile;

ImagXpress1.DeleteSaveBuffer;

See Also

Specify Save Options | Save Image to File | Assign the DIB to Another Owner


Assign the DIB to Another Owner

Call the AssignDIB method to assign the DIB of the current buffer (ProcessImageID property) to a receiver and delete the DIB within the ImagXpress® control. The receiver could be a variable, a different control, or another ImagXpress control. The receiver is responsible for freeing the DIB by issuing a GlobalFree on the DIB Handle. If the receiver is an ImagXpress control, there is no need to issue the GlobalFree, as ImagXpress does this for you.

When AssignDIB is called, the DIB is deleted from ImagXpress, but the image buffer remains. To free up memory associated with the buffer, you need to delete the buffer.

See Also

Specify Save Options | Save Image to File | Save Image to Buffer


Debug

To generate a debug log file, set Debug to true. The log file is kept at the location specified by DebugLogFile. Set the DebugErrorLevel to Development or Detailed to indicate the level logged.

To view Error Codes, go to Enumeration.IX_Result.

See Also

Debug Property | DebugLogFile Property | DebugErrorLevel Property | IX_Result Enumeration


See Also

ImagXpress Members

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ImagXpress Object

Description

Pegasus Imaging ImagXpress Control v9.0

For a list of all members defined in this module, see ImagXpress members.

Object Model

See Also

ImagXpress Members


ImagXpress Overview

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ImagXpress Object Members

Public Methods

Public Method AboutBox | Displays a dialog box containing ImagXpress version and copyright information.
Public Method AdjustColorBalance | Override the default parameters when auto color balancing the image.
Public Method AdjustHSL | Adjusts the hue, saturation, and luminance components of the current image.
Public Method AdjustLightness | Automatically balances contrast in the image, adjusting the results of the auto lightness algorithm by a specified amount.
Public Method AdjustRGB | Adjusts the red, green, and blue components of the current image.
Public Method AlphaAdd | Add alpha channel information to an image.
Public Method AlphaFill | Fills the alpha channel with the value specified.
Public Method AlphaFlatten | A 32 bit image with an alpha channel (ARGB) will be merged with (alpha channel applied to) the specified color, resulting in a blended 24 bit RGB image.
Public Method AlphaGet | Gets the alpha value at a specified location in the image.
Public Method AlphaInvert | Invert the alpha values throughout the current image, region, or area.
Public Method AlphaRemove | Removes alpha channel data from a 32 bit image.
Public Method AlphaReturn | Returns a handle to an 8 bit gray scale image depicting the alpha channel data.
Public Method AlphaSet | Set an alpha value at a specified location in the image.
Public Method ApplyGrayscaleTransform | Permanently levels a 8 through 16-bit gray image to an 8-bit gray image.
Public Method Area | Specifies the update area in the current DIB where subsequent image processing functions are performed.
Public Method AssignDIB | Assigns the DIB from the control to a receiver and removes the DIB from the control.
Public Method AutoColorBalance | Restores and balances color quality within an image.
Public Method AutoContrast | Uniformly adjusts the contrast in the current image.
Public Method AutoCrop | Automatically crops the border space from an image.
Public Method AutoLevel | Restores and balances color quality within an image.
Public Method AutoLightness | Automatically assesses and adjusts contrast in light or dark regions of the image.
Public Method AutoRemoveRedeye | Automatically reduces the red reflection of the flash seen in the eyes of people in color flash photo images.
Public Method Binarize | Operates on 1-bit and 24-bit DIBs creating a 1-bit or 8-bit grayscale output DIB, respectively, of the same dimensions.
Public Method Blend | Blends each pixel in the current image with its neighboring pixels.
Public Method Blur | Blurs the current image by averaging each pixel with each of its neighboring pixels giving it an 'out of focus' appearance.
Public Method Brightness | Uniformly brightens the current image.
Public Method Buttonize | Adds translucent bevels to the edges of the current image to give it the appearance of a 3D button.
Public Method CadClose | Closes the CAD file.
Public Method CadLayerEnableView | Enables viewing the given CAD layer.
Public Method CadOpen | Opens the CAD file for repeated renderings of differently selected layers and layouts.
Public Method CadView | Changes the CAD file view.
Public Method CalsAddTag | Adds a Cals tag from the given parameters.
Public Method CalsAddTagPtr | Adds Cals tag information via a pointer.
Public Method CalsDeleteTag | Deletes a Cals tag.
Public Method CalsFindTag | Finds a Cals tag as per the given ID.
Public Method CalsFindTagPtr | Finds Cals tag information via a pointer.
Public Method CalsFirstTag | Finds the first instance of a Cals tag.
Public Method CalsNextTag | Finds the next instance of a Cals tag.
Public Method Cancel | Cancels current loading, decompression, compression, or saving operation.
Public Method Capture | Captures the screen area bounded by the control and saves it to the current image.
Public Method CaptureWindow | Captures the screen area within the specified Window and saves it to the current image.
Public Method CloseImage | Closes the specified image and frees up associated resources.
Public Method ColorCount | Returns the number of pixels of a specified color within the current image area.
Public Method ColorDepth | Changes the bits per pixel of the current image.
Public Method ColorJoin | Joins the color components into a full image.
Public Method ColorSeparation | Separates the color components of the image.
Public Method CompactFile | Compacts a multiple page file by removing unused pages.
Public Method Contrast | Automatically adjusts the contrast of the current image.
Public Method Copy | Copies the current image to the clipboard.
Public Method CopyDIB | Creates a copy of the current DIB.
Public Method CopyImage | Copies an image from a specified buffer to the current buffer.
Public Method CopyRubberbandDIB | Creates a copy of the DIB bounded by the current rubber band.
Public Method CreateCtlWindow | Creates the ImagXpress Control Window.
Public Method CreateDIB | Creates a new solid color bitmap.
Public Method Crop | Crops the current image to the specified size.
Public Method CropBorder | Performs border removal by automatically cropping the edges of the current DIB.
Public Method CtlMove | Moves the control window.
Public Method CtlSetFontStyle | Sets the ImagXpress font style.
Public Method DeletePage | Deletes a page from a multi-page document.
Public Method DeleteSaveBuffer | Deletes the memory associated with image data saved after invoking the SaveFile method when the SaveToBuffer property is True.
Public Method Deskew | This method can be employed to correct skewing in an image.
Public Method Despeckle | Filters the image using a filter that attempts to eliminate noise in the image.
Public Method DestroyCtlWindow | Destroys the ImagXpress Control Window.
Public Method DIBGetPalIndex | Gets an RGB value for a palette entry in the current DIB.
Public Method DIBGetPixel | Gets a pixel value from the current DIB.
Public Method DIBSetPalIndex | Sets an RGB value for a palette entry in the current DIB.
Public Method DIBSetPixel | Sets a pixel value in the current DIB.
Public Method DIBUpdate | Updates the control’s display with the current DIB.
Public Method Diffuse | Diffuses the current DIB by replacing each pixel with a randomly selected neighboring pixel.
Public Method Dilate | Dilates the current DIB using a 3x3 maximum filter.
Public Method DocumentBlankPageDetect | Examines a rectangle on an image, determining if the page is considered blank, based on the amount of data on the page.
Public Method DocumentBlobRemoval | Locates and removes large black objects in images such as binder punch holes.
Public Method DocumentBorderCrop | Crops borders of documents.
Public Method DocumentDeskew | Automatically detects and removes skew from current 1-bit depth images.
Public Method DocumentDespeckle | Detects and removes specks from the current image.
Public Method DocumentDilate | Examines pixels in the current image and expands the black ones by given amount in given direction.
Public Method DocumentErode | Removes the black pixels in the current image by the given amount in the given direction.
Public Method DocumentLineRemoval | Automatically detects and removes lines from the current image.
Public Method DocumentShear | Shears current image clockwise or counter-clockwise.
Public Method DocumentZoomSmooth | Replaces current 1 bitperpixel image with an image whose width and height have been doubled and whose pixels have been smoothed.
Public Method DrawArc | Draws an arc on a displayed image.
Public Method DrawCircle | Draws a circle or ellipse on a displayed image.
Public Method DrawCurve | Draws a Bezier curve on a displayed image.
Public Method DrawLine | Draws lines and rectangles on a displayed image.
Public Method DrawPie | Draws a pie-shaped wedge on a displayed image.
Public Method DrawPolygon | Draws a 2-6 sided polygon on a display image.
Public Method DrawRoundRect | Draws a rectangle with rounded corners on a displayed image.
Public Method DrawTextString | Draws text into an image.
Public Method Emboss | Embosses the current image, giving it a raised metallic-like or embroidered look.
Public Method Equalize | Performs contrast equalization on the current image.
Public Method Erode | Erodes the current DIB using a 3x3 minimum filter.
Public Method EventGetEnabled | Returns the enabled status for a particular event.
Public Method EventSetEnabled | Sets the enabled status for a particular event.
Public Method FileGetTags | Retrieves the collection and page requested.
Public Method FileSetTags | Sets values for image in collection.
Public Method Flip | Flips the current DIB from top to bottom.
Public Method Gamma | Specifies gamma correction.
Public Method GetImageHnd | Returns the image associated with the image buffer.
Public Method GetUniqueImageID | Returns a long integer that represents a unique image buffer that is currently not already in use.
Public Method ImageStatus | Returns the current status for a specified image buffer.
Public Method InsertPage | Inserts a new page into a multi-page document.
Public Method IPGetColorPlane | Returns a handle to one of the four gray scale DIBs created by the last call to the ColorSeparation method.
Public Method IptcAddDataSet | Adds an Iptc dataset as per the given parameters.
Public Method IptcAddDataSetPtr | Adds Iptc dataset via a pointer.
Public Method IptcDeleteDataSet | Deletes Iptc datasets.
Public Method IptcFindDataSet | Finds Iptc datasets.
Public Method IptcFirstDataSet | Finds the first instance of the Iptc dataset.
Public Method IptcModifyDataSet | Modifies the Iptc dataset as per the given parameters.
Public Method IptcModifyDataSetPtr | Modifies the Iptc dataset via a pointer.
Public Method IptcNextDataSet | Finds the next Iptc dataset.
Public Method IsValid | Returns whether or not the supplied image ID has been allocated from the image buffer manager.
Public Method JPEGCommentAdd | Adds a comment to the current comment list.
Public Method JPEGCommentDelete | Deletes a comment from the current comment list.
Public Method JPEGGetComment | Returns the comment text of the specified comment in the current comment list.
Public Method KeysGetEnabled | Check the enabled state of a particular key type.
Public Method KeysSetEnabled | Enable or disable specific keys.
Public Method LoadBlob | Loads an image file stored in memory. A Blob is a Binary Large Object.
Public Method LoadBuffer | Loads an image file stored in memory.
Public Method LoadBufferPtr | Points to an image file loaded into memory.
Public Method LoadCB | Initiates a user load through the CB Event into the current image buffer specified by the current value of the ProcessImageID property.
Public Method LoadRaw | Implements LoadOptions for RAW files.
Public Method LoadVirtualImage | Loads the virtual image and allows passing in the area coordinates and resolution.
Public Method Matrix | Applies a 3x3 convolution matrix filter to the current DIB.
Public Method MBlur | Creates a motion blur of the current DIB.
Public Method MEDGetModalityLUT | Extracts the Modality Look Up Table information.
Public Method MEDGetValuesOfInterestLUT | Extracts the Values Of Interest Look Up Table information.
Public Method Median | Utilizes a 3x3 median filter to eliminate noise in the current DIB.
Public Method MEDSetModalityLUT | Defines a DICOM Modality Look Up Table.
Public Method MEDSetValuesOfInterestLUT | Defines a DICOM Look Up Table.
Public Method MenuAddItem | Adds an item to a specified menu.
Public Method MenuChangeItem | Changes the specified menu item from the specified menu.
Public Method MenuDeleteItem | Removes the specified item from the specified menu.
Public Method MenuGetEnabled | Returns whether or not the specified menu will display when the right mouse button is clicked over the appropriate area.
Public Method MenuGetFirstItemID | Gets the first menu ID on the specified level from the specified menu.
Public Method MenuGetItem | Retrieves the text string from the specified menu item.
Public Method MenuGetItemChecked | Returns the Checked attribute of the specified menu item.
Public Method MenuGetItemEnabled | Returns the Enabled attribute of the specified menu item.
Public Method MenuGetItemVisible | Sets the Visible attribute of the specified item on the specified menu.
Public Method MenuGetNextItemID | Gets the next menu ID on the specified level from the specified menu.
Public Method MenuSetEnabled | Sets whether or not the specified menu will display when the right mouse button is clicked over the appropriate area.
Public Method MenuSetItemChecked | Sets the Enabled attribute of the specified menu item on the specified menu.
Public Method MenuSetItemEnabled | Sets the Enabled attribute of the specified menu item on the specified menu.
Public Method MenuSetItemVisible | Sets the Visible attribute of the specified menu item on the specified menu.
Public Method Merge | Merges the current image with images that are subsequently loaded.
Public Method Mirror | Rotates current DIB 180 degrees, then flips it to create a mirror image.
Public Method Mosaic | Gives the current DIB a pixilated look.
Public Method MousePointerIsBuiltin | Returns an indication if the mouse pointer is built in.
Public Method MousePointerReset | Resets the mouse pointer to the given value.
Public Method MousePointerSetFromCursor | Sets the mouse pointer from the given cursor.
Public Method MousePointerSetFromPicture | Sets a mouse pointer from a picture.
Public Method Negate | Creates a color negative of the current DIB.
Public Method Noise | Adds noise to the current DIB.
Public Method NumPages | Returns the number of image pages in a multiple page PDF, TIFF or DCX file.
Public Method Outline | Enhances the edges in the current DIB to give it an outline effect.
Public Method Paint | Causes the control to immediately repaint.
Public Method PaintDC | Render an image to the specified device context.
Public Method Parabolic | Utilizes a parabolic transform to modify the brightness of each pixel in the current DIB.
Public Method Paste | Pastes the current bitmap or DIB from the clipboard.
Public Method Perspective | Changes the aspect for each row or column of pixels in the current DIB.
Public Method Pinch | Transforms the current DIB by making it appear as if it were pinched in the center.
Public Method Posterize | Reduces the number of colors in the current DIB.
Public Method PRGBGetColors | Specifies a user defined palette for the control.
Public Method PRGBSetColors | Specifies a user defined palette for the control.
Public Method PrintImage | Prints the image with the given parameters.
Public Method PWarp | Performs a polynomial warp on the current DIB by re-sizing and warping it based on 4 bounding points within the current image.
Public Method QueryBufferPtr | Query the buffer for the given attributes.
Public Method QueryCadFormat | Query the CAD format with the given attributes.
Public Method QueryCadLayer | Query the CAD layer with the given attributes.
Public Method QueryCadLayout | Query the CAD layout with the given attributes.
Public Method QueryFile | Obtains information about an image file.
Public Method QueryFileV | Obtains information about an image file.
Public Method RedeyeRectangleAdd | Add a redeye rectangle to the set of identified rectangles.
Public Method RedeyeRectangleDelete | Remove a rectangle from the array of rectangles being kept.
Public Method RedeyeRectangleEdit | Modify a redeye rectangle's size or position.
Public Method Refresh | Causes the control to repaint.
Public Method RemoveDust | Removes specks within color images.
Public Method RemoveRedeye | Reduces the red reflection displayed in the eyes of people from which a color flash photo image was taken.
Public Method RemoveScratches | Removes scratches within color images along a line.
Public Method ReplaceColors | Replaces a range of colors in the current DIB.
Public Method Resample | Resizes the current DIB.
Public Method Resize | Resizes the current image.
Public Method ResizeEx | Resizes the current image according to the algorithm specified by ResizeType enumerator.
Public Method RGBColorCount | The three arrays each containing 256 elements which equate to a count of the red, green, and blue color intensities of the image.
Public Method RgnAddPoint | Overloaded. Sets the update region wherein subsequent processing methods will be performed on the current DIB.
Public Method RgnCreate | Creates a new region.
Public Method RgnCreateSprite | Creates a copy of the current region in a transparent window that can be moved or pasted into the image.
Public Method RgnDelete | Deletes region on the current DIB.
Public Method RgnDeleteSprite | Deletes the current sprite.
Public Method RgnMoveSprite | Moves the current sprite.
Public Method RgnPasteSprite | Pastes the current sprite into the image.
Public Method Ripple | Produces a wave-like effect on the current DIB.
Public Method Rotate | Rotates the current DIB.
Public Method RubberBand | Turns rubberbanding on and off.
Public Method RubberbandUpdate | Updates the current rubber band.
Public Method SaveFile | Saves the current DIB to the file specified by the SaveFileName property.
Public Method Sharpen | Overloaded. Sharpens the current DIB by applying a high pass convolution filter.
Public Method SharpenEx | Sharpens the current DIB by applying a high pass 3 x 3 convolution filter selected by the user.
Public Method ShowViewImageInfo | Shows a dialog box displaying information about the selected image.
Public Method Soften | Applies a low pass convolution filter to the current image to give the image a softer look.
Public Method SoftenEx | Softens the current DIB by applying a low pass 3 x 3 convolution filter.
Public Method Solarize | Solarizes the colors in the current DIB by negating the colors beyond the threshold value.
Public Method Swirl | Transforms the current DIB by creating a swirling pattern from the center of the DIB.
Public Method TagAdd | Adds a tag to the tag list.
Public Method TagDelete | Removes the specified tag from the tag list.
Public Method TagFind | Retrieves the ImageXTag object from the ImageXTagCollection.
Public Method TagFirst | Retrieves the first tag in the tag list.
Public Method TagGetDataItem | Used to fetch a tag's data.
Public Method TagModify | Modifies a single data item in a tag.
Public Method TagNext | Retrieves the next tag in the tag list.
Public Method TagSetData | Sets the tag data.
Public Method TagSetDataItem | Used to set the current tag's data.
Public Method TagSetDataPtr | Adds a tag to the image file and sets the tag data.
Public Method Tile | Tiles the current DIB.
Public Method ToolbarDeleteTool | Deletes tool from the toolbar.
Public Method ToolbarGetToolEnabled | Gets the enabled value of tool.
Public Method ToolbarGetToolTip | Gets text value of tool.
Public Method ToolbarGetToolVisible | Gets tool visibility.
Public Method ToolbarSetToolEnabled | Enables the tool.
Public Method ToolbarSetToolTip | Sets the tool tip of the tool.
Public Method ToolbarSetToolVisible | Sets the visibility of the tool.
Public Method ToolGet | Retrieves which tool is assigned to a given mouse/shift combination.
Public Method ToolGetAttribute | Retrieves the value of a specific tool's attribute.
Public Method ToolSet | Assigns a tool to a particular shift/mouse combination.
Public Method ToolSetAttribute | Sets the value of a specific tool's attribute.
Public Method TranslateX | Translates values from one horizontal coordinate system to the other.
Public Method TranslateY | Translates values from one vertical coordinate system to the other.
Public Method Twist | Divides the current DIB into square blocks and rotates each block.
Public Method Undo | Undoes the action of the previous image processing method if the UndoEnabled property was set True prior to performing the method.
Public Method UnFocus | Blurs the current DIB by averaging each pixel with each of its neighboring pixels giving it an 'out of focus' appearance.
Public Method UniqueColors | Returns a count of unique colors in the current DIB.
Public Method UnlockRuntime | Verifies passwords for licensing runtime control.
Public Method UnlockWeb | Unlocks the control for use on a particular web site.
Public Method Unsharpen | This method has the effect of combining of a noise-cleaning filter with a sharpening filter.
Public Method UnsharpenEx | Subtracts the low resolution image from a normal resolution image to create a masked image.
Public Method WriteCBData | Writes user supplied image data to the image buffer for processing.
Public Method WriteCBDataPtr | Writes user supplied image data to the image buffer for processing.
Public Method ZoomToFit | Zoom factor to fit current image within the ImagXpress control.

Public Properties

Public Property AlignH | Gets or sets the horizontal alignment of the image being viewed
Public Property AlignV | Gets or sets the vertical alignment of the image being viewed.
Public Property AspectX | Gets or sets the horizontal aspect ratio of the current image.
Public Property AspectY | Gets or sets the vertical aspect ratio of the current image.
Public Property Async | Used to toggle whether all subsequent image loading/processing/saving operations occur in a thread separate from the main ActiveX thread.
Public Property AsyncCancelOnClose | Determines whether pending asynchronous operations are allowed to complete when the control is being terminated.
Public Property AsyncMaxThreads | This is the maximum number of threads each ImagXpress control can spawn off when in Async mode.
Public Property AsyncPriority | Specifies the separate image loading/processing/saving threads priority when the Async property is True.
Public Property AutoAssignID | Boolean property used to toggle the automatic image buffer ID assignment option.
Public Property AutoClose | Boolean property used to toggle whether the image buffer, that the control is using, is automatically closed when the control is destroyed.
Public Property AutoInvalidate | Toggles notification of change to image buffer.
Public Property AutoSize | Gets or sets the type of image re-sizing to perform.
Public Property BackColor | The background color of the control window.
Public Property BorderType | Sets or gets the style of border of the control.
Public Property CadLayoutToRender | Gets and sets the CAD layout to draw.
Public Property CadPaperBitDepth | Gets and sets the CAD paper bit depth.
Public Property CadPaperHeight | Gets and sets the CAD paper height.
Public Property CadPaperResolutionUnits | Gets and sets the paper resolution units.
Public Property CadPaperResolutionX | Gets and sets the CAD paper x coordinate resolution.
Public Property CadPaperResolutionY | Gets and sets the CAD paper y coordinate resolution value.
Public Property CadPaperWidth | Gets and sets the CAD paper width.
Public Property CalsTagData | Gets and sets the Cals tag data.
Public Property CalsTagDataPtr | Gets and sets the tag data via a pointer.
Public Property CalsTagId | Gets and sets the Cals tag ID.
Public Property CalsTagIdPtr | Gets and sets the Cals tag ID via a pointer.
Public Property CameraRawEnabled | Specifies whether the control will examine the image on loading to determine if it is in a Camera RAW file format.
Public Property CancelLoad | Sets or returns the cancel load flag.
Public Property CancelMode | Defines an event that cancels the loading, decompression, saving, compression, or processing of images.
Public Property CancelRemove | Sets or returns the cancel remove flag.
Public Property ClientHeight | Gets and sets the height of the client area.
Public Property ClientWidth | Gets and sets the width of the client area.
Public Property ClipboardFormat | Used to specify the format of the image to get or set on the clipboard.
Public Property CompressInMemory | Determines if the image data stored in memory is compressed.
Public Property ContrastMethod | Returns method of contrast to employ for Contrast function.
Public Property CropX | Sets or returns the horizontal starting position, in pixels, of the crop rectangle.
Public Property CropY | Sets or returns the vertical starting position, in pixels, of the crop rectangle.
Public Property CtlFontName | Sets or returns the control’s font name.
Public Property CtlFontSize | Sets or returns the control’s font size.
Public Property CtlHeight | Sets or returns the control window’s height.
Public Property CtlLeft | Sets or returns the control window’s left position.
Public Property CtlTop | Sets or returns the control window’s top position.
Public Property CtlVisible | Sets or returns the control window’s visibility state.
Public Property CtlWidth | Sets or returns the control window’s width.
Public Property Debug | Gets and sets a flag to indicate if debug information is sent to a debug file.
Public Property DebugErrorLevel | Gets and sets the level of debug information that is written to the DebugLogFile.
Public Property DebugLogFile | Gets and sets the file and location of the debug log file.
Public Property DIBXPos | Returns the x position in pixels of the mouse pointer with respect to the DIB.
Public Property DIBYPos | Returns the y position in pixels of the mouse pointer with respect to the DIB.
Public Property DisplayError | Sets or returns the Display Error flag.
Public Property DisplayMode | Returns or sets a value indicating the maximum color depth used to render an image.
Public Property DrawFillColor | Returns or sets the color used to fill in circles, boxes and polygons created with the DrawCircle, DrawLine, and DrawPolygon graphics methods.
Public Property DrawFillStyle | Returns or sets the pattern used to fill circles and boxes created with the DrawCircle, DrawLine and DrawPolygon graphics methods.
Public Property DrawMode | Returns or sets a value that determines the appearance of output from graphics methods.
Public Property DrawStyle | Returns or sets a value that determines the line style for output from graphics methods.
Public Property DrawWidth | Returns or sets the line width for output from graphics methods.
Public Property Edition | Specifies which edition of ImagXpress to use.
Public Property Enabled | Returns the enabled state of the control.
Public Property EvalMode | Specifies whether a watermark or dialog box will be displayed periodically when in evaluation mode.
Public Property FileName | Loads an image from a file.
Public Property FileOffset | Sets or returns the offset in the file or memory buffer where ImagXpress will begin reading image data.
Public Property FileOffsetUse | Determines the behavior of the FileOffset property when loading a TIFF file.
Public Property FileTimeout | Specifies how long a separate loading thread should wait for data.
Public Property Font | Returns a Font object.
Public Property FTPMode | Sets or returns the mode to use for FTP.
Public Property FTPPassword | The password used to log into an ftp site.
Public Property FTPUserName | The user name used to log into an ftp site.
Public Property hBMP | Returns the window handle to the current device dependent bitmap.
Public Property hDIB | Loads an image from a device independent bitmap. (read only)
Public Property hDIBUndo | Returns the window handle to the current undo device independent bitmap. (read only)
Public Property HdPhotoPostFilter | Gets and sets the HD photo post filter.
Public Property hPAL | Gets the handle for palette for use with the current image.
Public Property hWnd | Returns the window handle of the control.
Public Property IBPP | Gets the number of bits per pixel.
Public Property ICMDefaultMonitorProfileName | Looks up the default monitor profile name from current Windows device context.
Public Property ICMEnabled | Enables/disables color management.
Public Property ICMMonitorProfileName | Supplies the monitor’s profile filename.
Public Property ICMPrinterProfileName | Supplies the printer’s profile filename.
Public Property ICMProofingEnabled | Enables/disables ICM target proofing.
Public Property ICMRenderIntent | Specifies how the profiles should be applied as defined below.
Public Property ICMSaveProfileName | Supplies the profile filename to use as the target when saving a file.
Public Property ICMSourceProfileName | Specifies the ICM profile that will be used to perform Image Color Management.
Public Property ICMTargetProfileName | Supplies the target profile’s filename.
Public Property Idle | This property determines if the control is doing an operation or not.
Public Property IFileSize | Returns the file size, in bytes, of the current image.
Public Property IFormat | Gets the current image format.
Public Property IHeight | Gets the height value of the current image.
Public Property ImagError | Returns the last control error.
Public Property ImagHeight | Gets the height of the current image, in twips.
Public Property ImagWidth | Returns the width of the current image, in twips.
Public Property IPArea | Returns the enabled status of Area, set by the last call to the Area method.
Public Property IPAreaHeight | Returns the height of the update area rectangle set by the last call to the Area method. (read only)
Public Property IPAreaWidth | Returns the width of the update area rectangle set by the last call to the Area method. (read only)
Public Property IPAreaX | Returns the top left x coordinate of the update area rectangle set by the last call to the Area method.
Public Property IPAreaY | Returns the top left Y coordinate of the update area rectangle set by the last call to the Area method.
Public Property IPBlankPageDetected | Returns the result of the last call to DocumentBlankPageDetect. (read only)
Public Property IPConfidence | Indicates level of certainly that results are correct. (read only)
Public Property IPCountOfLinesFound | The number of lines found during execution of the DocumentLineRemoval method. (read only)
Public Property IPCountOfObjectsFound | The count of the objects found during execution of the DocumentBlobRemoval method. (read only)
Public Property IPCountOfSpecsFound | The count of the specs found during execution of the DocumentDespeckle method. (read only)
Public Property IPImageWasModified | Checks if image was altered by one of the Document processing methods. (read only)
Public Property IPRotationalAngle | Returns the rotation angle (in degrees) used by the last call to either the Rotate method or DocumentDeskew method.
Public Property IptcDataSet | Gets and sets the Iptc dataset.
Public Property IptcDataSetData | Gets and sets Iptc dataset data.
Public Property IptcDataSetDataPtr | Gets and sets the Iptc dataset data via a pointer.
Public Property IptcDataSetLength | Gets and sets the Iptc dataset length.
Public Property IptcDataSetType | Gets and sets the Iptc dataset type.
Public Property IptcRecord | Gets and sets the Iptc record.
Public Property IPVariation | The amount of variation detected in the skew of the image, when the DocumentDeskew method is executed. (read only)
Public Property IResUnits | Sets or returns the unit of measurement used by the IResX and IResY properties.
Public Property IResX | A double value that evaluates to the image's X resolution.
Public Property IResY | A double value that evaluates to the image's Y resolution.
Public Property IWidth | Gets the width value of the current DIB.
Public Property JB2SwapBlackandWhite | Specifies if the values for black and white uses industry defaults or not.
Public Property JPEGCommentCount | Returns the number of comments contained in the current JPEG, JPEG 2000, JLS, or WSQ file.
Public Property JPEGCosited | Specifies whether the image was compressed with cosited subsampling.
Public Property JPEGEnhDecomp | Gets or sets the JPEG enhanced decompression flag indicating whether to use standard decoding or Pegasus enhanced decoding.
Public Property LibraryThreadsAllowed | Gets and sets the library number of threads allowed.
Public Property LoadAlphaChannel | Specifies whether alpha channel data will be loaded with the image.
Public Property LoadCropEnabled | Sets or returns the crop enabled flag.
Public Property LoadCropHeight | Sets or returns the height in pixels of the crop rectangle.
Public Property LoadCropWidth | Gets or sets the width value of this LoadOptions member.
Public Property LoadCropX | Sets or returns the top left X coordinate in pixels of the crop rectangle.
Public Property LoadCropY | Sets or returns the top left Y coordinate in pixels of the crop rectangle.
Public Property LoadMode | Specifies whether image data will be interpreted as a raw image format, or a standard image format.
Public Property LoadResizeAntiAlias | Gets the load resize anti alias indicator.
Public Property LoadResizeEnabled | Gets or sets image resize when loading an image into the viewer control.
Public Property LoadResizeHeight | Gets or sets the image height when loading an image into the viewer control.
Public Property LoadResizeMaintainAspectRatio | Gets or sets the option to preserve image aspect ratio when loading an image into the viewer control.
Public Property LoadResizePreserveBlack | Specifies that, when loading, black objects in the image should be enhanced within the image to increase readability.
Public Property LoadResizeWidth | Gets or sets the image width when loading an image into the viewer control.
Public Property LoadRotated | Gets or sets the rotation options of the image to be loaded.
Public Property LoadScaleToGray | Sets or returns the ScaleToGray flag.
Public Property LoadThumbnail | Sets or returns the thumbnail style (JPEG and ePIC images only).
Public Property ManagePalette | Sets or returns the palette management flag.
Public Property MaxHeight | Gets or sets the maximum height the viewer control can obtain during auto-resizing.
Public Property MaxWidth | Gets or sets the maximum width viewer control can obtain during auto-resizing.
Public Property MEDModalityLUTEnabled | Controls the use of the Modality Look Up Table.
Public Property MEDPhotometricInterpretation | Determines whether a zero in the image data is black or white.
Public Property MEDRescaleIntercept | Sets and gets the intercept of the linear conversion of pixel data in the DICOM grayscale transformation.
Public Property MEDRescaleSlope | Sets and gets the slope of the linear conversion of pixel data in the DICOM grayscale transformation.
Public Property MEDValuesOfInterestLUTEnabled | Controls the use of the Look Up Table for the Values Of Interest processing.
Public Property MEDWindowCenter | Specifies the center value used to specify a linear conversion from stored pixel values to values to be displayed after any Modality LUT or Rescale Slope and Intercept conversions have been applied.
Public Property MEDWindowWidth | Specifies the width value used to specify a linear conversion from stored pixel values to values to be displayed after any Modality LUT or Rescale Slope and Intercept conversions have been applied.
Public Property MinHeight | Gets or sets the minimum height the viewer control can obtain during auto-resizing.
Public Property MinWidth | Gets or sets the minimum width the viewer control can obtain during auto-resizing.
Public Property MouseIcon | Sets a custom mouse icon.
Public Property MousePointer | Determines the type of mouse pointer displayed when the mouse cursor is inside the object.
Public Property MouseWheelCapture | Gets and sets an indicator to capture the mouse wheel.
Public Property Multitask | Sets or returns the multitask flag.
Public Property Notify | Generates a Notify event after image displays.
Public Property NotifyDelay | Sets or returns the Notify event delay.
Public Property OLEDropMode | Enabled or Disables OLE Drop.
Public Property OwnDIB | This determines whether or not the ImagXpress control owns the DIB after getting or setting the hDIB property.
Public Property PageNbr | Specifies the page number to read for a multiple page TIFF or DCX file starting at 1.
Public Property Pages | The number of pages in the current file.
Public Property Palette | Specifies which palette is used to display or print the image.
Public Property PDFSwapBlackandWhite | Gets or sets a pixel value of zero to black or white.
Public Property Persistence | Sets or returns the property persistence flag.
Public Property PFileName | Specifies the filename that contains the palette for the control.
Public Property PICPassword | Gets or sets the password for an encrypted Pegasus Imaging Corporation (ePIC) file format.
Public Property Picture | Specifies a BMP to display in the control.
Public Property PictureEnabled | Specifies whether the Picture property can be used to load images.
Public Property PixelColor | Returns the color of the pixel at the current cursor position inside the image. (read only)
Public Property PrinterBanding | Sets or returns the printer banding flag.
Public Property ProcessImageID | Chooses the active image buffer for all loading, saving and image processing operations that the user chooses.
Public Property ProcessStatus | Status of the current process buffer.
Public Property ProgressPct | Sets or retrieves the Progress event frequency.
Public Property PropertyLocations | Determines source from which properties are read.
Public Property ProxyServer | Sets or returns the proxy server name or ID.
Public Property RaiseExceptions | Sets or returns the RaiseExceptions enabled flag.
Public Property RedeyeRectangleConfidence | The level of confidence that the corrected area really was a red eye.
Public Property RedeyeRectangleHeight | The height of the redeye rectangle, in pixels.
Public Property RedeyeRectangleIndex | The index of the redeye rectangle currently being processed.
Public Property RedeyeRectangleWidth | The width of the redeye rectangle, in pixels.
Public Property RedeyeRectangleX | The x coordinate of the upper left corner of the redeye rectangle.
Public Property RedeyeRectangleY | The y-coordinate of the upper left corner of the redeye rectangle.
Public Property RedeyeTotalCount | The total number of redeye rectangles identified.
Public Property ResolutionPrecision | Determines the precision used when resolution is returned.
Public Property RgnEnabled | Gets or sets the Region to be on or off.
Public Property RgnHeight | Returns the height in pixels in the current region. (read only)
Public Property RgnSpriteX | Returns the X position of the current sprite within the image. (read only)
Public Property RgnSpriteY | Returns the Y position of the current sprite within the image.
Public Property RgnVisible | Gets an indicator if the region is visible.
Public Property RgnWidth | Returns the width in pixels in the current region.
Public Property RgnX | Returns the left most coordinate in pixels of the current region. (read only)
Public Property RgnY | Returns the top most coordinate in pixels of the current region. (read only)
Public Property RubberBandH | Gets the height of the current Rubberband object.
Public Property RubberBandL | Gets the length of the current Rubberband area.
Public Property RubberBandT | Gets the top of the Rubberband area.
Public Property RubberBandW | Gets the width of the Rubberband area.
Public Property SaveBufferHandle | The handle to the memory an image is saved to when SaveToBuffer property is set to True.
Public Property SaveCompressSize | Gets or sets the requested file size in bytes.
Public Property SaveEXIFThumbnailSize | Gets or sets the requested file size in bytes.
Public Property SaveFileName | Specifies the path and name of the file to save.
Public Property SaveFileType | Specifies the type of file to save when setting the SaveFile method.
Public Property SaveFtpBuffered | Gets and sets whether the FTP buffered is saved.
Public Property SaveGIFInterlaced | Specifies whether a GIF file is to be saved in the interlaced or non-interlaced format.
Public Property SaveGIFType | Specifies the GIF format for saving a GIF file.
Public Property SaveHDPFrequencyOrdering | Specifies HDP frequency ordering.
Public Property SaveHDPQuantization | Saves HDP quantization.
Public Property SaveHDPSubSampling | Saves HSP sub-sampling.
Public Property SaveIFDOffset | Location to append the next tiff page in a mutli-page tiff file.
Public Property SaveJBIG2EncodeModeCompression | Specifies the encoding mode to use when creating the JBIG2 file.
Public Property SaveJBIG2FileOrgCompression | Specifies the file organization of the JBIG2 bitstream.
Public Property SaveJBIG2InvertedRegion | Specifies whether the bits should be inverted prior to symbol analysis.
Public Property SaveJBIG2LoosenessCompression | Specifies how loose to be when matching symbols and compressing text using either of the lossy text region encode modes.
Public Property SaveJLSInterLeave | Gets or sets the interleave setting.
Public Property SaveJLSMaxValue | Gets or sets the compression value.
Public Property SaveJLSNear | Gets or sets the error tolerance for near-lossless compression.
Public Property SaveJLSPoint | Gets or sets the precision of the point transform.
Public Property SaveJP2Order | Gets or sets the progression order.
Public Property SaveJP2Type | Gets or sets the format of the file.
Public Property SaveJPEGChromFactor | Gets or sets the chrominance quality setting for saving JPEG, TIFF-JPEG, and ePIC files.
Public Property SaveJPEGCosited | Gets or sets enabling of DICOM decompression of JPEG images.
Public Property SaveJPEGGrayscale | Gets or sets whether image is being saved as gray scale.
Public Property SaveJPEGLumFactor | Gets or sets the luminance quality.
Public Property SaveJPEGProgressive | Gets or sets whether an image file will be saved in standard or progressive format.
Public Property SaveJPEGSubSampling | Gets or sets sub-sampling.
Public Property SaveLJPCompMethod | Specifies the compression method used for saving a lossless JPEG file.
Public Property SaveLJPCompOrder | Gets or sets the order of compression for lossless JPEG.
Public Property SaveLJPCompType | Gets or sets the type of compression for lossless JPEG.
Public Property SaveLJPPrediction | Specifies the selection value which determines the prediction formula.
Public Property SaveMultiPage | Specifies if a TIFF, PDF, ICO, MODCA or DCX file should be saved as the next page in an existing file.
Public Property SavePBMType | Specifies the format for saving a PBM file.
Public Property SavePDFCompression | Gets or sets the compression type employed for saving a PDF file.
Public Property SavePDFSwapBlackandWhite | Gets or sets flag indicating a pixel value of zero is black or white.
Public Property SavePGMType | Specifies the format for saving a PGM file.
Public Property SavePNGInterlaced | Gets or sets whether image will be saved in the interlaced or non-interlaced format.
Public Property SavePPMType | Gets or sets the format type.
Public Property SavePSNR | Gets and sets the PSNR (Peak Signal-to-Noise Ratio).
Public Property SaveTIFFByteOrder | Gets or sets the TIFF byte order.
Public Property SaveTIFFCompression | Gets or sets the compression for the TIFF file being saved.
Public Property SaveTIFFRowsPerStrip | Gets or sets the number of rows to save in each strip of a TIFF file.
Public Property SaveTileHeight | Gets or sets the tile height.
Public Property SaveTileWidth | Gets or sets the tile width.
Public Property SaveToBuffer | Specifies whether image data should be saved to a file or a memory buffer.
Public Property SaveTransparencyColor | Gets or sets the transparency Color value.
Public Property SaveTransparent | Gets or sets the type of TransparencyMatch to perform.
Public Property SaveUseIFDOffset | Enables or disables fast multi-page tiff writes.
Public Property SaveWSQBlack | Gets or sets the level of black used in the WSQ file compression.
Public Property SaveWSQQuant | Gets or sets the quantization of the saved WSQ file.
Public Property SaveWSQWhite | Gets or sets the level of white used in the WSQ file compression.
Public Property ScaleResizePreserveBlack | Specifies that black objects should be enhanced within the image to increase readability.
Public Property ScaleResizeToGray | Sets or returns the ScaleResizeToGray flag.
Public Property ScrollBarLargeChangeH | Sets or returns the horizontal scroll amount when the scroll bar page area (between the thumb and arrow) is clicked.
Public Property ScrollBarLargeChangeV | Sets or returns the vertical scroll amount when the scroll bar page area (between the thumb and arrow) is clicked.
Public Property ScrollBars | Sets or returns the scroll bar property, to indicate whether vertical and/or horizontal scrollbars are enabled.
Public Property ScrollBarSmallChangeH | Sets or returns the horizontal scroll amount when the scroll bar arrow is clicked.
Public Property ScrollBarSmallChangeV | Sets or returns the verticalscroll amount when the scroll bar arrow is clicked.
Public Property ScrollX | Sets or returns the horizontal position, in pixels, of the scroll rectangle.
Public Property ScrollY | Sets or returns the vertical position, in pixels, of the scroll rectangle.
Public Property ShowHourglass | Sets or returns the hourglass flag.
Public Property SpecialTIFFHandling | Gets or sets the flag denoting an abnormally formatted TIFF file.
Public Property TagCount | Obtains the count of data items within the current tag.
Public Property TagData | Obtains a block of data from the current tag.
Public Property TagLength | The length in bytes of the current tag. (read-only)
Public Property TagLevel | Gets or sets the nesting level at which the tag will reside.
Public Property TagNumber | Gets or sets the tag number of the current tag. (See list)
Public Property TagType | Gets or sets type of data within the tag.
Public Property TIFFIFDOffset | Gets or sets the number of bytes preceding the IFD.
Public Property Timer | Sets the built-in timer interval.
Public Property ToolActive | Retrieves or sets the currently active tool.
Public Property ToolbarActivated | Indicates whether the toolbar is created and ready for use.
Public Property ToolbarEnabled | Gets or sets whether the toolbar is enabled or not.
Public Property ToolbarHeight | Gets or sets the height of toolbar, in icons.
Public Property ToolbarHwnd | Gets or sets the windows handle of the toolbar.
Public Property ToolbarLargeIcons | Gets and sets whether toolbar icons are large.
Public Property ToolbarVisible | Gets or sets toolbar visibility.
Public Property ToolbarWidth | Gets or sets the width of toolbar, in icons.
Public Property UndoEnabled | Sets or returns the undo flag.
Public Property ViewAlphaBlend | Enables or disables alpha blending an image to the background of the control when an alpha channel is present in the image.
Public Property ViewAntialias | Gets or sets the anti-alias effect.
Public Property ViewBrightness | Gets or sets the brightness of the current image.
Public Property ViewContrast | Gets or sets the view contrast level of the displayed image.
Public Property ViewCropHeight | Gets or sets the view cropped height of the displayed image.
Public Property ViewCropWidth | Gets or sets the view cropped width of the displayed image.
Public Property ViewCropX | Gets or sets the view cropped x coordinate of the displayed image.
Public Property ViewCropY | Gets or sets the view cropped y coordinate of the displayed image.
Public Property ViewDithered | Gets or sets dithered indicator on the current image.
Public Property ViewGrayMode | Gets or sets the mode of grey for the image.
Public Property ViewImageID | Gets or sets the mode of grey for the image.
Public Property ViewPreserveBlack | Specifies whether fine lines should be enhanced to increase readability.
Public Property ViewProgressive | Gets or sets progressive view capability of the view control.
Public Property ViewSmoothing | Gets or sets the smoothing effect.
Public Property ViewStatus | Status of the current view image buffer.
Public Property ViewUpdate | Sets or returns the update flag.
Public Property WMFConvert | Specifies whether a windows metafile should be converted to DIB at load time.
Public Property Xpos | Returns the logical x-coordinate of the cursor within the displayed image, in pixels. (read only)
Public Property Ypos | Gets the logical y position of the cursor within the displayed image, in pixels.
Public Property ZoomFactor | Gets or sets the value by which the current display image will be resized.

Events

Public Event AutoSizeChanged | Called during autosize changed events.
Public Event CB | Event is called at several different times in response to the user initiating a LoadCB method to load an image via Call Back.
Public Event Click | Raised when the user clicks the mouse on the image.
Public Event DblClick | Raised when the user double-clicks the mouse on the image.
Public Event ImageStatusChanged | Occurs when image status has changed.
Public Event KeyDown | Occurs when a key is pressed while the control has focus.
Public Event KeyPress | Occurs when a key is pressed while the control has focus.
Public Event KeyUp | Occurs when a key is released while the control has focus.
Public Event MenuSelect | Raised when a menu selection is made on one of the right-click menus.
Public Event MouseDown | Raised when the user presses down on a mouse button over the image.
Public Event MouseMove | Raised each time the mouse moves over an image.
Public Event MouseUp | Raised when the user lifts up on a mouse button while over an image.
Public Event Notify | Occurs when the Notify property is True and the image in the control paints.
Public Event OLEDragDrop | Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.
Public Event OLEDragOver | Occurs when one component is dragged over another.
Public Event Paint | Occurs when the control paints.
Public Event PaintBackground | Occurs when the background is painted.
Public Event PaintImage | Occurs when the image is painted.
Public Event PrintImage | Called on print image events.
Public Event Progress | Contains event data for image progress events.
Public Event Resized | Called for resized events.
Public Event Scroll | This event is raised when the user makes a minor or major adjustment with the scrollbars on an ImagXpress control.
Public Event ScrollBarVisibleChanged | Called for scrollbar visible changed events.
Public Event TimerTick | The TimerTick event will be generated when the ImagXpress component timer times-out.
Public Event ToolbarClose | This event is raised then the toolbar is closed.
Public Event ToolbarOpen | This event is raised when the toolbar is opened.
Public Event ToolbarSelect | Raised when a tool selection is made.
Public Event ToolUse | Provides usage information on tool.
Public Event ZoomFactorChanged | Called for zoom factor changed events.

See Also

ImagXpress Overview


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AboutBox Method

Description

Displays a dialog box containing ImagXpress version and copyright information.

Syntax

Public Sub AboutBox()

See Also

ImagXpress Object


AdjustColorBalance Method

ImagXpress Object

Color
The color parameter of the auto color balance algorithm, defining the strength of color case and contrast correction to be applied to the image.
range: 0 - 100
  • 0 indicates no correction of the image
  • Values greater than zero increase the amount of correction performed
Red
The red color parameter of the auto color balance algorithm result.
range: -100 to 100
  • 0 indicates no change to the red component of the image. (Red component will be the same as in the original image.)
  • Values less than zero decrease the red component of the image.
  • Values greater than zero increase the red component of the image.
Green
The green color parameter of the auto color balance algorithm result.
range: -100 to 100
  • 0 indicates no change to the green component of the image. (Green component will be the same as in the original image.)
  • Values less than zero decrease the green component of the image.
  • Values greater than zero increase the green component of the image.
Blue
The blue color parameter of the auto color balance algorithm result.
range: -100 to 100
  • 0 indicates no change to the blue component of the image. (Blue component will be the same as in the original image).
  • Values less than zero
  • Values greater than zero increase the blue component of the image.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AdjustColorBalance Method

Description

Override the default parameters when auto color balancing the image.

Syntax

Public Sub AdjustColorBalance( _
   ByVal Color As Integer, _
   ByVal Red As Integer, _
   ByVal Green As Integer, _
   ByVal Blue As Integer _
)

Parameters

Color
The color parameter of the auto color balance algorithm, defining the strength of color case and contrast correction to be applied to the image.
range: 0 - 100
  • 0 indicates no correction of the image
  • Values greater than zero increase the amount of correction performed
Red
The red color parameter of the auto color balance algorithm result.
range: -100 to 100
  • 0 indicates no change to the red component of the image. (Red component will be the same as in the original image.)
  • Values less than zero decrease the red component of the image.
  • Values greater than zero increase the red component of the image.
Green
The green color parameter of the auto color balance algorithm result.
range: -100 to 100
  • 0 indicates no change to the green component of the image. (Green component will be the same as in the original image.)
  • Values less than zero decrease the green component of the image.
  • Values greater than zero increase the green component of the image.
Blue
The blue color parameter of the auto color balance algorithm result.
range: -100 to 100
  • 0 indicates no change to the blue component of the image. (Blue component will be the same as in the original image).
  • Values less than zero
  • Values greater than zero increase the blue component of the image.

Remarks

This method applies the same algorithm as AutoColorBalance, to automatically balance color in the image, but enables the user to override the default parameters of the algorithm.

Since pixel values must fall within the range 0-255, resulting pixel values less than 0 are set to 0 and resulting pixel values greater than 255 are set to 255.

See Also


AdjustHSL Method

ImagXpress Object

IPAdjustHue

The adjustment to the hue component of the current image.

The valid range is -100 to 100

IPAdjustSat

The adjustment of the saturation component of the current image.

The valid value range is -100 to 100

IPAdjustLum

The adjustment of the luminance component of the current image.

The valid value range is -100 to 100

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AdjustHSL Method

Description

Adjusts the hue, saturation, and luminance components of the current image.

Syntax

Public Sub AdjustHSL( _
   ByVal IPAdjustHue As Integer, _
   ByVal IPAdjustSat As Integer, _
   ByVal IPAdjustLum As Integer _
)

Parameters

IPAdjustHue

The adjustment to the hue component of the current image.

The valid range is -100 to 100

IPAdjustSat

The adjustment of the saturation component of the current image.

The valid value range is -100 to 100

IPAdjustLum

The adjustment of the luminance component of the current image.

The valid value range is -100 to 100

Remarks

If the UndoEnabled property is True, hDIBUndo is replaced by hDIB, hDIB is replaced by the DIB resulting from this method, and the Picture property is set to the resulting image.

See Also


AdjustLightness Method

ImagXpress Object

shadows

Specifies the amount of brightening that will be applied to shadowed image areas.

Range: 0 - 100

0 = No brightening Higher values indicate greater increase of brightness in shadowed image areas.

highlights

Specifies the amount of brightness decreasing that will be applied to the highlighted image areas.

Range: 0 - 100

0 = No decrease in brightness.

Higher values indicate greater decrease of brightness in shadowed image areas.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AdjustLightness Method

Description

Automatically balances contrast in the image, adjusting the results of the auto lightness algorithm by a specified amount.

Syntax

Public Sub AdjustLightness( _
   ByVal shadows As Integer, _
   ByVal highlights As Integer _
)

Parameters

shadows

Specifies the amount of brightening that will be applied to shadowed image areas.

Range: 0 - 100

0 = No brightening Higher values indicate greater increase of brightness in shadowed image areas.

highlights

Specifies the amount of brightness decreasing that will be applied to the highlighted image areas.

Range: 0 - 100

0 = No decrease in brightness.

Higher values indicate greater decrease of brightness in shadowed image areas.

Remarks

This method applies the same algorithm as AutoLightness, to automatically balance color in the image, but enables the user to adjust the results of the algorithm by a specified amount.

See Also


AdjustRGB Method

ImagXpress Object

IPAdjustType
AdjustType indicates whether the red, green, and blue parameters are specified in units or by percentage.
IPAdjustRed
The amount of adjustment to apply to the red color component.
IPAdjustGreen
The amount of adjustment to apply to the green color component.
IPAdjustBlue
The amount of adjustment to apply to the blue color component.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AdjustRGB Method

Description

Adjusts the red, green, and blue components of the current image.

Syntax

Public Sub AdjustRGB( _
   ByVal IPAdjustType As Integer, _
   ByVal IPAdjustRed As Integer, _
   ByVal IPAdjustGreen As Integer, _
   ByVal IPAdjustBlue As Integer _
)

Parameters

IPAdjustType
AdjustType indicates whether the red, green, and blue parameters are specified in units or by percentage.
IPAdjustRed
The amount of adjustment to apply to the red color component.
IPAdjustGreen
The amount of adjustment to apply to the green color component.
IPAdjustBlue
The amount of adjustment to apply to the blue color component.

Remarks

When IPadjustType = AsPercent (0), valid red, green, and blue values are between -100 and 100 (made as percent).

When IPadjustType =InUnits (1), valid RGB values are between -255 and 255 (made in units).

Since pixel values must fall within the range 0-255, resulting pixel values less than 0 are set to 0 and resulting pixel values greater than 255 are set to 255.

See Also


ImagXpress Object

hDIB
A pointer to a device independent bitmap containing the alpha channel data to add to the image.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AlphaAdd Method

Description

Add alpha channel information to an image.

Syntax

Public Sub AlphaAdd( _
   ByVal hDIB As Long _
)

Parameters

hDIB
A pointer to a device independent bitmap containing the alpha channel data to add to the image.

Remarks

Adds a user supplied 8 bit alpha channel to an existing 24 bit image, thus promoting the image to 32 bits. The current image (ProcessImageID) is now a 32 bit image, containing alpha channel.

The Image at hDIB should be the same width and height of the image it is being added to. The Image Bitmap must be an 8 bit gray scale type with a uniform grayscale palette.

If the original image is not 24-bit then an exception is thrown.

Note: Available in all editions.

See Also


ImagXpress Object

Value
The value to place in the alpha channel.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AlphaFill Method

Description

Fills the alpha channel with the value specified.

Syntax

Public Sub AlphaFill( _
   ByVal Value As Byte _
)

Parameters

Value
The value to place in the alpha channel.

Remarks

If the region or area is set prior to this method, only that region or area will be filled with the value specified.

Note: Available in all editions.

See Also


ImagXpress Object

bkgColor
The color within the 24-bit color spectrum which will represent transparency.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AlphaFlatten Method

Description

A 32 bit image with an alpha channel (ARGB) will be merged with (alpha channel applied to) the specified color, resulting in a blended 24 bit RGB image.

Syntax

Public Sub AlphaFlatten( _
   ByVal bkgColor As ULong _
)

Parameters

bkgColor
The color within the 24-bit color spectrum which will represent transparency.

Remarks

The image must be a 32 bit image including alpha channel prior to calling AlphaFlatten, or an exception is thrown.

Note: Available in all editions.

See Also


ImagXpress Object

Xpos
The x coordinate of the pixel to be examined within the image.
Ypos
The y coordinate of the pixel to be examined within the image.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AlphaGet Method

Description

Gets the alpha value at a specified location in the image.

Syntax

Public Function AlphaGet( _
   ByVal Xpos As Long, _
   ByVal Ypos As Long _
) As Byte

Parameters

Xpos
The x coordinate of the pixel to be examined within the image.
Ypos
The y coordinate of the pixel to be examined within the image.

Return Type

The alpha value of the specified pixel.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AlphaInvert Method

Description

Invert the alpha values throughout the current image, region, or area.

Syntax

Public Sub AlphaInvert()

Remarks

AlphaInvert performs a one's compliment of the alpha channel so that what was opaque becomes transparent, and vice versa.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AlphaRemove Method

Description

Removes alpha channel data from a 32 bit image.

Syntax

Public Sub AlphaRemove()

Remarks

The alpha channel is removed from a 32 bit image, to create a 24-bit image without an alpha channel. The alpha channel information is not saved.

Note: The current image (ProcessImageID) must be a 32 bit image including alpha information prior to calling AlphaRemove, or an exception is thrown.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AlphaReturn Method

Description

Returns a handle to an 8 bit gray scale image depicting the alpha channel data.

Syntax

Public Function AlphaReturn() As Long

Return Type

A long value which represents the handle of the 8 bit gray scale image depicting the alpha channel data.

Remarks

The original image (ProcessImageID) must be a 32 bit image where 8 bits are the alpha layer and 24 bits are rgb layer. Returning the handle implicitly reduces the image to 24 bit. The alpha layer may be modified and restored via the AlphaAdd method.

See Also


AlphaSet Method

ImagXpress Object

Xpos
The x coordinate of the pixel to be modified within the image.
Ypos
The y coordinate of the pixel to be modified within the image.
Value
The alpha value to apply to the specified pixel.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AlphaSet Method

Description

Set an alpha value at a specified location in the image.

Syntax

Public Sub AlphaSet( _
   ByVal Xpos As Long, _
   ByVal Ypos As Long, _
   ByVal Value As Byte _
)

Parameters

Xpos
The x coordinate of the pixel to be modified within the image.
Ypos
The y coordinate of the pixel to be modified within the image.
Value
The alpha value to apply to the specified pixel.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ApplyGrayscaleTransform Method

Description

Permanently levels a 8 through 16-bit gray image to an 8-bit gray image.

Syntax

Public Sub ApplyGrayscaleTransform()

Remarks

Some images describe more shades of gray than the human eye can discriminate (typically in medical applications.) It is widely held that the eye discerns approximately 256 different shades of gray. ApplyGrayscaleTransform facilitates reduction of bit-depth to 8-bits, to display 256 different shades of gray.

The ViewGrayMode property defines the transform that is used to level the image (standard or medical), and must be set prior to calling ApplyGrayscaleTransform.

Note: Available in all editions.

See Also


Area Method

ImagXpress Object

IPArea
A boolean expression that is True to enable the update area. Otherwise, False should be passed in.
IPAreaX

A long value which represents the top left X coordinate of the area cropping rectangle.

Valid values are greater than zero.

IPAreaY

A long value which represents the top left y coordinate of the area cropping rectangle.

Valid values are greater than zero.

IPAreaWidth

A long value which represents the width of the area cropping rectangle (in pixels).

Valid values are greater than zero.

IPAreaHeight

A long value which represents the height of the area cropping rectangle (in pixels).

Valid values are greater than zero.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Area Method

Description

Specifies the update area in the current DIB where subsequent image processing functions are performed.

Syntax

Public Sub Area( _
   ByVal IPArea As Boolean, _
   ByVal IPAreaX As Long, _
   ByVal IPAreaY As Long, _
   ByVal IPAreaWidth As Long, _
   ByVal IPAreaHeight As Long _
)

Parameters

IPArea
A boolean expression that is True to enable the update area. Otherwise, False should be passed in.
IPAreaX

A long value which represents the top left X coordinate of the area cropping rectangle.

Valid values are greater than zero.

IPAreaY

A long value which represents the top left y coordinate of the area cropping rectangle.

Valid values are greater than zero.

IPAreaWidth

A long value which represents the width of the area cropping rectangle (in pixels).

Valid values are greater than zero.

IPAreaHeight

A long value which represents the height of the area cropping rectangle (in pixels).

Valid values are greater than zero.

Remarks

The Area method provides the capability of performing image processing functions on rectangular portions of the image.
  • When Area is enabled (IPArea = True), all image processing methods are applied to this area. When Area is disabled (IPArea = False), all image processing methods are applied to the entire image.
  • If the IPAreaX or IPAreaY parameters do not fall within the boundaries of the image, the method fails and the ImagError property is set to 1035 (ErrorInvalidAreaOrRegion).
  • If the IPAreaX or IPAreaY parameters fall within the boundaries of the image but the IPareaWidth or IPareaHeight parameters exceed the boundaries of the image, the update area is cropped to fit within the image boundaries.

The Area method sets the IPAreaX, IPAreaY, IPAreaWidth, and IPAreaHeight properties. These properties record the value of the Area method parameters so they can be used at a later point.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AssignDIB Method

Description

Assigns the DIB from the control to a receiver and removes the DIB from the control.

Syntax

Public Function AssignDIB() As Long

Return Type

A long which represents the handle to the assigned DIB. If the method fails, the return value is zero.

Remarks

Returns the handle to the assigned DIB. If the method fails, the return value is zero.

The AssignDIB method is typically used to assign the DIB from an ImagXpress control to either a variable or another ImagXpress control. In the following example, ImagXpress2 receives the DIB and ImagXpress1 no longer has a DIB.

Note: Available in all editions.

Example

In the following example, ImagXpress9 receives the DIB and ImagXpress8 no longer has a DIB.

ImagXpress9.hDIB = ImagXpress8.AssignDIB

Note that the receiver is responsible for freeing the DIB by issuing a GlobalFree on the DIB Handle. If the receiver is an ImagXpress control, there is no need to issue the GlobalFree as ImagXpress does this for you.

VC++ Example

MyDIB = ImagXpress1.AssignDIB;

// Do something with MyDIB

// Now free the DIB
GlobalFree(MyDIB);.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AutoColorBalance Method

Description

Restores and balances color quality within an image.

Syntax

Public Sub AutoColorBalance()

Remarks

Similar to AutoLevel, but a different algorithm. These methods function by centering the median of the Cb (of YCbCr, which is related to blue minus luminance) component histogram. AutoLevel and AutoColorBalance methods effect images differently, depending on their color content. This method is automatic.

Note: Available in Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AutoContrast Method

Description

Uniformly adjusts the contrast in the current image.

Syntax

Public Sub AutoContrast()

Return Type

This method returns no value.

Remarks

To override the default parameters used in the autocontrast algorithm, call the Contrast method.

Note: Available in all editions.

See Also


AutoCrop Method

ImagXpress Object

IPCropPct

The percent of pixels that indicate that the inner edge of the border has been reached.

It has a minimum value of 0.0 and a maximum value of 100.0.

The IPcropPct can be adjusted to compensate for noise that is typically found in scanned documents.

IPBorderX

The X coordinate of the left corner of the image body.

Range: 0 to max image size

IPBorderY

The Y coordinate of the upper corner of the image body.

Range: 0 to max image size

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AutoCrop Method

Description

Automatically crops the border space from an image.

Syntax

Public Sub AutoCrop( _
   ByVal IPCropPct As Single, _
   ByVal IPBorderX As Long, _
   ByVal IPBorderY As Long _
)

Parameters

IPCropPct

The percent of pixels that indicate that the inner edge of the border has been reached.

It has a minimum value of 0.0 and a maximum value of 100.0.

The IPcropPct can be adjusted to compensate for noise that is typically found in scanned documents.

IPBorderX

The X coordinate of the left corner of the image body.

Range: 0 to max image size

IPBorderY

The Y coordinate of the upper corner of the image body.

Range: 0 to max image size

Remarks

Beginning with the top row, each row is examined for black pixels. If the percentage of black pixels in that row is less than IPcropPct, the row is eliminated and the next row is examined. The process continues until the number of black pixels exceeds IPcropPct, or until the IPBorderY is reached.

The same process is applied for rows from bottom to top and from the left most column to right and from the right most column to the left.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AutoLevel Method

Description

Restores and balances color quality within an image.

Syntax

Public Sub AutoLevel()

Remarks

This method functions by centering the median of the Cb (of YCbCr, which is related to blue minus luminance) component histogram.

AutoColorBalance also restores and balances color quality, but uses a different algorithm.

Note: Available in Photo Edition

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AutoLightness Method

Description

Automatically assesses and adjusts contrast in light or dark regions of the image.

Syntax

Public Sub AutoLightness()

Remarks

This method can be useful for bringing more detail into shadowy areas of the image, without washing out the light regions, or correcting photos with silhouetted images due to strong back-lighting.

Similar to AutoContrast method, but uses a different algorithm to treat light and dark regions independently.

See AdjustLightness to override the default parameters of the AutoLightness algorithm.

Note: Available in Photo Edition.

See Also


AutoRemoveRedeye Method

ImagXpress Object | RedeyeRectangleConfidence Property | RedeyeRectangleHeight Property | RedeyeRectangleIndex Property | RedeyeRectangleWidth Property | RedeyeRectangleX Property | RedeyeRectangleY Property | RedeyeTotalCount Property

IPRedeyeShade
An enumEyeShade value which determines the type of eye shade to use.
IPRedeyeGlare
An enumEyeGlare value which determines the type of eye shade to use.
bUseEditRectangles

When true, previously detected redeye rectangles are used to correct red eyes.

When false, the algorithm detects rectangles with red eyes and corrects them. Existing rectangles are ignored when correcting red eyes.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AutoRemoveRedeye Method

Description

Automatically reduces the red reflection of the flash seen in the eyes of people in color flash photo images.

Syntax

Public Sub AutoRemoveRedeye( _
   ByVal IPRedeyeShade As enumEyeShade, _
   ByVal IPRedeyeGlare As enumEyeGlare, _
   ByVal bUseEditRectangles As Boolean _
)

Parameters

IPRedeyeShade
Value | Description
EyeShadeNormal | (0) - Normal shade
EyeShadeDark | (2) - Dark eye shading
EyeShadeLight | (1) - Light eye shading
An enumEyeShade value which determines the type of eye shade to use.
IPRedeyeGlare
Value | Description
EyeGlareNone | (0) - No glare.
EyeGlareSlight | (1) - Slight image glare.
EyeGlareFull | (2) - Strong image glare.
An enumEyeGlare value which determines the type of eye shade to use.
bUseEditRectangles

When true, previously detected redeye rectangles are used to correct red eyes.

When false, the algorithm detects rectangles with red eyes and corrects them. Existing rectangles are ignored when correcting red eyes.

Remarks

The algorithm searches for rectangles containing red eyes, and corrects the red eyes.

The AutoRemoveRedeye method will accurately correct red eyes without modifying non-eyes in most cases without any intervention. However, as with any algorithm, there is a potential for false positives (modifications of areas that are not eyes), or red eyes that are not corrected in some images.

To provide the application with maximum control over this behavior, the AutoRemoveRedeye method stores in the Redeye properties all areas that have been corrected as a collection of rectangles with corresponding correction information. The rectangles identify areas in which red-eyes were detected and corrected, and a value indicating the confidence that the area corrected was a red eye. This enables the application to set an acceptable level of false positives, and optimize red-eye correction.

Note: Available in Photo edition only.

See Also

ImagXpress Object | RedeyeRectangleConfidence Property | RedeyeRectangleHeight Property | RedeyeRectangleIndex Property | RedeyeRectangleWidth Property | RedeyeRectangleX Property | RedeyeRectangleY Property | RedeyeTotalCount Property


Binarize Method

ImagXpress Object

eIPBinMode
An enumBinarizeBlur value which determines the type of blur to use.
lIPBinLowThreshold

An integer value that controls background sensitivity.

This value should generally be as high a value as possible without exceeding the brightness of any part of the background.

Black noise appearing in the background can generally be eliminated by lowering this value.

Valid range is 0 to 255.

Setting this value is applicable when the enumeration eIPBinMode = Quick_Text (0) only.

lIPBinHighThreshold

An integer value that controls letter and figure thickness.

A suggested value for this parameter is (lIPBinLowThreshold + 255)/2.

Letters and figures that render too thick can generally be improved by lowering this value.

Letters and figures that render too thin can generally be improved by raising this value and/or lIPBinLowThreshold.

Valid range is lIPBinLowThreshold to 255.

lIPBinGridAngle

An integer value that evaluates to the orientation of the halftone grid from the horizontal, measured in degrees clockwise.

Valid range is 0 to 360.

lIPBinGridPitch

An integer value that evaluates to the distance from the center of a black dot in the halftone grid to the nearest white dot, measured in pixels.

Valid range is 1 to 32.

lIPBinEccentricity

An integer value that evaluates to the shape of the halftone grid.

Valid Values are -255 to 255.

At the extreme range values, -255 and 255, the grid becomes linear.

At the midpoint, 0, the grid consists of circles/squares.

Intermediate values give intermediately shaped elliptical grid dots.

lIPBinLCEFactor

An integer value that evaluates to local contrast enhancement.

Valid range is 0 to 255.

Setting lIPBinLCEFactor = 0 means local contrast is not performed.

Values from 1 to 255 control the sensitivity of local contrast enhancement to faint features; lower values yield less sensitivity.

This preprocessing operation increases the contrast in each region of the image.

When used as a prelude to binarization, usually by setting eIPBinMode = Quick_Text (0), it increases the sensitivity of the binarization to detail in all regions of the image.

lIPBinBlur
BinarizeBlur enumeration used to determine what type of blur functionality to invoke during the Binarize method.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Binarize Method

Description

Operates on 1-bit and 24-bit DIBs creating a 1-bit or 8-bit grayscale output DIB, respectively, of the same dimensions.

Syntax

Public Sub Binarize( _
   ByVal eIPBinMode As enumBinarizeMode, _
   ByVal lIPBinLowThreshold As Long, _
   ByVal lIPBinHighThreshold As Long, _
   ByVal lIPBinGridAngle As Long, _
   ByVal lIPBinGridPitch As Long, _
   ByVal lIPBinEccentricity As Long, _
   ByVal lIPBinLCEFactor As Long, _
   ByVal lIPBinBlur As enumBinarizeBlur _
)

Parameters

eIPBinMode
Value | Description
BIN_MODE_QUICK_TEXT | (0) - QuickText mode is to produce a clean 1-bit image for viewing and storage. This is generally used for document type images consisting of dark text and lines on a white or gray background. The result of the operation is to replace the text and lines in the image by black and the background by white. The controlling parameters for QuickText mode are: IPbinLowThreshold, IPbinHighThreshold, IPbinLCEFactor and IPbinBlur.
BIN_MODE_PHOTO_HALFTONE | (1) - The goal of this mode is to generate a 1-bit image from color or grayscale photographic-type images, reproducing the shades of gray in the image by black and white dots of various sizes. The angle and pitch of the halftone grid are controllable.
BIN_MODE_GRAY | (2) - The goal of this mode is to generate an 8-bit grayscale image from the input. Useful for scaling to gray before another Binarize call with more options.
An enumBinarizeBlur value which determines the type of blur to use.
lIPBinLowThreshold

An integer value that controls background sensitivity.

This value should generally be as high a value as possible without exceeding the brightness of any part of the background.

Black noise appearing in the background can generally be eliminated by lowering this value.

Valid range is 0 to 255.

Setting this value is applicable when the enumeration eIPBinMode = Quick_Text (0) only.

lIPBinHighThreshold

An integer value that controls letter and figure thickness.

A suggested value for this parameter is (lIPBinLowThreshold + 255)/2.

Letters and figures that render too thick can generally be improved by lowering this value.

Letters and figures that render too thin can generally be improved by raising this value and/or lIPBinLowThreshold.

Valid range is lIPBinLowThreshold to 255.

lIPBinGridAngle

An integer value that evaluates to the orientation of the halftone grid from the horizontal, measured in degrees clockwise.

Valid range is 0 to 360.

lIPBinGridPitch

An integer value that evaluates to the distance from the center of a black dot in the halftone grid to the nearest white dot, measured in pixels.

Valid range is 1 to 32.

lIPBinEccentricity

An integer value that evaluates to the shape of the halftone grid.

Valid Values are -255 to 255.

At the extreme range values, -255 and 255, the grid becomes linear.

At the midpoint, 0, the grid consists of circles/squares.

Intermediate values give intermediately shaped elliptical grid dots.

lIPBinLCEFactor

An integer value that evaluates to local contrast enhancement.

Valid range is 0 to 255.

Setting lIPBinLCEFactor = 0 means local contrast is not performed.

Values from 1 to 255 control the sensitivity of local contrast enhancement to faint features; lower values yield less sensitivity.

This preprocessing operation increases the contrast in each region of the image.

When used as a prelude to binarization, usually by setting eIPBinMode = Quick_Text (0), it increases the sensitivity of the binarization to detail in all regions of the image.

lIPBinBlur
Value | Description
BIN_BLUR_NONE | (0) - Don't blur.
BIN_BLUR_GAUSSIAN | (1) - Blur image before local contrast enhancement/binarize.
BIN_BLUR_SMART | (2) - Remove dither-like artifacts introduced into many images already binarized to 1-bit by other software or hardware operations.
BinarizeBlur enumeration used to determine what type of blur functionality to invoke during the Binarize method.

Remarks

For 1-bit output, this method modifies the color palette associated with the image, setting it to two colors, with black as color 0 and white as color 1.

See Also


ImagXpress Object

IPBlendPercent
Valid integer values are between 0 and 100.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Blend Method

Description

Blends each pixel in the current image with its neighboring pixels.

Syntax

Public Sub Blend( _
   ByVal IPBlendPercent As Integer _
)

Parameters

IPBlendPercent
Valid integer values are between 0 and 100.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Blur Method

Description

Blurs the current image by averaging each pixel with each of its neighboring pixels giving it an 'out of focus' appearance.

Syntax

Public Sub Blur()

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

IPBrightnessI

Integer value that denotes the brightness level.

Valid range is -100 to 100.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Brightness Method

Description

Uniformly brightens the current image.

Syntax

Public Sub Brightness( _
   ByVal IPBrightnessI As Integer _
)

Parameters

IPBrightnessI

Integer value that denotes the brightness level.

Valid range is -100 to 100.

Remarks

Higher intensities result in brighter images. Negative intensities darken images.

An image that has been brightened will have pixels that have higher luminance values (in the HSL color space), or higher RGB values (in the RGB color space) than the original image.

Note: Available in all editions.

See Also


Buttonize Method

ImagXpress Object

IPButtonS
An integer which represents the button style value used to determine which button style to display.

Inset (0) - Button will appear inset.

Raised (1) - Button will appear raised.

IPButtonW

An integer expression evaluates the width of the bevels.

Valid range is between 0 and 32768.

IPButtonI

An Integer expression that evaluates to the percent intensity of the bevels.

Higher values result in more opaque bevels while lower percentages result in more translucent bevels.

Valid range is between 1 and 100.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Buttonize Method

Description

Adds translucent bevels to the edges of the current image to give it the appearance of a 3D button.

Syntax

Public Sub Buttonize( _
   ByVal IPButtonS As Integer, _
   ByVal IPButtonW As Integer, _
   ByVal IPButtonI As Integer _
)

Parameters

IPButtonS
An integer which represents the button style value used to determine which button style to display.

Inset (0) - Button will appear inset.

Raised (1) - Button will appear raised.

IPButtonW

An integer expression evaluates the width of the bevels.

Valid range is between 0 and 32768.

IPButtonI

An Integer expression that evaluates to the percent intensity of the bevels.

Higher values result in more opaque bevels while lower percentages result in more translucent bevels.

Valid range is between 1 and 100.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object | CadOpen Method | CadView Method

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CadClose Method

Description

Closes the CAD file.

Syntax

Public Sub CadClose()

Remarks

Call this method after calling the CadOpen method to close the CAD file when finished viewing the various renderings from the CadView method.

Note: This method does not support asynchronous operations nor support of annotations for adding or viewing.

See Also

ImagXpress Object | CadOpen Method | CadView Method


ImagXpress Object

LayerIndex
A long which represents the CAD layer to view.
EnableLayer
A boolean value which is True to enable the given CAD layer or False to disable the viewing.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CadLayerEnableView Method

Description

Enables viewing the given CAD layer.

Syntax

Public Sub CadLayerEnableView( _
   ByVal LayerIndex As Long, _
   ByVal EnableLayer As Boolean _
)

Parameters

LayerIndex
A long which represents the CAD layer to view.
EnableLayer
A boolean value which is True to enable the given CAD layer or False to disable the viewing.

See Also


ImagXpress Object | CadClose Method | CadView Method

FileName
A string value which represents the CAD file to open.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CadOpen Method

Description

Opens the CAD file for repeated renderings of differently selected layers and layouts.

Syntax

Public Sub CadOpen( _
   ByVal FileName As String _
)

Parameters

FileName
A string value which represents the CAD file to open.

Remarks

This method keeps the internal tables and reference objects available for subsequent viewing by CadView. Without any CAD load options selected, the default layout and layers are rendered at the default paper size and resolution.

To terminate the viewing and remove the tables, CadClose must be called.

Note: This method does not support asynchronous operations nor support of annotations for adding or viewing.

See Also

ImagXpress Object | CadClose Method | CadView Method


ImagXpress Object | CadOpen Method | CadClose Method

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CadView Method

Description

Changes the CAD file view.

Syntax

Public Sub CadView()

Remarks

The paper size options determine the image width and height along with the crop parameters which select what portion of the image to render.

This method must have been preceded by a call to CadOpen before it is called for the first time.

This method may be called multiple times since the first call to CadOpen, but eventually succeeded with a CadClose method.

Note: This method does not support asynchronous operations nor support of annotations for adding or viewing.

See Also

ImagXpress Object | CadOpen Method | CadClose Method


ImagXpress Object

ID
A variant value which represents the Cals tag ID to add the tag to.
CalsData
A variant value which represents the Cals data to add.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CalsAddTag Method

Description

Adds a Cals tag from the given parameters.

Syntax

Public Sub CalsAddTag( _
   ByVal ID As Variant, _
   ByVal CalsData As Variant _
)

Parameters

ID
A variant value which represents the Cals tag ID to add the tag to.
CalsData
A variant value which represents the Cals data to add.

See Also


ImagXpress Object

ID
A byte value which represents a pointer to the Cals tag ID.
CalsData
A byte value which represents the Cals tag data to add.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CalsAddTagPtr Method

Description

Adds Cals tag information via a pointer.

Syntax

Public Sub CalsAddTagPtr( _
   ByRef ID As Byte, _
   ByRef CalsData As Byte _
)

Parameters

ID
A byte value which represents a pointer to the Cals tag ID.
CalsData
A byte value which represents the Cals tag data to add.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CalsDeleteTag Method

Description

Deletes a Cals tag.

Syntax

Public Sub CalsDeleteTag()

See Also


ImagXpress Object

ID
A variant value which represents the Cals tag ID.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CalsFindTag Method

Description

Finds a Cals tag as per the given ID.

Syntax

Public Sub CalsFindTag( _
   ByVal ID As Variant _
)

Parameters

ID
A variant value which represents the Cals tag ID.

See Also


ImagXpress Object

ID
A byte value which represents a pointer to the Cals tag ID.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CalsFindTagPtr Method

Description

Finds Cals tag information via a pointer.

Syntax

Public Sub CalsFindTagPtr( _
   ByRef ID As Byte _
)

Parameters

ID
A byte value which represents a pointer to the Cals tag ID.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CalsFirstTag Method

Description

Finds the first instance of a Cals tag.

Syntax

Public Sub CalsFirstTag()

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CalsNextTag Method

Description

Finds the next instance of a Cals tag.

Syntax

Public Sub CalsNextTag()

See Also


ImagXpress Object

lImageID
The image buffer being processed which you want to cancel.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Cancel Method

Description

Cancels current loading, decompression, compression, or saving operation.

Syntax

Public Sub Cancel( _
   ByVal lImageID As Long _
)

Parameters

lImageID
The image buffer being processed which you want to cancel.

Remarks

This method cancels the loading or decompression of any image that is loaded by invoking the Filename property and the Load methods (except LoadRaw). This method also cancels the saving or compression of any image saved by the SaveFile method. If a load, decompression, save or compression process is canceled, an error message appears.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Capture Method

Description

Captures the screen area bounded by the control and saves it to the current image.

Syntax

Public Sub Capture()

Remarks

Note: Available in all editions.

See Also


CaptureWindow Method

ImagXpress Object

hWnd
A value that evaluates to a Window handle.
x
The x-coordinate of the upper left corner of the Window's capture area, in pixels.
y
The y-coordinate of the upper left corner of the Window's capture area, in pixels.
width
The width of the Window’s capture area in pixels.
height
The height of the Window’s capture area in pixels.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CaptureWindow Method

Description

Captures the screen area within the specified Window and saves it to the current image.

Syntax

Public Sub CaptureWindow( _
   ByVal hWnd As Long, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal width As Long, _
   ByVal height As Long _
)

Parameters

hWnd
A value that evaluates to a Window handle.
x
The x-coordinate of the upper left corner of the Window's capture area, in pixels.
y
The y-coordinate of the upper left corner of the Window's capture area, in pixels.
width
The width of the Window’s capture area in pixels.
height
The height of the Window’s capture area in pixels.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

lImageID
Which image buffer to close.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CloseImage Method

Description

Closes the specified image and frees up associated resources.

Syntax

Public Sub CloseImage( _
   ByVal lImageID As Long _
)

Parameters

lImageID
Which image buffer to close.

Remarks

When processing multiple buffers, you must track them and close those buffers with which you are finished. The control will be blank.

If any control references an image buffer (either in ProcessImageID or ViewImageID properties), the control is not freed, but it does blank out.

Note: Available in all editions.

Example

Private Sub Command1_Click()

Dim ImageBufferID As Integer

Dim PrevID As Integer

Dim i As Integer

' ACTIVE BUFFERS CAN NOT BE CLOSED SO WE HAVE TO CLOSE IT AFTER WE'VE STARTED WORKING WITH ANOTHER ONE.

PrevID = IX.ProcessImageID

' SWITCH TO ANOTHER BUFFER

ImageBufferID = IX.GetUniqueImageID

IX.ProcessImageID = ImageBufferID

IX.ViewImageID = ImageBufferID

' NOW IT IS OK TO CLOSE THE FIRST BUFFER

IX.CloseImage (PrevID)

' OPEN ANOTHER IMAGE FILE

IX.FileName = App.Path & "\benefits.tif"

End Sub

See Also


ImagXpress Object

Color
Stores four, 8-bit components: alpha, red, green, and blue, respectively.

Note: The specified Color must be in a valid OLE_COLOR range.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ColorCount Method

Description

Returns the number of pixels of a specified color within the current image area.

Syntax

Public Function ColorCount( _
   ByVal Color As ULong _
) As Long

Parameters

Color
Stores four, 8-bit components: alpha, red, green, and blue, respectively.

Note: The specified Color must be in a valid OLE_COLOR range.

Return Type

Long data type evaluates to the count of pixels of the specified Color parameter.

Remarks

This method can be used to determine if a check box on a document image is filled or if a specific field on a form is filled.

Note: Available in all editions.

See Also


ColorDepth Method

ImagXpress Object

IPBitsPixel

An integer parameter.

Valid range is 1, 4, 8, and 24.

IPPalette
PaletteType enumeration evaluates specifies which color palette to apply to the image, if bit depth is reduced to 8-bits or less.
IPDither
DitherType that evaluates to the dither type to utilize.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ColorDepth Method

Description

Changes the bits per pixel of the current image.

Syntax

Public Sub ColorDepth( _
   ByVal IPBitsPixel As Integer, _
   ByVal IPPalette As enumPalette, _
   ByVal IPDither As enumDithered _
)

Parameters

IPBitsPixel

An integer parameter.

Valid range is 1, 4, 8, and 24.

IPPalette
Value | Description
IPAL_Optimized | (0) - Optimized - The image will be displayed using the best possible palette for each image.
IPAL_Fixed | (1) - Fixed - The image will be displayed using an internal fixed palette.
IPAL_Gray | (2) - Gray Scale - The image will be displayed using a gray scale palette.
IPAL_PalFile | (3) - Palette File - The image will be displayed using a palette file.
IPAL_UserDefined | (4) - User Defined - The image will be displayed using a user defined palette.
PaletteType enumeration evaluates specifies which color palette to apply to the image, if bit depth is reduced to 8-bits or less.
IPDither
Value | Description
DI_None | (0) — None
DI_Floyd | (1) — Floyd-Steinberg
DI_Ordered | (2) — Ordered
DI_Pegasus | (3) — Pegasus
DI_BinarizeQuickText | (4) — Binarize quick text
DI_BinarizePhotoHalftone | (5) — Binarize photo halftone
DitherType that evaluates to the dither type to utilize.

Remarks

Note: Available in all editions.

See Also


ColorJoin Method

ImagXpress Object

nJoinType
An integer value which represents the color space to use in separating the image: RGB, HSL, CMY, CMYK, or ARGB.
hDIB1
The handle to the DIB containing the first color component of the image. This would correspond to the red, hue, or cyan component, depending on the value of the nJoinType.
hDIB2
The handle to the DIB containing the second color component of the image. This would correspond to the green, saturation or magenta component, depending on the value of the nJoinType.
hDIB3
The handle to the DIB containing the third color component of the image. This would correspond to the blue, luminance, or yellow component, depending on the value of the nJoinType.
hDIB4
The handle to the DIB containing the black component of the image, if the nJoinType is CMYK, or the Alpha component of the separated image, if the nJoinType is RGBA. Otherwise, this value is null.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ColorJoin Method

Description

Joins the color components into a full image.

Syntax

Public Sub ColorJoin( _
   ByVal nJoinType As Integer, _
   ByVal hDIB1 As Long, _
   ByVal hDIB2 As Long, _
   ByVal hDIB3 As Long, _
   ByVal hDIB4 As Long _
)

Parameters

nJoinType
An integer value which represents the color space to use in separating the image: RGB, HSL, CMY, CMYK, or ARGB.
hDIB1
The handle to the DIB containing the first color component of the image. This would correspond to the red, hue, or cyan component, depending on the value of the nJoinType.
hDIB2
The handle to the DIB containing the second color component of the image. This would correspond to the green, saturation or magenta component, depending on the value of the nJoinType.
hDIB3
The handle to the DIB containing the third color component of the image. This would correspond to the blue, luminance, or yellow component, depending on the value of the nJoinType.
hDIB4
The handle to the DIB containing the black component of the image, if the nJoinType is CMYK, or the Alpha component of the separated image, if the nJoinType is RGBA. Otherwise, this value is null.

Remarks

Note: Available in Standard, Document and Photo Editions.

See Also


ImagXpress Object

IPSeparationType
Indicates the color space to use in separating the image: RGB, HSL, CMY, CMYK, RGBA.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ColorSeparation Method

Description

Separates the color components of the image.

Syntax

Public Sub ColorSeparation( _
   ByVal IPSeparationType As Integer _
)

Parameters

IPSeparationType
Indicates the color space to use in separating the image: RGB, HSL, CMY, CMYK, RGBA.

Remarks

The resulting separate color planes can be accessed using the IPGetColorPlane method.

Note: Available in Standard, Document and Photo Editions.

See Also


ImagXpress Object

sourceFile
String expression that evaluates to a multiple page TIFF file that needs to be compacted.
destFile
String expression evaluating to the destination file containing the compacted file.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CompactFile Method

Description

Compacts a multiple page file by removing unused pages.

Syntax

Public Sub CompactFile( _
   ByVal sourceFile As String, _
   ByVal destFile As String _
)

Parameters

sourceFile
String expression that evaluates to a multiple page TIFF file that needs to be compacted.
destFile
String expression evaluating to the destination file containing the compacted file.

Remarks

This method copies all pages in the sourceFile to the destFile. Pages in the sourceFile which have been deleted or are not pointed to by any IFDs are not copied.

Note: Available in Document and Photo Editions.

See Also


Contrast Method

ImagXpress Object

IPContrastI
An integer expression that evaluates to the contrast intensity.

Valid range is -100 to 100.

0 indicates that the contrast remains the same as in the original image.

Values greater than zero increase the contrast in the image.

Values less than zero decrease the contrast in the image.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Contrast Method

Description

Automatically adjusts the contrast of the current image.

Syntax

Public Sub Contrast( _
   ByVal IPContrastI As Integer _
)

Parameters

IPContrastI
An integer expression that evaluates to the contrast intensity.

Valid range is -100 to 100.

0 indicates that the contrast remains the same as in the original image.

Values greater than zero increase the contrast in the image.

Values less than zero decrease the contrast in the image.

Remarks

This method uses the same algorithm as AutoContrast, but enables the user to adjust the results of the algorithm by a specified percentage.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Copy Method

Description

Copies the current image to the clipboard.

Syntax

Public Sub Copy()

Remarks

The current image is placed on the clipboard.

Note: Available in Standard, Document, or Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CopyDIB Method

Description

Creates a copy of the current DIB.

Syntax

Public Function CopyDIB() As Long

Return Type

This method returns the handle to the copied DIB. If the method fails, the return value is zero.

Remarks

This method does not work with high-gray images as high-gray images cannot be DIBs by definition. Instead, use the CopyImage method to copy high-gray images.

Note that the receiver is responsible for freeing the DIB by issuing a GlobalFree on the DIB Handle. If the receiver is an ImagXpress control, there is no need to issue the GlobalFree as ImagXpress does this for you.

VC++ Exmple

MyDIB = ImagXpress9.CopyDIB;

// Do something with MyDIB

// Now free the DIB GlobalFree (MyDIB);.

Note: Available in Standard, Document and Photo Editions.

Example

' The CopyDIB method is typically used to create a

' copy of a DIB for another ImagXpress control.

ImagXpress2.hDIB = ImagXpress1.CopyDIB

See Also


CopyImage Method

ImagXpress Object

lCopyFromImageID
A long value which represents which image buffer to copy.
lCopyImageModeFlags

A long value which represents the current buffer to copy to.

These may be combined:

  • CMEM_NONE (0) - None
  • CMEM_NOFOCUS (1) - Compress the DIB if the control does not have focus.
  • CMEM_ALWAYS (2) - Always compress the DIB
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CopyImage Method

Description

Copies an image from a specified buffer to the current buffer.

Syntax

Public Sub CopyImage( _
   ByVal lCopyFromImageID As Long, _
   ByVal lCopyImageModeFlags As Long _
)

Parameters

lCopyFromImageID
A long value which represents which image buffer to copy.
lCopyImageModeFlags

A long value which represents the current buffer to copy to.

These may be combined:

  • CMEM_NONE (0) - None
  • CMEM_NOFOCUS (1) - Compress the DIB if the control does not have focus.
  • CMEM_ALWAYS (2) - Always compress the DIB

Return Type

The ID of the newly created image buffer.

Remarks

If the Merge method is set, the ICopyFromImageID image is merged into the image of the current buffer. This method has a flags parameter allowing the inclusion\exclusion of pieces of the image buffer: Undo Image, Image Property tags, Annotation data, etc.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CopyRubberbandDIB Method

Description

Creates a copy of the DIB bounded by the current rubber band.

Syntax

Public Function CopyRubberbandDIB() As Long

Remarks

The new DIB handle. Zero if a rubber band does not exist or if the new DIB could not be created. The DIB is typically assigned to the hDIB of another ImagXpress control.

The receiver is responsible for freeing this DIB by issuing a GlobalFree on the DIB Handle.

Note: Available in all editions.

See Also


CreateCtlWindow Method

ImagXpress Object | DestroyCtlWindow Method

hParent
A long expression specifying the parent Window of the ImagXpress object.
left
The left position of the control’s Window with respect to the parent Window.
top
The top position of the control’s Window with respect to the parent Window.
width
The width of the control’s Window in pixels.
height
The height of the control’s Window in pixels.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CreateCtlWindow Method

Description

Creates the ImagXpress Control Window.

Syntax

Public Sub CreateCtlWindow( _
   ByVal hParent As Long, _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal width As Long, _
   ByVal height As Long _
)

Parameters

hParent
A long expression specifying the parent Window of the ImagXpress object.
left
The left position of the control’s Window with respect to the parent Window.
top
The top position of the control’s Window with respect to the parent Window.
width
The width of the control’s Window in pixels.
height
The height of the control’s Window in pixels.

Remarks

When an ImagXpress control is instantiated as an ActiveX control, the control’s Window is automatically created and destroyed by the ActiveX framework. It is not necessary to use the CreateCtlWindow and DestroyCtlWindow Methods when using the ActiveX component.

When ImagXpress is used as a COM object, the ActiveX framework is not invoked, therefore the COM object is instantiated without a Window. If a Window is desired, the CreateCtlWindow method must be invoked to create the object’s window. Each call to CreateCtlWindow must be paired with a call to DestroyCtlWindow prior to destroying the object.

When using the ImagXpress COM object in VC++ or CBuilder, CreateCtlWindow gets called in the object’s constructor in ImagXpressEvents8.h and the Window gets destroyed in the object’s destructor.

When using the ImagXpress COM object in other environments, you must explicitly invoke CreateCtlWindow and DestroyCtlWindow.

Note: Available in all editions.

See Also

ImagXpress Object | DestroyCtlWindow Method


CreateDIB Method

ImagXpress Object

IPCreateWidth
An integer expression that evaluates to the width of the bitmap to create.
IPCreateHeight
An integer expression that evaluates to the height of the bitmap to create.
IPCreateBits

An integer expression that evaluates to the bits per pixel of the created bitmap.

Valid values are 1, 4, 8, and 24.

IPCreateColor

The color of the bitmap.

Note: Value specified must be in a valid OLE_COLOR range.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CreateDIB Method

Description

Creates a new solid color bitmap.

Syntax

Public Sub CreateDIB( _
   ByVal IPCreateWidth As Long, _
   ByVal IPCreateHeight As Long, _
   ByVal IPCreateBits As Integer, _
   ByVal IPCreateColor As ULong _
)

Parameters

IPCreateWidth
An integer expression that evaluates to the width of the bitmap to create.
IPCreateHeight
An integer expression that evaluates to the height of the bitmap to create.
IPCreateBits

An integer expression that evaluates to the bits per pixel of the created bitmap.

Valid values are 1, 4, 8, and 24.

IPCreateColor

The color of the bitmap.

Note: Value specified must be in a valid OLE_COLOR range.

Remarks

If the UndoEnabled property is True, hDIBUndo is replaced by hDIB, hDIB is replaced by the DIB resulting from this method, and the Picture property is set to the resulting image.

Note: Available in all editions.

See Also


Crop Method

ImagXpress Object

IPCropX
A long value which represents the horizontal axis of rectangular area to crop.
IPCropY
A long value which represents the vertical axis of rectangular area to crop.
IPCropWidth
A long width of rectangular area to crop.
IPCropHeight
height of rectangular area to crop.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Crop Method

Description

Crops the current image to the specified size.

Syntax

Public Sub Crop( _
   ByVal IPCropX As Long, _
   ByVal IPCropY As Long, _
   ByVal IPCropWidth As Long, _
   ByVal IPCropHeight As Long _
)

Parameters

IPCropX
A long value which represents the horizontal axis of rectangular area to crop.
IPCropY
A long value which represents the vertical axis of rectangular area to crop.
IPCropWidth
A long width of rectangular area to crop.
IPCropHeight
height of rectangular area to crop.

Remarks

If the area defined by the crop parameters does not fall within the boundaries of the image, the image is not cropped and an error message generates.

See AutoCrop and CropBorder.

Note: Available in all editions.

See Also


ImagXpress Object

IPCropPct
Single that evaluates to the crop percent as described in Remarks. Valid range is between 0.0 and 1.0 (percent).
IPCropBorder
CropType enumeration used in determining the type of crop to perform.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CropBorder Method

Description

Performs border removal by automatically cropping the edges of the current DIB.

Syntax

Public Sub CropBorder( _
   ByVal IPCropPct As Single, _
   ByVal IPCropBorder As Integer _
)

Parameters

IPCropPct
Single that evaluates to the crop percent as described in Remarks. Valid range is between 0.0 and 1.0 (percent).
IPCropBorder
CropType enumeration used in determining the type of crop to perform.

Remarks

Occasionally, scanned documents possess edges where the selected scan area falls outside of the scanned page. Use CropBorder method to remove these edges from images.

Use DocumentBorderCrop to remove unwanted edges from documents.

Beginning with the top row, each row is examined for pixels containing the border color. If the percentage pixels containing the border color in that row and its adjacent row is greater than IPCropPct, the row is eliminated and the next row is examined. The process continues until the number of pixels containing the border color is less than CropPct.

The same process is applied for rows from bottom to top and from the leftmost column to right and from the rightmost column to the left. The IPCropPct argument can be adjusted to compensate for noise that is typically found in scanned documents.

  • For IPCropBorder = CropBorderBackgroundColor (0) and IPCropBorder = CropBorderForegroundColor (1), CropBorder attempts to determine whether the image is black on white or white on black by counting black and white pixels in a subsample of the image.
  • If an image is known to have either black or white borders, then use IPCropBorder = CropBorderBlackColor (2) or IPCropBorder = CropBorderWhiteColor (3) settings, respectively.

Note: Available in all editions.

See Also


CtlMove Method

ImagXpress Object

left
Specifies the control’s left position in pixels.
top
Specifies the control’s top position in pixels.
width
Specifies the control’s width in pixels.
height
Specifies the control’s height in pixels.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CtlMove Method

Description

Moves the control window.

Syntax

Public Sub CtlMove( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal width As Long, _
   ByVal height As Long _
)

Parameters

left
Specifies the control’s left position in pixels.
top
Specifies the control’s top position in pixels.
width
Specifies the control’s width in pixels.
height
Specifies the control’s height in pixels.

Remarks

This property is provided as a replacement for the stock ActiveX Move method. The stock ActiveX properties and methods are not available:

  • when using ImagXpress as a COM object
  • when using the ImagXpress ActiveX control in a container that does not support the stock properties and methods.

In these cases, use CtlMove to move the control window.

Note: Available in all editions.

See Also


CtlSetFontStyle Method

ImagXpress Object

Style

An integer value which represents the font style to set.

FONT_BOLD (0) - Bold

FONT_ITALIC (1) - Italic

FONT_UNDERLINE (2) - Underline

FONT_STRIKE (3) - Strikethrough

Value
A long value which represents the value of the style.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CtlSetFontStyle Method

Description

Sets the ImagXpress font style.

Syntax

Public Sub CtlSetFontStyle( _
   ByVal Style As Integer, _
   ByVal Value As Long _
)

Parameters

Style

An integer value which represents the font style to set.

FONT_BOLD (0) - Bold

FONT_ITALIC (1) - Italic

FONT_UNDERLINE (2) - Underline

FONT_STRIKE (3) - Strikethrough

Value
A long value which represents the value of the style.

Remarks

Note: Available in Document and Photo Editions.

See Also


ImagXpress Object

FileName
The file from which a page will be deleted.
PageNbr
The page to be deleted.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DeletePage Method

Description

Deletes a page from a multi-page document.

Syntax

Public Sub DeletePage( _
   ByVal FileName As String, _
   ByVal PageNbr As Long _
)

Parameters

FileName
The file from which a page will be deleted.
PageNbr
The page to be deleted.

Remarks

The DeletePage method does not physically delete the image page from the file. It adjusts the pointers in the TIFF IFDs to point around the deleted image. This operation leaves unused images in the file and therefore wasted space in the file. Use the CompactFile method to physically remove all unused pages in a file.

Note: Available in Document or Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DeleteSaveBuffer Method

Description

Deletes the memory associated with image data saved after invoking the SaveFile method when the SaveToBuffer property is True.

Syntax

Public Sub DeleteSaveBuffer()

Remarks

After saving image file data to memory, the DeleteSaveBuffer can be used to delete the memory associated with the image file data.

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

eDeskewType
DeskewType enumeration that evaluates to the type of Deskew processing to perform.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Deskew Method

Description

This method can be employed to correct skewing in an image.

Syntax

Public Sub Deskew( _
   ByVal eDeskewType As enumDeskewType _
)

Parameters

eDeskewType
Value | Description
DESKEW_Normal | (0) — Normal (Default).
DESKEW_AdjustSize | (1) — Image size grows or shrinks.
DESKEW_Preserve_Crop | (2) — Image stays same size, rotated image is cropped to original dimensions.
DESKEW_Preserve_Resize | (3) — Image stays same size, rotated image is resized to original dimensions using Resize method.
DESKEW_Preserve_Resample | (4) — Image stays same size, rotated image is resized to original dimensions using the Resample method.
DESKEW_Preserve_PICResize | (5) — Image stays same size, rotated image is resized to original dimensions using PICResize method.
DESKEW_Photo_Crop | (6) — Special deskew routine specifically for color images. Only available for Photo edition.
DeskewType enumeration that evaluates to the type of Deskew processing to perform.

Remarks

Use this deskew method on images with bit depth greater than one.

For bitonal (1-bit) images, use DocumentDeskew.

Note: Available in View, Document, and Photo Edition. (DESKEW_Photo_Crop option only available in Photo edition.)

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Despeckle Method

Description

Filters the image using a filter that attempts to eliminate noise in the image.

Syntax

Public Sub Despeckle()

Remarks

The most typical use of Despeckle is to eliminate noise or small black areas in an image. These areas are typically caused when the image is printed on a fax machine or as noise when the image is scanned.

Median can also be used to eliminate noise in an image, however, Median is a much harsher filter and has a tendency to distort lettering. This method is only available in View, Document or Photo.

Use this deskew method on images with bit depth greater than one. For bitonal (1-bit) images, use DocumentDespeckle.

Note: Available in View, Document, and Photo Edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DestroyCtlWindow Method

Description

Destroys the ImagXpress Control Window.

Syntax

Public Sub DestroyCtlWindow()

Remarks

  • When an ImagXpress control is instantiated as an ActiveX control, the control’s Window is automatically created and destroyed by the ActiveX framework. It is not necessary to use the CreateCtlWindow and DestroyCtlWindow Methods when using the ActiveX component.
  • When ImagXpress is used as a COM object, the ActiveX is not invoked, therefore the COM object is instantiated without a Window. If a Window is desired, the CreateCtlWindow method must be invoked to create the object’s window. Each call to CreateCtlWindow must be paired with a call to DestroyCtlWindow prior to destroying the object.
  • When using the ImagXpress COM object in VC++ or CBuilder, CreateCtlWindow gets called in the object’s constructor in ImagXpressEvents8.h (see Importing ImagXpress as a COM Object in VC++ and C++ Builder topic) and the Window gets destroyed in the object’s destructor.
  • When using the ImagXpress COM object in other environments, you must manually invoke CreateCtlWindow and DestroyCtlWindow. See the COM Object sample in the VB Samples directory for an example.

It is not necessary to use the CreateCtlWindow and DestroyCtlWindow Methods when using the ActiveX component.

Note: Available in all editions.

See Also


ImagXpress Object

IPPalIndex
An integer expression that equates to the palette index within the image. Valid values are greater than or equal to zero.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DIBGetPalIndex Method

Description

Gets an RGB value for a palette entry in the current DIB.

Syntax

Public Function DIBGetPalIndex( _
   ByVal IPPalIndex As Integer _
) As ULong

Parameters

IPPalIndex
An integer expression that equates to the palette index within the image. Valid values are greater than or equal to zero.

Remarks

If the current DIB is an 8-bit, 4-bit or 1-bit DIB, the returned value contains the RGB color value in the palette for the given palette index formatted as follows:

BBGGRR

where BB, GG and RR are 8-bit byte values. The following Visual Basic example code illustrates how to extract RGB values from the DIBGetPalIndex value.

Note: Available in all editions.

See Also


DIBGetPixel Method

ImagXpress Object

IPPixelX

An integer expression that equates to the x location of the pixel within the image.

Valid values are greater than or equal to zero.

IPPixelY

An integer expression that equates to the y location of the pixel within the image.

Valid values are greater than or equal to zero.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DIBGetPixel Method

Description

Gets a pixel value from the current DIB.

Syntax

Public Function DIBGetPixel( _
   ByVal IPPixelX As Long, _
   ByVal IPPixelY As Long _
) As ULong

Parameters

IPPixelX

An integer expression that equates to the x location of the pixel within the image.

Valid values are greater than or equal to zero.

IPPixelY

An integer expression that equates to the y location of the pixel within the image.

Valid values are greater than or equal to zero.

Remarks

If the current DIB is an 8-bit, 4-bit or 1-bit DIB, the returned long value contains the palette index of the pixel. If the current DIB is a 24-bit or 16-bit DIB, the returned long value contains RGB color data formatted as follows:

BBGGRR

where BB, GG and RR are 8-bit byte values. The following Visual Basic example code illustrates how to extract RGB values from the DIBGetPixel value.

Note: Available in all editions.

Example

thisColor = ImagXpress9.DIBGetPixel(10,10)

red = thisColor And 255

green = Int(thisColor/256) And 255

blue = Int(thisColor/65536) And 255

See Also


DIBSetPalIndex Method

ImagXpress Object

IPPalIndex

An integer expression that equates to the palette index within the image.

Valid values are greater than or equal to zero.

OPPalColor

The RGB color value of the palette index.

Note: Value specified must be in a valid OLE_COLOR range.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DIBSetPalIndex Method

Description

Sets an RGB value for a palette entry in the current DIB.

Syntax

Public Sub DIBSetPalIndex( _
   ByVal IPPalIndex As Integer, _
   ByVal OPPalColor As ULong _
)

Parameters

IPPalIndex

An integer expression that equates to the palette index within the image.

Valid values are greater than or equal to zero.

OPPalColor

The RGB color value of the palette index.

Note: Value specified must be in a valid OLE_COLOR range.

Remarks

Sets the IPPalIndex property.

For performance reasons, the DIBSetPalIndex method modifies the palette in the current DIB, but it does not update the control’s picture. The result of the DIBSetPalIndex method cannot be undone with the Undo method. To visually see the modified DIB, you must invoke the DIBUpdate method to update the control’s picture.

Note: Available in all editions.

Example

The following Visual Basic line of code illustrates how to use the DIBSetPalIndex method:

ImagXpress1.DIBSetPalIndex 10, RGB(255,0,0)

See Also


DIBSetPixel Method

ImagXpress Object

IPPixelX

An integer expression that equates to the x location of the pixel within the image.

Valid values are greater than or equal to zero.

IPPixelY

An integer expression that equates to the y location of the pixel within the image.

Valid values are greater than or equal to zero.

IPDIBColor

The RGB color value or the palette index of the pixel.

Note: Value specified must be in a valid OLE_COLOR range.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DIBSetPixel Method

Description

Sets a pixel value in the current DIB.

Syntax

Public Sub DIBSetPixel( _
   ByVal IPPixelX As Long, _
   ByVal IPPixelY As Long, _
   ByVal IPDIBColor As ULong _
)

Parameters

IPPixelX

An integer expression that equates to the x location of the pixel within the image.

Valid values are greater than or equal to zero.

IPPixelY

An integer expression that equates to the y location of the pixel within the image.

Valid values are greater than or equal to zero.

IPDIBColor

The RGB color value or the palette index of the pixel.

Note: Value specified must be in a valid OLE_COLOR range.

Remarks

This method sets the IPPixelX and IPPixelY properties.

If the current DIB is an 8-bit, 4-bit or 1-bit DIB, IPDIBcolor contains the palette index of the pixel. If the current DIB is a 24-bit or 16-bit DIB, IPDIBcolor contains RGB color data formatted as follows:

BBGGRR

where BB, GG and RR are 8-bit byte values. The line of Visual Basic code below illustrates using the DIBSetPixel method to set the pixel of a 24-bit DIB at location 10,10 to red.

For performance reasons, the DIBSetPixel method modifies pixels in the current DIB, but does not update the control’s picture. The result of the DIBSetPixel method cannot be undone with the Undo method. To visually see the modified DIB, you must invoke the DIBUpdate method to update the control’s picture.

Note: Available in all editions.

Example

ImagXpress1.DIBSetPixel 10, 10, RGB(255,0,0)

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DIBUpdate Method

Description

Updates the control’s display with the current DIB.

Syntax

Public Sub DIBUpdate()

Remarks

Displays the current DIB and any modifications to the control’s display.

Use the DIBUpdate method to visually see the results of the DIBSetPalIndex and DIBSetPixel methods.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Diffuse Method

Description

Diffuses the current DIB by replacing each pixel with a randomly selected neighboring pixel.

Syntax

Public Sub Diffuse()

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Dilate Method

Description

Dilates the current DIB using a 3x3 maximum filter.

Syntax

Public Sub Dilate()

Remarks

This method enhances / fills in divets in black letters and lines.

Note: Available in all editions.

See Also


DocumentBlankPageDetect Method

ImagXpress Object

Margin

The number of rows of pixels to ignore on the edges (top, left, right and bottom) of the image. If IgnoreBorder is False, this margin applies to the sides of the original image. If IgnoreBorder is True, this margin is applied to the sides of the page, inside the detected border.

Range: 0 ≤ Margin ≤ 2,147,483,647 Typical: 0

If this value is out of range, then throws error message.

MinObjectDimension

Minimum width or height of a black object considered non-blank. Set it higher to ignore larger objects (causing more pages to be considered blank) or lower to notice smaller objects (causing more pages to be considered non-blank.)

Range: 1 ≤ MinObjectDimension ≤ 2,147,483,647 Typical: 10

If this value is out of range, then throws error message.

GapFill

Maximum spacing between black objects considered connected. Set it higher to cause broken objects to be considered as two parts of a larger object (causing more pages to be considered non-blank) or lower to cause neighboring black objects to be treated separately (causing more pages to be considered blank.)

Range: 0 ≤ GapFill ≤ 2,147,483,647 Typical: 5

If this value is out of range, then throws error message.

IgnoreBorder

Flag to do a quick search for over scan in the border, and moves detection area inside the detected over scanned border.

Range: True or False Default: False

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DocumentBlankPageDetect Method

Description

Examines a rectangle on an image, determining if the page is considered blank, based on the amount of data on the page.

Syntax

Public Sub DocumentBlankPageDetect( _
   ByVal Margin As Long, _
   ByVal MinObjectDimension As Long, _
   ByVal GapFill As Long, _
   ByVal IgnoreBorder As Boolean _
)

Parameters

Margin

The number of rows of pixels to ignore on the edges (top, left, right and bottom) of the image. If IgnoreBorder is False, this margin applies to the sides of the original image. If IgnoreBorder is True, this margin is applied to the sides of the page, inside the detected border.

Range: 0 ≤ Margin ≤ 2,147,483,647 Typical: 0

If this value is out of range, then throws error message.

MinObjectDimension

Minimum width or height of a black object considered non-blank. Set it higher to ignore larger objects (causing more pages to be considered blank) or lower to notice smaller objects (causing more pages to be considered non-blank.)

Range: 1 ≤ MinObjectDimension ≤ 2,147,483,647 Typical: 10

If this value is out of range, then throws error message.

GapFill

Maximum spacing between black objects considered connected. Set it higher to cause broken objects to be considered as two parts of a larger object (causing more pages to be considered non-blank) or lower to cause neighboring black objects to be treated separately (causing more pages to be considered blank.)

Range: 0 ≤ GapFill ≤ 2,147,483,647 Typical: 5

If this value is out of range, then throws error message.

IgnoreBorder

Flag to do a quick search for over scan in the border, and moves detection area inside the detected over scanned border.

Range: True or False Default: False

Remarks

ImagXpress examines an image and determines if it is blank or not, using parameters provided. The current image remains unchanged.

Outputs:

  • The IPBlankPageDetected property is set to True, if the page is blank, otherwise it is False.
  • The IPConfidence property provides an indication of the confidence of the result.

To use the DocumentBlankPageDetect method

  1. Load a 1-bit image from a file or stream input
  2. Call the DocumentBlankPageDetect method
  3. Examine the BlankPageDetect and Confidence properties for their values

Note: Available in Document and Photo Editions.

See Also


DocumentBlobRemoval Method

ImagXpress Object

left

ImagXpress specifies left side of detection area as the coordinate for the upper-left corner of the rectangle, width and height for the rectangle on the image.

The rectangle must be at least 1 x 1 pixels and cannot extend beyond the boundaries of the input image.

Default: 0,0,0,0 - indicating that the full image should be processed.

top

Top side of rectangle detection area for image.

The rectangle must be at least 1 x 1 pixels and cannot extend beyond the boundaries of the input image.

Default: 0,0,0,0 - indicating that the full image should be processed.

width
Width of rectangle detection area for image. The rectangle must be at least 1 x 1 pixels and cannot extend beyond the boundaries of the input image. Default: 0,0,0,0 - indicating that the full image should be processed.
height

Height of rectangle detection area for image.

The rectangle must be at least 1 x 1 pixels and cannot extend beyond the boundaries of the input image.

Default: 0,0,0,0 - indicating that the full image should be processed.

MinPixelCount

Minimum number of pixels for an object to be considered a blob for removal purposes.

Range: 1 ≤ MinPixelCount ≤ 2,147,483,647 The value must not be greater than the maximum pixel count value. Typical: 300

If this value is out of range, ImagXpress throws an error message.

MaxPixelCount

Maximum number of pixels for an object to be considered a blob for removal purposes.

Range: 1 ≤ MaxPixelCount ≤ 2,147,483,647 The value must not be less than MinimumPixelCount. Typical: 10,000

If this value is out of range, ImagXpress throws an error message.

MinDensity

The ratio of black pixels to all pixels within the convex (outward angle) hull of an object. Convex hull is the smallest non concave polygon that can be made around an object.

Range: 0 ≤ MinDensity ≤ 100 Typical: 50

If this value is out of range, ImagXpress throws an error message.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DocumentBlobRemoval Method

Description

Locates and removes large black objects in images such as binder punch holes.

Syntax

Public Sub DocumentBlobRemoval( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal width As Long, _
   ByVal height As Long, _
   ByVal MinPixelCount As Long, _
   ByVal MaxPixelCount As Long, _
   ByVal MinDensity As Integer _
)

Parameters

left

ImagXpress specifies left side of detection area as the coordinate for the upper-left corner of the rectangle, width and height for the rectangle on the image.

The rectangle must be at least 1 x 1 pixels and cannot extend beyond the boundaries of the input image.

Default: 0,0,0,0 - indicating that the full image should be processed.

top

Top side of rectangle detection area for image.

The rectangle must be at least 1 x 1 pixels and cannot extend beyond the boundaries of the input image.

Default: 0,0,0,0 - indicating that the full image should be processed.

width
Width of rectangle detection area for image. The rectangle must be at least 1 x 1 pixels and cannot extend beyond the boundaries of the input image. Default: 0,0,0,0 - indicating that the full image should be processed.
height

Height of rectangle detection area for image.

The rectangle must be at least 1 x 1 pixels and cannot extend beyond the boundaries of the input image.

Default: 0,0,0,0 - indicating that the full image should be processed.

MinPixelCount

Minimum number of pixels for an object to be considered a blob for removal purposes.

Range: 1 ≤ MinPixelCount ≤ 2,147,483,647 The value must not be greater than the maximum pixel count value. Typical: 300

If this value is out of range, ImagXpress throws an error message.

MaxPixelCount

Maximum number of pixels for an object to be considered a blob for removal purposes.

Range: 1 ≤ MaxPixelCount ≤ 2,147,483,647 The value must not be less than MinimumPixelCount. Typical: 10,000

If this value is out of range, ImagXpress throws an error message.

MinDensity

The ratio of black pixels to all pixels within the convex (outward angle) hull of an object. Convex hull is the smallest non concave polygon that can be made around an object.

Range: 0 ≤ MinDensity ≤ 100 Typical: 50

If this value is out of range, ImagXpress throws an error message.

Remarks

ImagXpress removes only black images on a white image. To remove white pixels on black image requires prior processing, to negate the bitonal image. You can specify a subset of the image to speed processing time and limit unwanted blob removal.

The image is examined for the blobs, such as the black holes left on copies by binder hole punches in the original image. Blobs within the specified region are removed from the current image.

ImagXpress finds black blobs meeting the specified minimum pixel count and yet not exceeding the specified maximum pixel count. The removed blobs are replaced with white pixels. Without a set detection area, the entire image is examined and updated if it meets the criteria. If a blob is detected on the boundaries of a sub-image, only the portion of the blob within the boundaries is removed.

Outputs

  • The current image is modified, with blobs removed as specified. If the operation fails, no change is made to the image.
  • The IPCountofObjectsFound property indicates the number of objects meeting the specifications.
  • The IPImagewasModified property indicates whether the image was changed.

Using DocumentBlobRemoval method

  1. Load a 1-bit image containing a black image on white
  2. Call DocumentBlobRemoval method
  3. Examine IPCountOfObjectsFound and IPImagewasModified properties for information current image no longer has blobs

Note: Available in Document and Photo Editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DocumentBorderCrop Method

Description

Crops borders of documents.

Syntax

Public Sub DocumentBorderCrop()

Remarks

This border crop method is the process of detecting and removing vertical and horizontal lines from the outside rim of an document. The method examines the current document to find dark exterior lines along the outside edge, modifying it to remove them. If the area defined by the crop parameters does not fall within the boundaries of the document, the document is not cropped and an error generates.

Outputs

  • The component's current image should have border lines removed if no errors occurred. If borders were not removed for any reason, the image is not modified.
  • IPImageWasModified is set to true if image was modified, and to false if image was not modified.

Using the DocumentBorderCrop

1. Load a 1 bit image from a file or stream input.

2. Call the method.

3.IPConfidence and IPImageWasModfied properties verify borders removed from document.

Note: Available in Document and Photo Editions.

See Also


DocumentDeskew Method

ImagXpress Object

MinimumAngle

A double value which represents the amount of skew (in degrees) considered acceptable by the caller. This allows the caller to keep images with small amounts of skew untouched potentially increasing performance in batch operations where some skew is acceptable. Angles less than or equal to this amount will not be corrected.

Range: 0 ≤ MinimumAngle ≤ 5 Typical: 0.2

If this value is out of range, ImagXpress throws an error message.

MinimumConfidence

An integer value which represents the minimum detection confidence required before correction will proceed. If the detection confidence is less than this value, the image will not be modified.

Range: 0 ≤ MinimumConfidence ≤ 100 Typical: 50

If this value is out of range, then ImagXpress throws an error message.

PadColor

A long value which indicates the pad color.

Valid values:

0 = black pixels will be added to pad the image.

0x7FFFFFFF = white pixels will be added to pad the image.

The default value is white.

If the PadColor is set to a non-valid value, then ImagXpress throws throws an error message.

MaintainOriginalSize

A boolean flag indicates whether the size of the image should be maintained unchanged, or allowed to change. Typically, this will be False and the deskewed image will be slightly larger than the original image.

Range: True or False Default: False

Quality

An integer value indicates the amount of effort to expend analyzing the image to determine the correct skew. Set to a high value to insure the most accurate possible result and to a low value for fastest operation.

Range: 0 ≤ Quality ≤ 100 Typical value: 80

If this value is out of range, ImagXpress throws an error message.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DocumentDeskew Method

Description

Automatically detects and removes skew from current 1-bit depth images.

Syntax

Public Sub DocumentDeskew( _
   ByVal MinimumAngle As Double, _
   ByVal MinimumConfidence As Integer, _
   ByVal PadColor As Long, _
   ByVal MaintainOriginalSize As Boolean, _
   ByVal Quality As Integer _
)

Parameters

MinimumAngle

A double value which represents the amount of skew (in degrees) considered acceptable by the caller. This allows the caller to keep images with small amounts of skew untouched potentially increasing performance in batch operations where some skew is acceptable. Angles less than or equal to this amount will not be corrected.

Range: 0 ≤ MinimumAngle ≤ 5 Typical: 0.2

If this value is out of range, ImagXpress throws an error message.

MinimumConfidence

An integer value which represents the minimum detection confidence required before correction will proceed. If the detection confidence is less than this value, the image will not be modified.

Range: 0 ≤ MinimumConfidence ≤ 100 Typical: 50

If this value is out of range, then ImagXpress throws an error message.

PadColor

A long value which indicates the pad color.

Valid values:

0 = black pixels will be added to pad the image.

0x7FFFFFFF = white pixels will be added to pad the image.

The default value is white.

If the PadColor is set to a non-valid value, then ImagXpress throws throws an error message.

MaintainOriginalSize

A boolean flag indicates whether the size of the image should be maintained unchanged, or allowed to change. Typically, this will be False and the deskewed image will be slightly larger than the original image.

Range: True or False Default: False

Quality

An integer value indicates the amount of effort to expend analyzing the image to determine the correct skew. Set to a high value to insure the most accurate possible result and to a low value for fastest operation.

Range: 0 ≤ Quality ≤ 100 Typical value: 80

If this value is out of range, ImagXpress throws an error message.

Remarks

Deskew is the process of straightening an image by examining it and determining the appropriate amount of rotation needed for correct alignment.

The detection process focuses on the content of the image, such as text and drawings, rather than the border. Deskew adjusts along the vertical and horizontal axes, optimizing each to provide the best image.

  • If no image is present, an error is indicated. ImagXpress validates the input, detects the skew, corrects the skew (if necessary) and returns results from the process.
  • This method is only corrected if the detection confidence is greater than or equal to the MinimumConfidence input and the skew angle is greater than the MinimumAngle input.
  • If the skew is corrected and MaintainOriginalSize is False, then the previous current image is released and a new DIB is created to hold the new current image. No error is returned if the previous current image could not be released. If the operation fails, the current image is unchanged.

Outputs

  • The component's current image is deskewed if the operation is successful. If the skew was not corrected for any reason, this image will not be modified or released.
  • IPRotationAngle is set with the angle needed to correct the skew.
  • IPVariation is set with the amount of variation detected in the skew of the image.
  • IPConfidence is set with the confidence of the skew detection process.
  • IPImageWasModified is set to true if image was modified, and to false if image was not modified.

Using DocumentDeskew method

1. Load a 1 bit image from a file or stream input.

2. Call DocumentDeskew

3. Examine properties (The image is deskewed according to parameters specification and limitations.)

Note: Available in Document and Photo Editions.

See Also


DocumentDespeckle Method

ImagXpress Object

SpeckWidth

The maximum pixel width an object is considered a speck.

Range: 1 ≤ SpeckWidth ≤ 100 Typical: 2

If this value is out of range, ImagXpress throws an error message.

SpeckHeight

The maximum pixel height an object is considered a speck.

Range: 1 ≤ SpeckHeight ≤ 100 Typical: 2

If this value is out of range, ImagXpress throws an error message.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DocumentDespeckle Method

Description

Detects and removes specks from the current image.

Syntax

Public Sub DocumentDespeckle( _
   ByVal SpeckWidth As Integer, _
   ByVal SpeckHeight As Integer _
)

Parameters

SpeckWidth

The maximum pixel width an object is considered a speck.

Range: 1 ≤ SpeckWidth ≤ 100 Typical: 2

If this value is out of range, ImagXpress throws an error message.

SpeckHeight

The maximum pixel height an object is considered a speck.

Range: 1 ≤ SpeckHeight ≤ 100 Typical: 2

If this value is out of range, ImagXpress throws an error message.

Remarks

Despeckle is the process of removing random specks of noise from an image. The DocumentDespeckle method examines the current image to find objects meeting the current criteria for specks and then removes them. If no parameters are provided, the defaults are used.

Output

  • ImagXpress validates the input, detects the specks, removes them and returns results from the process. If the operation fails, the current image is unchanged. If no errors occur, ImagXpress despeckles the current image. If the despeckle operation is not performed for any reason, the current image is not modified.
  • IPImageWasModified is set to true if the image was modified, and false if image was not modified.
  • IPCountOfSpecsFound is set with the number of specks found.

Using the DocumentDespeckle method

  • Load a 1 bit image from a file or stream input.
  • Call DocumentDespeckle
  • Image is despeckled, according to parameter specifications and limitations.

Note: Available in Document and Photo Editions.

See Also


DocumentDilate Method

ImagXpress Object

Amount

The distance, in pixels, to extend the black pixels.

Range: 1 ≤ Amount ≤ 500 Typical: 1

If this value is out of range, ImagXpress throws an error message.

Direction
The direction to apply the dilation. Black pixels are expanded in this direction. Typically, this is set to a single direction, a pair of directions, or all direction.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DocumentDilate Method

Description

Examines pixels in the current image and expands the black ones by given amount in given direction.

Syntax

Public Sub DocumentDilate( _
   ByVal Amount As Integer, _
   ByVal Direction As enumEnhancementDirection _
)

Parameters

Amount

The distance, in pixels, to extend the black pixels.

Range: 1 ≤ Amount ≤ 500 Typical: 1

If this value is out of range, ImagXpress throws an error message.

Direction
Value | Description
EnhancementDirectionAll | (0) - Enhance all directions.
EnhancementDirectionLeft | (1) - Enhance left.
EnhancementDirectionRight | (2) - Enhance right.
EnhancementDirectionUp | (3) - Enhance up.
EnhancementDirectionDown | (4) - Enhance down.
EnhancementDirectionLeftUp | (5) - Enhance left and up.
EnhancementDirectionLeftDown | (6) - Enhance left and down.
EnhancementDirectionRightUp | (7) - Enhance right and up.
EnhancementDirectionRightDown | (8) - Enhance right and down.
The direction to apply the dilation. Black pixels are expanded in this direction. Typically, this is set to a single direction, a pair of directions, or all direction.

Remarks

The DocumentDilate method validates the input, examines the pixels, expands the black pixels, and returns results from the detection and correction process.

The DilateOptions object contains parameters that control the dilate process. If no parameters are provided, the current image has its black pixels expanded by one in all directions.

Outputs

  • ImagXpress validates the input, examines the pixels, expands the black pixels, and returns results from the detection and correction process. The current content may be modified. If the operation fails, the current image is un-changed.
  • IPImageWasModified is set to true if the image was modified, false if the image was not modified.

Using DocumentDilate

1. Load a 1 bit image from a file or stream input.

2. Call DocumentDilate.

3. The current image is dilated.

Note: Available in Document and Photo Editions.

See Also


DocumentErode Method

ImagXpress Object

Amount

The distance to reduce the black pixels.

Range: 1 ≤ Amount ≤ 500 Typical: 1

ImagXpress does not throw an exception when the range exceeds the image size. Using a value larger than the image is not "wrong", but it is a little strange. Usually select ranges that are not dependent on other inputs (like the image size).

Direction
Direction to apply the erosion. Removes black pixels in this direction. Typically, this is set to a single direction, a pair of directions, or all direction.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DocumentErode Method

Description

Removes the black pixels in the current image by the given amount in the given direction.

Syntax

Public Sub DocumentErode( _
   ByVal Amount As Integer, _
   ByVal Direction As enumEnhancementDirection _
)

Parameters

Amount

The distance to reduce the black pixels.

Range: 1 ≤ Amount ≤ 500 Typical: 1

ImagXpress does not throw an exception when the range exceeds the image size. Using a value larger than the image is not "wrong", but it is a little strange. Usually select ranges that are not dependent on other inputs (like the image size).

Direction
Value | Description
EnhancementDirectionAll | (0) - Enhance all directions.
EnhancementDirectionLeft | (1) - Enhance left.
EnhancementDirectionRight | (2) - Enhance right.
EnhancementDirectionUp | (3) - Enhance up.
EnhancementDirectionDown | (4) - Enhance down.
EnhancementDirectionLeftUp | (5) - Enhance left and up.
EnhancementDirectionLeftDown | (6) - Enhance left and down.
EnhancementDirectionRightUp | (7) - Enhance right and up.
EnhancementDirectionRightDown | (8) - Enhance right and down.
Direction to apply the erosion. Removes black pixels in this direction. Typically, this is set to a single direction, a pair of directions, or all direction.

Remarks

Erosion is the process of removing the specified number of black pixels from the existing black pixels on the specified edge or edges of an image.

Output

  • ImagXpress validates the input, examines the pixels, reduces black pixels, and returns results from the detection and correction process. The current image content may be modified. If the operation fails, the current image is unchanged.
  • IPImageWasModified is set to true if the image was modified, false if the image was not modified.

Using DocumentErode

1. Load a 1 bit image from a file or stream input.

2. Call DocumentErode.

3. The current image is eroded.

Note: Available in Document and Photo Editions.

See Also


DocumentLineRemoval Method

ImagXpress Object

MinLength

The minimum pixel length of a line to meet removal criteria.

Range: 10 ≤ MinLength ≤ 20,000 Typical: 50

MaxThickness

The maximum pixel thickness of a line meeting the removal criteria.

Range: 1 ≤ MaxThickness ≤ 50 Typical: 20

MinAspectRatio

The ratio of the line length to the line width. Lines below this aspect ratio are removed.

The ratio range is any floating point number between 1 and 1000. The typical value is 12. This provides a ratio of 120 pixels in length for every 10 pixels in width.

Range: 1 ≤ MinAspectRatio ≤ 1000 Typical: 12

MaxGap

The maximum allowed gap in a line for the line to still be considered one object. This value should be an integer from 0 to 20.

The default value is 1. Range: 0 - 20 Typical: 1

MaxCharRepairSize

Maximum character size to reconstruct intersected characters within the given size after performing line removal. This value should be a positive integer including zero.

The default value is 20.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DocumentLineRemoval Method

Description

Automatically detects and removes lines from the current image.

Syntax

Public Sub DocumentLineRemoval( _
   ByVal MinLength As Long, _
   ByVal MaxThickness As Integer, _
   ByVal MinAspectRatio As Double, _
   ByVal MaxGap As Integer, _
   ByVal MaxCharRepairSize As Integer _
)

Parameters

MinLength

The minimum pixel length of a line to meet removal criteria.

Range: 10 ≤ MinLength ≤ 20,000 Typical: 50

MaxThickness

The maximum pixel thickness of a line meeting the removal criteria.

Range: 1 ≤ MaxThickness ≤ 50 Typical: 20

MinAspectRatio

The ratio of the line length to the line width. Lines below this aspect ratio are removed.

The ratio range is any floating point number between 1 and 1000. The typical value is 12. This provides a ratio of 120 pixels in length for every 10 pixels in width.

Range: 1 ≤ MinAspectRatio ≤ 1000 Typical: 12

MaxGap

The maximum allowed gap in a line for the line to still be considered one object. This value should be an integer from 0 to 20.

The default value is 1. Range: 0 - 20 Typical: 1

MaxCharRepairSize

Maximum character size to reconstruct intersected characters within the given size after performing line removal. This value should be a positive integer including zero.

The default value is 20.

Return Type

If values are out of range, ImagXpress throws an error message.

Remarks

Line removal is the process of detecting and removing vertical and horizontal lines from an image. The DocumentLineRemoval method examines the current image to find lines and modifies the image to remove them. If no parameters are provided, defaults are used.

Outputs

  • The component's current image should have lines removed if no errors occurred. If lines were not removed for any reason, this image will not be modified.
  • IPCountOfLinesFound will be set with the number of lines detected.
  • IPImageWasModified is set to true if the image was modified, false if the image was not modified.

Using the DocumentLineRemoval method

1. Load a 1 bit image from a file or stream input.

2. Call DocumentLineRemoval.

3. Examine properties (Lines are removed from current image.)

Note: Available in Document and Photo Editions.

See Also


DocumentShear Method

ImagXpress Object

ShearAngle

A double value which represents the shearAngle sets the number of degrees the image is sheared. Positive values shear counter-clockwise, while negative values shear clockwise.

Range: -70 to 70 Typical: none

PadColor

A long value which represents the pad color.

Valid values:

0 = black pixels will be added to pad the image.

0x7FFFFFFF = white pixels will be added to pad the image.

The default value is white.

If the PadColor is set to a non-valid value, then ImagXpress throws throws an error message.

ShearType
An enumShearType value which determines the type of shear to use.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DocumentShear Method

Description

Shears current image clockwise or counter-clockwise.

Syntax

Public Sub DocumentShear( _
   ByVal ShearAngle As Double, _
   ByVal PadColor As Long, _
   ByVal ShearType As enumShearType _
)

Parameters

ShearAngle

A double value which represents the shearAngle sets the number of degrees the image is sheared. Positive values shear counter-clockwise, while negative values shear clockwise.

Range: -70 to 70 Typical: none

PadColor

A long value which represents the pad color.

Valid values:

0 = black pixels will be added to pad the image.

0x7FFFFFFF = white pixels will be added to pad the image.

The default value is white.

If the PadColor is set to a non-valid value, then ImagXpress throws throws an error message.

ShearType
Value | Description
DocShearVertical | (0) - Vertical shearing.
DocShearHorizontal | (1) - Horizontal shearing.
An enumShearType value which determines the type of shear to use.

Return Type

Out of range values cause error messages.

Remarks

Output

  • The component's current image should be already loaded. The current image is sheared. If no image is present, an error is indicated appropriately.
  • IPImageWasModified is set to true if the image was modified, false if the image was not modified.

Using DocumentShear

1. Load a 1 bit image from a file or stream input.

2. Call DocumentShear.

3. The current image is sheared.

Note: Available in Document and Photo Editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DocumentZoomSmooth Method

Description

Replaces current 1 bitperpixel image with an image whose width and height have been doubled and whose pixels have been smoothed.

Syntax

Public Sub DocumentZoomSmooth()

Remarks

This method smooths letters and lines, by first doubling their width and height, then dilating and eroding as required. The result is a larger image, with clearer letters and lines.

Output

  • If no image is present, an error is indicated appropriately. The current image is replaced with a larger smoother image. The component's current image is zoomed and smoothed, if no errors occur. If errors occur, the current image is not modified.
  • IPImageWasModified is set to true if the image was modified, false if the image was not modified.

Using DocumentZoomSmooth

1. Load a 1 bit image from a file or stream input.

2. Call DocumentZoomSmooth.

3. The current image is replaced with a larger smoother image.

Note: Available in Document and Photo Editions.

See Also


DrawArc Method

ImagXpress Object

x1
Integer values (in pixels) indicating the upper-left coordinates for the bounding rectangle.
y1
Integer values (in pixels) indicating the upper-left coordinates for the bounding rectangle.
x2
Integer values (in pixels) indicating the lower-right coordinates for the bounding rectangle.
y2
Integer values (in pixels) indicating the lower-right coordinates for the bounding rectangle.
StartAngle
Integer value (in degrees, 0-360) that specifies the starting angle of the arc.
EndAngle
Integer value (in degrees, 0-360) that specifies the end angle of the arc.
Color

The RGB color of the circle’s outline. You can use the RGB function or QBColor function to specify the color.

Note: Value specified must be in a valid OLE_COLOR range.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DrawArc Method

Description

Draws an arc on a displayed image.

Syntax

Public Sub DrawArc( _
   ByVal x1 As Long, _
   ByVal y1 As Long, _
   ByVal x2 As Long, _
   ByVal y2 As Long, _
   ByVal StartAngle As Integer, _
   ByVal EndAngle As Integer, _
   ByVal Color As ULong _
)

Parameters

x1
Integer values (in pixels) indicating the upper-left coordinates for the bounding rectangle.
y1
Integer values (in pixels) indicating the upper-left coordinates for the bounding rectangle.
x2
Integer values (in pixels) indicating the lower-right coordinates for the bounding rectangle.
y2
Integer values (in pixels) indicating the lower-right coordinates for the bounding rectangle.
StartAngle
Integer value (in degrees, 0-360) that specifies the starting angle of the arc.
EndAngle
Integer value (in degrees, 0-360) that specifies the end angle of the arc.
Color

The RGB color of the circle’s outline. You can use the RGB function or QBColor function to specify the color.

Note: Value specified must be in a valid OLE_COLOR range.

Remarks

Draws an elliptical arc. The center of the arc is the center of the bounding rectangle specified by x1, y1, x2 and y2. The starting and end points of the arc are determined by the startAngle and endAngle values. The arc is drawn in a counterclockwise direction.

The width of the line used to draw the arc depends on the setting of the DrawWidth property. The way the arc is drawn on the background depends on the setting of the DrawMode and DrawStyle properties.

The DrawArc method draws into the control's DIB.

Note: Available in Standard, Document and Photo Editions.

See Also


DrawCircle Method

ImagXpress Object

x
Integer values (in pixels) indicating the coordinates for the center point of the circle or ellipse.
y
Integer values (in pixels) indicating the coordinates for the center point of the circle or ellipse.
Radius
Integer value (in pixels) indicating the radius of the circle or ellipse.
Color

The RGB color of the circle’s outline. If omitted, Black is used. You can use the RGB function or QBColor function to specify the color.

Note: Value specified must be in a valid OLE_COLOR range.

Aspect
Single-precision value indicating the aspect ratio of the circle. 1.0 yields a perfect (non-elliptical) circle on any screen.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DrawCircle Method

Description

Draws a circle or ellipse on a displayed image.

Syntax

Public Sub DrawCircle( _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal Radius As Long, _
   ByVal Color As ULong, _
   ByVal Aspect As Single _
)

Parameters

x
Integer values (in pixels) indicating the coordinates for the center point of the circle or ellipse.
y
Integer values (in pixels) indicating the coordinates for the center point of the circle or ellipse.
Radius
Integer value (in pixels) indicating the radius of the circle or ellipse.
Color

The RGB color of the circle’s outline. If omitted, Black is used. You can use the RGB function or QBColor function to specify the color.

Note: Value specified must be in a valid OLE_COLOR range.

Aspect
Single-precision value indicating the aspect ratio of the circle. 1.0 yields a perfect (non-elliptical) circle on any screen.

Remarks

To fill a circle, set the DrawFillColor and DrawFillStyle properties of the object on which the circle or ellipse is drawn.

The width of the line used to draw the circle or ellipse depends on the setting of the DrawWidth property. The way the circle is drawn on the background depends on the setting of the DrawMode and DrawStyle properties.

The DrawArc method draws into the control's DIB.

Note: Available in Standard, Document and Photo Editions.

See Also


DrawCurve Method

ImagXpress Object

x1
Integer values (in pixels) indicating the coordinates for the starting point, mid point and end point of the Bezier curve.
y1
Integer values (in pixels) indicating the coordinates for the starting point, mid point and end point of the Bezier curve.
x2
Integer values (in pixels) indicating the coordinates for the starting point, mid point and end point of the Bezier curve.
y2
Integer values (in pixels) indicating the coordinates for the starting point, mid point and end point of the Bezier curve.
x3
Integer values (in pixels) indicating the coordinates for the starting point, mid point and end point of the Bezier curve.
y3
Integer values (in pixels) indicating the coordinates for the starting point, mid point and end point of the Bezier curve.
x4
Integer values (in pixels) indicating the coordinates for the starting point, mid point and end point of the Bezier curve.
y4
Integer values (in pixels) indicating the coordinates for the starting point, mid point and end point of the Bezier curve.
Color

The RGB color of the circle’s outline. You can use the RGB function or QBColor function to specify the color.

Note: Value specified must be in a valid OLE_COLOR range.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DrawCurve Method

Description

Draws a Bezier curve on a displayed image.

Syntax

Public Sub DrawCurve( _
   ByVal x1 As Long, _
   ByVal y1 As Long, _
   ByVal x2 As Long, _
   ByVal y2 As Long, _
   ByVal x3 As Long, _
   ByVal y3 As Long, _
   ByVal x4 As Long, _
   ByVal y4 As Long, _
   ByVal Color As ULong _
)

Parameters

x1
Integer values (in pixels) indicating the coordinates for the starting point, mid point and end point of the Bezier curve.
y1
Integer values (in pixels) indicating the coordinates for the starting point, mid point and end point of the Bezier curve.
x2
Integer values (in pixels) indicating the coordinates for the starting point, mid point and end point of the Bezier curve.
y2
Integer values (in pixels) indicating the coordinates for the starting point, mid point and end point of the Bezier curve.
x3
Integer values (in pixels) indicating the coordinates for the starting point, mid point and end point of the Bezier curve.
y3
Integer values (in pixels) indicating the coordinates for the starting point, mid point and end point of the Bezier curve.
x4
Integer values (in pixels) indicating the coordinates for the starting point, mid point and end point of the Bezier curve.
y4
Integer values (in pixels) indicating the coordinates for the starting point, mid point and end point of the Bezier curve.
Color

The RGB color of the circle’s outline. You can use the RGB function or QBColor function to specify the color.

Note: Value specified must be in a valid OLE_COLOR range.

Remarks

A Bezier curve is a simple cubic equation originally developed by Pierre Bézier in the 1970's for CAD/CAM operations. It became the underpinnings for the Adobe PostScript drawing model.

The width of the line used to draw the curve depends on the setting of the DrawWidth property. The way the curve is drawn on the background depends on the setting of the DrawMode and DrawStyle properties.

The DrawArc method draws into the control's DIB.

Note: Available in Standard, Document and Photo Editions.

See Also


DrawLine Method

ImagXpress Object

x1
Integer values (in pixels) indicating the coordinates of the starting point for the line or rectangle.
y1
Integer values (in pixels) indicating the coordinates of the starting point for the line or rectangle.
x2
Integer values (in pixels) indicating the coordinates of the end point for the line or rectangle.
y2
Integer values (in pixels) indicating the coordinates of the end point for the line or rectangle.
Color
The RGB color used to draw the line. You can use the RGB function or QBColor function to specify the color.

Note: Value specified must be in a valid OLE_COLOR range.

box
A Boolean value that if True, causes a box to be drawn using the coordinates to specify opposite corners of the box.
fill
A Boolean value that if True and the box option is used, specifies that the box is filled with the same color used to draw the box. You cannot use fill without box. If box is used without fill, the box is filled with the current DrawFillColor and DrawFillStyle properties. The default value for Fill is transparent.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DrawLine Method

Description

Draws lines and rectangles on a displayed image.

Syntax

Public Sub DrawLine( _
   ByVal x1 As Long, _
   ByVal y1 As Long, _
   ByVal x2 As Long, _
   ByVal y2 As Long, _
   ByVal Color As ULong, _
   ByVal box As Boolean, _
   ByVal fill As Boolean _
)

Parameters

x1
Integer values (in pixels) indicating the coordinates of the starting point for the line or rectangle.
y1
Integer values (in pixels) indicating the coordinates of the starting point for the line or rectangle.
x2
Integer values (in pixels) indicating the coordinates of the end point for the line or rectangle.
y2
Integer values (in pixels) indicating the coordinates of the end point for the line or rectangle.
Color
The RGB color used to draw the line. You can use the RGB function or QBColor function to specify the color.

Note: Value specified must be in a valid OLE_COLOR range.

box
A Boolean value that if True, causes a box to be drawn using the coordinates to specify opposite corners of the box.
fill
A Boolean value that if True and the box option is used, specifies that the box is filled with the same color used to draw the box. You cannot use fill without box. If box is used without fill, the box is filled with the current DrawFillColor and DrawFillStyle properties. The default value for Fill is transparent.

Remarks

To draw connected lines, begin a subsequent line at the end point of the previous line.

The width of the line drawn depends on the setting of the DrawWidth property. The way a line or box is drawn on the background depends on the setting of the DrawMode and DrawStyle properties.

The DrawArc method draws into the control's DIB.

Note: Available in Standard, Document and Photo Editions.

See Also


DrawPie Method

ImagXpress Object

x1
Integer values (in pixels) indicating the upper-left coordinates for the bounding rectangle.
y1
Integer values (in pixels) indicating the upper-left and lower-right coordinates for the bounding rectangle.
x2
Integer values (in pixels) indicating the lower-right coordinates for the bounding rectangle.
y2
Integer values (in pixels) indicating the lower-right coordinates for the bounding rectangle.
StartAngle
Integer value (in degrees, 0-360) that specifies the starting angle of the arc.
EndAngle
Integer value (in degrees, 0-360) that specifies the end angle of the arc.
Color

The RGB color of the circle’s outline. You can use the RGB function or QBColor function to specify the color.

Note: Value specified must be in a valid OLE_COLOR range.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DrawPie Method

Description

Draws a pie-shaped wedge on a displayed image.

Syntax

Public Sub DrawPie( _
   ByVal x1 As Long, _
   ByVal y1 As Long, _
   ByVal x2 As Long, _
   ByVal y2 As Long, _
   ByVal StartAngle As Integer, _
   ByVal EndAngle As Integer, _
   ByVal Color As ULong _
)

Parameters

x1
Integer values (in pixels) indicating the upper-left coordinates for the bounding rectangle.
y1
Integer values (in pixels) indicating the upper-left and lower-right coordinates for the bounding rectangle.
x2
Integer values (in pixels) indicating the lower-right coordinates for the bounding rectangle.
y2
Integer values (in pixels) indicating the lower-right coordinates for the bounding rectangle.
StartAngle
Integer value (in degrees, 0-360) that specifies the starting angle of the arc.
EndAngle
Integer value (in degrees, 0-360) that specifies the end angle of the arc.
Color

The RGB color of the circle’s outline. You can use the RGB function or QBColor function to specify the color.

Note: Value specified must be in a valid OLE_COLOR range.

Remarks

Draws a pie-shaped wedge by drawing an elliptical arc whose center and two endpoints are joined by lines. The center of the arc is the center of the bounding rectangle specified by x1, y1, x2 and y2. The starting and end points of the arc are determined by the StartAngle and EndAngle values. The arc is drawn in a counterclockwise direction.

To fill a pie, set the DrawFillColor and DrawFillStyle properties of the object on which the pie is drawn.

The width of the line used to draw the pie depends on the setting of the DrawWidth property. The way the pie is drawn on the background depends on the setting of the DrawMode and DrawStyle properties.

The DrawArc method draws into the control's DIB.

Note: Available in Standard, Document and Photo Editions.

See Also


DrawPolygon Method

ImagXpress Object

x1
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided hexagon.
y1
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
x2
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
y2
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
x3
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
y3
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
x4
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
y4
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
x5
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
y5
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
x6
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
y6
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
penColor

The RGB color of the circle’s outline. You can use the RGB function or QBColor function to specify the color.

Note: Value specified must be in a valid OLE_COLOR range.

numPoints
How many points there are to the polygon. Thus it is also the number of the coordinates (x, y pairs) the function will use when generating the polygon. Coordinate pairs beyond the numPoints will be ignored but must be passed regardless. Valid values are three through six.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DrawPolygon Method

Description

Draws a 2-6 sided polygon on a display image.

Syntax

Public Sub DrawPolygon( _
   ByVal x1 As Long, _
   ByVal y1 As Long, _
   ByVal x2 As Long, _
   ByVal y2 As Long, _
   ByVal x3 As Long, _
   ByVal y3 As Long, _
   ByVal x4 As Long, _
   ByVal y4 As Long, _
   ByVal x5 As Long, _
   ByVal y5 As Long, _
   ByVal x6 As Long, _
   ByVal y6 As Long, _
   ByVal penColor As ULong, _
   ByVal numPoints As Long _
)

Parameters

x1
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided hexagon.
y1
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
x2
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
y2
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
x3
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
y3
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
x4
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
y4
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
x5
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
y5
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
x6
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
y6
Integer values (in pixels) indicating the coordinates for a 2 to 6 sided polygon.
penColor

The RGB color of the circle’s outline. You can use the RGB function or QBColor function to specify the color.

Note: Value specified must be in a valid OLE_COLOR range.

numPoints
How many points there are to the polygon. Thus it is also the number of the coordinates (x, y pairs) the function will use when generating the polygon. Coordinate pairs beyond the numPoints will be ignored but must be passed regardless. Valid values are three through six.

Remarks

Polygons are many-sided figures, with sides that are line segments. To fill a polygon, set the DrawFillColor and DrawFillStyle properties of the object on which the pie is drawn.

The width of the line used to draw the polygon depends on the setting of the DrawWidth property. The way the polygon is drawn on the background depends on the setting of the DrawMode and DrawStyle properties.

The DrawArc method draws into the control's DIB.

Note: Available in Standard, Document and Photo Editions.

See Also


DrawRoundRect Method

ImagXpress Object

x1
Integer values (in pixels) indicating the upper-left and lower-right coordinates for the rectangle.
y1
Integer values (in pixels) indicating the upper-left and lower-right coordinates for the rectangle.
x2
Integer values (in pixels) indicating the upper-left and lower-right coordinates for the rectangle.
y2
Integer values (in pixels) indicating the upper-left and lower-right coordinates for the rectangle.
roundW
Integer values (in pixels) that specifies the width of the ellipse used to draw the rounded corners.
roundH
Integer values (in pixels) that specifies the height of the ellipse used to draw the rounded corners.
Color

The RGB color of the circle’s outline. You can use the RGB function or QBColor function to specify the color.

Note: Value specified must be in a valid OLE_COLOR range.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DrawRoundRect Method

Description

Draws a rectangle with rounded corners on a displayed image.

Syntax

Public Sub DrawRoundRect( _
   ByVal x1 As Long, _
   ByVal y1 As Long, _
   ByVal x2 As Long, _
   ByVal y2 As Long, _
   ByVal roundW As Long, _
   ByVal roundH As Long, _
   ByVal Color As ULong _
)

Parameters

x1
Integer values (in pixels) indicating the upper-left and lower-right coordinates for the rectangle.
y1
Integer values (in pixels) indicating the upper-left and lower-right coordinates for the rectangle.
x2
Integer values (in pixels) indicating the upper-left and lower-right coordinates for the rectangle.
y2
Integer values (in pixels) indicating the upper-left and lower-right coordinates for the rectangle.
roundW
Integer values (in pixels) that specifies the width of the ellipse used to draw the rounded corners.
roundH
Integer values (in pixels) that specifies the height of the ellipse used to draw the rounded corners.
Color

The RGB color of the circle’s outline. You can use the RGB function or QBColor function to specify the color.

Note: Value specified must be in a valid OLE_COLOR range.

Remarks

To fill a rounded rectangle, set the DrawFillColor and DrawFillStyle properties of the object on which the rectangle is drawn.

The width of the line used to draw the rectangle depends on the setting of the DrawWidth property. The way the rectangle is drawn on the background depends on the setting of the DrawMode and DrawStyle properties.

The DrawArc method draws into the control's DIB.

Note: Available in Standard, Document and Photo Editions.

See Also


DrawTextString Method

ImagXpress Object

x
Integer values (in pixels) indicating the upper-left coordinate for the text.
y
Integer values (in pixels) indicating the upper-left coordinate for the text.
text
A string that specifies the text to draw.
Color

A ulong value which represents the RGB color of the text. You can use the RGB function or QBColor function to specify the color.

The value specified must be in a valid OLE_COLOR range.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DrawTextString Method

Description

Draws text into an image.

Syntax

Public Sub DrawTextString( _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal text As String, _
   ByVal Color As ULong _
)

Parameters

x
Integer values (in pixels) indicating the upper-left coordinate for the text.
y
Integer values (in pixels) indicating the upper-left coordinate for the text.
text
A string that specifies the text to draw.
Color

A ulong value which represents the RGB color of the text. You can use the RGB function or QBColor function to specify the color.

The value specified must be in a valid OLE_COLOR range.

Remarks

The font and size of the text depends on the settings of the Font property.

The DrawArc method draws into the control's DIB.

Note: Available in Standard, Document and Photo Editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Emboss Method

Description

Embosses the current image, giving it a raised metallic-like or embroidered look.

Syntax

Public Sub Emboss()

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Equalize Method

Description

Performs contrast equalization on the current image.

Syntax

Public Sub Equalize()

Remarks

This method adjusts contrast without changing the brightness range of the image. If the brightness values of the image were represented in a histogram, the Equalize method would have the effect of redistributing the brightness values within the image's brightness range, so that "clumps" of brightness values are spread out more evenly.

For example, if an image has many pixels that have similar brightness, the Equalize method will introduce greater difference in brightness between these pixels, without changing the least bright or most bright pixels.

The effect is that greater detail can be seen in areas that previously had very similar brightness.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Erode Method

Description

Erodes the current DIB using a 3x3 minimum filter.

Syntax

Public Sub Erode()

Remarks

This method erodes the current DIB using a 3x3 minimum filter to where it reduces or erases protrusions from black letters and lines.

Note: Available in all editions.

See Also


ImagXpress Object | enumEventID Enumeration

eEventID
A enumEventID enumeration value.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

EventGetEnabled Method

Description

Returns the enabled status for a particular event.

Syntax

Public Function EventGetEnabled( _
   ByVal eEventID As enumEventID _
) As Boolean

Parameters

eEventID
Value | Description
EVENT_CLICK | (1) — Click Events
EVENT_DBLCLICK | (2) — Double Click Events
EVENT_KEYDOWN | (3) — Key Down Events
EVENT_KEYPRESS | (4) — Key Press Events
EVENT_KEYUP | (5) — Key Up Events
EVENT_MOUSEDOWN | (6) — Mouse Down Events
EVENT_MOUSEMOVE | (7) — Mouse Move Events
EVENT_MOUSEUP | (8) — Mouse Up Events
EVENT_NOTIFY | (9) — Notify Events
EVENT_OLEDRAGDROP | (10) — OLE Drag Drop Events
EVENT_OLEDRAGOVER | (11) — OLE Drag Over Events
EVENT_PROGRESS | (12) — The progress percentage passes one of the defined boundary values (e.g. 10, 20, 30...).
EVENT_SCROLL | (13) — One of the scroll bars was moved.
EVENT_PAINTBACKGROUND | (14) - Paint the background event.
EVENT_PAINTIMAGE | (15) - Paint the image event.
EVENT_PAINT | (16) - Paint event.
EVENT_PRINTIMAGE | (17) - Print image.
EVENT_AUTOSIZECHANGED | (18) - Autosize changed.
EVENT_RESIZED | (19) - Resized.
EVENT_SCROLLBARVISIBLECHANGED | (20) - Scrollbar visible changed.
EVENT_ZOOMFACTORCHANGED | (21) - Zoom factor changed.
EVENT_TOOLUSE | (22) - Tool use.
EVENT_MENUSELECT | (23) - Menu select.
EVENT_TOOLBAROPEN | (24) - Toolbar open.
EVENT_TOOLBAR | (25) - Toolbar.
EVENT_TOOLBARCLOSE | (26) - Toolbar close.
A enumEventID enumeration value.

Return Type

A boolean value which is True when events are fired for the specified EventID. Otherwise, False is returned and no events are fired for the specified EventID.

Remarks

Note: Available in all editions.

See Also

ImagXpress Object | enumEventID Enumeration


ImagXpress Object | enumEventID Enumeration

eEventID
A enumEventID enumeration value.
bEventEnabled
A boolean value which is True to enable the given event. Otherwise, False is returned and the given event does not occur.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

EventSetEnabled Method

Description

Sets the enabled status for a particular event.

Syntax

Public Sub EventSetEnabled( _
   ByVal eEventID As enumEventID, _
   ByVal bEventEnabled As Boolean _
)

Parameters

eEventID
Value | Description
EVENT_CLICK | (1) — Click Events
EVENT_DBLCLICK | (2) — Double Click Events
EVENT_KEYDOWN | (3) — Key Down Events
EVENT_KEYPRESS | (4) — Key Press Events
EVENT_KEYUP | (5) — Key Up Events
EVENT_MOUSEDOWN | (6) — Mouse Down Events
EVENT_MOUSEMOVE | (7) — Mouse Move Events
EVENT_MOUSEUP | (8) — Mouse Up Events
EVENT_NOTIFY | (9) — Notify Events
EVENT_OLEDRAGDROP | (10) — OLE Drag Drop Events
EVENT_OLEDRAGOVER | (11) — OLE Drag Over Events
EVENT_PROGRESS | (12) — The progress percentage passes one of the defined boundary values (e.g. 10, 20, 30...).
EVENT_SCROLL | (13) — One of the scroll bars was moved.
EVENT_PAINTBACKGROUND | (14) - Paint the background event.
EVENT_PAINTIMAGE | (15) - Paint the image event.
EVENT_PAINT | (16) - Paint event.
EVENT_PRINTIMAGE | (17) - Print image.
EVENT_AUTOSIZECHANGED | (18) - Autosize changed.
EVENT_RESIZED | (19) - Resized.
EVENT_SCROLLBARVISIBLECHANGED | (20) - Scrollbar visible changed.
EVENT_ZOOMFACTORCHANGED | (21) - Zoom factor changed.
EVENT_TOOLUSE | (22) - Tool use.
EVENT_MENUSELECT | (23) - Menu select.
EVENT_TOOLBAROPEN | (24) - Toolbar open.
EVENT_TOOLBAR | (25) - Toolbar.
EVENT_TOOLBARCLOSE | (26) - Toolbar close.
A enumEventID enumeration value.
bEventEnabled
A boolean value which is True to enable the given event. Otherwise, False is returned and the given event does not occur.

Remarks

Note: Available in all editions.

See Also

ImagXpress Object | enumEventID Enumeration


ImagXpress Object

FileName
Specifies the name of a TIFF or EXIF file to obtain the tags from.
PageNbr
Specifies the page number in the file to obtain the tags from.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

FileGetTags Method

Description

Retrieves the collection and page requested.

Syntax

Public Sub FileGetTags( _
   ByVal FileName As String, _
   ByVal PageNbr As Long _
)

Parameters

FileName
Specifies the name of a TIFF or EXIF file to obtain the tags from.
PageNbr
Specifies the page number in the file to obtain the tags from.

Remarks

This method is for multi-page image file formats such as TIFF and EXIF file formats. Upon completion of this method, the tags in the control are replaced with the tags from the file. Use the Tag (Count, Data, Length, Level, Number and Type) properties to read or modify data in the tags.

Note: Available in View, Document, and Photo edition.

See Also


ImagXpress Object

FileName
The file that will receive the tags from the control.
PageNbr
The page within the file that will receive the tags.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

FileSetTags Method

Description

Sets values for image in collection.

Syntax

Public Sub FileSetTags( _
   ByVal FileName As String, _
   ByVal PageNbr As Long _
)

Parameters

FileName
The file that will receive the tags from the control.
PageNbr
The page within the file that will receive the tags.

Remarks

This method is for multi-page image file formats such as TIFF and EXIF file formats. Upon completion of this method, the tags in the source file (FileName) are replaced with the tags from the control. Use the Tag (Count, Data, Length, Level, Number and Type) properties to read or modify data in the tags.

Note: Available in Document, and Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Flip Method

Description

Flips the current DIB from top to bottom.

Syntax

Public Sub Flip()

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

IPGamma

Single value that determines the magnitude of the gamma correction.

Valid range is between 0.009 and 10.0.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Gamma Method

Description

Specifies gamma correction.

Syntax

Public Sub Gamma( _
   ByVal IPGamma As Single _
)

Parameters

IPGamma

Single value that determines the magnitude of the gamma correction.

Valid range is between 0.009 and 10.0.

Remarks

Unfortunately, monitors may output pixel brightness in a non-linear fashion, so that when displayed, the image brightness is not accurately portrayed. Adjusting gamma enables the user to adjust pixel brightness to compensate for the limitations of the display device. The gamma value represents the ratio of input vs. output brightness. A gamma of one represents a linear relationship between input and output brightness - no change is made to the image. A gamma other than one represents a parabolic relationship between input and output brightness.

Applying a gamma = 1 results in no change to the image.

Applying a gamma greater than one results in brightening the image, with mid-brightness levels increased more than extremely dark or light pixels.

Applying a gamma less than one results in darkening the image, with mid-brightness levels decreased more than extremely dark or light pixels.

Note: Available in all editions.

See Also


ImagXpress Object

lImageID
Specifies which image buffer to process.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

GetImageHnd Method

Description

Returns the image associated with the image buffer.

Syntax

Public Function GetImageHnd( _
   ByVal lImageID As Long _
) As Integer

Parameters

lImageID
Specifies which image buffer to process.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

GetUniqueImageID Method

Description

Returns a long integer that represents a unique image buffer that is currently not already in use.

Syntax

Public Function GetUniqueImageID() As Long

Return Type

A long which represents an unused buffer ID.

Remarks

This method should be called instead of arbitrarily setting an image ID to the properties that take an ImageID. You should use this method to prevent inadvertently loading an image into an image buffer that is already in use. This is an easy way to ensure the stability of existing image buffers.

Note: Available in all editions.

See Also


ImagXpress Object

lImageID
Specifies which image buffer to process.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ImageStatus Method

Description

Returns the current status for a specified image buffer.

Syntax

Public Function ImageStatus( _
   ByVal lImageID As Long _
) As Long

Parameters

lImageID
Specifies which image buffer to process.

Return Type

  • BUFSTATUS_EMPTY (0)

  • BUFSTATUS_DEFINED (1)

  • BUFSTATUS_OPENED (2)

  • BUFSTATUS_DECODED (4)

  • BUFSTATUS_DECODING (8)

  • BUFSTATUS_ERROR (268435456)

  • BUFSTATUS_WAIT (16)

  • BUFSTATUS_CANCELED (32)

  • BUFSTATUS_SHUTDOWN (64)

  • BUFSTATUS_IMAGEPROCESSING (256)

  • BUFSTATUS_IMAGEPROCESSED (512)

  • BUFSTATUS_SAVING (1024)

  • BUFSTATUS_SAVED (2048)

Remarks

Note: Available in all editions.

See Also


InsertPage Method

ImagXpress Object

sourceFile
The file containing a page to be inserted into the TIFF file.
destFile
The destination file, which includes the inserted page.
PageNbr
The position in the destination file at which the page will be added.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

InsertPage Method

Description

Inserts a new page into a multi-page document.

Syntax

Public Sub InsertPage( _
   ByVal sourceFile As String, _
   ByVal destFile As String, _
   ByVal PageNbr As Long _
)

Parameters

sourceFile
The file containing a page to be inserted into the TIFF file.
destFile
The destination file, which includes the inserted page.
PageNbr
The position in the destination file at which the page will be added.

Remarks

Note: available in Document and Photo editions.

See Also


ImagXpress Object

Index

Which of the separation images it will return.

The minimum index is 0.

The maximum index is 255.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IPGetColorPlane Method

Description

Returns a handle to one of the four gray scale DIBs created by the last call to the ColorSeparation method.

Syntax

Public Function IPGetColorPlane( _
   ByVal Index As Integer _
) As Long

Parameters

Index

Which of the separation images it will return.

The minimum index is 0.

The maximum index is 255.

Return Type

The IPGetColorPlane property returns a locked global handle to a DIB.

Remarks

Once the plane is returned, it is set to NULL and the calling application is responsible for freeing the handle using the GlobalFree API call. If it is assigned to another ImagXpress control, the control will handle freeing the memory.

Note: Available in all editions.

See Also


IptcAddDataSet Method

ImagXpress Object

Record
A byte value which represents the record.
DataSetId
A byte value which represents the dataset ID.
DataSetType
A long value which represents the dataset type.
Count
A long value which represents the number of items to add.
NewData
A variant value which represents the new data to add.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IptcAddDataSet Method

Description

Adds an Iptc dataset as per the given parameters.

Syntax

Public Sub IptcAddDataSet( _
   ByVal Record As Byte, _
   ByVal DataSetId As Byte, _
   ByVal DataSetType As Long, _
   ByVal Count As Long, _
   ByVal NewData As Variant _
)

Parameters

Record
A byte value which represents the record.
DataSetId
A byte value which represents the dataset ID.
DataSetType
A long value which represents the dataset type.
Count
A long value which represents the number of items to add.
NewData
A variant value which represents the new data to add.

See Also


IptcAddDataSetPtr Method

ImagXpress Object

Record
A byte value which represents a pointer to the record.
DataSetId
A byte value which represents a pointer to the Iptc dataset ID to add.
DataSetType
A long value which represents the dataset type.
Count
A long value which represents the number of dataset items.
NewData
A byte value which represents the new data to add.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IptcAddDataSetPtr Method

Description

Adds Iptc dataset via a pointer.

Syntax

Public Sub IptcAddDataSetPtr( _
   ByVal Record As Byte, _
   ByVal DataSetId As Byte, _
   ByVal DataSetType As Long, _
   ByVal Count As Long, _
   ByRef NewData As Byte _
)

Parameters

Record
A byte value which represents a pointer to the record.
DataSetId
A byte value which represents a pointer to the Iptc dataset ID to add.
DataSetType
A long value which represents the dataset type.
Count
A long value which represents the number of dataset items.
NewData
A byte value which represents the new data to add.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IptcDeleteDataSet Method

Description

Deletes Iptc datasets.

Syntax

Public Sub IptcDeleteDataSet()

See Also


IptcFindDataSet Method

ImagXpress Object

Record
A byte value which represents the record.
DataSetId
A byte value which represents the dataset ID to find.
FindFirstSet
A boolean value which is True if the dataset is found. Otherwise, False is returned.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IptcFindDataSet Method

Description

Finds Iptc datasets.

Syntax

Public Sub IptcFindDataSet( _
   ByVal Record As Byte, _
   ByVal DataSetId As Byte, _
   ByVal FindFirstSet As Boolean _
)

Parameters

Record
A byte value which represents the record.
DataSetId
A byte value which represents the dataset ID to find.
FindFirstSet
A boolean value which is True if the dataset is found. Otherwise, False is returned.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IptcFirstDataSet Method

Description

Finds the first instance of the Iptc dataset.

Syntax

Public Sub IptcFirstDataSet()

See Also


IptcModifyDataSet Method

ImagXpress Object

Record
A byte value which represents the record.
DataSetId
A byte value which represents the dataset ID.
DataSetType
A long value which represents the dataset type.
Count
A long value which represents the count.
NewData
A variant which represents the new data to modify to.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IptcModifyDataSet Method

Description

Modifies the Iptc dataset as per the given parameters.

Syntax

Public Sub IptcModifyDataSet( _
   ByVal Record As Byte, _
   ByVal DataSetId As Byte, _
   ByVal DataSetType As Long, _
   ByVal Count As Long, _
   ByVal NewData As Variant _
)

Parameters

Record
A byte value which represents the record.
DataSetId
A byte value which represents the dataset ID.
DataSetType
A long value which represents the dataset type.
Count
A long value which represents the count.
NewData
A variant which represents the new data to modify to.

See Also


IptcModifyDataSetPtr Method

ImagXpress Object

Record
A byte value which represents the record.
DataSetId
A byte value which represents the dataset ID.
DataSetType
A long value which represents the dataset type.
Count
A long value which represents the count.
NewData
A byte value which represents a pointer to the new data to modify to.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IptcModifyDataSetPtr Method

Description

Modifies the Iptc dataset via a pointer.

Syntax

Public Sub IptcModifyDataSetPtr( _
   ByVal Record As Byte, _
   ByVal DataSetId As Byte, _
   ByVal DataSetType As Long, _
   ByVal Count As Long, _
   ByRef NewData As Byte _
)

Parameters

Record
A byte value which represents the record.
DataSetId
A byte value which represents the dataset ID.
DataSetType
A long value which represents the dataset type.
Count
A long value which represents the count.
NewData
A byte value which represents a pointer to the new data to modify to.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IptcNextDataSet Method

Description

Finds the next Iptc dataset.

Syntax

Public Sub IptcNextDataSet()

See Also


ImagXpress Object

lImageID
Specifies which image buffer to process.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IsValid Method

Description

Returns whether or not the supplied image ID has been allocated from the image buffer manager.

Syntax

Public Function IsValid( _
   ByVal lImageID As Long _
) As Boolean

Parameters

lImageID
Specifies which image buffer to process.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

CommentNbr
An integer expression specifying the JPEG comment number to add.
Comment
An string expression specifying the JPEG comment text to add.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

JPEGCommentAdd Method

Description

Adds a comment to the current comment list.

Syntax

Public Sub JPEGCommentAdd( _
   ByVal CommentNbr As Long, _
   ByVal Comment As String _
)

Parameters

CommentNbr
An integer expression specifying the JPEG comment number to add.
Comment
An string expression specifying the JPEG comment text to add.

Remarks

Invoke the JPEGCommentCount property to obtain the number of comments in the current comment list. Query the JPEGgetComment method to obtain the comment text. JPEGCommentAdd does not modify an existing comment. It inserts a comment at the specified number in the list and moves all other comments back by one position.

When adding, if the number is less than 1, the comment is added at the beginning of the comments. If the number is greater than the JPEGCommentCount property, then the comment is added at the last position in the list.

If the current DIB is saved as a JPEG, JPEG 2000, or JPEG LS file, the updated comment list saves with the file. If the current DIB is saved as a WSQ file, only the first comment in the list saves with the file.

Note: Available in all editions.

See Also


ImagXpress Object

CommentNbr
An integer expression specifying the JPEG comment to delete.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

JPEGCommentDelete Method

Description

Deletes a comment from the current comment list.

Syntax

Public Sub JPEGCommentDelete( _
   ByVal CommentNbr As Long _
)

Parameters

CommentNbr
An integer expression specifying the JPEG comment to delete.

Remarks

Invoke the JPEGCommentCount property to obtain the number of comments in the current comment list. Query the JPEGgetComment method to obtain the comment text.

If the current DIB is saved as a JPEG, JPEG 2000, or JPEG LS file, the updated comment list will be saved with the file. If the current DIB is saved as a WSQ file, only the first comment in the list will be saved with the file.

Note: Available in all editions.

See Also


ImagXpress Object

CommentNbr
Valid values are 1 to JPEGCommentCount.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

JPEGGetComment Method

Description

Returns the comment text of the specified comment in the current comment list.

Syntax

Public Function JPEGGetComment( _
   ByVal CommentNbr As Long _
) As String

Parameters

CommentNbr
Valid values are 1 to JPEGCommentCount.

Return Type

A string which represents the comment text of the given comment number.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

Key
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

KeysGetEnabled Method

Description

Check the enabled state of a particular key type.

Syntax

Public Function KeysGetEnabled( _
   ByVal Key As enumKeys _
) As Boolean

Parameters

Key
Value | Description
KEYS_ACCELERATORS | (0) — Accelerator keys such as Ctrl-S to save the file.
KEYS_ACCELERATORS_FORWARD | (1) — Forward accelerator key messages to the Key Events.
KEYS_SYSTEM | (2) — System keys such as Break.
KEYS_SYSTEM_FORWARD | (3) — Forward system key messages to the Key Events

Return Type

  • When KeysEnabled is True for the special keys, the keys will be processed by the default container handling.
  • When KeysEnabled is False for the special keys, the keys will not be processed by the default container handling.
  • When KeysEnabled is True for the key forwards, then the special keys will be forwarded to the regular ImagXpress Key Events provided that the Key Events are enabled with the EventEnabled property.
  • When KeysEnabled is False for the key forwards, then the special keys will NOT be forwarded to the regular Key Events no matter how the Key Events are set with the EventEnabled property.

Remarks

Note: Available in all editions.

Example

‘ Alt+F4 will now exit Application when Alt+F4 is pressed and ImagXpress has the focus.

ImagXpress1.KeysSetEnabled(KEYS_SYSTEM, TRUE)

‘ Determine if pressing TAB key will change focus to next control.Enabled = ImagXpress1.KeysGetEnabled(KEYS_ACCELERATOR)

Don’t fire the ImagXpress key events when Alt+F4 is pressed.

ImagXpress1.KeysSetEnabled(KEYS_SYSTEM_FORWARD, FALSE)

‘ Determine if the key events will be fired by pressing a TAB key.

Enabled = ImagXpress1.KeysGetEnabled(KEYS_ACCELERATOR_FORWARD)

See Also


ImagXpress Object

Key
An enumKeys value which determines the type of keys.
newVal
A boolean value which is True to enable specific keys, False is disabled.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

KeysSetEnabled Method

Description

Enable or disable specific keys.

Syntax

Public Sub KeysSetEnabled( _
   ByVal Key As enumKeys, _
   ByVal newVal As Boolean _
)

Parameters

Key
Value | Description
KEYS_ACCELERATORS | (0) — Accelerator keys such as Ctrl-S to save the file.
KEYS_ACCELERATORS_FORWARD | (1) — Forward accelerator key messages to the Key Events.
KEYS_SYSTEM | (2) — System keys such as Break.
KEYS_SYSTEM_FORWARD | (3) — Forward system key messages to the Key Events
An enumKeys value which determines the type of keys.
newVal
A boolean value which is True to enable specific keys, False is disabled.

Remarks

  • When KeysEnabled is True for the special keys, the keys will be processed by the default container handling.
  • When KeysEnabled is False for the special keys, the keys will not be processed by the default container handling.
  • When KeysEnabled is True for the key forwards, then the special keys will be forwarded to the regular ImagXpress Key Events provided that the Key Events are enabled with the EventEnabled property.
  • When KeysEnabled is False for the key forwards, then the special keys will NOT be forwarded to the regular Key Events no matter how the Key Events are set with the EventEnabled property.

If using the .NET Windows Forms control, the constants used in this property can be found in the tagenumKeys enumeration. For more information, please see the Pegasus Imaging ImagXpress web site.

Note: Available in all editions.

Example

‘ Alt+F4 will now exit Application when Alt+F4 is pressed and ImagXpress has the focus.

ImagXpress1.KeysSetEnabled(KEYS_SYSTEM, TRUE)

‘ Determine if pressing TAB key will change focus to next control.

Enabled = ImagXpress1.KeysGetEnabled(KEYS_ACCELERATOR)

' Don’t fire the ImagXpress key events when Alt+F4 is pressed.

ImagXpress1.KeysSetEnabled(KEYS_SYSTEM_FORWARD, FALSE)

‘ Determine if the key events will be fired by pressing a TAB key.

Enabled = ImagXpress1.KeysGetEnabled(KEYS_ACCELERATOR_FORWARD)

See Also


ImagXpress Object

BlobData
A pointer to image data stored in memory. The Blob data may be in any image format that is supported by the FileName property.
BlobSize
A long expression that equates to the size of the Blob data.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadBlob Method

Description

Loads an image file stored in memory. A Blob is a Binary Large Object.

Syntax

Public Sub LoadBlob( _
   ByVal BlobData As Variant, _
   ByVal BlobSize As Long _
)

Parameters

BlobData
A pointer to image data stored in memory. The Blob data may be in any image format that is supported by the FileName property.
BlobSize
A long expression that equates to the size of the Blob data.

Remarks

The result of setting the LoadBlob method is identical to setting the FileName property except that the LoadBlob method loads image data from memory while the FileName property loads image data from a disk file.

The LoadBlob method is also the same as the LoadBuffer and LoadBufferPtr methods, except that the interfaces are different:

  • LoadBlob is typically used to interface with the Visual Basic Data control
  • LoadBuffer is used in applications where a locked global handle to the image data stored in memory is available
  • LoadBufferPtr is used in applications where a pointer to the image data stored in memory is available.

When an image is loaded using the LoadBlob method, the image is converted to a Device Independent Bitmap (DIB). The hDIB property is set to the handle of DIB. The DIB is converted to a Device Dependent Bitmap (DDB) and the Picture property is set to the resulting DDB. If an Undo DIB resides in memory, it is deleted and the hDIBUndo property is set to NULL.

Using LoadRaw method in conjunction with the LoadBlob method resets the ScollX and ScrollY properties to zero. To preserve the settings, save their values in local variables before calling LoadBlob and resetting them after.

A typical use of the LoadBlob method is to retrieve image data from a database.

Note: Available in all editions.

Example

The following Visual Basic example shows how to retrieve image data from a database using the Visual Basic Data control:

Private Sub Data1_Reposition()

Dim BlobSize As Long

Dim ReadData As String

On Error GoTo Err_View

' Get the Size of the Image Data

BlobSize = Data1.Recordset("ImgData").FieldSize()

' Get the image data and send it to ImagXpress

If (BlobSize > 0) Then

ReadData = Data1.Recordset("ImgData").GetChunk(0, BlobSize)

ImagXpress1.LoadBlob ReadData, BlobSize

End If

' Exit in case there was an error!

Err_View:

End Sub

See Also


ImagXpress Object

hBuffer
A global handle (HGLOBAL) to a memory buffer containing the image file data in memory.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadBuffer Method

Description

Loads an image file stored in memory.

Syntax

Public Sub LoadBuffer( _
   ByVal hBuffer As Long _
)

Parameters

hBuffer
A global handle (HGLOBAL) to a memory buffer containing the image file data in memory.

Remarks

The result of setting the LoadBuffer method is identical to setting the FileName property, except that the LoadBuffer method loads image data from memory while the FileName property loads image data from a disk file. The LoadBlob method is also the same as the LoadBlob and LoadBufferPtr methods, except that the interfaces are different:

  • LoadBlob is typically used to interface with the Visual Basic Data control
  • LoadBuffer is used in applications where a locked global handle to the image data stored in memory is available
  • LoadBufferPtr is used in applications where a pointer to the image data stored in memory is available.

When an image is loaded using the LoadBuffer method, the image is converted to a Device Independent Bitmap (DIB). The hDIB property is set to the handle of DIB. The DIB is converted to a Device Dependent Bitmap (DDB) and the Picture property is set to the resulting DDB. If an Undo DIB resides in memory, it is deleted and the hDIBUndo property is set to NULL.

Note: Available in all editions.

See Also


ImagXpress Object

pBuffer
An unsigned char pointer to a memory buffer containing the image file data in memory.
BufferSize
A long expression that equates to the size of the Blob data.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadBufferPtr Method

Description

Points to an image file loaded into memory.

Syntax

Public Sub LoadBufferPtr( _
   ByRef pBuffer As Byte, _
   ByVal BufferSize As Long _
)

Parameters

pBuffer
An unsigned char pointer to a memory buffer containing the image file data in memory.
BufferSize
A long expression that equates to the size of the Blob data.

Remarks

The result of setting the LoadBufferPtr method is identical to setting the FileName property, except that the LoadBufferPtr method loads image data from memory while the FileName property loads image data from a disk file.

The LoadBufferPtr method is also the same as the LoadBlob and LoadBufferPtr methods, except that the interfaces are different:

  • LoadBlob is typically used to interface with the Visual Basic Data control
  • LoadBuffer is used in applications where a locked global handle to the image data stored in memory is available
  • LoadBufferPtr is used in applications where a pointer to the image data stored in memory is available.

Like the other methods however, when an image is loaded using the LoadBufferPtr method, the image is converted to a Device Independent Bitmap (DIB). The hDIB property is set to the handle of DIB. The DIB is converted to a Device Dependent Bitmap (DDB) and the Picture property is set to the resulting DDB. If an Undo DIB resides in memory, it is deleted and the hDIBUndo property is set to NULL.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadCB Method

Description

Initiates a user load through the CB Event into the current image buffer specified by the current value of the ProcessImageID property.

Syntax

Public Sub LoadCB()

Remarks

Note: Available in all editions.

See Also


LoadRaw Method

ImagXpress Object

bEnabled
A boolean value which is True to set other file loading methods to use the following parameters. Otherwise, False should be used for other loading methods to run as usual.
lWidth
Gets or sets the width, in pixels, of the image to be loaded.
lHeight
Gets or sets the height, in pixels, of the image to be loaded.
lStride
Gets or sets the type of pixel system employed with the current image.
lBitDepth
Gets or sets the color depth of the current image.
lBytesPerPixel
Gets or sets the number of bytes in the file utilized to represent a single pixel.
lHighBitIndex
Gets or sets the number of bits to process.
lPixelTypeBitmask
Gets or sets the type of pixel system employed with the current image.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadRaw Method

Description

Implements LoadOptions for RAW files.

Syntax

Public Sub LoadRaw( _
   ByVal bEnabled As Boolean, _
   ByVal lWidth As Long, _
   ByVal lHeight As Long, _
   ByVal lStride As Long, _
   ByVal lBitDepth As Long, _
   ByVal lBytesPerPixel As Long, _
   ByVal lHighBitIndex As Long, _
   ByVal lPixelTypeBitmask As Long _
)

Parameters

bEnabled
A boolean value which is True to set other file loading methods to use the following parameters. Otherwise, False should be used for other loading methods to run as usual.
lWidth
Gets or sets the width, in pixels, of the image to be loaded.
lHeight
Gets or sets the height, in pixels, of the image to be loaded.
lStride
Gets or sets the type of pixel system employed with the current image.
lBitDepth
Gets or sets the color depth of the current image.
lBytesPerPixel
Gets or sets the number of bytes in the file utilized to represent a single pixel.
lHighBitIndex
Gets or sets the number of bits to process.
lPixelTypeBitmask
Gets or sets the type of pixel system employed with the current image.

Remarks

Note: Available in View, Document, and Photo editions.

See Also


LoadVirtualImage Method

ImagXpress Object | enumIRes Enumeration

lWidth
A long value which represents the width.
lHeight
A long value which represents the height.
lBitDepth
A long value which represents the bit depth.
ResX
A double value which represents the x resolution.
ResY
A double value which represents the y resolution.
ResUnits
A enumIRes enumeration value.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadVirtualImage Method

Description

Loads the virtual image and allows passing in the area coordinates and resolution.

Syntax

Public Sub LoadVirtualImage( _
   ByVal lWidth As Long, _
   ByVal lHeight As Long, _
   ByVal lBitDepth As Long, _
   ByVal ResX As Double, _
   ByVal ResY As Double, _
   ByVal ResUnits As enumIRes _
)

Parameters

lWidth
A long value which represents the width.
lHeight
A long value which represents the height.
lBitDepth
A long value which represents the bit depth.
ResX
A double value which represents the x resolution.
ResY
A double value which represents the y resolution.
ResUnits
Value | Description
IRes_NA | (0) - Not available: no absolute unit of measurement.
IRes_None | (1) - None
IRes_Inch | (2) - Inches
IRes_Cm | (3) - Centimeters
A enumIRes enumeration value.

See Also

ImagXpress Object | enumIRes Enumeration


Matrix Method

ImagXpress Object

IPMatrixV

The filter matrix values, specified as a simple array of shorts with 9 elements.

Valid matrix values are -32767 to 32767.

The nIPMatrixV is mapped to a 3x3 array used for filtering the image.

IPMatrixD

An integer expression that evaluates to the divisor of the matrix filter values.

Valid range is -999 to 999.

Note: An exception is thrown if 0 is used as it is not divisible by 0.

IPMatrixI

An integer expression that evaluates to the intensity of the matrix filter.

Valid range is 0 to 255.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Matrix Method

Description

Applies a 3x3 convolution matrix filter to the current DIB.

Syntax

Public Sub Matrix( _
   ByRef IPMatrixV As Integer, _
   ByVal IPMatrixD As Integer, _
   ByVal IPMatrixI As Integer _
)

Parameters

IPMatrixV

The filter matrix values, specified as a simple array of shorts with 9 elements.

Valid matrix values are -32767 to 32767.

The nIPMatrixV is mapped to a 3x3 array used for filtering the image.

IPMatrixD

An integer expression that evaluates to the divisor of the matrix filter values.

Valid range is -999 to 999.

Note: An exception is thrown if 0 is used as it is not divisible by 0.

IPMatrixI

An integer expression that evaluates to the intensity of the matrix filter.

Valid range is 0 to 255.

Remarks

The convolution matrix filter alters each pixel's color based on its current color and the colors of any neighboring pixels. The array of IPMatrixV matrix values are coefficients. When a pixel is processed, its color value is multiplied by the coefficient in the array's center and any pixels within the 3x3 grid are multiplied by the corresponding coefficients in the array. The sum of the products becomes the target pixel's new value.

  • The IPMatrixD parameter is the coefficient denominator. Each coefficient in the filter matrix is divided by the divisor before being applied to a pixel.
  • The IPMatrixI parameter adds to the product of the matrix calculation and the divisor to shift the value of each pixel by a fixed amount.

Note: Available in Standard, Document and Photo Editions.

See Also


MBlur Method

ImagXpress Object

IPMBlurI

Integer value that evaluates to the intensity of the motion blur. Larger values will result in a larger blurring result.

Valid range is between 1 and 25.

IPMBlurX

Integer value that evaluates to the horizontal velocity of the motion blur. Negative values blur from right to left; positive values blur from left to right.

Valid range is between -10 and 10.

IPMBlurY

Integer value that evaluates to the vertical velocity of the motion blur. Negative values blur from bottom to top; positive values blur from top to bottom.

Valid range is between -10 and 10.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MBlur Method

Description

Creates a motion blur of the current DIB.

Syntax

Public Sub MBlur( _
   ByVal IPMBlurI As Integer, _
   ByVal IPMBlurX As Integer, _
   ByVal IPMBlurY As Integer _
)

Parameters

IPMBlurI

Integer value that evaluates to the intensity of the motion blur. Larger values will result in a larger blurring result.

Valid range is between 1 and 25.

IPMBlurX

Integer value that evaluates to the horizontal velocity of the motion blur. Negative values blur from right to left; positive values blur from left to right.

Valid range is between -10 and 10.

IPMBlurY

Integer value that evaluates to the vertical velocity of the motion blur. Negative values blur from bottom to top; positive values blur from top to bottom.

Valid range is between -10 and 10.

Remarks

Note: Available in Standard, Document and Photo Editions.

See Also


MEDGetModalityLUT Method

ImagXpress Object

pvarLUT
The destination address of the look up table.
pnNumEntries
The destination address of the number of values.
pnFirstValueMapped
The destination address of the first entry.
pnNumBits
The destination address of the input bits per pixel being mapped by the Look Up Table.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MEDGetModalityLUT Method

Description

Extracts the Modality Look Up Table information.

Syntax

Public Sub MEDGetModalityLUT( _
   ByRef pvarLUT As Variant, _
   ByRef pnNumEntries As Long, _
   ByRef pnFirstValueMapped As Long, _
   ByRef pnNumBits As Long _
)

Parameters

pvarLUT
The destination address of the look up table.
pnNumEntries
The destination address of the number of values.
pnFirstValueMapped
The destination address of the first entry.
pnNumBits
The destination address of the input bits per pixel being mapped by the Look Up Table.

Return Type

This property should only be used when DICOM specific information is available. Also, ViewGrayMode must be set to GRAY_Medical.

Remarks

Note: Available in all editions.

See Also


MEDGetValuesOfInterestLUT Method

ImagXpress Object

pvarLUT
The destination address of the look up table.
pnNumEntries
The destination address of the number of values.
pnFirstValueMapped
The destination address of the first entry.
pnNumBits
The destination address of the input bits per pixel being mapped by the Look Up Table.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MEDGetValuesOfInterestLUT Method

Description

Extracts the Values Of Interest Look Up Table information.

Syntax

Public Sub MEDGetValuesOfInterestLUT( _
   ByRef pvarLUT As Variant, _
   ByRef pnNumEntries As Long, _
   ByRef pnFirstValueMapped As Long, _
   ByRef pnNumBits As Long _
)

Parameters

pvarLUT
The destination address of the look up table.
pnNumEntries
The destination address of the number of values.
pnFirstValueMapped
The destination address of the first entry.
pnNumBits
The destination address of the input bits per pixel being mapped by the Look Up Table.

Return Type

This property should only be used when DICOM specific information is available. Also, ViewGrayMode must be set to GRAY_Medical.

Remarks

This property should only be used when DICOM specific information is available. Also, GrayMode enumerator must be set to GRAY_Medical.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Median Method

Description

Utilizes a 3x3 median filter to eliminate noise in the current DIB.

Syntax

Public Sub Median()

Return Type

This method returns no value.

Remarks

Note: Available in Standard, Document and Photo Editions.

See Also


MEDSetModalityLUT Method

ImagXpress Object

varLUT
The look up table itself. LUT Data corresponding with DICOM tag (0028, 3006).
nNumEntries
The number of entries in the LUT, which corresponds with first value found in the LUT Descriptor (0028, 3002).
nFirstValueMapped
The stored pixel value mapped to the first entry in the LUT. All values less than this pixel value are also mapped to the first entry. This value corresponds to the second value found in the LUT Descriptor (0028, 3002).
nNumBits
The number of bits allocated for each entry in the LUT. It shall take the value 8 or 16. This value corresponds with the third value in the LUT Descriptor (0028, 3002).
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MEDSetModalityLUT Method

Description

Defines a DICOM Modality Look Up Table.

Syntax

Public Sub MEDSetModalityLUT( _
   ByVal varLUT As Variant, _
   ByVal nNumEntries As Long, _
   ByVal nFirstValueMapped As Long, _
   ByVal nNumBits As Long _
)

Parameters

varLUT
The look up table itself. LUT Data corresponding with DICOM tag (0028, 3006).
nNumEntries
The number of entries in the LUT, which corresponds with first value found in the LUT Descriptor (0028, 3002).
nFirstValueMapped
The stored pixel value mapped to the first entry in the LUT. All values less than this pixel value are also mapped to the first entry. This value corresponds to the second value found in the LUT Descriptor (0028, 3002).
nNumBits
The number of bits allocated for each entry in the LUT. It shall take the value 8 or 16. This value corresponds with the third value in the LUT Descriptor (0028, 3002).

Remarks

Sets the Modality LUT information specified in the DICOM Modality LUT Sequence (0028, 3000) attribute. specifies the values of the LUT data and descriptor information to use when performing a non-linear conversion of pixel data during the modality step of the DICOM grayscale transformation.

This property should only be used when DICOM specific information is available. Also, GrayMode enumerator must be set to GRAY_Medical.

Note: Available in all editions.

See Also


MEDSetValuesOfInterestLUT Method

ImagXpress Object

varLUT
The look up table itself. LUT Data corresponding with DICOM tag (0028, 3006).
nNumEntries
The number of entries in the LUT, which corresponds with first value found in the LUT Descriptor (0028, 3003).
nFirstValueMapped
The stored pixel value mapped to the first entry in the LUT. All values less than this pixel value are also mapped to the first entry. This value corresponds to the second value found in the LUT Descriptor (0028, 3003).
nNumBits
The number of bits allocated for each entry in the LUT. It shall take the value 8 or 16. This value corresponds with the third value in the LUT Descriptor (0028, 3003).
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MEDSetValuesOfInterestLUT Method

Description

Defines a DICOM Look Up Table.

Syntax

Public Sub MEDSetValuesOfInterestLUT( _
   ByVal varLUT As Variant, _
   ByVal nNumEntries As Long, _
   ByVal nFirstValueMapped As Long, _
   ByVal nNumBits As Long _
)

Parameters

varLUT
The look up table itself. LUT Data corresponding with DICOM tag (0028, 3006).
nNumEntries
The number of entries in the LUT, which corresponds with first value found in the LUT Descriptor (0028, 3003).
nFirstValueMapped
The stored pixel value mapped to the first entry in the LUT. All values less than this pixel value are also mapped to the first entry. This value corresponds to the second value found in the LUT Descriptor (0028, 3003).
nNumBits
The number of bits allocated for each entry in the LUT. It shall take the value 8 or 16. This value corresponds with the third value in the LUT Descriptor (0028, 3003).

Remarks

Sets the Values of Interest (VOI) LUT information specified in the DICOM VOI LUT Sequence (0028, 3010) attribute.

Specifies the values of the LUT data and descriptor information to use when performing a non-linear conversion of pixel data during the VOI step of the DICOM grayscale transformation.

This property should only be used when DICOM specific information is available. Also, GrayMode enumerator must be set to GRAY_Medical.

Note: Available in all editions.

See Also


MenuAddItem Method

ImagXpress Object

Menu

If the menu is Toolbar, the Tool parameter is the Tool ID that the menu is associated with.

If the menuType is Context, then the Tool parameter has no meaning and can be any value.

Tool
TopMenuID
Top-level menu Id for this menu item. A menu id of 4100-4200 is reserved for adding a menu separator bar.
SubMenuID
Sub-level menu Id for this menu item, if this is to add a sub-level menu item otherwise this parameter should be 0.
MenuText
The text that will be displayed for this menu item.
User1
A long value that will be passed back in a MenuSelect event.
User2
A long value that will be passed back in a MenuSelect event.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MenuAddItem Method

Description

Adds an item to a specified menu.

Syntax

Public Sub MenuAddItem( _
   ByVal Menu As enumMenu, _
   ByVal Tool As enumIXTool, _
   ByVal TopMenuID As Long, _
   ByVal SubMenuID As Long, _
   ByVal MenuText As String, _
   ByVal User1 As Long, _
   ByVal User2 As Long _
)

Parameters

Menu
Value | Description
Menu_Context | (1) - Context menu activated.
Menu_Toolbar | (2) - Toolbar menu activated.

If the menu is Toolbar, the Tool parameter is the Tool ID that the menu is associated with.

If the menuType is Context, then the Tool parameter has no meaning and can be any value.

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
TopMenuID
Top-level menu Id for this menu item. A menu id of 4100-4200 is reserved for adding a menu separator bar.
SubMenuID
Sub-level menu Id for this menu item, if this is to add a sub-level menu item otherwise this parameter should be 0.
MenuText
The text that will be displayed for this menu item.
User1
A long value that will be passed back in a MenuSelect event.
User2
A long value that will be passed back in a MenuSelect event.

Remarks

The MenuAddItem method adds a new menu item to the specified menu. If the Menu is Toolbar, then the Tool parameter is the Tool ID that the menu is associated with.

If the Menu is Context, the Tool parameter has no meaning and can be any value.

If the menu item is to be a top-level menu item, then the SubMenuID should be 0. A SubMenuID menu item can only be added when a TopMenuID has been added with a previous SubMenuID set to 0.

Note: The Toolbar must be activated before any context menus can be modified.

Note: Available in all editions.

See Also


MenuChangeItem Method

ImagXpress Object

Menu
An enumMenu value.
Tool
An enumIXTool value.
TopMenuID
Top-level menu ID of the item to change.
SubMenuID
Sub-level menu ID to change, if this is to change a sub-level menu item, otherwise this parameter should be 0.
MenuText
The new text.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MenuChangeItem Method

Description

Changes the specified menu item from the specified menu.

Syntax

Public Function MenuChangeItem( _
   ByVal Menu As enumMenu, _
   ByVal Tool As enumIXTool, _
   ByVal TopMenuID As Long, _
   ByVal SubMenuID As Long, _
   ByVal MenuText As String _
) As Boolean

Parameters

Menu
Value | Description
Menu_Context | (1) - Context menu activated.
Menu_Toolbar | (2) - Toolbar menu activated.
An enumMenu value.
Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
An enumIXTool value.
TopMenuID
Top-level menu ID of the item to change.
SubMenuID
Sub-level menu ID to change, if this is to change a sub-level menu item, otherwise this parameter should be 0.
MenuText
The new text.

Remarks

A menu ID of 4100-4200 is reserved for menu separator bars and can not be changed.

Note: The Toolbar must be activated before any context menus can be modified.

Note: Available in all editions.

See Also


MenuDeleteItem Method

ImagXpress Object

Menu
An enumMenu value.
Tool
An enumIXTool value.
TopMenuID
Top-level menu ID of the item to change.
SubMenuID
Sub-level menu ID to change, if this is to change a sub-level menu item, otherwise this parameter should be 0.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MenuDeleteItem Method

Description

Removes the specified item from the specified menu.

Syntax

Public Function MenuDeleteItem( _
   ByVal Menu As enumMenu, _
   ByVal Tool As enumIXTool, _
   ByVal TopMenuID As Long, _
   ByVal SubMenuID As Long _
) As Boolean

Parameters

Menu
Value | Description
Menu_Context | (1) - Context menu activated.
Menu_Toolbar | (2) - Toolbar menu activated.
An enumMenu value.
Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
An enumIXTool value.
TopMenuID
Top-level menu ID of the item to change.
SubMenuID
Sub-level menu ID to change, if this is to change a sub-level menu item, otherwise this parameter should be 0.

Return Type

The result of the delete operation.

Remarks

If the menu item is to be a top-level menu item then the SubMenuID should be 0. However, this will delete all sub-level menu items as well for that top-level menu item.

If the TopMenuID and SubLevelID are both 0 then the entire menu is cleared.

Note: The Toolbar must be activated before any context menus can be modified.

Note: Available in all editions.

See Also


ImagXpress Object

Menu
Tool
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MenuGetEnabled Method

Description

Returns whether or not the specified menu will display when the right mouse button is clicked over the appropriate area.

Syntax

Public Function MenuGetEnabled( _
   ByVal Menu As enumMenu, _
   ByVal Tool As enumIXTool _
) As Boolean

Parameters

Menu
Value | Description
Menu_Context | (1) - Context menu activated.
Menu_Toolbar | (2) - Toolbar menu activated.
Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.

Return Type

The enabled state of the specified menu item.

Remarks

Note: The Toolbar must be activated before any context menus can be modified.

Note: Available in all editions.

See Also


MenuGetFirstItemID Method

ImagXpress Object

Menu

When menuType is Menu_Toolbar, then the tool parameter is the Tool ID that the menu is associated with. An IXtool enumeration.

When menuType is Menu_Context, then the tool parameter has no meaning and can be any value.

Tool
TopMenuID
The variable to receive the TopMenuID of the first menu item. A returned value of 0 indicates there are no menu items.
SubMenuID
The variable to receive the SubMenuID of the first menu item.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MenuGetFirstItemID Method

Description

Gets the first menu ID on the specified level from the specified menu.

Syntax

Public Sub MenuGetFirstItemID( _
   ByVal Menu As enumMenu, _
   ByVal Tool As enumIXTool, _
   ByRef TopMenuID As Long, _
   ByRef SubMenuID As Long _
)

Parameters

Menu
Value | Description
Menu_Context | (1) - Context menu activated.
Menu_Toolbar | (2) - Toolbar menu activated.

When menuType is Menu_Toolbar, then the tool parameter is the Tool ID that the menu is associated with. An IXtool enumeration.

When menuType is Menu_Context, then the tool parameter has no meaning and can be any value.

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
TopMenuID
The variable to receive the TopMenuID of the first menu item. A returned value of 0 indicates there are no menu items.
SubMenuID
The variable to receive the SubMenuID of the first menu item.

Return Type

The ID of the first menu.

Remarks

Note: The Toolbar must be activated before any context menus can be modified.

Note: Available in all editions.

See Also


MenuGetItem Method

ImagXpress Object

Menu

When the menu type is Menu_Toolbar, then the Tool parameter is the Tool ID that the menu is associated with.

When the menu type is Menu_Context, the Tool parameter has no meaning and can be any value.

Tool
TopMenuID
Top-level menu Id of the item to change.
SubMenuID
Sub-level menu ID to change, if this is to change a sub-level menu item, otherwise this parameter should be 0.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MenuGetItem Method

Description

Retrieves the text string from the specified menu item.

Syntax

Public Function MenuGetItem( _
   ByVal Menu As enumMenu, _
   ByVal Tool As enumIXTool, _
   ByVal TopMenuID As Long, _
   ByVal SubMenuID As Long _
) As String

Parameters

Menu
Value | Description
Menu_Context | (1) - Context menu activated.
Menu_Toolbar | (2) - Toolbar menu activated.

When the menu type is Menu_Toolbar, then the Tool parameter is the Tool ID that the menu is associated with.

When the menu type is Menu_Context, the Tool parameter has no meaning and can be any value.

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
TopMenuID
Top-level menu Id of the item to change.
SubMenuID
Sub-level menu ID to change, if this is to change a sub-level menu item, otherwise this parameter should be 0.

Return Type

The text of the menu item.

Remarks

Note: The Toolbar must be activated before any context menus can be modified.

Note: Available in all editions.

See Also


MenuGetItemChecked Method

ImagXpress Object

Menu

When menu type is Toolbar, then the tool parameter is the Tool ID associated with the menu.

When menu type is Context, then the tool parameter has no meaning and can be any value.

Tool
TopMenuID
Top-level menu ID.
SubMenuID
Sub-level menu ID. If the menu item is to be a top-level menu item then the SubMenuID should be 0.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MenuGetItemChecked Method

Description

Returns the Checked attribute of the specified menu item.

Syntax

Public Function MenuGetItemChecked( _
   ByVal Menu As enumMenu, _
   ByVal Tool As enumIXTool, _
   ByVal TopMenuID As Long, _
   ByVal SubMenuID As Long _
) As Boolean

Parameters

Menu
Value | Description
Menu_Context | (1) - Context menu activated.
Menu_Toolbar | (2) - Toolbar menu activated.

When menu type is Toolbar, then the tool parameter is the Tool ID associated with the menu.

When menu type is Context, then the tool parameter has no meaning and can be any value.

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
TopMenuID
Top-level menu ID.
SubMenuID
Sub-level menu ID. If the menu item is to be a top-level menu item then the SubMenuID should be 0.

Return Type

The checked state of the menu item.

Remarks

A menu ID of 4100-4200 is reserved for menu separator bars and does not have a checked state.

Indicates whether the menu item should have a check-mark visible next to the item. If the item is specified to be checked and exclusive, all other items on the same menu level are unchecked.

Note: The Toolbar must be activated before any context menus can be modified.

Note: Available in all editions.

See Also


MenuGetItemEnabled Method

ImagXpress Object

Menu

When menu type is Menu_Toolbar, then the tool parameter is the Tool ID associated with that menu.

When menuType is Menu_Context, then the tool parameter has no meaning and can be any value.

Tool
TopMenuID
Top-level menu ID.
SubMenuID
Sub-level menu ID. If the menu item is to be a top-level menu item then the SubMenuID should be 0.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MenuGetItemEnabled Method

Description

Returns the Enabled attribute of the specified menu item.

Syntax

Public Function MenuGetItemEnabled( _
   ByVal Menu As enumMenu, _
   ByVal Tool As enumIXTool, _
   ByVal TopMenuID As Long, _
   ByVal SubMenuID As Long _
) As Boolean

Parameters

Menu
Value | Description
Menu_Context | (1) - Context menu activated.
Menu_Toolbar | (2) - Toolbar menu activated.

When menu type is Menu_Toolbar, then the tool parameter is the Tool ID associated with that menu.

When menuType is Menu_Context, then the tool parameter has no meaning and can be any value.

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
TopMenuID
Top-level menu ID.
SubMenuID
Sub-level menu ID. If the menu item is to be a top-level menu item then the SubMenuID should be 0.

Return Type

The enabled state of the menu item.

Remarks

A menu ID of 4100-4200 is reserved for menu separator bars and will not have a enabled state.

Indicates whether the menu item should be displayed or hidden. If the item is specified to be visible and exclusive, all other items on the same menu level are hidden.

Note: The Toolbar must be activated before any context menus can be modified.

Note: Available in all editions.

See Also


MenuGetItemVisible Method

ImagXpress Object

Menu

When menu type is Menu_Toolbar, then the tool parameter is the Tool ID associated with the menu.

When menu type is Menu_Context, then the tool parameter has no meaning and can be any value.

Tool
TopMenuID
Top-level menu ID.
SubMenuID
Sub-level menu ID. If the menu item is to be a top-level menu item then the subMenuID should be 0.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MenuGetItemVisible Method

Description

Sets the Visible attribute of the specified item on the specified menu.

Syntax

Public Function MenuGetItemVisible( _
   ByVal Menu As enumMenu, _
   ByVal Tool As enumIXTool, _
   ByVal TopMenuID As Long, _
   ByVal SubMenuID As Long _
) As Boolean

Parameters

Menu
Value | Description
Menu_Context | (1) - Context menu activated.
Menu_Toolbar | (2) - Toolbar menu activated.

When menu type is Menu_Toolbar, then the tool parameter is the Tool ID associated with the menu.

When menu type is Menu_Context, then the tool parameter has no meaning and can be any value.

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
TopMenuID
Top-level menu ID.
SubMenuID
Sub-level menu ID. If the menu item is to be a top-level menu item then the subMenuID should be 0.

Remarks

A menu ID of 4100-4200 is reserved for menu separator bars and will not have a visible state.

Indicates whether the menu item should be displayed or hidden. If the item is specified to be visible and exclusive, all other items on the same menu level are hidden.

Note: The Toolbar must be activated before any context menus can be modified.

Note: Available in all editions.

See Also


MenuGetNextItemID Method

ImagXpress Object

Menu

When menu type is Menu_Toolbar, then the tool parameter is the Tool ID associated with the menu.

When menu type is Menu_Context, then the tool parameter has no meaning and can be any value.

Tool
TopMenuID
The variable to receive the topMenuID of the next menu item. A returned value of 0 indicates there are no more items.
SubMenuID
The variable to receive the subMenuID of the next menu item.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MenuGetNextItemID Method

Description

Gets the next menu ID on the specified level from the specified menu.

Syntax

Public Sub MenuGetNextItemID( _
   ByVal Menu As enumMenu, _
   ByVal Tool As enumIXTool, _
   ByRef TopMenuID As Long, _
   ByRef SubMenuID As Long _
)

Parameters

Menu
Value | Description
Menu_Context | (1) - Context menu activated.
Menu_Toolbar | (2) - Toolbar menu activated.

When menu type is Menu_Toolbar, then the tool parameter is the Tool ID associated with the menu.

When menu type is Menu_Context, then the tool parameter has no meaning and can be any value.

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
TopMenuID
The variable to receive the topMenuID of the next menu item. A returned value of 0 indicates there are no more items.
SubMenuID
The variable to receive the subMenuID of the next menu item.

Return Type

The ID of the next menu item.

Remarks

Note: The Toolbar must be activated before any context menus can be modified.

Note: Available in all editions.

See Also


MenuSetEnabled Method

ImagXpress Object

Menu

If the menu type is Menu_Toolbar, then the Tool parameter is the Tool Id associated with the menu.

If the menu type is Menu_Context, the Tool parameter has no meaning and can be any value.

Tool
bEnabled
Enables or disables display of menu.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MenuSetEnabled Method

Description

Sets whether or not the specified menu will display when the right mouse button is clicked over the appropriate area.

Syntax

Public Sub MenuSetEnabled( _
   ByVal Menu As enumMenu, _
   ByVal Tool As enumIXTool, _
   ByVal bEnabled As Boolean _
)

Parameters

Menu
Value | Description
Menu_Context | (1) - Context menu activated.
Menu_Toolbar | (2) - Toolbar menu activated.

If the menu type is Menu_Toolbar, then the Tool parameter is the Tool Id associated with the menu.

If the menu type is Menu_Context, the Tool parameter has no meaning and can be any value.

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
bEnabled
Enables or disables display of menu.

Remarks

Note: The Toolbar must be activated before any context menus can be modified.

Note: Available in all editions.

See Also


MenuSetItemChecked Method

ImagXpress Object

Menu

When menu type is Menu_Toolbar, then the tool parameter is the Tool ID associated with the menu.

When menu type is Menu_Context, then the tool parameter has no meaning and can be any value.

Tool
TopMenuID
Top-level menu ID.
SubMenuID
Sub-level menu ID. If the menu item is to be a top-level menu item then the subMenuID should be 0.
bChecked
Indicates whether to enable or disable (gray) the item.
bExclusive
If True, and bChecked is True, then the method disables all other items on the same menu level.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MenuSetItemChecked Method

Description

Sets the Enabled attribute of the specified menu item on the specified menu.

Syntax

Public Sub MenuSetItemChecked( _
   ByVal Menu As enumMenu, _
   ByVal Tool As enumIXTool, _
   ByVal TopMenuID As Long, _
   ByVal SubMenuID As Long, _
   ByVal bChecked As Boolean, _
   ByVal bExclusive As Boolean _
)

Parameters

Menu
Value | Description
Menu_Context | (1) - Context menu activated.
Menu_Toolbar | (2) - Toolbar menu activated.

When menu type is Menu_Toolbar, then the tool parameter is the Tool ID associated with the menu.

When menu type is Menu_Context, then the tool parameter has no meaning and can be any value.

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
TopMenuID
Top-level menu ID.
SubMenuID
Sub-level menu ID. If the menu item is to be a top-level menu item then the subMenuID should be 0.
bChecked
Indicates whether to enable or disable (gray) the item.
bExclusive
If True, and bChecked is True, then the method disables all other items on the same menu level.

Remarks

A menu ID of 4100-4200 is reserved for menu separator bars and will not have a enabled state.

Indicates whether the menu item should have a check-mark visible next to the item. If the item is specified to be checked and exclusive, all other items on the same menu level are unchecked.

Note: The Toolbar must be activated before any context menus can be modified.

Note: Available in all editions.

See Also


MenuSetItemEnabled Method

ImagXpress Object

Menu

When menu type is Menu_Toolbar, then the tool parameter is the Tool ID associated with the menu.

When menu type is Menu_Context, then the tool parameter has no meaning and can be any value.

Tool
TopMenuID
Top-level menu ID.
SubMenuID
Sub-level menu ID. If the menu item is to be a top-level menu item then the subMenuID should be 0.
bEnabled
Indicates whether to enable or disable (gray) the item.
bExclusive
If True, and bEnabled is True, the method disables all other items on the same menu level.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MenuSetItemEnabled Method

Description

Sets the Enabled attribute of the specified menu item on the specified menu.

Syntax

Public Sub MenuSetItemEnabled( _
   ByVal Menu As enumMenu, _
   ByVal Tool As enumIXTool, _
   ByVal TopMenuID As Long, _
   ByVal SubMenuID As Long, _
   ByVal bEnabled As Boolean, _
   ByVal bExclusive As Boolean _
)

Parameters

Menu
Value | Description
Menu_Context | (1) - Context menu activated.
Menu_Toolbar | (2) - Toolbar menu activated.

When menu type is Menu_Toolbar, then the tool parameter is the Tool ID associated with the menu.

When menu type is Menu_Context, then the tool parameter has no meaning and can be any value.

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
TopMenuID
Top-level menu ID.
SubMenuID
Sub-level menu ID. If the menu item is to be a top-level menu item then the subMenuID should be 0.
bEnabled
Indicates whether to enable or disable (gray) the item.
bExclusive
If True, and bEnabled is True, the method disables all other items on the same menu level.

Remarks

A menu ID of 4100-4200 is reserved for menu separator bars and will not have a enabled state.

Indicates whether the menu item should be displayed or hidden. If the item is specified to be visible and exclusive, all other items on the same menu level are hidden.

Note: The Toolbar must be activated before any context menus can be modified.

Note: Available in all editions.

See Also


MenuSetItemVisible Method

ImagXpress Object

Menu

When menu type is Menu_Toolbar, then the tool parameter is the Tool ID associated with the menu.

When menuType is Menu_Context, then the tool parameter has no meaning and can be any value.

Tool
TopMenuID
Top-level menu ID.
SubMenuID
Sub-level menu ID. If the menu item is to be a top-level menu item then the subMenuID should be 0.
bVisible
Indicates whether to show or hide the menu item.
bExclusive
If True, and bVisible is True, the method will hide all other items on the same menu level.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MenuSetItemVisible Method

Description

Sets the Visible attribute of the specified menu item on the specified menu.

Syntax

Public Sub MenuSetItemVisible( _
   ByVal Menu As enumMenu, _
   ByVal Tool As enumIXTool, _
   ByVal TopMenuID As Long, _
   ByVal SubMenuID As Long, _
   ByVal bVisible As Boolean, _
   ByVal bExclusive As Boolean _
)

Parameters

Menu
Value | Description
Menu_Context | (1) - Context menu activated.
Menu_Toolbar | (2) - Toolbar menu activated.

When menu type is Menu_Toolbar, then the tool parameter is the Tool ID associated with the menu.

When menuType is Menu_Context, then the tool parameter has no meaning and can be any value.

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
TopMenuID
Top-level menu ID.
SubMenuID
Sub-level menu ID. If the menu item is to be a top-level menu item then the subMenuID should be 0.
bVisible
Indicates whether to show or hide the menu item.
bExclusive
If True, and bVisible is True, the method will hide all other items on the same menu level.

Remarks

A menu ID of 4100-4200 is reserved for menu separator bars and will not have a visible state.

Note: The Toolbar must be activated before any context menus can be modified.

Note: Available in all editions.

See Also


Merge Method

ImagXpress Object

IPMerge

true = subsequent loaded images should be merged

false = subsequent loaded images should not be merged.

IPMergeSize
IPMergeStyle
Style set by the last call to the Merge method.
IPTransparent

  • True — Merging occurs with transparency. Pixels in the image containing the same color as transparentColor are not merged.

  • False — Merging occurs with no transparency.

IPTransparentColor

A long expression that evaluates to the transparent color.

IPMergePctHi

The superimpose intensity (when IPMergeStyle = 5).

The upper range of the superimpose intensity (when IPMergeStyle = 6 through 13).

Range: 0 - 100 (percent)

IPMergePctLo

The lower range of the superimpose intensity (when IPMergeStyle = 6 through 13)

Range: 0 - 100 (percent)

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Merge Method

Description

Merges the current image with images that are subsequently loaded.

Syntax

Public Sub Merge( _
   ByVal IPMerge As Boolean, _
   ByVal IPMergeSize As enumMergeSize, _
   ByVal IPMergeStyle As enumMergeStyle, _
   ByVal IPTransparent As Boolean, _
   ByVal IPTransparentColor As Long, _
   ByVal IPMergePctHi As Integer, _
   ByVal IPMergePctLo As Integer _
)

Parameters

IPMerge

true = subsequent loaded images should be merged

false = subsequent loaded images should not be merged.

IPMergeSize
Value | Description
MSZ_Crop | (0) — Crop — The merge image is cropped to the size of the existing DIB or to the area specified by the Area method.
MSZ_ResizeArea | (1) — Resize Area to Image — The merge area is resized to the size of the merge image.
MSZ_ResizeImage | (2) — Resize Image to Area — The merge image is resized to the size of the current DIB or to the area specified by the Area method.
MSZ_TileImage | (3) — Tile Image to Area — The merge image is tiled to the size of the current DIB or to the area specified by the Area method.
IPMergeStyle
Value | Description
MST_Normal | (0) — Pixels are merged with the existing image.
MST_IfDarker | (1) — Merges only pixels darker than the ones in the existing image.
MST_IfLighter | (2) — Merges only pixels lighter than the ones in the existing image.
MST_Additive | (3) — Pixel values are added to the pixels in the existing image.
MST_Subtractive | (4) — Pixel values are subtracted from the pixels in the existing image.
MST_Superimpose | (5) — The image is superimposed onto the existing image. high merge percentage determines the intensity of the superimposition.
MST_Superimpose_LeftToRight | (6) — The image is superimposed onto the existing image. This produces a fading effect where the left side of the superimposed image is lighter than the right side. The high or low merge percentage determines the intensity range of the superimposition.
MST_Superimpose_RightToLeft | (7) — The image is superimposed onto the existing image. This produces a fading effect where the right side of the superimposed image is lighter than the left side. The high or low merge percentage determines the intensity range of the superimposition.
MST_Superimpose_VerticalToCenter | (8) — The image is superimposed onto the existing image. This produces a fading effect where the right and left sides of the superimposed image are lighter than the center. Merge percentage determines intensity range of the superimposition.
MST_Superimpose_VerticalFromCenter | (9) — Superimpose Vertical from Center — The image is superimposed onto the existing image. This produces a fading effect where the center of the superimposed image is lighter than the right and left sides. Merge percentage determines intensity of superimposition.
MST_Superimpose_TopToBottom | (10) — The image is superimposed onto the existing image. This produces a fading effect where the top of the superimposed image is lighter than the bottom. Merge percentage determines intensity of superimposition.
MST_Superimpose_BottomToTop | (11) — The image is superimposed onto the existing image. This produces a fading effect where the bottom of the superimposed image is lighter than the top. Here too, merge merge percentage determines intensity of superimposition.
MST_Superimpose_HorizFromCenter | (12) — The image is superimposed onto the existing image. This produces a fading effect where the top and bottom of the superimposed image are lighter than the center. Merge merge percentage determines the intensity range of the superimposition.
MST_Superimpose_HorizToCenter | (13) — The image is superimposed onto the existing image. This produces a fading effect where the center of the superimposed image is lighter than the top and bottom. High or low merge percentage determines the intensity range of the superimposition.
MST_Alpha_ForeGround_Over_BackGround | (14) - The normal way of viewing a merged alpha image. The alpha channel in the foreground image is used to blend the two images together. The alpha channel contains information as to which pixels are opaque and which pixels are transparent in the image, and the degree of transparency. An opaque pixel in the foreground will hide the pixel in the background image. Likewise, a transparent pixel in the foreground image will let the background pixel show through.
MST_Alpha_BackGround_Over_ForeGround (15) - The background image alpha channel determines which pixels are transparent and opaque. Effectively, the background alpha channel is negated and applied with the net result that the opaque background pixel will show through and the transparent pixel will allow the foreground image to show.
MST_Alpha_Most_Opaque (16) - The most opaque pixel value is chosen from the foreground and background alpha channels and is used for the foreground image.
MST_Alpha_Least_Opaque | (17) - The least opaque pixel value is chosen from the foreground and background alpha channels and is used for the foreground image.
Style set by the last call to the Merge method.
IPTransparent

  • True — Merging occurs with transparency. Pixels in the image containing the same color as transparentColor are not merged.

  • False — Merging occurs with no transparency.

IPTransparentColor

A long expression that evaluates to the transparent color.

IPMergePctHi

The superimpose intensity (when IPMergeStyle = 5).

The upper range of the superimpose intensity (when IPMergeStyle = 6 through 13).

Range: 0 - 100 (percent)

IPMergePctLo

The lower range of the superimpose intensity (when IPMergeStyle = 6 through 13)

Range: 0 - 100 (percent)

Remarks

Merging combines the current image being processed (ProcessImageID) with another specified image. The resulting merged image is stored in ProcessImageID.

  • If an area or region is active when Merge is called, then the source image will be merged with the active region or area on the target image.
  • When the images being merged are both TIFF files that have tags, ensure that the tags are saved when merging, by first capturing the tags, then merging, then applying tags again. Otherwise the tags will be lost as they are not maintained automatically during the merge.
  • If either of the images being merged has a bit depth of less than 24 bits, then both images are converted to 24-bit images, then merged.
  • If either of the images being merged has an associated color profile, then each image's profile is applied, then the images are merged. No color profile is retained.

Note: Sprites also offer the capability of merging a part of an image with another one, but is more limited in capability.

Note: Available in Standard, Document and Photo Editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Mirror Method

Description

Rotates current DIB 180 degrees, then flips it to create a mirror image.

Syntax

Public Sub Mirror()

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

IPMosaicB
Integer that evaluates to the mosaic block size. Valid range is between 1 and 63.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Mosaic Method

Description

Gives the current DIB a pixilated look.

Syntax

Public Sub Mosaic( _
   ByVal IPMosaicB As Integer _
)

Parameters

IPMosaicB
Integer that evaluates to the mosaic block size. Valid range is between 1 and 63.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

MousePointer
An enumMousePointer value which determines the mouse pointer type.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MousePointerIsBuiltin Method

Description

Returns an indication if the mouse pointer is built in.

Syntax

Public Function MousePointerIsBuiltin( _
   ByVal MousePointer As enumMousePointer _
) As Boolean

Parameters

MousePointer
Value | Description
MP_Default | (0) — Shape is determined by the object
MP_Arrow | (1) — Arrow
MP_Cross | (2) — Cross (cross-hair pointer)
MP_IBeam | (3) — I-Beam
MP_Icon | (4) — Icon (small square within a square)
MP_Size | (5) — Size (four-pointed arrow pointing north, south, east, west)
MP_SizeNESW | (6) — Size NE SW (double arrow pointing northeast and southwest)
MP_SizeNS | (7) — Size N S (double arrow pointing north and south)
MP_SizeNWSE | (8) — Size NW SE (double arrow pointing northwest and southeast)
MP_SizeEW | (9) — Size W E (double arrow pointing west and east)
MP_UpArrow | (10) — Up Arrow
MP_Hourglass | (11) — Hourglass (wait)
MP_Boy | (12) — Boy
MP_Brush | (13) — Paint Brush
MP_BPush | (14) — Button Push
MP_Clock | (15) — Clock
MP_CHand1 | (16) — Cup Hand #1
MP_CHand2 | (17) — Cup Hand #2
MP_Girl | (18) — Girl
MP_Hand1 | (19) — Hand #1
MP_Hand2 | (20) — Hand #2
MP_Hand3 | (21) — Hand #3
MP_Hand4 | (22) — Hand #4
MP_Hand5 | (23) — Hand #5
MP_Hand6 | (24) — Hand #6
MP_Hand7 | (25) — Hand #7
MP_Help1 | (26) — Help #1
MP_Help2 | (27) — Help #2
MP_Key | (28) — Key
MP_Lightning | (29) — Lightning
MP_Magnify | (30) — Magnify
MP_Mouse | (31) — Mouse
MP_NoDrop1 | (32) — No Drop #1
MP_NoDrop2 | (33) — No Drop #2
MP_NoDrop3 | (34) — No Drop #3
MP_Pencil1 | (35) — Pencil #1
MP_Pencil2 | (36) — Pencil #2
MP_Phone | (37) — Phone
MP_Question1 | (38) — Question #1
MP_Question2 | (39) — Question #2
MP_Wand | (40) — Wand
MP_ArrowHourglass | (41) — Arrow and Hourglass
MP_ArrowQuestion | (42) — Arrow and Question
MP_SizeAll | (43) — Size All
MP_ToolZoomIn
MP_ToolZoomOut
MP_ToolZoomRect
MP_ToolHandOpen
MP_ToolHandClose
MP_ToolMagnifier
MP_ToolSelect
MP_ToolPanN
MP_ToolPanNW
MP_ToolPanNE
MP_ToolPanS
MP_ToolPanSE
MP_ToolPanSW
MP_ToolPanE
MP_ToolPanW
MP_ToolPanX
MP_Custom | (99) — Custom — Determined by the MouseIcon property
An enumMousePointer value which determines the mouse pointer type.

Return Type

A boolean value which is True if the mouse pointer is built in. Otherwise, False is returned.

See Also


ImagXpress Object

MousePointer
An enumMousePointer value which determines the mouse pointer type.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MousePointerReset Method

Description

Resets the mouse pointer to the given value.

Syntax

Public Sub MousePointerReset( _
   ByVal MousePointer As enumMousePointer _
)

Parameters

MousePointer
Value | Description
MP_Default | (0) — Shape is determined by the object
MP_Arrow | (1) — Arrow
MP_Cross | (2) — Cross (cross-hair pointer)
MP_IBeam | (3) — I-Beam
MP_Icon | (4) — Icon (small square within a square)
MP_Size | (5) — Size (four-pointed arrow pointing north, south, east, west)
MP_SizeNESW | (6) — Size NE SW (double arrow pointing northeast and southwest)
MP_SizeNS | (7) — Size N S (double arrow pointing north and south)
MP_SizeNWSE | (8) — Size NW SE (double arrow pointing northwest and southeast)
MP_SizeEW | (9) — Size W E (double arrow pointing west and east)
MP_UpArrow | (10) — Up Arrow
MP_Hourglass | (11) — Hourglass (wait)
MP_Boy | (12) — Boy
MP_Brush | (13) — Paint Brush
MP_BPush | (14) — Button Push
MP_Clock | (15) — Clock
MP_CHand1 | (16) — Cup Hand #1
MP_CHand2 | (17) — Cup Hand #2
MP_Girl | (18) — Girl
MP_Hand1 | (19) — Hand #1
MP_Hand2 | (20) — Hand #2
MP_Hand3 | (21) — Hand #3
MP_Hand4 | (22) — Hand #4
MP_Hand5 | (23) — Hand #5
MP_Hand6 | (24) — Hand #6
MP_Hand7 | (25) — Hand #7
MP_Help1 | (26) — Help #1
MP_Help2 | (27) — Help #2
MP_Key | (28) — Key
MP_Lightning | (29) — Lightning
MP_Magnify | (30) — Magnify
MP_Mouse | (31) — Mouse
MP_NoDrop1 | (32) — No Drop #1
MP_NoDrop2 | (33) — No Drop #2
MP_NoDrop3 | (34) — No Drop #3
MP_Pencil1 | (35) — Pencil #1
MP_Pencil2 | (36) — Pencil #2
MP_Phone | (37) — Phone
MP_Question1 | (38) — Question #1
MP_Question2 | (39) — Question #2
MP_Wand | (40) — Wand
MP_ArrowHourglass | (41) — Arrow and Hourglass
MP_ArrowQuestion | (42) — Arrow and Question
MP_SizeAll | (43) — Size All
MP_ToolZoomIn
MP_ToolZoomOut
MP_ToolZoomRect
MP_ToolHandOpen
MP_ToolHandClose
MP_ToolMagnifier
MP_ToolSelect
MP_ToolPanN
MP_ToolPanNW
MP_ToolPanNE
MP_ToolPanS
MP_ToolPanSE
MP_ToolPanSW
MP_ToolPanE
MP_ToolPanW
MP_ToolPanX
MP_Custom | (99) — Custom — Determined by the MouseIcon property
An enumMousePointer value which determines the mouse pointer type.

See Also


ImagXpress Object

MousePointer
An enumMousePointer value which determines the mouse pointer type.
hCursor
A long value which represents a handle to a cursor.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MousePointerSetFromCursor Method

Description

Sets the mouse pointer from the given cursor.

Syntax

Public Sub MousePointerSetFromCursor( _
   ByVal MousePointer As enumMousePointer, _
   ByVal hCursor As Long _
)

Parameters

MousePointer
Value | Description
MP_Default | (0) — Shape is determined by the object
MP_Arrow | (1) — Arrow
MP_Cross | (2) — Cross (cross-hair pointer)
MP_IBeam | (3) — I-Beam
MP_Icon | (4) — Icon (small square within a square)
MP_Size | (5) — Size (four-pointed arrow pointing north, south, east, west)
MP_SizeNESW | (6) — Size NE SW (double arrow pointing northeast and southwest)
MP_SizeNS | (7) — Size N S (double arrow pointing north and south)
MP_SizeNWSE | (8) — Size NW SE (double arrow pointing northwest and southeast)
MP_SizeEW | (9) — Size W E (double arrow pointing west and east)
MP_UpArrow | (10) — Up Arrow
MP_Hourglass | (11) — Hourglass (wait)
MP_Boy | (12) — Boy
MP_Brush | (13) — Paint Brush
MP_BPush | (14) — Button Push
MP_Clock | (15) — Clock
MP_CHand1 | (16) — Cup Hand #1
MP_CHand2 | (17) — Cup Hand #2
MP_Girl | (18) — Girl
MP_Hand1 | (19) — Hand #1
MP_Hand2 | (20) — Hand #2
MP_Hand3 | (21) — Hand #3
MP_Hand4 | (22) — Hand #4
MP_Hand5 | (23) — Hand #5
MP_Hand6 | (24) — Hand #6
MP_Hand7 | (25) — Hand #7
MP_Help1 | (26) — Help #1
MP_Help2 | (27) — Help #2
MP_Key | (28) — Key
MP_Lightning | (29) — Lightning
MP_Magnify | (30) — Magnify
MP_Mouse | (31) — Mouse
MP_NoDrop1 | (32) — No Drop #1
MP_NoDrop2 | (33) — No Drop #2
MP_NoDrop3 | (34) — No Drop #3
MP_Pencil1 | (35) — Pencil #1
MP_Pencil2 | (36) — Pencil #2
MP_Phone | (37) — Phone
MP_Question1 | (38) — Question #1
MP_Question2 | (39) — Question #2
MP_Wand | (40) — Wand
MP_ArrowHourglass | (41) — Arrow and Hourglass
MP_ArrowQuestion | (42) — Arrow and Question
MP_SizeAll | (43) — Size All
MP_ToolZoomIn
MP_ToolZoomOut
MP_ToolZoomRect
MP_ToolHandOpen
MP_ToolHandClose
MP_ToolMagnifier
MP_ToolSelect
MP_ToolPanN
MP_ToolPanNW
MP_ToolPanNE
MP_ToolPanS
MP_ToolPanSE
MP_ToolPanSW
MP_ToolPanE
MP_ToolPanW
MP_ToolPanX
MP_Custom | (99) — Custom — Determined by the MouseIcon property
An enumMousePointer value which determines the mouse pointer type.
hCursor
A long value which represents a handle to a cursor.

See Also


ImagXpress Object

MousePointer
An enumMousePointer value which determines the mouse pointer type.
pMouseIcon
A picture value which represents the mouse icon to set.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MousePointerSetFromPicture Method

Description

Sets a mouse pointer from a picture.

Syntax

Public Sub MousePointerSetFromPicture( _
   ByVal MousePointer As enumMousePointer, _
   ByVal pMouseIcon As Picture _
)

Parameters

MousePointer
Value | Description
MP_Default | (0) — Shape is determined by the object
MP_Arrow | (1) — Arrow
MP_Cross | (2) — Cross (cross-hair pointer)
MP_IBeam | (3) — I-Beam
MP_Icon | (4) — Icon (small square within a square)
MP_Size | (5) — Size (four-pointed arrow pointing north, south, east, west)
MP_SizeNESW | (6) — Size NE SW (double arrow pointing northeast and southwest)
MP_SizeNS | (7) — Size N S (double arrow pointing north and south)
MP_SizeNWSE | (8) — Size NW SE (double arrow pointing northwest and southeast)
MP_SizeEW | (9) — Size W E (double arrow pointing west and east)
MP_UpArrow | (10) — Up Arrow
MP_Hourglass | (11) — Hourglass (wait)
MP_Boy | (12) — Boy
MP_Brush | (13) — Paint Brush
MP_BPush | (14) — Button Push
MP_Clock | (15) — Clock
MP_CHand1 | (16) — Cup Hand #1
MP_CHand2 | (17) — Cup Hand #2
MP_Girl | (18) — Girl
MP_Hand1 | (19) — Hand #1
MP_Hand2 | (20) — Hand #2
MP_Hand3 | (21) — Hand #3
MP_Hand4 | (22) — Hand #4
MP_Hand5 | (23) — Hand #5
MP_Hand6 | (24) — Hand #6
MP_Hand7 | (25) — Hand #7
MP_Help1 | (26) — Help #1
MP_Help2 | (27) — Help #2
MP_Key | (28) — Key
MP_Lightning | (29) — Lightning
MP_Magnify | (30) — Magnify
MP_Mouse | (31) — Mouse
MP_NoDrop1 | (32) — No Drop #1
MP_NoDrop2 | (33) — No Drop #2
MP_NoDrop3 | (34) — No Drop #3
MP_Pencil1 | (35) — Pencil #1
MP_Pencil2 | (36) — Pencil #2
MP_Phone | (37) — Phone
MP_Question1 | (38) — Question #1
MP_Question2 | (39) — Question #2
MP_Wand | (40) — Wand
MP_ArrowHourglass | (41) — Arrow and Hourglass
MP_ArrowQuestion | (42) — Arrow and Question
MP_SizeAll | (43) — Size All
MP_ToolZoomIn
MP_ToolZoomOut
MP_ToolZoomRect
MP_ToolHandOpen
MP_ToolHandClose
MP_ToolMagnifier
MP_ToolSelect
MP_ToolPanN
MP_ToolPanNW
MP_ToolPanNE
MP_ToolPanS
MP_ToolPanSE
MP_ToolPanSW
MP_ToolPanE
MP_ToolPanW
MP_ToolPanX
MP_Custom | (99) — Custom — Determined by the MouseIcon property
An enumMousePointer value which determines the mouse pointer type.
pMouseIcon
A picture value which represents the mouse icon to set.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Negate Method

Description

Creates a color negative of the current DIB.

Syntax

Public Sub Negate()

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

IPNoiseF
The frequency of the noise. Larger values result in more frequent noise. Valid range is 1 through 20.
IPNoiseI
The intensity or harshness of the noise. Larger values result in more intense noise. Valid range is 1 through 255.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Noise Method

Description

Adds noise to the current DIB.

Syntax

Public Sub Noise( _
   ByVal IPNoiseF As Integer, _
   ByVal IPNoiseI As Integer _
)

Parameters

IPNoiseF
The frequency of the noise. Larger values result in more frequent noise. Valid range is 1 through 20.
IPNoiseI
The intensity or harshness of the noise. Larger values result in more intense noise. Valid range is 1 through 255.

Remarks

Useful for screen savers.

Note: Available in all editions.

See Also


ImagXpress Object

FileName
The file name being examined for number of pages.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

NumPages Method

Description

Returns the number of image pages in a multiple page PDF, TIFF or DCX file.

Syntax

Public Function NumPages( _
   ByVal FileName As String _
) As Long

Parameters

FileName
The file name being examined for number of pages.

Return Type

Returns the number of image pages in a multiple page PDF, TIFF or DCX file.

Remarks

If an error occurs, ImagXpress throws exception message, otherwise returns NumPages property value.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Outline Method

Description

Enhances the edges in the current DIB to give it an outline effect.

Syntax

Public Sub Outline()

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Paint Method

Description

Causes the control to immediately repaint.

Syntax

Public Sub Paint()

Remarks

The Paint method is similar to the Refresh method, except that the Refresh method does not always cause the control to immediately paint.

Note: Available in all editions.

See Also


PaintDC Method

ImagXpress Object

lPaintHDC
The handle of the device context where you want it to paint.
lViewLeft
The left coordinate of the box within the DC which to render the image.
lViewTop
The top coordinate of the box within the DC which to render the image.
lViewWidth
The width of the box within the DC which to render the image.
lViewHeight
The height of the box within the DC which to render the image.
lUpdateLeft
The left coordinate of the area within the view area that needs to be updated (repainted).
lUpdateTop
The top coordinate of the area within the view area that needs to be updated (repainted).
lUpdateWidth
The width of the area within the view area that needs to be updated (repainted).
lUpdateHeight
The height of the area within the view area that needs to be updated (repainted).
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

PaintDC Method

Description

Render an image to the specified device context.

Syntax

Public Sub PaintDC( _
   ByVal lPaintHDC As Long, _
   ByVal lViewLeft As Long, _
   ByVal lViewTop As Long, _
   ByVal lViewWidth As Long, _
   ByVal lViewHeight As Long, _
   ByVal lUpdateLeft As Long, _
   ByVal lUpdateTop As Long, _
   ByVal lUpdateWidth As Long, _
   ByVal lUpdateHeight As Long _
)

Parameters

lPaintHDC
The handle of the device context where you want it to paint.
lViewLeft
The left coordinate of the box within the DC which to render the image.
lViewTop
The top coordinate of the box within the DC which to render the image.
lViewWidth
The width of the box within the DC which to render the image.
lViewHeight
The height of the box within the DC which to render the image.
lUpdateLeft
The left coordinate of the area within the view area that needs to be updated (repainted).
lUpdateTop
The top coordinate of the area within the view area that needs to be updated (repainted).
lUpdateWidth
The width of the area within the view area that needs to be updated (repainted).
lUpdateHeight
The height of the area within the view area that needs to be updated (repainted).

Remarks

It renders what is in the current view image. The device context may be the screen, printer, a memory DC, or a Metafile.

Note: Available in all editions.

See Also


ImagXpress Object

IPParabolic
ParabolicType enumeration used in determining the type of parabolic transform to perform, either convex = 0 or concave = 1.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Parabolic Method

Description

Utilizes a parabolic transform to modify the brightness of each pixel in the current DIB.

Syntax

Public Sub Parabolic( _
   ByVal IPParabolic As Integer _
)

Parameters

IPParabolic
ParabolicType enumeration used in determining the type of parabolic transform to perform, either convex = 0 or concave = 1.

Remarks

The Parabolic method adjusts the brightness of the image based on either a convex or concave parabolic transform, as specified. The convex parabolic transform darkens the pixels at the high and low range of the image's brightness spectrum, and brightens the pixels in the middle range. The concave parabolic transform brightens the pixels at the high and low range of the image's brightness spectrum, and darkens pixels in the mid-range.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Paste Method

Description

Pastes the current bitmap or DIB from the clipboard.

Syntax

Public Sub Paste()

Remarks

If the clipboard does not contain a bitmap or DIB, then the ImagError property is set.

If the UndoEnabled property is True, hDIBUndo is replaced by hDIB, hDIB is replaced by the DIB resulting from this method, and the Picture property is set to the resulting image.

Note: Available in all editions.

See Also


Perspective Method

ImagXpress Object

IPPerspectiveType

PerspectiveType enumeration used in determining what type of perspective filter to apply.

  • PERSPECTIVETYPE_TopToBottom = 0
  • PERSPECTIVETYPE_BottomToTop = 1
  • PERSPECTIVETYPE_LeftToRight = 2
  • PERSPECTIVETYPE_RightToLeft = 3
IPPerspectivePct
Integer value that evaluates to the percentage of perspective filter to apply. Valid range is between 0 and 100.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Perspective Method

Description

Changes the aspect for each row or column of pixels in the current DIB.

Syntax

Public Sub Perspective( _
   ByVal IPPerspectiveType As Integer, _
   ByVal IPPerspectivePct As Integer _
)

Parameters

IPPerspectiveType

PerspectiveType enumeration used in determining what type of perspective filter to apply.

  • PERSPECTIVETYPE_TopToBottom = 0
  • PERSPECTIVETYPE_BottomToTop = 1
  • PERSPECTIVETYPE_LeftToRight = 2
  • PERSPECTIVETYPE_RightToLeft = 3
IPPerspectivePct
Integer value that evaluates to the percentage of perspective filter to apply. Valid range is between 0 and 100.

Remarks

Gives the effect of an altered perspective.

Note: Available in all editions.

See Also


ImagXpress Object

IPPinchI

Integer value specifying the intensity of the pinching effect.

Valid range is from -100 to 100.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Pinch Method

Description

Transforms the current DIB by making it appear as if it were pinched in the center.

Syntax

Public Sub Pinch( _
   ByVal IPPinchI As Integer _
)

Parameters

IPPinchI

Integer value specifying the intensity of the pinching effect.

Valid range is from -100 to 100.

Remarks

Positive intensity values will give the current DIB an appearance as if it were pinched in the center. Negative intensity values well give the current DIB an appearance as if it were stretched from the center.

Note: Available in all editions.

See Also


ImagXpress Object

IPPosterize
Integer value specifying the number of colors for each color channel. For example, a value of 3 indicates 3 levels of red, 3 levels of green, 3 levels of blue. Valid range is between 2 and 255.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Posterize Method

Description

Reduces the number of colors in the current DIB.

Syntax

Public Sub Posterize( _
   ByVal IPPosterize As Integer _
)

Parameters

IPPosterize
Integer value specifying the number of colors for each color channel. For example, a value of 3 indicates 3 levels of red, 3 levels of green, 3 levels of blue. Valid range is between 2 and 255.

Remarks

This has the effect of creating posterize contours in the image.

Note: Available in all editions.

See Also


ImagXpress Object

Index
The minimum index for PRGBColors is 0. The maximum index is 255.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

PRGBGetColors Method

Description

Specifies a user defined palette for the control.

Syntax

Public Function PRGBGetColors( _
   ByVal Index As Integer _
) As Long

Parameters

Index
The minimum index for PRGBColors is 0. The maximum index is 255.

Return Type

The RGB value for that location in the palette.

Remarks

When the Palette property is 4 (user defined), images loaded using the FileName property display with the palette defined by the PRGB Set and Get Colors methods.

Note: Available in all editions.

See Also


ImagXpress Object

Index
The minimum index for PRGBColors is 0. The maximum index is 255.
newVal
The RGB value for that palette location.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

PRGBSetColors Method

Description

Specifies a user defined palette for the control.

Syntax

Public Sub PRGBSetColors( _
   ByVal Index As Integer, _
   ByVal newVal As Long _
)

Parameters

Index
The minimum index for PRGBColors is 0. The maximum index is 255.
newVal
The RGB value for that palette location.

Remarks

When the Palette property is 4 - User Defined, images loaded using the FileName property will be displayed using the palette defined by the PRGBColors property.

Note: Available in all editions.

See Also


PrintImage Method

ImagXpress Object

hDC
A long value which represents a handle to the image.
left
A long value which represents the left side of the image.
top
A long value which represents the top side of the image.
width
A long value which represents the width of the image.
height
A long value which represents the height of the image.
eUnits
eType
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

PrintImage Method

Description

Prints the image with the given parameters.

Syntax

Public Sub PrintImage( _
   ByVal hDC As Long, _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal width As Long, _
   ByVal height As Long, _
   ByVal eUnits As IX_GraphicsUnit, _
   ByVal eType As IX_PrintType _
)

Parameters

hDC
A long value which represents a handle to the image.
left
A long value which represents the left side of the image.
top
A long value which represents the top side of the image.
width
A long value which represents the width of the image.
height
A long value which represents the height of the image.
eUnits
Value | Description
IX_GraphicsUnit_World | World
IX_GraphicsUnit_Display | Display
IX_GraphicsUnit_Pixel | Pixel
IX_GraphicsUnit_Point | Point
IX_GraphicsUnit_Inch | Inch
IX_GraphicsUnit_Document | Document
IX_GraphicsUnit_Millimeter | Millimeter
IX_GraphicsUnit_Twip | Twip
eType
Value | Description
IX_PrintType_FullImage | Full image
IX_PrintType_ViewCroppedImage | Cropped image
IX_PrintType_Rubberband | Rubberband

See Also


PWarp Method

ImagXpress Object

x1
The horizontal coordinate of the first point defining the warp area in the image.
y1
The vertical coordinate of the first vertical bounding coordinate.
x2
The horizontal coordinate of the second horizontal coordinate.
y2
The vertical coordinate of the second vertical bounding coordinate.
x3
The horizontal coordinate of the third horizontal bounding coordinate.
y3
The vertical coordinate of the third vertical bounding coordinate.
x4
The horizontal coordinate of the fourth horizontal bounding coordinate.
y4
The vertical coordinate of the fourth vertical bounding coordinate.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

PWarp Method

Description

Performs a polynomial warp on the current DIB by re-sizing and warping it based on 4 bounding points within the current image.

Syntax

Public Sub PWarp( _
   ByVal x1 As Long, _
   ByVal y1 As Long, _
   ByVal x2 As Long, _
   ByVal y2 As Long, _
   ByVal x3 As Long, _
   ByVal y3 As Long, _
   ByVal x4 As Long, _
   ByVal y4 As Long _
)

Parameters

x1
The horizontal coordinate of the first point defining the warp area in the image.
y1
The vertical coordinate of the first vertical bounding coordinate.
x2
The horizontal coordinate of the second horizontal coordinate.
y2
The vertical coordinate of the second vertical bounding coordinate.
x3
The horizontal coordinate of the third horizontal bounding coordinate.
y3
The vertical coordinate of the third vertical bounding coordinate.
x4
The horizontal coordinate of the fourth horizontal bounding coordinate.
y4
The vertical coordinate of the fourth vertical bounding coordinate.

Remarks

Parameters work in pairs (X1, Y1) to affix coordinates for boundary points of area to warp in the image.

Note: Available in all editions.

See Also


QueryBufferPtr Method

ImagXpress Object

pBuffer
A byte value which represents the buffer pointer value.
nBufferSize
A long value which represents the buffer size.
nPageNbr
A long value which represents the page number.
pnWidth
A long value which represents the page number width.
pnHeight
A long value which represents the page number height.
pnBPP
An integer value which represents the page number bits per pixel.
pnFormat
An integer value which represents the format.
pnResUnits
An integer value which represents the resolution units.
pfResX
A double value which represents the x resolution.
pfResY
A double value which represents the y resolution.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

QueryBufferPtr Method

Description

Query the buffer for the given attributes.

Syntax

Public Sub QueryBufferPtr( _
   ByRef pBuffer As Byte, _
   ByVal nBufferSize As Long, _
   ByVal nPageNbr As Long, _
   ByRef pnWidth As Long, _
   ByRef pnHeight As Long, _
   ByRef pnBPP As Integer, _
   ByRef pnFormat As Integer, _
   ByRef pnResUnits As Integer, _
   ByRef pfResX As Double, _
   ByRef pfResY As Double _
)

Parameters

pBuffer
A byte value which represents the buffer pointer value.
nBufferSize
A long value which represents the buffer size.
nPageNbr
A long value which represents the page number.
pnWidth
A long value which represents the page number width.
pnHeight
A long value which represents the page number height.
pnBPP
An integer value which represents the page number bits per pixel.
pnFormat
An integer value which represents the format.
pnResUnits
An integer value which represents the resolution units.
pfResX
A double value which represents the x resolution.
pfResY
A double value which represents the y resolution.

See Also


QueryCadFormat Method

ImagXpress Object

CadFileType
An IX_CadFileType enumeration value to query.
CadVersion
An IX_CadVersion enumeration value to query.
CadLayersCount
A long value which represents the number of CAD layers present.
CadLayoutCount
A long value which represents the number of CAD layouts present.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

QueryCadFormat Method

Description

Query the CAD format with the given attributes.

Syntax

Public Sub QueryCadFormat( _
   ByRef CadFileType As IX_CadFileType, _
   ByRef CadVersion As IX_CadVersion, _
   ByRef CadLayersCount As Long, _
   ByRef CadLayoutCount As Long _
)

Parameters

CadFileType
Value | Description
IX_CadFiletype_Unknown | -1 - Unknown file type.
IX_CadFiletype_dwg | 0 - DWG CAD file type.
IX_CadFiletype_dxf | 1 - DXF CAD file type.
IX_CadFiletype_dxb | 2 - DXB CAD file type.
IX_CadFileType_dwf | 3 - DWF CAD file type.
An IX_CadFileType enumeration value to query.
CadVersion
Value | Description
IX_CadVersion_0_0 | 0 - Version 0.
IX_CadVersion_1_2 | 1 - Version 1v2
IX_CadVersion_1_40 | 2 - Version 1v40
IX_CadVersion_1_50 | 3 - Version 1v50
IX_CadVersion_2_20 | 4 - Version 2v20
IX_CadVersion_2_10 | 5 - Version 2v10
IX_CadVersion_2_21 | 6 - Version 2v21
IX_CadVersion_2_22 | 7 - Version 2v22
IX_CadVersion_1001 | 8 - Version 1001
IX_CadVersion_1002 | 9 - Version 1002
IX_CadVersion_1003 | 10 - Version 1003
IX_CadVersion_1004 | 11 - Version 1004
IX_CadVersion_1005 | 12 - Version 1005
IX_CadVersion_1006 | 13 - Version 1006
IX_CadVersion_1007 | 14 - Version 1007
IX_CadVersion_1008 | 15 - Version 1008
IX_CadVersion_1009 | 16 - Version 1009
IX_CadVersion_1010 | 17 - Version 1010
IX_CadVersion_1011 | 18 - Version 1011
IX_CadVersion_1012 | 19 - Version 1012
IX_CadVersion_1013 | 20 - Version 1013
IX_CadVersion_1014 | 21 - Version 1014
IX_CadVersion_1500 | 22 - Version 1500
IX_CadVersion_1015 | 23 - Version 1015
IX_CadVersion_1800a | 24 - Version 1800a
IX_CadVersion_1800 | 25 - Version 1800
IX_CadVersion_2100a | 26 - Version 2100a
IX_CadVersion_1021 | 27 - Version 1021
IX_CadVersion_Unknown | 32766 - Unknown
An IX_CadVersion enumeration value to query.
CadLayersCount
A long value which represents the number of CAD layers present.
CadLayoutCount
A long value which represents the number of CAD layouts present.

See Also


QueryCadLayer Method

ImagXpress Object

LayerIndex
A long value which represents the layer index.
LayerName
A string value which represents the layer name.
LayerDescription
A string value which represents the layer description.
Frozen
A boolean value to set to True to freeze the layer. Otherwise, False should be set.
InUse
A boolean value to set to True when the layer is in use. Otherwise, False should be set.
Locked
A boolean value to set to True to lock the given layer. Otherwise, False should be set.
Plottable
A boolean value to set to True to allow the given layer to be plottable. Otherwise, False should be set.
On
A boolean value to set to True to turn on the given layer. Otherwise, False should be set.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

QueryCadLayer Method

Description

Query the CAD layer with the given attributes.

Syntax

Public Sub QueryCadLayer( _
   ByVal LayerIndex As Long, _
   ByRef LayerName As String, _
   ByRef LayerDescription As String, _
   ByRef Frozen As Boolean, _
   ByRef InUse As Boolean, _
   ByRef Locked As Boolean, _
   ByRef Plottable As Boolean, _
   ByRef On As Boolean _
)

Parameters

LayerIndex
A long value which represents the layer index.
LayerName
A string value which represents the layer name.
LayerDescription
A string value which represents the layer description.
Frozen
A boolean value to set to True to freeze the layer. Otherwise, False should be set.
InUse
A boolean value to set to True when the layer is in use. Otherwise, False should be set.
Locked
A boolean value to set to True to lock the given layer. Otherwise, False should be set.
Plottable
A boolean value to set to True to allow the given layer to be plottable. Otherwise, False should be set.
On
A boolean value to set to True to turn on the given layer. Otherwise, False should be set.

See Also


QueryCadLayout Method

ImagXpress Object

LayoutIndex
A long value which represents the layout index.
LayoutName
A string value which represents the layout name.
width
A double value which represents the width of the layout.
height
A double value which represents the height of the layout.
CadUnits
An IX_CadUnits enumeration value.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

QueryCadLayout Method

Description

Query the CAD layout with the given attributes.

Syntax

Public Sub QueryCadLayout( _
   ByVal LayoutIndex As Long, _
   ByRef LayoutName As String, _
   ByRef width As Double, _
   ByRef height As Double, _
   ByRef CadUnits As IX_CadUnits _
)

Parameters

LayoutIndex
A long value which represents the layout index.
LayoutName
A string value which represents the layout name.
width
A double value which represents the width of the layout.
height
A double value which represents the height of the layout.
CadUnits
Value | Description
IX_CadUnits_Undefined | 0 - Undefined units.
IX_CadUnits_Inches | 1 - Inches.
IX_CadUnits_Feet | 2 - Feet.
IX_CadUnits_Miles | 3 - Miles.
IX_CadUnits_Millimeters | 4 - Milimeters.
IX_CadUnits_Centimeters | 5 - Centimeters.
IX_CadUnits_Meters | 6 - Meters.
IX_CadUnits_Kilometers | 7 - Kilometers.
IX_CadUnits_Microinches | 8 - Microinches.
IX_CadUnits_Mils | 9 - Mils.
IX_CadUnits_Yards | 10 - Yards.
IX_CadUnits_Angstroms | 11 - Angstroms.
IX_CadUnits_Nanometers | 12 - Nanometers.
IX_CadUnits_Microns | 13 - Microns.
IX_CadUnits_Decimeters | 14 - Decimeters.
IX_CadUnits_Dekameters | 15 - Dekameters.
IX_CadUnits_Hectometers | 16 - Hecktometers.
IX_CadUnits_Gigameters | 17 - Gigameters.
IX_CadUnits_Astronomical | 18 - Astronomical.
IX_CadUnits_Lightyears | 19 - Light years.
IX_CadUnits_Parsecs | 20 - Parsecs.
An IX_CadUnits enumeration value.

See Also


QueryFile Method

ImagXpress Object

FileName
The file to be queried.
PageNbr
Page number within the file to query.
width
A long value evaluates the image width in pixels.
height
A long value evaluates the image height in pixels.
BPP
A short value evaluates the image Bits Per Pixel (BPP).
Format
A short value evaluates the image format.
FileSize
A long value evaluates the image file size.
ResUnits
A short value evaluates the image resolution units.
ResX
A double value evaluates the image X resolution.
ResY
A double value evaluates the image Y resolution.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

QueryFile Method

Description

Obtains information about an image file.

Syntax

Public Sub QueryFile( _
   ByVal FileName As String, _
   ByVal PageNbr As Long, _
   ByRef width As Long, _
   ByRef height As Long, _
   ByRef BPP As Integer, _
   ByRef Format As Integer, _
   ByRef FileSize As Long, _
   ByRef ResUnits As Integer, _
   ByRef ResX As Double, _
   ByRef ResY As Double _
)

Parameters

FileName
The file to be queried.
PageNbr
Page number within the file to query.
width
A long value evaluates the image width in pixels.
height
A long value evaluates the image height in pixels.
BPP
A short value evaluates the image Bits Per Pixel (BPP).
Format
A short value evaluates the image format.
FileSize
A long value evaluates the image file size.
ResUnits
A short value evaluates the image resolution units.
ResX
A double value evaluates the image X resolution.
ResY
A double value evaluates the image Y resolution.

Remarks

QueryFile obtains information about an image file but does not load the image. Information about the image is returned in the Width, Height, BPP, Format, FileSize, ResUnits, ResX, and ResY parameters.

FileName may be a remote or local file. It may not be an http or ftp address.

ResUnits, ResX, and ResY are returned for the following image formats: TIFF, JPEG, PIC, PNG, BMP, RLE, PCX. These values will be set to zero if the image does not contain resolution information.

If QueryFile is successful, the ImagError Property is set to 0 (ErrorNone). If QueryFile fails, the ImagError Property will be set to a non zero value.

The QueryFileV Method is identical to the QueryFile Method, except that the return values for Width, Height, BPP, Format, FileSize, ResUnits, ResX, and ResY are VARIANTS. If you are using VB Script, or if you are using Visual Basic, and wish to use implicit variables, you must use the QueryFileV Method. If using C++, you can avoid the variant conversions by using this QueryFile Method.

Note: Available in all editions.

See Also


QueryFileV Method

ImagXpress Object

FileName
The file to be queried.
PageNbr
Page number within the file to query.
width
A variant value that evaluates to the image width in pixels.
height
A variant value that evaluates to the image height in pixels.
BPP
A variant value that evaluates to the image bits per pixel.
Format
A variant value that evaluates to the image format.
FileSize
A variant value that evaluates to the image file size.
ResUnits
A variant value that evaluates to the image resolution units.
ResX
A variant value that evaluates to the image X resolution.
ResY
A variant value that evaluates to the image Y resolution.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

QueryFileV Method

Description

Obtains information about an image file.

Syntax

Public Sub QueryFileV( _
   ByVal FileName As String, _
   ByVal PageNbr As Long, _
   ByRef width As Variant, _
   ByRef height As Variant, _
   ByRef BPP As Variant, _
   ByRef Format As Variant, _
   ByRef FileSize As Variant, _
   ByRef ResUnits As Variant, _
   ByRef ResX As Variant, _
   ByRef ResY As Variant _
)

Parameters

FileName
The file to be queried.
PageNbr
Page number within the file to query.
width
A variant value that evaluates to the image width in pixels.
height
A variant value that evaluates to the image height in pixels.
BPP
A variant value that evaluates to the image bits per pixel.
Format
A variant value that evaluates to the image format.
FileSize
A variant value that evaluates to the image file size.
ResUnits
A variant value that evaluates to the image resolution units.
ResX
A variant value that evaluates to the image X resolution.
ResY
A variant value that evaluates to the image Y resolution.

Remarks

QueryFileV obtains information about an image file but does not load the image. Information about the image is returned in the Width, Height, BPP, Format, FileSize, ResUnits, ResX, and ResY parameters.

FileName may be a remote or local file. It may not be an http or ftp address.

ResUnits, ResX, and ResY are returned for the following image formats: TIFF, JPEG, PIC, PNG, BMP, RLE, PCX. These values will be set to zero if the image does not contain resolution information.

If QueryFileV is successful, the ImagError Property is set to 0 (ErrorNone). If QueryFileV fails, the ImagError Property will be set to a non zero value.

The QueryFileV Method is identical to the QueryFile Method except that the return values for Width, Height, BPP, Format, FileSize, ResUnits, ResX, and ResY are VARIANTS. If you are using VB Script or if you are using Visual Basic and wish to use implicit variables, you must use the QueryFileV Method. If using C++, you can avoid the variant conversions by using the QueryFile Method.

Note: Available in all editions.

See Also


RedeyeRectangleAdd Method

ImagXpress Object

Xpos
The x coordinate of the upper left corner of the rectangle.
Ypos
The y coordinate of the upper left corner of the rectangle.
recWidth
The width of the rectangle in pixels.
recHeight
The height of the rectangle in pixels.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RedeyeRectangleAdd Method

Description

Add a redeye rectangle to the set of identified rectangles.

Syntax

Public Function RedeyeRectangleAdd( _
   ByVal Xpos As Long, _
   ByVal Ypos As Long, _
   ByVal recWidth As Long, _
   ByVal recHeight As Long _
) As Long

Parameters

Xpos
The x coordinate of the upper left corner of the rectangle.
Ypos
The y coordinate of the upper left corner of the rectangle.
recWidth
The width of the rectangle in pixels.
recHeight
The height of the rectangle in pixels.

Return Type

The total count of redeye rectangles associated with the image.

Remarks

Note: Available in Photo edition.

See Also


ImagXpress Object

recIndex
The index of the rectangle to delete from the array of rectangles being kept.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RedeyeRectangleDelete Method

Description

Remove a rectangle from the array of rectangles being kept.

Syntax

Public Function RedeyeRectangleDelete( _
   ByVal recIndex As Long _
) As Long

Parameters

recIndex
The index of the rectangle to delete from the array of rectangles being kept.

Return Type

The total count of redeye rectangles associated with the image.

Remarks

Note: Available in Photo edition.

See Also


RedeyeRectangleEdit Method

ImagXpress Object

recIndex
The indext of the rectangle to be changed.
Xpos
The new x coordinate of the upper left corner of the rectangle.
Ypos
The new y coordinate of the upper left corner of the rectangle.
recWidth
The new width of the rectangle.
recHeight
The new height of the rectangle.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RedeyeRectangleEdit Method

Description

Modify a redeye rectangle's size or position.

Syntax

Public Function RedeyeRectangleEdit( _
   ByVal recIndex As Long, _
   ByVal Xpos As Long, _
   ByVal Ypos As Long, _
   ByVal recWidth As Long, _
   ByVal recHeight As Long _
) As Long

Parameters

recIndex
The indext of the rectangle to be changed.
Xpos
The new x coordinate of the upper left corner of the rectangle.
Ypos
The new y coordinate of the upper left corner of the rectangle.
recWidth
The new width of the rectangle.
recHeight
The new height of the rectangle.

Return Type

The current index of the rectangle being edited.

Remarks

Note: Available in Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Refresh Method

Description

Causes the control to repaint.

Syntax

Public Sub Refresh()

Remarks

The Refresh method is similar to the Paint method except that the Refresh method does not always cause the control to immediately paint.

Note: Available in all editions.

See Also


RemoveDust Method

ImagXpress Object

IPDefectThreshold
Integer parameter that determines how bright a pixel must be for it to be considered a speck. Valid range is between -255 and 255.
IPDefectFilterAdjustment
Integer parameter that controls where the filter boundary begins relative to the speck for smoothing to occur. Valid range is between -6 and 2.
IPDefectSmoothingAdjustment
nteger parameter that controls how much smoothing is applied to the pixels in the speck or scratch. Valid range is between -5 and 100.
IPDefectType
DefectType enumeration used in determining whether a dark or light speck is to be removed.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RemoveDust Method

Description

Removes specks within color images.

Syntax

Public Sub RemoveDust( _
   ByVal IPDefectThreshold As Integer, _
   ByVal IPDefectFilterAdjustment As Integer, _
   ByVal IPDefectSmoothingAdjustment As Integer, _
   ByVal IPDefectType As enumDefectType _
)

Parameters

IPDefectThreshold
Integer parameter that determines how bright a pixel must be for it to be considered a speck. Valid range is between -255 and 255.
IPDefectFilterAdjustment
Integer parameter that controls where the filter boundary begins relative to the speck for smoothing to occur. Valid range is between -6 and 2.
IPDefectSmoothingAdjustment
nteger parameter that controls how much smoothing is applied to the pixels in the speck or scratch. Valid range is between -5 and 100.
IPDefectType
Value | Description
DefectTypeLight | (0) - A light defect is to be removed.
DefectTypeDark | (1) - A dark defect is to be removed.
DefectType enumeration used in determining whether a dark or light speck is to be removed.

Remarks

Prior to calling RemoveDust, an Area must be set, using the Area method.

Note: Available in Photo edition.

See Also


RemoveRedeye Method

ImagXpress Object

IPRedeyePrecision
RedeyePrecision enumeration used in determining the precision level of the RemoveRedeye method.
IPRedeyeShade
RedeyeShade enumeration used in determining the type of eye shade to process.
IPRedeyeGlare
RedeyeGlare enumeration that evaluates to glare level.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RemoveRedeye Method

Description

Reduces the red reflection displayed in the eyes of people from which a color flash photo image was taken.

Syntax

Public Sub RemoveRedeye( _
   ByVal IPRedeyePrecision As enumRedeyePrecision, _
   ByVal IPRedeyeShade As enumEyeShade, _
   ByVal IPRedeyeGlare As enumEyeGlare _
)

Parameters

IPRedeyePrecision
Value | Description
RedeyePrecise | (0) — Use the precise region to reduce the red color.
RedeyeImprecise1 | (1) — Search the region for the specified red pixels.
RedeyeImprecise2 | (2) — Search the region for the specified red pixels. Use this value if the subject's face has a rosy complexion.
RedeyePrecision enumeration used in determining the precision level of the RemoveRedeye method.
IPRedeyeShade
Value | Description
EyeShadeNormal | (0) - Normal shade
EyeShadeDark | (2) - Dark eye shading
EyeShadeLight | (1) - Light eye shading
RedeyeShade enumeration used in determining the type of eye shade to process.
IPRedeyeGlare
Value | Description
EyeGlareNone | (0) - No glare.
EyeGlareSlight | (1) - Slight image glare.
EyeGlareFull | (2) - Strong image glare.
RedeyeGlare enumeration that evaluates to glare level.

Remarks

Prior to calling RemoveRedeye, an Area must be set, using the Area method.

Note: Available in Photo edition.

See Also


RemoveScratches Method

ImagXpress Object

IPDefectX1

The X coordinate of the starting point of the scratch to be removed.

IPDefectY1
The Y coordinate of the starting point of the scratch to be removed.
IPDefectX2

The X coordinate of the ending point of the scratch to be removed.

IPDefectY2

The Y coordinate of the ending point of the scratch to be removed.

IPDefectLineWidth
The width of the scratch in pixels.
IPDefectThreshold

Integer value controls how bright a pixel must be before it is considered a scratch.

Valid range is between -255 and 255. The default value is 0.

IPDefectFilterAdjustment

Integer value that controls where the filter boundary begins relative to the scratch for smoothing to occur.

Valid range is between -6 and 2 with 0 being the default value.

IPDefectSmoothingAdjustment

Integer value that controls how much smoothing is applied to the pixels in the scratch.

Valid range is -5 and 100 where 0 is the default value.

IPDefectType
DefectType enumeration used in determining what type of scratch to process.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RemoveScratches Method

Description

Removes scratches within color images along a line.

Syntax

Public Sub RemoveScratches( _
   ByVal IPDefectX1 As Long, _
   ByVal IPDefectY1 As Long, _
   ByVal IPDefectX2 As Long, _
   ByVal IPDefectY2 As Long, _
   ByVal IPDefectLineWidth As Long, _
   ByVal IPDefectThreshold As Integer, _
   ByVal IPDefectFilterAdjustment As Integer, _
   ByVal IPDefectSmoothingAdjustment As Integer, _
   ByVal IPDefectType As enumDefectType _
)

Parameters

IPDefectX1

The X coordinate of the starting point of the scratch to be removed.

IPDefectY1
The Y coordinate of the starting point of the scratch to be removed.
IPDefectX2

The X coordinate of the ending point of the scratch to be removed.

IPDefectY2

The Y coordinate of the ending point of the scratch to be removed.

IPDefectLineWidth
The width of the scratch in pixels.
IPDefectThreshold

Integer value controls how bright a pixel must be before it is considered a scratch.

Valid range is between -255 and 255. The default value is 0.

IPDefectFilterAdjustment

Integer value that controls where the filter boundary begins relative to the scratch for smoothing to occur.

Valid range is between -6 and 2 with 0 being the default value.

IPDefectSmoothingAdjustment

Integer value that controls how much smoothing is applied to the pixels in the scratch.

Valid range is -5 and 100 where 0 is the default value.

IPDefectType
Value | Description
DefectTypeLight | (0) - A light defect is to be removed.
DefectTypeDark | (1) - A dark defect is to be removed.
DefectType enumeration used in determining what type of scratch to process.

Remarks

Prior to calling RemoveScratches, an Area must be set, using the Area method.

Note: Available in Photo edition.

See Also


ReplaceColors Method

ImagXpress Object

IPColorFrom

Color that evaluates to the beginning color range.

Note: Value specified must be in a valid OLE_COLOR range.

IPColorTo

Color that evaluates to the ending color range.

Note: Value specified must be in a valid OLE_COLOR range.

IPColorReplace

Color that evaluates to the replacement color.

Note: Value specified must be in a valid OLE_COLOR range.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ReplaceColors Method

Description

Replaces a range of colors in the current DIB.

Syntax

Public Sub ReplaceColors( _
   ByVal IPColorFrom As ULong, _
   ByVal IPColorTo As ULong, _
   ByVal IPColorReplace As ULong _
)

Parameters

IPColorFrom

Color that evaluates to the beginning color range.

Note: Value specified must be in a valid OLE_COLOR range.

IPColorTo

Color that evaluates to the ending color range.

Note: Value specified must be in a valid OLE_COLOR range.

IPColorReplace

Color that evaluates to the replacement color.

Note: Value specified must be in a valid OLE_COLOR range.

Remarks

All colors in the DIB that fall within the range of ColorFrom and ColorTo are replaced with ColorReplace.

Note: Available in all editions.

See Also


Resample Method

ImagXpress Object

IPWidth

An integer expression that evaluates to the resampled width.

Valid values are greater than zero.

IPHeight

An integer expression that evaluates to the resampled height.

Valid values are greater than zero.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Resample Method

Description

Resizes the current DIB.

Syntax

Public Sub Resample( _
   ByVal IPWidth As Long, _
   ByVal IPHeight As Long _
)

Parameters

IPWidth

An integer expression that evaluates to the resampled width.

Valid values are greater than zero.

IPHeight

An integer expression that evaluates to the resampled height.

Valid values are greater than zero.

Remarks

Note: This property/method is deprecated in ImagXpress 8. The pixels in the image are resampled using a bilinear interpolation algorithm, which produces a better quality image than the Resize method; however, the Resample method is slower.

Caution: Large values for width and height can result in a large image that may take a long time to render.

Since the Resample method can change the size of the image, the Area method is disabled and the IPArea property is set to False.

If the UndoEnabled property is True, hDIBUndo is replaced by hDIB, hDIB is replaced by the DIB resulting from this method, and the Picture property is set to the resulting image.

Note: Available in all editions.

See Also


ImagXpress Object

IPWidth
The width value in pixels to which the current image will be resized.
IPHeight
The height value in pixels to which the current image will be resized.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Resize Method

Description

Resizes the current image.

Syntax

Public Sub Resize( _
   ByVal IPWidth As Long, _
   ByVal IPHeight As Long _
)

Parameters

IPWidth
The width value in pixels to which the current image will be resized.
IPHeight
The height value in pixels to which the current image will be resized.

Remarks

Note: Available in all editions.

See Also


ResizeEx Method

ImagXpress Object

eResizeType
lIPWidth
Valid values are 0 and greater.
lIPHeight
Valid values are 0 and greater.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ResizeEx Method

Description

Resizes the current image according to the algorithm specified by ResizeType enumerator.

Syntax

Public Sub ResizeEx( _
   ByVal eResizeType As enumResizeType, _
   ByVal lIPWidth As Long, _
   ByVal lIPHeight As Long _
)

Parameters

eResizeType
Value | Description
RT_Fast | (0) - Faster but slower resampling. The pixels in the image are resampled using a nearest neighbor interpolation algorithm which is fast, but produces a lower quality.
RT_Resample | (1) — The pixels in the image are resampled using a bilinear interpolation algorithm which produces a better quality image, but is slower than RT_Fast.
RT_PICQuality | (2) - Slower but faster resampling. A Pegasus Imaging developed algorithm which produces an extremely high quality image, but is slower than the other two methods.
lIPWidth
Valid values are 0 and greater.
lIPHeight
Valid values are 0 and greater.

Remarks

Replaces Resize, Resample and PICResize properties in earlier versions.

Note: Available in all editions.

See Also


RGBColorCount Method

ImagXpress Object

Red
Reference to receive the array of red values.
Green
Reference to receive the array of green values.
Blue
Reference to receive the array of blue values.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RGBColorCount Method

Description

The three arrays each containing 256 elements which equate to a count of the red, green, and blue color intensities of the image.

Syntax

Public Sub RGBColorCount( _
   ByRef Red As Long, _
   ByRef Green As Long, _
   ByRef Blue As Long _
)

Parameters

Red
Reference to receive the array of red values.
Green
Reference to receive the array of green values.
Blue
Reference to receive the array of blue values.

Remarks

The array sets contain a histogram of intensity values for each of the red, green, and blue components of the current DIB.

Note: Available in all editions.

Example

Dim Red(256) As Long

Dim Green(256) as Long

Dim Blue(256) As Long

ImagXpress1.RGBColorCount Red(0), Green(0), Blue(0)

See Also


ImagXpress Object

x
Integer for the horizontal point of the region.
y
Integer for the vertical point of the region.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RgnAddPoint Method

Description

Overloaded. Sets the update region wherein subsequent processing methods will be performed on the current DIB.

Syntax

Public Sub RgnAddPoint( _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

x
Integer for the horizontal point of the region.
y
Integer for the vertical point of the region.

Remarks

Note: Available in Standard, Document and Photo Editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RgnCreate Method

Description

Creates a new region.

Syntax

Public Sub RgnCreate()

Remarks

Creates an update area in the current image, where subsequent image processing functions are performed. When the RgnEnabled property is set True, all image processing functions will operate in that region. Use the RgnAddPoint method to add points to the region.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RgnCreateSprite Method

Description

Creates a copy of the current region in a transparent window that can be moved or pasted into the image.

Syntax

Public Sub RgnCreateSprite()

Remarks

The sprite can be moved over the current image by invoking the RgnMoveSprite method and can be pasted into the current image by invoking the RgnPasteSprite method.

Fails if there is no current region

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RgnDelete Method

Description

Deletes region on the current DIB.

Syntax

Public Sub RgnDelete()

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RgnDeleteSprite Method

Description

Deletes the current sprite.

Syntax

Public Sub RgnDeleteSprite()

Remarks

Deletes the current sprite, but not the current region.

Fails if there is no current sprite.

Note: Available in all editions.

See Also


ImagXpress Object

x
The left position of the sprite within the image.
y
The top position of the sprite within the image.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RgnMoveSprite Method

Description

Moves the current sprite.

Syntax

Public Sub RgnMoveSprite( _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

x
The left position of the sprite within the image.
y
The top position of the sprite within the image.

Remarks

Note: Available in Standard, Document and Photo Editions.

See Also


ImagXpress Object

x
The left position of the sprite within the image.
y
The top position of the sprite within the image.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RgnPasteSprite Method

Description

Pastes the current sprite into the image.

Syntax

Public Sub RgnPasteSprite( _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

x
The left position of the sprite within the image.
y
The top position of the sprite within the image.

Return Type

Pastes a copy of the current sprite into the image. The current sprite is not deleted.

Fails, if there is no current sprite.

Remarks

Note: Available in Standard, Document and Photo Editions.

See Also


Ripple Method

ImagXpress Object

IPRippleF

Integer value that evaluates to the frequency of the ripples. Larger values result in more ripples.

Valid range is between 1 and 100.

IPRippleI

Integer value that evaluates to the intensity of the ripples. Larger values result in more intense ripples.

Valid range is between -100 and 100.

IPRippleD

An integer expression that evaluates to the direction of the ripples.

  • RIPPLEDIR_Horizontal (0)

  • RIPPLEDIR_Vertical (1)

  • RIPPLEDIR_Both (2)

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Ripple Method

Description

Produces a wave-like effect on the current DIB.

Syntax

Public Sub Ripple( _
   ByVal IPRippleF As Integer, _
   ByVal IPRippleI As Integer, _
   ByVal IPRippleD As Integer _
)

Parameters

IPRippleF

Integer value that evaluates to the frequency of the ripples. Larger values result in more ripples.

Valid range is between 1 and 100.

IPRippleI

Integer value that evaluates to the intensity of the ripples. Larger values result in more intense ripples.

Valid range is between -100 and 100.

IPRippleD

An integer expression that evaluates to the direction of the ripples.

  • RIPPLEDIR_Horizontal (0)

  • RIPPLEDIR_Vertical (1)

  • RIPPLEDIR_Both (2)

Remarks

This method sets the IPRippleF, IPRippleI and IPRippleD properties.

If the UndoEnabled property is True, hDIBUndo is replaced by hDIB, hDIB is replaced by the DIB resulting from this method, and the Picture property is set to the resulting image.

Note: Available in Standard, Document and Photo Editions.

See Also


ImagXpress Object

IPRotateA

Double that evaluates to the angle by which the DIB will be rotated.

Valid range is -360 to 360 (degrees).

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Rotate Method

Description

Rotates the current DIB.

Syntax

Public Sub Rotate( _
   ByVal IPRotateA As Double _
)

Parameters

IPRotateA

Double that evaluates to the angle by which the DIB will be rotated.

Valid range is -360 to 360 (degrees).

Remarks

Rotation is counterclockwise.

Note: Available in all editions.

See Also


RubberBand Method

ImagXpress Object

bRubberband

True — a rubber band box will appear starting at the position defined by the x and y parameters. The size of the rubber band is determined by the RubberbandUpdate method.

False — the current rubber band will be deleted.

x
An integer expression that specifies the horizontal starting position of the rubber band.
y
An integer expression that specifies the vertical starting position of the rubber band.
bNegate
If True, the rubber band area displays as a negative of the original.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RubberBand Method

Description

Turns rubberbanding on and off.

Syntax

Public Sub RubberBand( _
   ByVal bRubberband As Boolean, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal bNegate As Boolean _
)

Parameters

bRubberband

True — a rubber band box will appear starting at the position defined by the x and y parameters. The size of the rubber band is determined by the RubberbandUpdate method.

False — the current rubber band will be deleted.

x
An integer expression that specifies the horizontal starting position of the rubber band.
y
An integer expression that specifies the vertical starting position of the rubber band.
bNegate
If True, the rubber band area displays as a negative of the original.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

x
An integer expression that determines the horizontal component of the coordinate opposite the starting point of the rubber band.
y
An integer expression that determines the vertical component of the coordinate opposite the starting point of the rubber band.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RubberbandUpdate Method

Description

Updates the current rubber band.

Syntax

Public Sub RubberbandUpdate( _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

x
An integer expression that determines the horizontal component of the coordinate opposite the starting point of the rubber band.
y
An integer expression that determines the vertical component of the coordinate opposite the starting point of the rubber band.

Remarks

Setting the RubberBand property to True starts a rubber band.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveFile Method

Description

Saves the current DIB to the file specified by the SaveFileName property.

Syntax

Public Sub SaveFile()

Remarks

Saves the current DIB to the file specified by the SaveFileName property. If the SaveFileType property is set to zero (default), images are saved in the format of the filename extension specified in the SaveFileName property. The extension consists of up to the last 3 characters following a period in the SaveFileName string. The extension can be upper, lower or mixed case.

The following table lists the image file types that will be saved based on the extension:

Extension — File Type

  • BMP — Windows Bitmap

  • CAL — CALS

  • DIB — Windows Device Independent Bitmap

  • DCA or MOD — MO:DCA

  • DCX — Zsoft Multiple Page

  • GIF — CompuServe

  • JP2 — JPEG 2000

  • JLS — JPEG LS

  • JPG — JFIF Compliant JPEG

  • JIF — JFIF Compliant JPEG

  • LJP — Lossless JPEG

  • PBM — Portable Bitmap

  • PCX — Zsoft PaintBrush

  • PGM — Portable Graymap

  • PIC — Pegasus PIC or enhanced PIC (ePIC)

  • PNG — Portable Network Graphics

  • PPM — Portable Pixmap

  • TIFF — Tagged Image Format

  • TGA — Truevision TARGA

  • WSQ — WSQ Fingerprint File

  • JB2 -- JBIG2 File

Images are saved in the same color depth as the current DIB. Since not all image formats support all color depths, the following exceptions apply:

  • GIF — 24-bit images are saved as 8-bit with an optimized palette.

  • JPEG, JIF, PIC — 1, 4, and 8-bit images are saved as 24-bit

  • TGA — 4-bit images are saved as 8-bit.

  • PPM — All images are stored as 24-bit.

  • PGM — All images are stored as 8-bit.

  • DCX, PBM, CALS, MO:DCA, JBIG2 — All images are stored as 1-bit.

If the UndoEnabled property is True, hDIBUndo is replaced by hDIB, hDIB is replaced by the DIB resulting from this method, and the Picture property is set to the resulting image.

See Also


ImagXpress Object

IPSharpenI

Valid integer values are between 1 and 10.

Higher intensity values result in sharper images.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Sharpen Method

Description

Overloaded. Sharpens the current DIB by applying a high pass convolution filter.

Syntax

Public Sub Sharpen( _
   ByVal IPSharpenI As Integer _
)

Parameters

IPSharpenI

Valid integer values are between 1 and 10.

Higher intensity values result in sharper images.

Remarks

Higher intensity values result in sharper images.

Note: Available in all editions.

See Also


ImagXpress Object

IPSharpenI

Valid values are 1 through 10.

Higher IPSharpenI value results in a sharper image.

IPSharpenFilter
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SharpenEx Method

Description

Sharpens the current DIB by applying a high pass 3 x 3 convolution filter selected by the user.

Syntax

Public Sub SharpenEx( _
   ByVal IPSharpenI As Integer, _
   ByVal IPSharpenFilter As enumSharpenFilter _
)

Parameters

IPSharpenI

Valid values are 1 through 10.

Higher IPSharpenI value results in a sharper image.

IPSharpenFilter
Value | Description
SharpenFilter1 | (0) - Sharpen filter 1.
SharpenFilter2 | (1) - Sharpen filter 2.
SharpenFilter3 | (2) - Sharpen filter 3.

Remarks

Sharpen filters are provided to help contrast the edges within an image. Several filters of each kind are provided giving a choice for correction depending on the severity of correction needed.

Note: Available in Photo edition.

See Also


ImagXpress Object

lImageID
Image about which to display information.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ShowViewImageInfo Method

Description

Shows a dialog box displaying information about the selected image.

Syntax

Public Sub ShowViewImageInfo( _
   ByVal lImageID As Long _
)

Parameters

lImageID
Image about which to display information.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

IPSoftenI

Range: 1 to 10

Higher intensity values result in softer images.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Soften Method

Description

Applies a low pass convolution filter to the current image to give the image a softer look.

Syntax

Public Sub Soften( _
   ByVal IPSoftenI As Integer _
)

Parameters

IPSoftenI

Range: 1 to 10

Higher intensity values result in softer images.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

IPSoftenI

The desired intensity level.

Valid values are 1 through 10.

IPSoftenFilter
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SoftenEx Method

Description

Softens the current DIB by applying a low pass 3 x 3 convolution filter.

Syntax

Public Sub SoftenEx( _
   ByVal IPSoftenI As Integer, _
   ByVal IPSoftenFilter As enumSoftenFilter _
)

Parameters

IPSoftenI

The desired intensity level.

Valid values are 1 through 10.

IPSoftenFilter
Value | Description
SoftenFilter1 | (0) - Soften filter 0.
SoftenFilter2 | (1) - Soften filter 1.
SoftenFilter3 | (2) - Soften filter 2.
SoftenFilter4 | (3) - Soften filter 3.

Remarks

Note: Available in Photo edition.

See Also


ImagXpress Object

IPSolarize

Integer value that evaluates to the solarization threshold.

Valid range is 0 to 255.

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Solarize Method

Description

Solarizes the colors in the current DIB by negating the colors beyond the threshold value.

Syntax

Public Sub Solarize( _
   ByVal IPSolarize As Integer _
)

Parameters

IPSolarize

Integer value that evaluates to the solarization threshold.

Valid range is 0 to 255.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

IPDegrees
Double type evaluates to the number of degrees of the swirling effect. Valid range is between 0 and 360 (degrees).
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Swirl Method

Description

Transforms the current DIB by creating a swirling pattern from the center of the DIB.

Syntax

Public Sub Swirl( _
   ByVal IPDegrees As Double _
)

Parameters

IPDegrees
Double type evaluates to the number of degrees of the swirling effect. Valid range is between 0 and 360 (degrees).

Remarks

Note: Available in all editions.

See Also


TagAdd Method

ImagXpress Object

TagNbr
The tag number of the tag to add. See TagNumber property for more information on valid tag numbers.
TagType

The type of data within the tag.

  • TAG_BYTE (1)— Byte

  • TAG_ASCII (2)— Ascii character

  • TAG_SHORT (3)— Short

  • TAG_LONG (4)— Long

  • TAG_RATIONAL (5)— Rational

  • TAG_SBYTE (6)— Signed byte

  • TAG_UNDEFINE (7)— 8 bit byte

  • TAG_SSHORT (8)— Signed Short

  • TAG_SLONG> (9)— Signed Long

  • TAG_SRATIONAL (10)— Signed Rational

  • TAG_FLOAT (11)— Float (4 Bytes)

  • TAG_DOUBLE (12)— Double (8 bytes)

Length
The number of data elements in the tag.
Data
The tag's data items.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TagAdd Method

Description

Adds a tag to the tag list.

Syntax

Public Sub TagAdd( _
   ByVal TagNbr As Long, _
   ByVal TagType As Long, _
   ByVal Length As Long, _
   ByVal Data As Variant _
)

Parameters

TagNbr
The tag number of the tag to add. See TagNumber property for more information on valid tag numbers.
TagType

The type of data within the tag.

  • TAG_BYTE (1)— Byte

  • TAG_ASCII (2)— Ascii character

  • TAG_SHORT (3)— Short

  • TAG_LONG (4)— Long

  • TAG_RATIONAL (5)— Rational

  • TAG_SBYTE (6)— Signed byte

  • TAG_UNDEFINE (7)— 8 bit byte

  • TAG_SSHORT (8)— Signed Short

  • TAG_SLONG> (9)— Signed Long

  • TAG_SRATIONAL (10)— Signed Rational

  • TAG_FLOAT (11)— Float (4 Bytes)

  • TAG_DOUBLE (12)— Double (8 bytes)

Length
The number of data elements in the tag.
Data
The tag's data items.

Remarks

Upon successful completion of this method, the current tag is updated. Use the TagNumber, TagCount, TagType, TagLength, TagData properties and TagGetDataItem method to obtain information about the tag.

To modify a tag that already exists, use the TagModify Method. Attempting to add a tag which already exists will result in a TiffTagAddError (1061).

Note: Available in View, Document, and Photo edition.

See Also


ImagXpress Object

TagNumber
The tag to remove from the tag list. See TagNumber property for more information on valid tag numbers.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TagDelete Method

Description

Removes the specified tag from the tag list.

Syntax

Public Sub TagDelete( _
   ByVal TagNumber As Long _
)

Parameters

TagNumber
The tag to remove from the tag list. See TagNumber property for more information on valid tag numbers.

Remarks

This method is for multipage document formats such as TIFF and EXIF.

Removes a tag from the tag list, and decrements TagCount.

If tag specified by TagNumber is not found, an ErrorTagNotFound (1031) will occur.

Note: Available in View, Document, and Photo edition.

See Also


ImagXpress Object

TagNumber
Integer value that evaluates to a tag number. See TagNumber property for more information on valid tag numbers.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TagFind Method

Description

Retrieves the ImageXTag object from the ImageXTagCollection.

Syntax

Public Sub TagFind( _
   ByVal TagNumber As Long _
)

Parameters

TagNumber
Integer value that evaluates to a tag number. See TagNumber property for more information on valid tag numbers.

Remarks

Note: The tags must be loaded by ImagXpress prior to calling this method.

Tags can be loaded by doing one of the following:

  • by loading the image into ImagXpress (e.g. FileName property)
  • by loading tags, without loading the image (e.g. FileGetTags method)

Upon successful completion of this method, the current tag is updated. Use the TagNumber, TagCount, TagType, TagLength, TagData properties and TagGetDataItem method to obtain information about the tag.

Note: Available in View, Document, and Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TagFirst Method

Description

Retrieves the first tag in the tag list.

Syntax

Public Sub TagFirst()

Remarks

Note: The tags must be loaded by ImagXpress prior to calling this method.

Tags can be loaded by doing one of the following:

  • by loading the image into ImagXpress (e.g. FileName property)
  • by loading tags, without loading the image (e.g. FileGetTags method)

If the image loaded into the control is not a TIFF or EXIF file, the ImagError property is set to 1031 (ErrorTagNotFound).

Upon successful completion of this method, the current tag is updated. Use the TagNumber, TagCount, TagType, TagLength, TagData properties and TagDataItem method to obtain information about the tag.

Note: Available in View, Document, and Photo edition.

See Also


ImagXpress Object

itemNbr

The index position of the item to get, within the tag's list of data items.

Valid values: 1 to TagCount

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TagGetDataItem Method

Description

Used to fetch a tag's data.

Syntax

Public Function TagGetDataItem( _
   ByVal itemNbr As Long _
) As Variant

Parameters

itemNbr

The index position of the item to get, within the tag's list of data items.

Valid values: 1 to TagCount

Return Type

Variant containing the item's data

Remarks

Note: Available in View, Document, and Photo edition.

See Also


TagModify Method

ImagXpress Object

TagNbr
The data item to modify.
TagType

A long expression evaluating to the tag type to modify.

  • TAG_BYTE (1) - Byte

  • TAG_ASCII (2) - Ascii character

  • TAG_SHORT (3) — Short

  • TAG_LONG (4) — Long

  • TAG_RATIONAL (5) — Rational

  • TAG_SBYTE (6) — Signed byte

  • TAG_UNDEFINE (7) — 8 bit byte

  • TAG_SSHORT (8) — Signed Short

  • TAG_SLONG (9) — Signed Long

  • TAG_SRATIONAL (10) — Signed Rational

  • TAG_FLOAT (11) — Float (4 Bytes)

  • TAG_DOUBLE (12) — Double (8 bytes)

itemNbr

The index position in the list of data items for the tag.

Valid range = 1 to TagCount

Data
A VARIANT expression evaluating to the data to modify.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TagModify Method

Description

Modifies a single data item in a tag.

Syntax

Public Sub TagModify( _
   ByVal TagNbr As Long, _
   ByVal TagType As Long, _
   ByVal itemNbr As Long, _
   ByVal Data As Variant _
)

Parameters

TagNbr
The data item to modify.
TagType

A long expression evaluating to the tag type to modify.

  • TAG_BYTE (1) - Byte

  • TAG_ASCII (2) - Ascii character

  • TAG_SHORT (3) — Short

  • TAG_LONG (4) — Long

  • TAG_RATIONAL (5) — Rational

  • TAG_SBYTE (6) — Signed byte

  • TAG_UNDEFINE (7) — 8 bit byte

  • TAG_SSHORT (8) — Signed Short

  • TAG_SLONG (9) — Signed Long

  • TAG_SRATIONAL (10) — Signed Rational

  • TAG_FLOAT (11) — Float (4 Bytes)

  • TAG_DOUBLE (12) — Double (8 bytes)

itemNbr

The index position in the list of data items for the tag.

Valid range = 1 to TagCount

Data
A VARIANT expression evaluating to the data to modify.

Remarks

If the tag does not exist, the method will fail and the ImagError property is set to 1031 (ErrorTagNotFound). If the requested data item does not fall within the range of data items in the tag, the method will fail and the ImagError property is set to 1032 (ErrorTagItemNotFound).

Note: Available in View, Document, and Photo edition.

Example

‘ Changes the 5th character to "A"

ImagXpress1.TagModify TagNbr, TAG_ASCII, 5, "A"

For TagTypes TAG_RATIONAL and TAG_SRATIONAL, the Data should be passed as a two element array of long values.

Dim R[2] as long

R(0) = 600

R(1) = 1

‘ Changes the 4th RATIONAL

ImagXpress1.TagModify TagNbr, TAG_RATIONAL, 4, R

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TagNext Method

Description

Retrieves the next tag in the tag list.

Syntax

Public Sub TagNext()

Remarks

Note: The tags must be loaded by ImagXpress prior to calling TagNext.

Tags can be loaded by doing one of the following:

  • by loading the image into ImagXpress (e.g. FileName property)
  • by loading tags, without loading the image (e.g. FileGetTags method)

If the image loaded into the control is not a TIFF or EXIF file, the ImagError property is set to 1031 (ErrorTagNotFound).

Upon successful completion of this method, the current tag is updated. Use the TagNumber, TagCount, TagType, TagLength, TagData properties and TagGetDataItem method to obtain information about the tag.

Note: Available in View, Document, and Photo edition.

See Also


TagSetData Method

ImagXpress Object

TagNbr
The tag number of the tag to add.
TagType

A long expression evaluating to the tag type to modify.

  • TAG_BYTE (1) - Byte

  • TAG_ASCII (2) - Ascii character

  • TAG_SHORT (3) — Short

  • TAG_LONG (4) — Long

  • TAG_RATIONAL (5) — Rational

  • TAG_SBYTE (6) — Signed byte

  • TAG_UNDEFINE (7) — 8 bit byte

  • TAG_SSHORT (8) — Signed Short

  • TAG_SLONG (9) — Signed Long

  • TAG_SRATIONAL (10) — Signed Rational

  • TAG_FLOAT (11) — Float (4 Bytes)

  • TAG_DOUBLE (12) — Double (8 bytes)

hData
A long expression evaluating to a Global Handle which contains the tag data.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TagSetData Method

Description

Sets the tag data.

Syntax

Public Sub TagSetData( _
   ByVal TagNbr As Long, _
   ByVal TagType As Integer, _
   ByVal hData As Long _
)

Parameters

TagNbr
The tag number of the tag to add.
TagType

A long expression evaluating to the tag type to modify.

  • TAG_BYTE (1) - Byte

  • TAG_ASCII (2) - Ascii character

  • TAG_SHORT (3) — Short

  • TAG_LONG (4) — Long

  • TAG_RATIONAL (5) — Rational

  • TAG_SBYTE (6) — Signed byte

  • TAG_UNDEFINE (7) — 8 bit byte

  • TAG_SSHORT (8) — Signed Short

  • TAG_SLONG (9) — Signed Long

  • TAG_SRATIONAL (10) — Signed Rational

  • TAG_FLOAT (11) — Float (4 Bytes)

  • TAG_DOUBLE (12) — Double (8 bytes)

hData
A long expression evaluating to a Global Handle which contains the tag data.

Remarks

If the specified tag does not exist, the method will create the tag and set it’s data to the data contained in the hData Global Handle. If the specified tag exists, it will be replaced.

It is best to use this method when setting a large block of data.

If you have a pointer to the data, use the TagSetDataPtr method.

Note: Available in View, Document, and Photo edition.

See Also


TagSetDataItem Method

ImagXpress Object

itemNbr

The index position of the item to set, within the tag's list of data items.

Valid values: 1 to TagCount

newVal
The item's new value, as determined by the tag's type.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TagSetDataItem Method

Description

Used to set the current tag's data.

Syntax

Public Sub TagSetDataItem( _
   ByVal itemNbr As Long, _
   ByVal newVal As Variant _
)

Parameters

itemNbr

The index position of the item to set, within the tag's list of data items.

Valid values: 1 to TagCount

newVal
The item's new value, as determined by the tag's type.

Return Type

This method updates the current tag. To set the current tag, use TagFind, TagFirst, TagNext, or TagAdd.

Note: Available in View, Document, and Photo edition.

See Also


TagSetDataPtr Method

ImagXpress Object

TagNbr
The tag number of the tag to add.
TagType

A long expression evaluating to the tag type to modify.

  • TAG_BYTE (1) - Byte

  • TAG_ASCII (2) - Ascii character

  • TAG_SHORT (3) — Short

  • TAG_LONG (4) — Long

  • TAG_RATIONAL (5) — Rational

  • TAG_SBYTE (6) — Signed byte

  • TAG_UNDEFINE (7) — 8 bit byte

  • TAG_SSHORT (8) — Signed Short

  • TAG_SLONG (9) — Signed Long

  • TAG_SRATIONAL (10) — Signed Rational

  • TAG_FLOAT (11) — Float (4 Bytes)

  • TAG_DOUBLE (12) — Double (8 bytes)

pBuffer
A long expression evaluating to a pointer to the tag data to add.
BufferSize
A long expression evaluating to the size in bytes of the tag data to add.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TagSetDataPtr Method

Description

Adds a tag to the image file and sets the tag data.

Syntax

Public Sub TagSetDataPtr( _
   ByVal TagNbr As Long, _
   ByVal TagType As Integer, _
   ByRef pBuffer As Byte, _
   ByVal BufferSize As Long _
)

Parameters

TagNbr
The tag number of the tag to add.
TagType

A long expression evaluating to the tag type to modify.

  • TAG_BYTE (1) - Byte

  • TAG_ASCII (2) - Ascii character

  • TAG_SHORT (3) — Short

  • TAG_LONG (4) — Long

  • TAG_RATIONAL (5) — Rational

  • TAG_SBYTE (6) — Signed byte

  • TAG_UNDEFINE (7) — 8 bit byte

  • TAG_SSHORT (8) — Signed Short

  • TAG_SLONG (9) — Signed Long

  • TAG_SRATIONAL (10) — Signed Rational

  • TAG_FLOAT (11) — Float (4 Bytes)

  • TAG_DOUBLE (12) — Double (8 bytes)

pBuffer
A long expression evaluating to a pointer to the tag data to add.
BufferSize
A long expression evaluating to the size in bytes of the tag data to add.

Remarks

If the specified tag does not exist, the method will create the tag and set it’s data to the data pointed to by pBuffer. If the specified tag exists, it will be replaced.

It is best to use this method when setting a large block of data.

If you have a Global Handle to the data, use the TagSetData method.

Note: Available in View, Document, and Photo edition.

See Also


ImagXpress Object

IPTileWidth
Size value that represents the width of the resulting tiled image.
IPTileHeight
Size value that represents the height of the resulting tiled image.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Tile Method

Description

Tiles the current DIB.

Syntax

Public Sub Tile( _
   ByVal IPTileWidth As Long, _
   ByVal IPTileHeight As Long _
)

Parameters

IPTileWidth
Size value that represents the width of the resulting tiled image.
IPTileHeight
Size value that represents the height of the resulting tiled image.

Remarks

Entering large values in tileSize can create a large image and may increase processing time considerably.

Note: Available in all editions.

See Also


ImagXpress Object

Tool
Tool that is to be deleted from the toolbar.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolbarDeleteTool Method

Description

Deletes tool from the toolbar.

Syntax

Public Sub ToolbarDeleteTool( _
   ByVal Tool As enumIXTool _
)

Parameters

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
Tool that is to be deleted from the toolbar.

Remarks

The tool will no longer be visible in the toolbar. This is the same as setting ToolbarSetToolVisible to false.

Note: Available in all editions.

See Also


ImagXpress Object

Tool
Tool being examined to determine if the tool is enabled or not.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolbarGetToolEnabled Method

Description

Gets the enabled value of tool.

Syntax

Public Function ToolbarGetToolEnabled( _
   ByVal Tool As enumIXTool _
) As Boolean

Parameters

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
Tool being examined to determine if the tool is enabled or not.

Return Type

Boolean that evaluates to True if tool is enabled and False if tool is disabled.

Remarks

When a tool is enabled, the application end-user can select it. When a tool is not enabled, the tool appears normal but cannot be selected by the user.

Note: Available in all editions.

See Also


ImagXpress Object

Tool
Tool enumeration from which tool tip is to be returned.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolbarGetToolTip Method

Description

Gets text value of tool.

Syntax

Public Function ToolbarGetToolTip( _
   ByVal Tool As enumIXTool _
) As String

Parameters

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
Tool enumeration from which tool tip is to be returned.

Return Type

String that evaluates to the tool tip for the selected tool.

Remarks

A tool tip is an informational tip that is displayed to the application end-user when the mouse is dragged over the tool.

Note: Available in all editions.

See Also


ImagXpress Object

Tool
Tool that is being examined for visibility.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolbarGetToolVisible Method

Description

Gets tool visibility.

Syntax

Public Function ToolbarGetToolVisible( _
   ByVal Tool As enumIXTool _
) As Boolean

Parameters

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
Tool that is being examined for visibility.

Return Type

Boolean that evaluates to True if tool is visible and False if tool is hidden.

Remarks

When a tool is visible, it appears in the display in the toolbar.

Note: Available in all editions.

See Also


ImagXpress Object

Tool
Tool that is being enabled or disabled.
bVal
Boolean that is True if tool is enabled and False if tool is disabled.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolbarSetToolEnabled Method

Description

Enables the tool.

Syntax

Public Sub ToolbarSetToolEnabled( _
   ByVal Tool As enumIXTool, _
   ByVal bVal As Boolean _
)

Parameters

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
Tool that is being enabled or disabled.
bVal
Boolean that is True if tool is enabled and False if tool is disabled.

Remarks

When a tool is enabled, the application end-user can select it. When a tool is not enabled, the tool appears normal but cannot be selected by the user.

Note: Available in all editions.

See Also


ImagXpress Object

Tool
Tool on which tool tip is being set.
strTipText
String containing text of tool tip.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolbarSetToolTip Method

Description

Sets the tool tip of the tool.

Syntax

Public Sub ToolbarSetToolTip( _
   ByVal Tool As enumIXTool, _
   ByVal strTipText As String _
)

Parameters

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
Tool on which tool tip is being set.
strTipText
String containing text of tool tip.

Remarks

A tool tip is an informational tip that is displayed to the application end-user when the mouse is dragged over the tool.

Note: Available in all editions.

See Also


ImagXpress Object

Tool
Tool upon which visibility is being set.
bVal
Boolean that equals True if tool is visible and False if tool is hidden.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolbarSetToolVisible Method

Description

Sets the visibility of the tool.

Syntax

Public Sub ToolbarSetToolVisible( _
   ByVal Tool As enumIXTool, _
   ByVal bVal As Boolean _
)

Parameters

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
Tool upon which visibility is being set.
bVal
Boolean that equals True if tool is visible and False if tool is hidden.

Remarks

When a tool is visible, it appears in the display in the toolbar.

Note: Available in all editions.

See Also


ToolGet Method

ImagXpress Object

eMouse
nShift

  • IXKEY_None (0)

  • IXKEY_Shift (1)

  • IXKEY_Ctrl (2)

  • IXKEY_Alt (4)

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolGet Method

Description

Retrieves which tool is assigned to a given mouse/shift combination.

Syntax

Public Function ToolGet( _
   ByVal eMouse As enumIXMouseButton, _
   ByVal nShift As Integer _
) As enumIXTool

Parameters

eMouse
Value | Description
IXMOUSEBUTTON_Left | 1 - Left mouse button.
IXMOUSEBUTTON_Right | 2 - Right mouse button.
IXMOUSEBUTTON_Middle | 4 - Middle mouse button.
IXMOUSEBUTTON_MouseWheel | 8 - Mouse wheel.
nShift

  • IXKEY_None (0)

  • IXKEY_Shift (1)

  • IXKEY_Ctrl (2)

  • IXKEY_Alt (4)

Return Type

The tool associated with the mouse/shift combination.

Remarks

Gets the unique shift/mouse combination that, when executed by the application end-user, results in applying the tool.

Note: Available in all editions.

See Also


ImagXpress Object

Tool
Attribute
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolGetAttribute Method

Description

Retrieves the value of a specific tool's attribute.

Syntax

Public Function ToolGetAttribute( _
   ByVal Tool As enumIXTool, _
   ByVal Attribute As enumIXToolAttr _
) As Long

Parameters

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
Attribute
Value | Description
TOOLATTR_ZoomInFactor | 0 - Zoom in factor.
TOOLATTR_ZoomOutFactor | 1 - Zoom out factor.
TOOLATTR_MagFactor | 2 - Magnification factor.
TOOLATTR_MagWidth | 3 - Magnifier width value.
TOOLATTR_MagHeight | 4 - Magnifier height value.
TOOLATTR_MagShape | 5 - Magnifier shape -- Reserved for future use.
TOOLATTR_MagBitmask | 6 - Magnifier bit mask -- Reserved for future use.
TOOLATTR_SelectShape | 7 - Select region shape.
TOOLATTR_MinimumArea | 8 - Minimum area.
TOOLATTR_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOLATTR_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOLATTR_MouseWheelZoom | 103 - Mouse wheel zoom.

Remarks

Note: Available in all editions.

See Also


ToolSet Method

ImagXpress Object

Tool
eMouse
nShift

  • IXKEY_None (0)

  • IXKEY_Shift (1)

  • IXKEY_Ctrl (2)

  • IXKEY_Alt (4)

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolSet Method

Description

Assigns a tool to a particular shift/mouse combination.

Syntax

Public Sub ToolSet( _
   ByVal Tool As enumIXTool, _
   ByVal eMouse As enumIXMouseButton, _
   ByVal nShift As Integer _
)

Parameters

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
eMouse
Value | Description
IXMOUSEBUTTON_Left | 1 - Left mouse button.
IXMOUSEBUTTON_Right | 2 - Right mouse button.
IXMOUSEBUTTON_Middle | 4 - Middle mouse button.
IXMOUSEBUTTON_MouseWheel | 8 - Mouse wheel.
nShift

  • IXKEY_None (0)

  • IXKEY_Shift (1)

  • IXKEY_Ctrl (2)

  • IXKEY_Alt (4)

Remarks

Sets the unique shift/mouse combination that, when executed by the application end-user, results in applying the tool.

Note: Available in all editions.

See Also


ImagXpress Object

Tool
Attribute
nValue
Per the attribute.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolSetAttribute Method

Description

Sets the value of a specific tool's attribute.

Syntax

Public Sub ToolSetAttribute( _
   ByVal Tool As enumIXTool, _
   ByVal Attribute As enumIXToolAttr, _
   ByVal nValue As Long _
)

Parameters

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
Attribute
Value | Description
TOOLATTR_ZoomInFactor | 0 - Zoom in factor.
TOOLATTR_ZoomOutFactor | 1 - Zoom out factor.
TOOLATTR_MagFactor | 2 - Magnification factor.
TOOLATTR_MagWidth | 3 - Magnifier width value.
TOOLATTR_MagHeight | 4 - Magnifier height value.
TOOLATTR_MagShape | 5 - Magnifier shape -- Reserved for future use.
TOOLATTR_MagBitmask | 6 - Magnifier bit mask -- Reserved for future use.
TOOLATTR_SelectShape | 7 - Select region shape.
TOOLATTR_MinimumArea | 8 - Minimum area.
TOOLATTR_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOLATTR_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOLATTR_MouseWheelZoom | 103 - Mouse wheel zoom.
nValue
Per the attribute.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

fX
Point fX object on which translation occurs. Translate enumeration evaluates the type of translation to perform.
__MIDL_0027
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TranslateX Method

Description

Translates values from one horizontal coordinate system to the other.

Syntax

Public Function TranslateX( _
   ByVal fX As Double, _
   ByVal __MIDL_0027 As enumTranslate _
) As Double

Parameters

fX
Point fX object on which translation occurs. Translate enumeration evaluates the type of translation to perform.
__MIDL_0027
Value | Description
TRANS_ViewToPixel | (0) - View units of measure to pixels.
TRANS_PixelToView | (1) - Pixels to view units of measure.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

fY
Point fX object on which translation occurs. Translate enumeration evaluates the type of translation to perform.
__MIDL_0028
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TranslateY Method

Description

Translates values from one vertical coordinate system to the other.

Syntax

Public Function TranslateY( _
   ByVal fY As Double, _
   ByVal __MIDL_0028 As enumTranslate _
) As Double

Parameters

fY
Point fX object on which translation occurs. Translate enumeration evaluates the type of translation to perform.
__MIDL_0028
Value | Description
TRANS_ViewToPixel | (0) - View units of measure to pixels.
TRANS_PixelToView | (1) - Pixels to view units of measure.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

IPTwistB
Integer that evaluates to the size of the blocks to be rotated. Valid range is between 2 and 63.
IPTwistR
Used to determine block rotation angle.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Twist Method

Description

Divides the current DIB into square blocks and rotates each block.

Syntax

Public Sub Twist( _
   ByVal IPTwistB As Integer, _
   ByVal IPTwistR As Integer _
)

Parameters

IPTwistB
Integer that evaluates to the size of the blocks to be rotated. Valid range is between 2 and 63.
IPTwistR
Used to determine block rotation angle.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Undo Method

Description

Undoes the action of the previous image processing method if the UndoEnabled property was set True prior to performing the method.

Syntax

Public Sub Undo()

Remarks

If the hDIBUndo property has a DIB, the DIB contained in the hDIB property is deleted and replaced with the hDIBUndo property and the hDIBUndo property is set to NULL.

Note: Available in Standard, Document and Photo Editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

UnFocus Method

Description

Blurs the current DIB by averaging each pixel with each of its neighboring pixels giving it an 'out of focus' appearance.

Syntax

Public Sub UnFocus()

Remarks

If the UndoEnabled property is True, hDIBUndo is replaced by hDIB, while the hDIB is replaced by the DIB resulting from this method, and the Picture property is set to the resulting image.

Note: The Blur method is the same as Unfocus. "Blur" is a reserved word in JavaScript and VBScript, so you must use Unfocus in those environments.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

UniqueColors Method

Description

Returns a count of unique colors in the current DIB.

Syntax

Public Function UniqueColors() As Long

Return Type

Long data type representing the number of unique colors contained in the current DIB.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

PW0
PW1
PW2
PW3
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

UnlockRuntime Method

Description

Verifies passwords for licensing runtime control.

Syntax

Public Sub UnlockRuntime( _
   ByVal PW0 As Long, _
   ByVal PW1 As Long, _
   ByVal PW2 As Long, _
   ByVal PW3 As Long _
)

Parameters

PW0
PW1
PW2
PW3

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

WebRegCode
The string received with the licensing.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

UnlockWeb Method

Description

Unlocks the control for use on a particular web site.

Syntax

Public Sub UnlockWeb( _
   ByVal WebRegCode As String _
)

Parameters

WebRegCode
The string received with the licensing.

Remarks

The registration codes required for displaying images from a web site when ImagXpress is deployed on a html page (via a CAB file). Running an unlicensed control on an HTML page will result in either the occasional display of the trial license dialog box or a watermark on every image , depending on the value of Edition property.

Note: Available in all editions.

Example

This is an example of a proper license string:

WWW.MYSITE.COM?B0FF0BB0F306BD2266AACAA1DCFE46E3

See Also


ImagXpress Object

IPUnsharpenI
Valid integer values are between 1 and 10, with higher values resulting in a larger magnitude of processing.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Unsharpen Method

Description

This method has the effect of combining of a noise-cleaning filter with a sharpening filter.

Syntax

Public Sub Unsharpen( _
   ByVal IPUnsharpenI As Integer _
)

Parameters

IPUnsharpenI
Valid integer values are between 1 and 10, with higher values resulting in a larger magnitude of processing.

Remarks

Edges within the image are sharpened, while other areas are softened.

Note: Available in Photo edition only.

See Also


UnsharpenEx Method

ImagXpress Object

IPUnsharpenI

The desired intensity level.

Valid values are 1 through 10, with higher values resulting in a larger magnitue of filter processing.

IPUnsharpenFilter
Returns the filter used by the last call to the UnsharpenEx method.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

UnsharpenEx Method

Description

Subtracts the low resolution image from a normal resolution image to create a masked image.

Syntax

Public Sub UnsharpenEx( _
   ByVal IPUnsharpenI As Integer, _
   ByVal IPUnsharpenFilter As enumUnsharpenFilter _
)

Parameters

IPUnsharpenI

The desired intensity level.

Valid values are 1 through 10, with higher values resulting in a larger magnitue of filter processing.

IPUnsharpenFilter
Value | Description
UnsharpenFilter1 | (0) - Unsharpen filter 1.
UnsharpenFilter2 | (1) - Unsharpen filter 2.
UnsharpenFilter3 | (2) - Unsharpen filter 3.
Returns the filter used by the last call to the UnsharpenEx method.

Remarks

This is in effect, is the combining of a noise-cleaning filter with a sharpening filter.

Note: Available in Photo edition.

See Also


WriteCBData Method

ImagXpress Object

lImageID
Specifies which image buffer to process.
pVData
The data to be written.
lDataLength
The size, in bytes, of pData.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

WriteCBData Method

Description

Writes user supplied image data to the image buffer for processing.

Syntax

Public Sub WriteCBData( _
   ByVal lImageID As Long, _
   ByRef pVData As Variant, _
   ByVal lDataLength As Long _
)

Parameters

lImageID
Specifies which image buffer to process.
pVData
The data to be written.
lDataLength
The size, in bytes, of pData.

Remarks

Calling this method with the IDataLength parameter set to 0 signals the load process to finish. Any call with data of any length causes the waiting buffer to continue decoding.

Note: If this method is called with an IDataLength set to 0 and an additional CB_READ event is issued, additional calls to WriteCBData or WriteCBDataPtr should be made again with a datalength of 0.

Note: Available in all editions.

See Also


WriteCBDataPtr Method

ImagXpress Object

lImageID
Specifies which image buffer to process.
pData
The data to be written.
lDataLength
The size, in bytes, of pData.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

WriteCBDataPtr Method

Description

Writes user supplied image data to the image buffer for processing.

Syntax

Public Sub WriteCBDataPtr( _
   ByVal lImageID As Long, _
   ByRef pData As Byte, _
   ByVal lDataLength As Long _
)

Parameters

lImageID
Specifies which image buffer to process.
pData
The data to be written.
lDataLength
The size, in bytes, of pData.

Remarks

Calling this method with the IdataLength parameter set to 0 signals the load process to finish. Any call with data of any length will cause the waiting buffer to continue decoding.

Note: If this method is called with an IDataLength set to 0 and an additional CB_READ event is issued, additional calls to WriteCBData or WriteCBDataPtr should be made again with a datalength of 0.

Note: Available in all editions.

See Also


ImagXpress Object

ZoomFitType
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ZoomToFit Method

Description

Zoom factor to fit current image within the ImagXpress control.

Syntax

Public Sub ZoomToFit( _
   ByVal ZoomFitType As enumZoomFit _
)

Parameters

ZoomFitType
Value | Description
ZOOMFIT_WIDTH | (0) - Fit to the width of the control.
ZOOMFIT_HEIGHT | (1) - Fit to the height of the control.
ZOOMFIT_BEST | (2) - Fit such that the entire image appears within the control.

Return Type

ZoomFit enumeration evaluates zoom operation to perform.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AlignH Property

Description

Gets or sets the horizontal alignment of the image being viewed

Property type

Read-write property

Syntax (Visual Basic)

Public Property AlignH() As enumAlignH

Remarks

When the displayed image is smaller than the viewing window, the image will be horizontally aligned according to this setting. Default setting is AlignHl = Center (1).

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AlignV Property

Description

Gets or sets the vertical alignment of the image being viewed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AlignV() As enumAlignV

Remarks

When the displayed image is smaller than the viewing window, the image will be vertically aligned according to this setting. Default setting is AlignV = Center (1).

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AspectX Property

Description

Gets or sets the horizontal aspect ratio of the current image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AspectX() As Long

Remarks

The aspect ratio defines how many horizontal pixels are equal in size to a certain number of vertical pixels. Changing the aspect ratio of the image will change its appearance, but the degree depends on the severity of the change.

This function is particularly useful when you are viewing a fax document in which the aspect ratio was incorrectly encoded. For example, low-resolution fax images are scanned in at 200 horizontal and 100 dpi vertical.

The PCX file format does not provide aspect size information, so when the image displays, it appears squashed. By doubling the horizontal aspect, the image displays correctly.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AspectY Property

Description

Gets or sets the vertical aspect ratio of the current image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AspectY() As Long

Remarks

The aspect ratio defines how many horizontal pixels are equal in size to a certain number of vertical pixels. Changing the aspect ratio of an image changes the image's appearance. The difference in appearance depends on the severity of the change.

This function is particularly useful when you are viewing a fax document, where the aspect ratio is incorrectly encoded. For example, low-resolution faxes scan in at 200 dpi horizontal and 100 dpi vertical. The aspect ratio of horizontal pixels to vertical ones is 2:1. Increasing the vertical aspect lowers the ratio and improves the fax appearance.

Note: The PCX file format does not provide aspect size information, so when the image displays, it appears squashed. By doubling the horizontal aspect, the image displays correctly.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Async Property

Description

Used to toggle whether all subsequent image loading/processing/saving operations occur in a thread separate from the main ActiveX thread.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Async() As Boolean

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AsyncCancelOnClose Property

Description

Determines whether pending asynchronous operations are allowed to complete when the control is being terminated.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AsyncCancelOnClose() As Boolean

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AsyncMaxThreads Property

Description

This is the maximum number of threads each ImagXpress control can spawn off when in Async mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AsyncMaxThreads() As Long

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AsyncPriority Property

Description

Specifies the separate image loading/processing/saving threads priority when the Async property is True.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AsyncPriority() As enumAsyncPriority

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AutoAssignID Property

Description

Boolean property used to toggle the automatic image buffer ID assignment option.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoAssignID() As Boolean

Return Type

A boolean value which is True to assign an image ID that is not already in use to the control. Otherwise, False is returned.

Remarks

  • TRUE — When the ActiveX control is created, an image ID that is not already in use will be assigned to the control.

  • FALSE — The default image ID will always be whatever it was when the control was last saved.

    Note: Available in View, Document, and Photo editions.

    • See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AutoClose Property

Description

Boolean property used to toggle whether the image buffer, that the control is using, is automatically closed when the control is destroyed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoClose() As Boolean

Remarks

If this property is set to True, then when the ActiveX control is destroyed, the image ID that it was using to display the graphic image will also be destroyed. If there are ten buffers that hold ten different images, and if one of the ImagXpress ActiveX controls that is using one of those ten buffers is destroyed, then that one buffer will also be freed, but the other nine will not.

This is a nice feature because you may wish to destroy an ImagXpress ActiveX control when you are finished viewing the particular graphic image that was in the control, and this way that image is taken care of with the control.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AutoInvalidate Property

Description

Toggles notification of change to image buffer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoInvalidate() As Boolean

Remarks

This is used to toggle whether any ImagXpress components actively displaying an image buffer are notified to perform a repaint when a change occurs to the image buffer.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AutoSize Property

Description

Gets or sets the type of image re-sizing to perform.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoSize() As enumAutoSize

Remarks

The default value is AutoSize = ISIZE_CropImage (5).

If the AutoSize property is set to 'BestFit', 'FitWidth', 'FitHeight' or 'ResizeImage' then the ZoomFactor property becomes read-only.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

BackColor Property

Description

The background color of the control window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

BorderType Property

Description

Sets or gets the style of border of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderType() As enumBorderType

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CadLayoutToRender Property

Description

Gets and sets the CAD layout to draw.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CadLayoutToRender() As Long

Return Type

A long value which represents the CAD layout.

Remarks

This property gets and sets a value which represents the CAD layout to draw to the screen.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CadPaperBitDepth Property

Description

Gets and sets the CAD paper bit depth.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CadPaperBitDepth() As Integer

Return Type

An integer value which represents the bit depth.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CadPaperHeight Property

Description

Gets and sets the CAD paper height.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CadPaperHeight() As Double

Return Type

A double value which represents the paper height.

See Also


ImagXpress Object | enumIRes Enumeration

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CadPaperResolutionUnits Property

Description

Gets and sets the paper resolution units.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CadPaperResolutionUnits() As enumIRes

Return Type

An enumIRes enumeration value.

See Also

ImagXpress Object | enumIRes Enumeration


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CadPaperResolutionX Property

Description

Gets and sets the CAD paper x coordinate resolution.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CadPaperResolutionX() As Double

Return Type

A double value which represents the CAD paper x coordinate resolution value.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CadPaperResolutionY Property

Description

Gets and sets the CAD paper y coordinate resolution value.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CadPaperResolutionY() As Double

Return Type

A double value which represents the CAD paper y coordinate resolution value.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CadPaperWidth Property

Description

Gets and sets the CAD paper width.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CadPaperWidth() As Double

Return Type

A double value which represents the CAD paper width value.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CalsTagData Property

Description

Gets and sets the Cals tag data.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CalsTagData() As Variant

Return Type

A variant value which represents the Cals tag data.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CalsTagDataPtr Property

Description

Gets and sets the tag data via a pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CalsTagDataPtr() As Byte

Return Type

A byte value which represents a pointer to the Cals tag data.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CalsTagId Property

Description

Gets and sets the Cals tag ID.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CalsTagId() As Variant

Return Type

A variant value which represents the Cals tag ID.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CalsTagIdPtr Property

Description

Gets and sets the Cals tag ID via a pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CalsTagIdPtr() As Byte

Return Type

A byte value which represents a pointer to the Cals tag ID.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CameraRawEnabled Property

Description

Specifies whether the control will examine the image on loading to determine if it is in a Camera RAW file format.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CameraRawEnabled() As Boolean

Remarks

When CameraRawEnabled is set to true, the image will be examined on loading to see if the image data is in a camera raw format, and to identify the raw format. When CameraRawEnabled is true, the LoadMode is ignored.

To optimize performance, CameraRawEnabled should be set to false when needed. When CameraRawEnabled is set to false, the image is not examined on loading to inspect for raw formats.

Note: CameraRAW images can only be loaded from a filename. Loading from a stream is not supported as the entire image must be loaded before the raw format can be recognized.

Note: Available in Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CancelLoad Property

Description

Sets or returns the cancel load flag.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CancelLoad() As Boolean

Remarks

When the CancelLoad property is True, the event defined by the CancelMode property cancels the loading or decompression of any image that is loaded by setting the FileName property. The event will also cancel the saving or compression of any image that is saved by invoking the SaveFile method. If a load, decompression, save or compression is canceled, the ImagError property will be set.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CancelMode Property

Description

Defines an event that cancels the loading, decompression, saving, compression, or processing of images.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CancelMode() As enumCancelMode

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CancelRemove Property

Description

Sets or returns the cancel remove flag.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CancelRemove() As Boolean

Remarks

When the CancelRemove property is False, the event message defined by the CancelMode property is removed from the message queue when an operation is canceled.

For example, if the CancelLoad property is True and the CancelMode property is 1-Esc, pressing the Esc key during an image load or decompression causes the load or decompression process to stop. If the CancelRemove property is False, the Esc key message will also be sent to the application. If the CancelRemove property is True, the Esc key message will be removed from the message queue and it will not be sent to the application.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ClientHeight Property

Description

Gets and sets the height of the client area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClientHeight() As Long

Return Type

A long value which represents the height of the client area.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ClientWidth Property

Description

Gets and sets the width of the client area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClientWidth() As Long

Return Type

A long value which represents the width of the client area.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ClipboardFormat Property

Description

Used to specify the format of the image to get or set on the clipboard.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipboardFormat() As enumClipboardFormat

Remarks

This property allow various formats to be added or retrieved from the clipboard in addition to a DIB format.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CompressInMemory Property

Description

Determines if the image data stored in memory is compressed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CompressInMemory() As enumCompressInMemory

Remarks

CompressInMemory is generally used only for 1-bit images. For 1-bit images, the compression scheme used is G3 compression if the input file is a G3 compressed TIFF image. For all other images, the compression scheme used is G4 compression.

If the image bit level is greater than 1, the PNG compression scheme is used which yields only a small level of compression at a high price in reduced performance. For this reason, CompressInMemory is not recommended for images with bit levels greater than 1.

Generally, CompressInMemory is used to conserve memory when displaying many ImagXpress objects at the same time (example: a page of thumbnail images).

Note: Available in View, Document and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ContrastMethod Property

Description

Returns method of contrast to employ for Contrast function.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ContrastMethod() As enumContrastMethod

Remarks

The default value for ContrastMethod = DefaultContrast (0), meaning Contrast method is invoked. If the value of ContrastMethod = ViewCompatibleContrast (1), then the Contrast property is invoked. This ensures backward compatibility with existing users. It also allows the application to get and save the same image in the viewer, when contrast is applied.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CropX Property

Description

Sets or returns the horizontal starting position, in pixels, of the crop rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CropX() As Long

Remarks

The width and height of the crop rectangle is determined by the width and height of the control. The crop rectangle is a rectangular area within the boundaries of the control.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CropY Property

Description

Sets or returns the vertical starting position, in pixels, of the crop rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CropY() As Long

Remarks

The width and height of the crop rectangle is determined by the width and height of the control. The crop rectangle is a rectangular area within the boundaries of the control.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CtlFontName Property

Description

Sets or returns the control’s font name.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CtlFontName() As String

Remarks

This property is provided as a replacement for the stock ActiveX Font property. The stock ActiveX properties are not available when using ImagXpress as a COM object or when using the ImagXpress ActiveX control in a container that does not support the stock properties. In these cases, use CtlFontName to get or set the control’s font name.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CtlFontSize Property

Description

Sets or returns the control’s font size.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CtlFontSize() As Double

Remarks

This property is provided as a replacement for the stock ActiveX Font property. The stock ActiveX properties are not available when using ImagXpress as a COM object or when using the ImagXpress ActiveX control in a container that does not support the stock properties. In these cases, use CtlFontSize to get or set the control’s font size.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CtlHeight Property

Description

Sets or returns the control window’s height.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CtlHeight() As Long

Remarks

This property is provided as a replacement for the stock ActiveX Height property. The stock ActiveX properties are not available when using ImagXpress as a COM object or when using the ImagXpress ActiveX control in a container that does not support the stock properties. In these cases, use CtlHeight to get or set the control’s height.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CtlLeft Property

Description

Sets or returns the control window’s left position.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CtlLeft() As Long

Remarks

This property is provided as a replacement for the stock ActiveX Left property. The stock ActiveX properties are not available when using ImagXpress as a COM object or when using the ImagXpress ActiveX control in a container that does not support the stock properties. In these cases, use CtlLeft to get or set the control’s left position.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CtlTop Property

Description

Sets or returns the control window’s top position.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CtlTop() As Long

Remarks

This property is provided as a replacement for the stock ActiveX Top property. The stock ActiveX properties are not available when using ImagXpress as a COM object or when using the ImagXpress ActiveX control in a container that does not support the stock properties. In these cases, use CtlTop to get or set the control’s top position.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CtlVisible Property

Description

Sets or returns the control window’s visibility state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CtlVisible() As Long

Remarks

When the CtlVisible property is True, the control’s Window is visible. When the CtlVisible property is False, the control’s Window is invisible.

This property is provided as a replacement for the stock ActiveX Visible property. The stock ActiveX properties are not available when using ImagXpress as a COM object or when using the ImagXpress ActiveX control in a container that does not support the stock properties. In these cases, use CtlVisible to get or set the control’s visibility state.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CtlWidth Property

Description

Sets or returns the control window’s width.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CtlWidth() As Long

Remarks

This property is provided as a replacement for the stock ActiveX Width property. The stock ActiveX properties are not available when using ImagXpress as a COM object or when using the ImagXpress ActiveX control in a container that does not support the stock properties. In these cases, use CtlWidth to get or set the control’s width.

Note: Available in all editions.

See Also


ImagXpress Object | DebugErrorLevel Property | DebugLogFile Property

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Debug Property

Description

Gets and sets a flag to indicate if debug information is sent to a debug file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Debug() As Boolean

Return Type

A boolean value which is True to write debug data to the DebugLogFile. Otherwise, False is returned.

Remarks

This property controls if debug information is written to the DebugLogFile. The level of debug information can be controlled by setting the DebugErrorLevel property.

See Also

ImagXpress Object | DebugErrorLevel Property | DebugLogFile Property


ImagXpress Object | IX_DebugErrorLevel Enumeration | Debug Property | DebugLogFile Property

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DebugErrorLevel Property

Description

Gets and sets the level of debug information that is written to the DebugLogFile.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DebugErrorLevel() As IX_DebugErrorLevel

Return Type

An IX_DebugErrorLevel enumeration value.

Remarks

This property controls the level of debug information written to the DebugLogFile if the Debug property is set to True.

See Also

ImagXpress Object | IX_DebugErrorLevel Enumeration | Debug Property | DebugLogFile Property


ImagXpress Object | DebugErrorLevel Property | Debug Property

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DebugLogFile Property

Description

Gets and sets the file and location of the debug log file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DebugLogFile() As String

Return Type

A string value which represents the file and location of the debug log file.

Remarks

The default value is "[Temp Files]\ImagXpress9.log".

This property allows you to set the file name and location of the debug log file where the debug log information is written to. The level of debug information is set with the DebugErrorLevel property.

Note: This property has no effect if the Debug property is set to False.

See Also

ImagXpress Object | DebugErrorLevel Property | Debug Property


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DIBXPos Property

Description

Returns the x position in pixels of the mouse pointer with respect to the DIB.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DIBXPos() As Long

Remarks

DIBXPos is undefined when AutoSize enumerator is set to ISIZE_TileImage (3).

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DIBYPos Property

Description

Returns the y position in pixels of the mouse pointer with respect to the DIB.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DIBYPos() As Long

Remarks

DIBXPos is undefined when AutoSize enumerator is set to ISIZE_TileImage (3).

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DisplayError Property

Description

Sets or returns the Display Error flag.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DisplayError() As Boolean

Remarks

The default value is True.

This property This method is only available at design time. When the DisplayError property is False, message boxes that describe errors are disabled. For containers such as Visual Basic and Delphi, error message boxes are displayed in Design mode but are not displayed at run time. Run time errors can be determined by querying the ImagError property.

  • Certain containers such as Active Server Pages, do not report the run time status to the control which causes the messages boxes to be displayed at run time.
  • For server based applications, displaying error boxes is undesirable. Set the DisplayError property to False to resolve this problem.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DisplayMode Property

Description

Returns or sets a value indicating the maximum color depth used to render an image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DisplayMode() As enumPicDisplayMode

Remarks

In some cases, it may be necessary for the application programmer to artificially set the display device to a lower bit depth than the hardware supports (for example, to simulate the application's performance and appearance on a Vga monitor). Use the DisplayMode property to get and set the maximum color depth of the display device.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DrawFillColor Property

Description

Returns or sets the color used to fill in circles, boxes and polygons created with the DrawCircle, DrawLine, and DrawPolygon graphics methods.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawFillColor() As ULong

Remarks

When the DrawFillStyle property is set to its default, 1 (Transparent), the DrawFillColor setting is ignored.

Note: Available in Standard, Document and Photo Editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DrawFillStyle Property

Description

Returns or sets the pattern used to fill circles and boxes created with the DrawCircle, DrawLine and DrawPolygon graphics methods.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawFillStyle() As enumFillStyle

Remarks

Retrieves enumerator values. When DrawFillStyle is set to 1 (Transparent), the DrawFillColor property is ignored.

Note: Available in Standard, Document and Photo Editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DrawMode Property

Description

Returns or sets a value that determines the appearance of output from graphics methods.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawMode() As enumDrawMode

Remarks

Use this property to produce visual effects when drawing with the graphics methods. The control compares each pixel in the draw pattern to the corresponding pixel in the existing background and then applies bit-wise operations. For example, setting 7 (Xor Pen) uses the Xor operator to combine a draw pattern pixel with a background pixel.

The exact effect of a DrawMode setting depends on the way the color of a line drawn at run time combines with colors already on the screen. Settings 1, 6, 7, 11, 13, and 16 yield the most predictable results.

If using the .NET Windows Forms control, the constants used in this property can be found in the enumDrawMode enumeration.

Note: Available in Standard, Document and Photo Editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DrawStyle Property

Description

Returns or sets a value that determines the line style for output from graphics methods.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawStyle() As enumBorderStyle

Remarks

If DrawWidth is set to a value greater than 1, DrawStyle settings 1 through 5 produce a solid line (the DrawStyle property value isn’t changed). If DrawWidth is set to 1, DrawStyle produces the effect described in the preceding table for each setting.

Note: Available in Standard, Document and Photo Editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DrawWidth Property

Description

Returns or sets the line width for output from graphics methods.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawWidth() As Long

Remarks

A numeric expression from 1 through 32,767. This value presents the width of the line in pixels. Increase the value of this property to increase the width of the line. If the DrawWidth property setting is greater than 1, DrawStyle property settings 1 through 4 produce a solid line (the DrawStyle property value isn’t changed). Setting DrawWidth to 1 allows DrawStyle to produce the results shown in the DrawStyle property table.

Note: Available in Standard, Document and Photo Editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Edition Property

Description

Specifies which edition of ImagXpress to use.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Edition() As enumEdition

Remarks

If the edition selected hasn't been licensed, then the control will run in evaluation mode. A dialog box or watermark will be displayed.

Setting the Edition property can override the default license determination, enabling users to try other editions of the control. For example, if the user has a paid license of the Standard edition of ImagXpress 8, and would like to try the Photo edition of ImagXpress 8, the user sets Edition to Photo. ImagXpress 8 will now run the Photo edition in trial mode.

Note that all distributed applications created will be subject to any limitations imposed by the license Edition requested.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Enabled Property

Description

Returns the enabled state of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

Remarks

Note: Available in Standard, Document and Photo Editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

EvalMode Property

Description

Specifies whether a watermark or dialog box will be displayed periodically when in evaluation mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EvalMode() As enumEvaluationMode

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

FileName Property

Description

Loads an image from a file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FileName() As String

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

FileOffset Property

Description

Sets or returns the offset in the file or memory buffer where ImagXpress will begin reading image data.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FileOffset() As Long

Remarks

This property applies when using the FileName property, or LoadBlob, LoadBuffer and LoadBufferPtr methods. When reading the file or memory buffer, the control begins at the offset specified by the FileOffset property. This property is useful when reading non standard files with embedded image data, files with multiple images, or where a header of known size appends to an image file.

FileOffset is zero based; the beginning of the file is considered 0, not 1.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

FileOffsetUse Property

Description

Determines the behavior of the FileOffset property when loading a TIFF file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FileOffsetUse() As enumFileOffsetUse

Remarks

Use this property to change the behavior of the FileOffset property when reading TIFF files or custom TIFF files.

When FileOffsetUse is set to default (FO_IMAGE), the FileOffset property points to the offset in the file or memory buffer where ImagXpress will begin reading a TIFF.

  • When FileOffsetUse is set to FO_TIFFII or FO_TIFFMM, the file loaded with ImagXpress must be a partial TIFF starting at an IFD. The Fileoffset property tells ImagXpress where this IFD is located in a whole TIFF file. The actual TIFF page image (and tag data) must follow someplace after the IFD and not before. Normally, The type of TIFF file (Intel or Motorolla) is determined by examining the beginning of the TIFF file, since this is not available with just a partial TIFF, it must be specified. Use FO_TIFFII for Intel and FO_TIFFMM for Motorolla.
  • When FileOffsetUse is set to FO_UNKNOWN, the file loaded with ImagXpress is an entire TIFF file. The FileOffset property tells ImagXpress where the IFD to be loaded is located. This can greatly increase the speed of loading a page in a TIFF that has a large number of pages (100+). If the offset of the page is known, you can use this property to avoid searching through the entire file to load the requested page.

If the PageNbr property is used, page 1 is the IFD/page being loaded, page 2 is the second page after the IFD/page being loaded and so on.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

FileTimeout Property

Description

Specifies how long a separate loading thread should wait for data.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FileTimeout() As Long

Remarks

When the Async property is True, the FileTimeout property specifies how long in milliseconds a separate loading thread should wait for data before unblocking and returning an error. A FileTimeout of 0 means that the thread will wait infinitely.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Font Property

Description

Returns a Font object.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

Use the Font property of an object to identify a specific Font object whose properties you want to use.

Note: Available in Standard, Document and Photo Editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

FTPMode Property

Description

Sets or returns the mode to use for FTP.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FTPMode() As enumFTPMode

Remarks

The FTPMode determines whether the FTP connection is in active or passive mode. When going through a firewall you might need to use FTP_PASSIVE.

Passive mode is required in cases when your network has a firewall. Firewalls filter outside attempts to open a session with a high numbered port on your computer. In active mode, when an FTP client (the software running on your PC) contacts a server, it tells the server to send date to a random high-numbered port. The server then tries to open a session with that port. If you have firewall software running on your network, this mode may be blocked because it looks like an intrusion (hacking) attempt.

  • In passive mode, the server tells the client on which of it's ports the client should open a data transferring session. Since it is the client opening the session, the firewall will not block it.

Most all servers will work with either mode.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

FTPPassword Property

Description

The password used to log into an ftp site.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FTPPassword() As String

Remarks

The FTP user name is used for accessing files on the Internet when the FileName or SaveFileName properties are set to an ftp or http address.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

FTPUserName Property

Description

The user name used to log into an ftp site.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FTPUserName() As String

Remarks

The FTP user name is used for accessing files on the Internet when the FileName or SaveFileName properties are set to an ftp or http address.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

hBMP Property

Description

Returns the window handle to the current device dependent bitmap.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hBMP() As Long

Remarks

This property is read-only at run time and is available at design time.

The Picture, FileName and hDIB properties and the LoadBlob method are used to load a bitmap into the control. If the hBMP value is 0, a bitmap does not exist.

When hBMP is called, the current DIB is converted to a device dependent bitmap, and stored at hBMP. Therefore, the value of hBMP may change in subsequent calls, if the DIB has been modified.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

hDIB Property

Description

Loads an image from a device independent bitmap. (read only)

Property type

Read-write property

Syntax (Visual Basic)

Public Property hDIB() As Long

Remarks

This property is read-only at run time and is available at design time.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

hDIBUndo Property

Description

Returns the window handle to the current undo device independent bitmap. (read only)

Property type

Read-write property

Syntax (Visual Basic)

Public Property hDIBUndo() As Long

Remarks

This property is read-only at run time and is available at design time.

If the hDIBUndo value is 0, an undo DIB does not exist.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

HdPhotoPostFilter Property

Description

Gets and sets the HD photo post filter.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HdPhotoPostFilter() As IX_PostProcessingFilter

Return Type

A long value which represents the HD photo post filter.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

hPAL Property

Description

Gets the handle for palette for use with the current image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hPAL() As Long

Remarks

This property is read-only at run time and is available at design time.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

hWnd Property

Description

Returns the window handle of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property hWnd() As Long

Remarks

This property is read-only at run time and is available at design time.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IBPP Property

Description

Gets the number of bits per pixel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IBPP() As Integer

Remarks

This property is read-only at run time and is available at design time.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ICMDefaultMonitorProfileName Property

Description

Looks up the default monitor profile name from current Windows device context.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ICMDefaultMonitorProfileName() As String

Remarks

Note: Available in Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ICMEnabled Property

Description

Enables/disables color management.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ICMEnabled() As Boolean

Remarks

No other ICM operation will take place until this property has been set to True.

Note: Available in Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ICMMonitorProfileName Property

Description

Supplies the monitor’s profile filename.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ICMMonitorProfileName() As String

Remarks

Note: Available in Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ICMPrinterProfileName Property

Description

Supplies the printer’s profile filename.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ICMPrinterProfileName() As String

Remarks

Note: Available in Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ICMProofingEnabled Property

Description

Enables/disables ICM target proofing.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ICMProofingEnabled() As Boolean

Remarks

The default value for this property is False. This property has no immediate affect unless ICMEnabled is also set to True.

Note: Available in Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ICMRenderIntent Property

Description

Specifies how the profiles should be applied as defined below.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ICMRenderIntent() As enumRenderIntent

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ICMSaveProfileName Property

Description

Supplies the profile filename to use as the target when saving a file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ICMSaveProfileName() As String

Remarks

This property allows the user to specify the profile to create a CMYK file as well as a color matched RGB image.

Note: Available in Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ICMSourceProfileName Property

Description

Specifies the ICM profile that will be used to perform Image Color Management.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ICMSourceProfileName() As String

Remarks

This property allows the user to specify the profile not only for a CMYK file, but also for a TWAIN scanner profile.

Note: Available in Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ICMTargetProfileName Property

Description

Supplies the target profile’s filename.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ICMTargetProfileName() As String

Remarks

ICMTargetProfileName overrides the ICMPrinterProfileName in rendering the image, with the intent that the caller desires proofing against a particular printer/ink (different from his selected printer).

Note: Available in Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Idle Property

Description

This property determines if the control is doing an operation or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Idle() As Boolean

Remarks

This method is only of value when the Async property is True, or you are loading/saving remote files (over the Internet).

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IFileSize Property

Description

Returns the file size, in bytes, of the current image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IFileSize() As Long

Remarks

This property is read-only at run time and is available at design time.

The IFileSize property This method is only valid if the current image was loaded using the FileName property or LoadBlob method. If the image was loaded using the Picture or hDIB properties, then the file size is unknown and the IFileSize property returns 0.

Note: Available in all editions.

See Also


ImagXpress Object | IX_ImageType Enumeration

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IFormat Property

Description

Gets the current image format.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IFormat() As Integer

Return Type

An integer which represents an option value from IX_ImageType enumeration.

Remarks

This property is read-only at run time and is available at design time.

See the IX_ImageType enumeration for values returned.

Note: Available in all editions.

See Also

ImagXpress Object | IX_ImageType Enumeration


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IHeight Property

Description

Gets the height value of the current image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IHeight() As Long

Remarks

This property is read-only at run time and is available at design time.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ImagError Property

Description

Returns the last control error.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImagError() As Long

Return Type

A long value which represents the last control error.

Remarks

This property is read-only at run time and is available at design time.

The list of error codes is from the IX_Result enumeration.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ImagHeight Property

Description

Gets the height of the current image, in twips.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImagHeight() As Long

Return Type

A long value which represents the height of the current image in twips.

Remarks

This property is available at design time and is read-only at run time.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ImagWidth Property

Description

Returns the width of the current image, in twips.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImagWidth() As Long

Return Type

A long value which represents the width of the current image in twips.

Remarks

This property is available at design time and is read-only at run time.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IPArea Property

Description

Returns the enabled status of Area, set by the last call to the Area method.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IPArea() As Boolean

Remarks

This property is read-only at run time and is not available at design time.

Note: Available in View, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IPAreaHeight Property

Description

Returns the height of the update area rectangle set by the last call to the Area method. (read only)

Property type

Read-write property

Syntax (Visual Basic)

Public Property IPAreaHeight() As Long

Remarks

This property is read-only at run time and is not available at design time.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IPAreaWidth Property

Description

Returns the width of the update area rectangle set by the last call to the Area method. (read only)

Property type

Read-write property

Syntax (Visual Basic)

Public Property IPAreaWidth() As Long

Remarks

This property is read-only at run time and is not available at design time.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IPAreaX Property

Description

Returns the top left x coordinate of the update area rectangle set by the last call to the Area method.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IPAreaX() As Long

Remarks

This property is read-only at run time and is not available at design time.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IPAreaY Property

Description

Returns the top left Y coordinate of the update area rectangle set by the last call to the Area method.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IPAreaY() As Long

Remarks

This property is read-only at run time and is not available at design time.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IPBlankPageDetected Property

Description

Returns the result of the last call to DocumentBlankPageDetect. (read only)

Property type

Read-write property

Syntax (Visual Basic)

Public Property IPBlankPageDetected() As Boolean

Remarks

This property is read-only at run time and is not available at design time.

Note: Available in Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IPConfidence Property

Description

Indicates level of certainly that results are correct. (read only)

Property type

Read-write property

Syntax (Visual Basic)

Public Property IPConfidence() As Integer

Remarks

This property is read-only at run time and is not available at design time.

Provides confidence level from 1 to 100 of the success of the operation. Set by the most recent call to one of the following methods: DocumentDeskew, DocumentBlankPageDetect and DocumentBorderCrop.

Note: Available in Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IPCountOfLinesFound Property

Description

The number of lines found during execution of the DocumentLineRemoval method. (read only)

Property type

Read-write property

Syntax (Visual Basic)

Public Property IPCountOfLinesFound() As Long

Remarks

This property is read-only at run time and is not available at design time.

Note: Available in Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IPCountOfObjectsFound Property

Description

The count of the objects found during execution of the DocumentBlobRemoval method. (read only)

Property type

Read-write property

Syntax (Visual Basic)

Public Property IPCountOfObjectsFound() As Long

Remarks

This property is read-only at run time and is not available at design time.

Note: Available in Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IPCountOfSpecsFound Property

Description

The count of the specs found during execution of the DocumentDespeckle method. (read only)

Property type

Read-write property

Syntax (Visual Basic)

Public Property IPCountOfSpecsFound() As Long

Remarks

This property is read-only at run time and is not available at design time.

A spec, or speck, is a small spot, mark, or discoloration on a image. Use this property for documents only.

Note: Available in Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IPImageWasModified Property

Description

Checks if image was altered by one of the Document processing methods. (read only)

Property type

Read-write property

Syntax (Visual Basic)

Public Property IPImageWasModified() As Boolean

Remarks

This property is read-only at run time and is not available at design time.

Use this property for documents only.

Note: Available in Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IPRotationalAngle Property

Description

Returns the rotation angle (in degrees) used by the last call to either the Rotate method or DocumentDeskew method.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IPRotationalAngle() As Double

Remarks

This property is read-only at run time and is not available at design time.

Note: Available in Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IptcDataSet Property

Description

Gets and sets the Iptc dataset.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IptcDataSet() As Byte

Return Type

A byte value which represents the Iptc dataset.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IptcDataSetData Property

Description

Gets and sets Iptc dataset data.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IptcDataSetData() As Variant

Return Type

A variant value which represents the Iptc dataset data.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IptcDataSetDataPtr Property

Description

Gets and sets the Iptc dataset data via a pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IptcDataSetDataPtr() As Byte

Return Type

A byte value which represents a pointer to the Iptc dataset data.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IptcDataSetLength Property

Description

Gets and sets the Iptc dataset length.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IptcDataSetLength() As Long

Return Type

A long value which represents the Iptc dataset length.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IptcDataSetType Property

Description

Gets and sets the Iptc dataset type.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IptcDataSetType() As Long

Return Type

A long value which represents the Iptc dataset type.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IptcRecord Property

Description

Gets and sets the Iptc record.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IptcRecord() As Byte

Return Type

A byte value which represents the Iptc record.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IPVariation Property

Description

The amount of variation detected in the skew of the image, when the DocumentDeskew method is executed. (read only)

Property type

Read-write property

Syntax (Visual Basic)

Public Property IPVariation() As Integer

Remarks

This property is read-only at run time and is not available at design time.

Note: Available in Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IResUnits Property

Description

Sets or returns the unit of measurement used by the IResX and IResY properties.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IResUnits() As enumIRes

Remarks

Applies to TIFF, PCX, and BMP images only. If you change this property from IRes_Inch to IRes_Cm or from IRes_Cm to IRes_Inch, then the values in the IResX property and IResY property convert accordingly.

Even though this value is available at design time it is not saved from one session to another.

Note: Available in View, Document, and Photo editions. This property is read-only in View edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IResX Property

Description

A double value that evaluates to the image's X resolution.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IResX() As Double

Remarks

Applies to JPEG, TIFF, PCX, and BMP images only.

Even though this value is available at design time, it is not saved from one session to another.

Note: Available in View, Document, and Photo editions. This property is read-only in View edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IResY Property

Description

A double value that evaluates to the image's Y resolution.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IResY() As Double

Remarks

Applies to JPEG, TIFF, PCX, and BMP images only.

Even though this value is available at design time, it is not saved from one session to another.

Note: Available in View, Document, and Photo editions. This property is read-only in View edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IWidth Property

Description

Gets the width value of the current DIB.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IWidth() As Long

Remarks

This property is read-only at run time and is not available at design time.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

JB2SwapBlackandWhite Property

Description

Specifies if the values for black and white uses industry defaults or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property JB2SwapBlackandWhite() As Boolean

Remarks

The default value is False.

False (0) — Black is zero and white is one.

True (1) — White is zero and black is one.

Note: Property available in all editions, but must have add on license to read or write JB2.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

JPEGCommentCount Property

Description

Returns the number of comments contained in the current JPEG, JPEG 2000, JLS, or WSQ file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property JPEGCommentCount() As Long

Remarks

This property will return zero if the file is not a JPEG, JPEG 2000, JLS, or WSQ file. This property will be incremented and decremented by invoking the JPEGCommentAdd and JPEGCommentDelete methods. See also the method to get comments.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

JPEGCosited Property

Description

Specifies whether the image was compressed with cosited subsampling.

Property type

Read-write property

Syntax (Visual Basic)

Public Property JPEGCosited() As Boolean

Remarks

There is no flag in JPEG files to indicate compression with cosited (2-1-1) subsampling. Therefore, this fact must be determined independently by the application performing the file load method.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

JPEGEnhDecomp Property

Description

Gets or sets the JPEG enhanced decompression flag indicating whether to use standard decoding or Pegasus enhanced decoding.

Property type

Read-write property

Syntax (Visual Basic)

Public Property JPEGEnhDecomp() As Boolean

Return Type

A boolean value which is true for the JPEG decoder to use the enhanced method to give a smoother image. If false is returned, the JPEG decoder uses the standard method to decode the JPEG image.

Remarks

This property enables advanced Pegasus Imaging technology that provides significantly better image viewing for highly compressed sequential JPEG images.

This property enables the following features:

  • Reduce Contouring - Clean up low frequency contouring.
  • Reduce Artifacts - Clean up low frequency artifacts.
  • Reduce Block Edge Artifacts - Clean up block edge artifacts.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LibraryThreadsAllowed Property

Description

Gets and sets the library number of threads allowed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LibraryThreadsAllowed() As Long

Return Type

A long value which represents the number of library threads allows

Remarks

This value is specific to the lower level libraries that ImagXpress uses.

This value may or may not be honored depending on the image type. For instance, JPEG2000 images do currently support this feature.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadAlphaChannel Property

Description

Specifies whether alpha channel data will be loaded with the image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LoadAlphaChannel() As Boolean

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadCropEnabled Property

Description

Sets or returns the crop enabled flag.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LoadCropEnabled() As Boolean

Remarks

When the LoadCropEnabled property is True, the portion of the image bounded by the LoadCropX, LoadCropY, LoadCropWidth, and LoadCropHeight properties will be decompressed and displayed; when the FileName property is set or the other loading methods are called.

Decompression times for cropped images are faster than non-cropped images because only the cropped portion of the image is decompressed.

Replaces PICCropEnabled.

When combining actions, it is important to know the order they performed:

1) LoadCrop

2) LoadResize

3) LoadRotate

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadCropHeight Property

Description

Sets or returns the height in pixels of the crop rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LoadCropHeight() As Long

Remarks

When the LoadCropEnabled property is True, the portion of the image bounded by the LoadCropX, LoadCropY, LoadCropWidth, and LoadCropHeight properties will be decompressed and displayed; when the FileName property is set or the other loading methods are called.

Decompression times for cropped images are faster than non-cropped images because only the cropped portion of the image is decompressed.

When combining actions, it is important to know the order they performed:

1) LoadCrop

2) LoadResize

3) LoadRotate

Note: CameraRAW images can only be loaded from a filename. Loading from a stream is not supported as the entire image must be loaded before the raw format can be recognized.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadCropWidth Property

Description

Gets or sets the width value of this LoadOptions member.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LoadCropWidth() As Long

Remarks

When the LoadCropEnabled property is True, the portion of the image bounded by the LoadCropX, LoadCropY, LoadCropWidth, and LoadCropHeight properties will be decompressed and displayed; when the FileName property is set or the other loading methods are called.

Decompression times for cropped images are faster than non-cropped images because only the cropped portion of the image is decompressed.

When combining actions, it is important to know the order they performed:

1) LoadCrop

2) LoadResize

3) LoadRotate

Note: CameraRAW images can only be loaded from a filename. Loading from a stream is not supported as the entire image must be loaded before the raw format can be recognized.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadCropX Property

Description

Sets or returns the top left X coordinate in pixels of the crop rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LoadCropX() As Long

Remarks

When the LoadCropEnabled property is True, the portion of the image bounded by the LoadCropX, LoadCropY, LoadCropWidth, and LoadCropHeight properties will be decompressed and displayed; when the FileName property is set or the other loading methods are called.

Decompression times for cropped images are faster than non-cropped images because only the cropped portion of the image is decompressed.

When combining actions, it is important to know the order they performed:

1) LoadCrop

2) LoadResize

3) LoadRotate

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadCropY Property

Description

Sets or returns the top left Y coordinate in pixels of the crop rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LoadCropY() As Long

Remarks

When the LoadCropEnabled property is True, the portion of the image bounded by the LoadCropX, LoadCropY, LoadCropWidth, and LoadCropHeight properties will be decompressed and displayed; when the FileName property is set or the other loading methods are called.

Decompression times for cropped images are faster than non-cropped images because only the cropped portion of the image is decompressed.

When combining actions, it is important to know the order they performed:

1) LoadCrop

2) LoadResize

3) LoadRotate

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadMode Property

Description

Specifies whether image data will be interpreted as a raw image format, or a standard image format.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LoadMode() As enumLoadMode

Remarks

When LoadMode is set to Normal, the image is interpreted as having a standard image format, and image data will be captured from the image upon loading into ImagXpress.

When LoadMode is set to Raw, the image is interpreted as a raw image format when loading. The specific raw format is not detected automatically by ImagXpress. The application must specify additional information required to interpret the raw data.

Note: To specify that ImagXpress should examine the data and automatically detect the camera raw file format when loading an image, set CameraRawEnabled. The LoadMode Property is only used if CameraRawEnabled is false.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadResizeAntiAlias Property

Description

Gets the load resize anti alias indicator.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LoadResizeAntiAlias() As Boolean

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadResizeEnabled Property

Description

Gets or sets image resize when loading an image into the viewer control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LoadResizeEnabled() As Boolean

Remarks

Note: CameraRAW images can only be loaded from a filename. Loading from a stream is not supported as the entire image must be loaded before the raw format can be recognized.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadResizeHeight Property

Description

Gets or sets the image height when loading an image into the viewer control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LoadResizeHeight() As Long

Remarks

Note: CameraRAW images can only be loaded from a filename. Loading from a stream is not supported as the entire image must be loaded before the raw format can be recognized.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadResizeMaintainAspectRatio Property

Description

Gets or sets the option to preserve image aspect ratio when loading an image into the viewer control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LoadResizeMaintainAspectRatio() As Boolean

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadResizePreserveBlack Property

Description

Specifies that, when loading, black objects in the image should be enhanced within the image to increase readability.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LoadResizePreserveBlack() As Boolean

Remarks

Preserve Black enhances the black objects within an image, to increase readability when zoom is applied.

Note: The PreserveBlack property within LoadOptions permanently modifies the image.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadResizeWidth Property

Description

Gets or sets the image width when loading an image into the viewer control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LoadResizeWidth() As Long

Remarks

Note: CameraRAW images can only be loaded from a filename. Loading from a stream is not supported as the entire image must be loaded before the raw format can be recognized.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadRotated Property

Description

Gets or sets the rotation options of the image to be loaded.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LoadRotated() As enumLoadRotated

Remarks

Note: CameraRAW images can only be loaded from a filename. Loading from a stream is not supported as the entire image must be loaded before the raw format can be recognized.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadScaleToGray Property

Description

Sets or returns the ScaleToGray flag.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LoadScaleToGray() As Boolean

Remarks

When ScaleToGray is set TRUE, and the current DIB is 1 bit per pixel (black and white) and the Resize method is invoked, the image resizes and scales to gray. The resulting DIB is an 8-bit per pixel grayscale image.

It is particularly useful when attempting to create a thumbnail image of the original that is visually pleasing.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

LoadThumbnail Property

Description

Sets or returns the thumbnail style (JPEG and ePIC images only).

Property type

Read-write property

Syntax (Visual Basic)

Public Property LoadThumbnail() As enumLoadThumbnail

Remarks

The LoadThumbnail property sets the image thumbnail style when a JPEG or ePIC image is loaded using the FileName property or LoadBlob method. Decompression times for thumbnail images are significantly faster than non-thumbnail images, because only the thumbnail portion of the image is decompressed.

LoadThumbnail applies to JPEG and ePIC images only.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ManagePalette Property

Description

Sets or returns the palette management flag.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ManagePalette() As Boolean

Remarks

The ManagePalette property is ignored if the current display setting is greater than 256 colors.

When the ManagePalette property is True, and an image is loaded into the control, the control will realize the image's color palette as a foreground palette; if the control is the topmost control (i.e. has the highest z-order). If your project has multiple images, then all of the images will be displayed using the topmost image's palette.

Visual Basic 6.0

ManagePalette is ignored unless the form’s palette property is set to 1 - UseZOrder.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MaxHeight Property

Description

Gets or sets the maximum height the viewer control can obtain during auto-resizing.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Remarks

This property is used in conjunction with the AutoSize property.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MaxWidth Property

Description

Gets or sets the maximum width viewer control can obtain during auto-resizing.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Remarks

This property is used in conjunction with the AutoSize property.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MEDModalityLUTEnabled Property

Description

Controls the use of the Modality Look Up Table.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MEDModalityLUTEnabled() As Boolean

Remarks

Specifies whether a linear or non-linear conversion of pixel data will be performed for the modality step of the DICOM grayscale transformation.

The Values Of Interest conversion is performed after the Modality transformation.

This property should only be used when DICOM specific information is available. Also, GrayMode must be set to GRAY_Medical.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MEDPhotometricInterpretation Property

Description

Determines whether a zero in the image data is black or white.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MEDPhotometricInterpretation() As enumMEDPhotometricInterpretation

Remarks

This property should only be used when DICOM specific information is available. Also, GrayMode enumerator must be set to GRAY_Medical.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MEDRescaleIntercept Property

Description

Sets and gets the intercept of the linear conversion of pixel data in the DICOM grayscale transformation.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MEDRescaleIntercept() As Double

Remarks

This value corresponds to DICOM attribute (0028, 1052). This property specifies the intercept value (b) to be used in the equation:

Output units = m * SV + b

Where SV is the stored values (pixel data) and the value m corresponds to the slope specified using the MEDRescaleSlope property. Both values are used together to specify the linear conversion of pixel data.

  • This property This method is only valid when MEDModalityLUTEnabled is set to False.
  • This property should only be used when DICOM specific information is available. Also, GrayMode enumerator must be set to GRAY_Medical.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MEDRescaleSlope Property

Description

Sets and gets the slope of the linear conversion of pixel data in the DICOM grayscale transformation.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MEDRescaleSlope() As Double

Remarks

This value corresponds to DICOM attribute (0028, 1053). This property specifies the slope value (m) to be used in the equation:

Output units = m * SV + b

Where SV is the stored values (pixel data) and the value b corresponds to the intercept specified using the MEDRescaleIntercept property. Both values are used together to specify the linear conversion of pixel data.

  • This property This method is only valid when MEDModalityLUTEnabled is set to False.
  • This property should only be used when DICOM specific information is available. Also, GrayMode enumerator must be set to GRAY_Medical.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MEDValuesOfInterestLUTEnabled Property

Description

Controls the use of the Look Up Table for the Values Of Interest processing.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MEDValuesOfInterestLUTEnabled() As Boolean

Remarks

Specifies whether a linear or non-linear conversion of pixel data will be performed for the Values Of Interest (VOI) step of the DICOM grayscale transformation. The Values Of Interest conversion is performed after the Modality transformation.

  • This property should only be used when DICOM specific information is available.
  • Also, GrayMode enumerator must be set to GRAY_Medical.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MEDWindowCenter Property

Description

Specifies the center value used to specify a linear conversion from stored pixel values to values to be displayed after any Modality LUT or Rescale Slope and Intercept conversions have been applied.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MEDWindowCenter() As Double

Remarks

This value corresponds to DICOM attribute (0028, 1050).

MEDWindowCenter is used along with MEDWindowWidth to specify the linear conversion of pixel data during the Values of Interest step of DICOM grayscale transformation. For more information see Part 3, Annex C.11.2.1.2 of the DICOM standard.

  • This property This method is only valid when MEDModalityLUTEnabled is set to False.
  • This property should only be used when DICOM specific information is available. Also, GrayMode enumerator must be set to GRAY_Medical.

To set both the Center and Width parameters simultaneously, use the ApplyGrayscaleTransform method.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MEDWindowWidth Property

Description

Specifies the width value used to specify a linear conversion from stored pixel values to values to be displayed after any Modality LUT or Rescale Slope and Intercept conversions have been applied.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MEDWindowWidth() As Double

Remarks

This value corresponds to DICOM attribute (0028, 1051).
  • MEDWindowWidth contains the width of the window and shall always be greater than or equal to 1.
  • When this value is greater than 1, MEDWindowWidth and MEDWindowCenter specify that range of input values to be mapped to the range of the output device.
  • If MEDWindowWidth is equal to 1, MEDWindowWidth and MEDWindowCenter specify a value where input values below this value should be displayed as the minimum output value.

For more information see Part 3, Annex C.11.2.1.2 of the DICOM standard.

  • This property This method is only valid when MEDModalityLUTEnabled is set to False.
  • This property should only be used when DICOM specific information is available. Also, GrayMode enumerator must be set to GRAY_Medical.

To set both the Center and Width parameters simultaneously, use the ApplyGrayscaleTransform method.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MinHeight Property

Description

Gets or sets the minimum height the viewer control can obtain during auto-resizing.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Remarks

This property is used in conjunction with the AutoSize property.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MinWidth Property

Description

Gets or sets the minimum width the viewer control can obtain during auto-resizing.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Remarks

This property is used in conjunction with the AutoSize property.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MouseIcon Property

Description

Sets a custom mouse icon.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MouseIcon() As Picture

Remarks

Use the MouseIcon property to provide a custom icon when the MousePointer property is set to 99.

Although Visual Basic does not create cursor (.CUR) files, you can use the MouseIcon property to load either cursor or icon files. This provides your program with easy access to custom cursors of any size. The 32-bit version of Visual Basic does not load animated cursor (.ANI) files, even though 32-bit versions of Windows support these cursors.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MousePointer Property

Description

Determines the type of mouse pointer displayed when the mouse cursor is inside the object.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MousePointer() As enumMousePointer

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MouseWheelCapture Property

Description

Gets and sets an indicator to capture the mouse wheel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MouseWheelCapture() As Boolean

Return Type

A boolean value which is True to capture the mouse wheel. Otherwise, False is returned.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Multitask Property

Description

Sets or returns the multitask flag.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Multitask() As Boolean

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Notify Property

Description

Generates a Notify event after image displays.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Notify() As Boolean

Remarks

If set to True, a Notify event will be raised when an image is displayed. The Notify event will occur after a delay period defined by the NotifyDelay property.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

NotifyDelay Property

Description

Sets or returns the Notify event delay.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NotifyDelay() As Long

Remarks

The NotifyDelay property sets the time delay, in milliseconds, for a Notify event. The delay occurs after the image is displayed. You may specify a delay from 0 to 65535.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

OLEDropMode Property

Description

Enabled or Disables OLE Drop.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDropMode() As enumOLEDropMode

Remarks

ImagXpress supports the clip format CF_DROP. The OLEDragOver and OLEDragDrop events only occur when the OLEDropMode property is set to OLEDROP_MANUAL (1).

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

OwnDIB Property

Description

This determines whether or not the ImagXpress control owns the DIB after getting or setting the hDIB property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OwnDIB() As Boolean

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

PageNbr Property

Description

Specifies the page number to read for a multiple page TIFF or DCX file starting at 1.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PageNbr() As Long

Remarks

This property applies to ICO, Modca, TIFF, PDF and DCX file formats.

Note: Available in View, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Pages Property

Description

The number of pages in the current file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Pages() As Long

Remarks

The pages property will be invalid if the image was loaded over the internet using the FileName method. This information is not available when loading over the internet.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Palette Property

Description

Specifies which palette is used to display or print the image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Palette() As enumPalette

Remarks

The Palette property impacts how the image displays or prints, but does not modify the palette of the image itself.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

PDFSwapBlackandWhite Property

Description

Gets or sets a pixel value of zero to black or white.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PDFSwapBlackandWhite() As Boolean

Remarks

The default value is False.

This property pertains only to G4 compression types.

False (0) — Black is zero and white is one.

True (1) — White is zero and black is one.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Persistence Property

Description

Sets or returns the property persistence flag.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Persistence() As Boolean

Remarks

When the Persistence property is True (Default), control properties set at design time are maintained at run time. In Visual Basic, the control's property values are stored in the .FRM file. In ActiveX Control Pad, the property values are stored in the .ALX file. If you have many ImagXpress controls in your project, the size of the .ALX or .FRM files can become quite large because many property values are stored for each control.

  • For Internet applications, you want to keep your .HTM and .ALX file size as small as possible. You can accomplish this by setting the Persistence property to False, then set your control properties at run time instead of design time. This will decrease the size of the .ALX file because you are only setting the properties you desire.

If the Persistence property is set to False, the properties that you set at design time will not be maintained when you run your application.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

PFileName Property

Description

Specifies the filename that contains the palette for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PFileName() As String

Remarks

Palette files can be DIB, BMP, or PAL files.
  • When the Palette property is 3 — PaletteFile, images loaded using the FileName property, hDIB property, or LoadBlob method will be displayed using the palette of the image or palette file specified by the PFileName property.
  • When the ColorDepth method is invoked and the Palette parameter is set to 3 - Palette File, the palette in the file is used for color mapping.

NOTE: PAL is a Windows palette file conforming to the RIFF specification. You can use Microsoft BitEdit or PalEdit to create and save .PAL files. BitEdit and PalEdit Multimedia Data Tools ship with Microsoft Video for Windows.

The ImagError property is set if there is an error loading the palette file. If the palette file is invalid and a image is to be displayed or processed using the palette file, an optimized palette is generated and used.

Note: Available in all editions.

Example

String PFileName;

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

PICPassword Property

Description

Gets or sets the password for an encrypted Pegasus Imaging Corporation (ePIC) file format.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PICPassword() As String

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Picture Property

Description

Specifies a BMP to display in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Picture() As Picture

Remarks

When an image is loaded using the FileName property, the Picture property is set to a bitmap of the image. The ImagXpress Picture Property only supports picture type BITMAP. It does not support ICON or METAFILE.

When an image is loaded using the Picture property, the image is converted to a Device Independent Bitmap (DIB). The hDIB property is set to the handle of DIB. If an Undo DIB resides in memory, it is deleted and the hDIBUndo property is set to NULL.

Note: Available in all editions.

Example

// The Picture property of a Form object, PictureBox control, or Image control.

Picture Picture;

// A string expression specifying the path and filename of the .BMP or .DIB file to display. The ImagXpress Picture Property does not support .ICO or .WMF.

String Picture;

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

PictureEnabled Property

Description

Specifies whether the Picture property can be used to load images.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PictureEnabled() As Boolean

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

PixelColor Property

Description

Returns the color of the pixel at the current cursor position inside the image. (read only)

Property type

Read-write property

Syntax (Visual Basic)

Public Property PixelColor() As ULong

Remarks

This property is not available at design time and is read-only at run time.

The PixelColor property returns -1 if the cursor is outside the image or the cursor is on a border. The returned value contains RGB color data.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

PrinterBanding Property

Description

Sets or returns the printer banding flag.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PrinterBanding() As Boolean

Remarks

  • When True, images can be printed on printers that require printer banding (like dot matrix printers). Only one image can be printed on a page.
  • The PrinterBanding property should be set to False unless your printer requires printer banding.

Note: Available in Standard, Document and Photo Editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ProcessImageID Property

Description

Chooses the active image buffer for all loading, saving and image processing operations that the user chooses.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ProcessImageID() As Long

Remarks

  • If AutoAssignID is True, then a process image buffer - that is not already in use - is assigned to the control. The value is dynamic and changes even during one session. The value seen at design-time will probably not be the value at run-time.
  • If AutoAssignID is False, then the image buffer ID will always be whatever it was when the control was last saved or as seen in design-time.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ProcessStatus Property

Description

Status of the current process buffer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ProcessStatus() As Long

Remarks

  • BUFSTATUS_EMPTY (0)

  • BUFSTATUS_DEFINED (1)

  • BUFSTATUS_OPENED (2)

  • BUFSTATUS_DECODED (4)

  • BUFSTATUS_DECODING (8)

  • BUFSTATUS_ERROR (268435456)

  • BUFSTATUS_WAIT (16)

  • BUFSTATUS_CANCELED (32)

  • BUFSTATUS_SHUTDOWN (64)

  • BUFSTATUS_IMAGEPROCESSING (256)

  • BUFSTATUS_IMAGEPROCESSED (512)

  • BUFSTATUS_SAVING (1024)

  • BUFSTATUS_SAVED (2048)

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ProgressPct Property

Description

Sets or retrieves the Progress event frequency.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ProgressPct() As Long

Remarks

This specifies the frequency at which Progress events and yields will occur based on the percentage of completion of the load, save, or image processing operation.

For example; when set to a value of 25, the control yields and issues a Progress event when the operation achieves:

  • 0 completion
  • at least 25 completion
  • at least 50 completion
  • at least 75 completion
  • and, at 100% completion

Depending upon the process being run, the Progress Event's pctDone parameter may start at a value other than zero, for example, one or two. And due to rounding errors, the increment may not be exactly the value of ProgressPct. For example, if ProgressPct is 10, the increments may be eleven or twelve.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

PropertyLocations Property

Description

Determines source from which properties are read.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PropertyLocations() As enumPropertyLocations

Remarks

Generally, the properties read from the actual ImagXpress component. However, there may be times that you wish to read back certain properties that apply to an image buffer. This property is for reading back the Load altering functions (that is LoadCropEnabled, LoadResizeEnabled and LoadRotated) and the Save properties. When the image buffer is processed by multiple ImagXpress components, it may be necessary to read the properties, which were used in the processing of the image buffer directly from the image buffer, rather than the component.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ProxyServer Property

Description

Sets or returns the proxy server name or ID.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ProxyServer() As String

Remarks

The ProxyServer property applies only when reading or writing files to an http or ftp address. Many organizations use a proxy server to allow individual computers to access the Internet through their local area network (LAN). The ProxyServer property specifies the name of the proxy server, which can be a word such as "MyProxyServer," or an Internet Protocol address such as "192.68.112.56".

If the computer uses a direct connection such as Dial-Up Networking, the computer does not use a proxy server and this property should not be set.

Note: Available in Standard, Document and Photo Editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RaiseExceptions Property

Description

Sets or returns the RaiseExceptions enabled flag.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RaiseExceptions() As Boolean

Remarks

Set the RaiseExceptions property early in the lifetime of the control. It should not be changed. Changing this property while the image buffer contains an image will raise an exception. If you do need to change this property, clear the buffer with the statement "FileName = ""," where "" are empty quotes.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RedeyeRectangleConfidence Property

Description

The level of confidence that the corrected area really was a red eye.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RedeyeRectangleConfidence() As Long

Remarks

Note: Available in Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RedeyeRectangleHeight Property

Description

The height of the redeye rectangle, in pixels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RedeyeRectangleHeight() As Long

Remarks

Note: Available in Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RedeyeRectangleIndex Property

Description

The index of the redeye rectangle currently being processed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RedeyeRectangleIndex() As Long

Remarks

Note: Available in Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RedeyeRectangleWidth Property

Description

The width of the redeye rectangle, in pixels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RedeyeRectangleWidth() As Long

Remarks

Note: Available in Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RedeyeRectangleX Property

Description

The x coordinate of the upper left corner of the redeye rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RedeyeRectangleX() As Long

Remarks

Note: Available in Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RedeyeRectangleY Property

Description

The y-coordinate of the upper left corner of the redeye rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RedeyeRectangleY() As Long

Remarks

Note: Available in Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RedeyeTotalCount Property

Description

The total number of redeye rectangles identified.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RedeyeTotalCount() As Long

Remarks

Note: Available in Photo edition.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ResolutionPrecision Property

Description

Determines the precision used when resolution is returned.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ResolutionPrecision() As Long

Remarks

This property affects the values returned from IResX, IResY properties and QueryFile method. ResolutionPrecision is really a request for the precision level to be at a certain level. Because of the way floating-point numbers are stored in computers, ImagXpress can not guarantee that the precision is at a certain level. If the application needs 100% accuracy, then the application should set this value to 15 and handle any truncation or rounding itself.

Note: Available in all editions.

Example

Dim resX as Double, resY As Double

ImagXpress1.ResolutionPrecision = 0

resX = ImagXpress1.IResX

resY = ImagXpress1.IResY

' resX and resY will have 0 as the fractional part

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RgnEnabled Property

Description

Gets or sets the Region to be on or off.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RgnEnabled() As Boolean

Remarks

Specifies whether the update area in the current DIB, where subsequent image processing functions are performed, is either a region or the entire image. The RgnEnabled property in conjunction with the RgnAddPoint and RgnCreate methods provides the capability of performing image processing functions on non rectangular portions of the image.
  • When set to True, the update area in the current DIB - where subsequent image processing functions are performed - is the current region.
  • When set to False, the update area in the current DIB - where subsequent image processing functions are performed - is the entire image.

The current region is defined by invoking the RgnCreate method. If no region exists, the update area in the current DIB is the entire image.

Note: This property is only available when Edition is set to View or Document.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RgnHeight Property

Description

Returns the height in pixels in the current region. (read only)

Property type

Read-write property

Syntax (Visual Basic)

Public Property RgnHeight() As Long

Remarks

This property is read-only at run time and is available at design time. The RgnHeight property returns zero, if there is no current region.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RgnSpriteX Property

Description

Returns the X position of the current sprite within the image. (read only)

Property type

Read-write property

Syntax (Visual Basic)

Public Property RgnSpriteX() As Long

Remarks

This property is read-only at run time and is available at design time.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RgnSpriteY Property

Description

Returns the Y position of the current sprite within the image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RgnSpriteY() As Long

Remarks

This property is read-only at run time and is available at design time.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RgnVisible Property

Description

Gets an indicator if the region is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RgnVisible() As Boolean

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RgnWidth Property

Description

Returns the width in pixels in the current region.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RgnWidth() As Long

Remarks

This property is read-only at run time and is available at design time. The RgnWidth property returns zero, if there is no current region.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RgnX Property

Description

Returns the left most coordinate in pixels of the current region. (read only)

Property type

Read-write property

Syntax (Visual Basic)

Public Property RgnX() As Long

Remarks

This property is read-only at run time and is available at design time. The RgnX property returns zero, if there is no current region.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RgnY Property

Description

Returns the top most coordinate in pixels of the current region. (read only)

Property type

Read-write property

Syntax (Visual Basic)

Public Property RgnY() As Long

Remarks

This property is read-only at run time and is available at design time. The RgnY property returns zero, if there is no current region.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RubberBandH Property

Description

Gets the height of the current Rubberband object.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RubberBandH() As Long

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RubberBandL Property

Description

Gets the length of the current Rubberband area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RubberBandL() As Long

Remarks

Rubberband properties identify the starting point of the rubberband area.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RubberBandT Property

Description

Gets the top of the Rubberband area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RubberBandT() As Long

Remarks

Rubberband properties (4) identify the starting point of the rubberband area.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

RubberBandW Property

Description

Gets the width of the Rubberband area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RubberBandW() As Long

Remarks

Rubberband properties (4) identify the starting point of the rubberband area.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveBufferHandle Property

Description

The handle to the memory an image is saved to when SaveToBuffer property is set to True.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveBufferHandle() As Long

Remarks

If SaveToBuffer is set to True, and a SaveFile is successful, then the SaveBufferHandle property is set to a locked global handle (HGLOBAL) of the memory buffer. The control does not automatically free this handle. A calling application can issue a GlobalFree on the handle to release the memory. The DeleteSaveBuffer method can also be used to free the memory associated with the handle.

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveCompressSize Property

Description

Gets or sets the requested file size in bytes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveCompressSize() As Long

Remarks

This property is really only a request for a specific size when the JP2Type = Lossy (0).

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveEXIFThumbnailSize Property

Description

Gets or sets the requested file size in bytes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveEXIFThumbnailSize() As Integer

Remarks

This property is really only a request for a specific size when the JP2Type = Lossy (0).

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveFileName Property

Description

Specifies the path and name of the file to save.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveFileName() As String

Remarks

The image file type is determined by the file extension specified in the SaveFileName property. If the SaveFileName property contains an extension that is not supported by or unrecognized by ImagXpress, then an error is returned in the ImagError property.

Note: Available in Standard, Document, and Photo editions.

Example

The following Visual Basic example shows how to save a BMP file with a non-standard extension:

ImagXpress1.SaveFileName = "C:\IMAGES\MYPIC.BMP"

ImagXpress1.SaveFile

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveFileType Property

Description

Specifies the type of file to save when setting the SaveFile method.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveFileType() As enumSaveFileType

Return Type

An enumSaveFileType value which represents the type of file to save when setting the SaveFile method.

Remarks

When the SaveFileType property is set to zero (default), the image file type is determined by the file extension specified in the SaveFileName property. If the SaveFileName property contains an extension that is not supported by or unrecognized by ImagXpress, then an error is returned in the ImagError property.

The SaveFileType constants are numerically the same as the IFormat property, however the sub file types are not included.

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveFtpBuffered Property

Description

Gets and sets whether the FTP buffered is saved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveFtpBuffered() As Boolean

Return Type

A boolean value which is True if the FTP buffer is saved. Otherwise, False is used.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveGIFInterlaced Property

Description

Specifies whether a GIF file is to be saved in the interlaced or non-interlaced format.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveGIFInterlaced() As Boolean

Remarks

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveGIFType Property

Description

Specifies the GIF format for saving a GIF file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveGIFType() As enumGIFType

Remarks

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveHDPFrequencyOrdering Property

Description

Specifies HDP frequency ordering.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveHDPFrequencyOrdering() As Long

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveHDPQuantization Property

Description

Saves HDP quantization.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveHDPQuantization() As Long

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveHDPSubSampling Property

Description

Saves HSP sub-sampling.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveHDPSubSampling() As IX_SaveHDPSubSampling

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveIFDOffset Property

Description

Location to append the next tiff page in a mutli-page tiff file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveIFDOffset() As Long

Remarks

For detailed information on how to use this property with multi-page TIFF files, see How To Save Image to File.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveJBIG2EncodeModeCompression Property

Description

Specifies the encoding mode to use when creating the JBIG2 file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveJBIG2EncodeModeCompression() As enumJBIG2EncodeModeCompression

Remarks

Text regions can be encoded as lossless or as lossy according to the encoding mode specified. The lossy modes use the value in SaveJBIG2LoosenessCompression to control how loose to be when matching symbols and thereby increase compression and reduce file size. Compression means loss, however, and a consequence of higher compression is an increased risk of errors in the reconstructed image.

Specify a larger value of looseness to reduce the compressed file size; use a smaller value to reduce the errors, if any.

Halftone regions can be encoded lossy by specifying one of the lossy halftone encoding modes. Alternatively, they can be encoded lossless by using the lossless generic encoding mode.

Note: Available in Standard, Document, and Photo editions. (With purchase of add-on)

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveJBIG2FileOrgCompression Property

Description

Specifies the file organization of the JBIG2 bitstream.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveJBIG2FileOrgCompression() As enumJBIG2FileOrgCompression

Remarks

A JBIG2 file may be organized in two ways: for sequential access, or for random access.

  • Sequential organization is intended for streaming applications, where the decoder reads and decodes the file in order as the data is received.
  • Random access organization permits the decoder to know the entire file structure without having to read the entire file and then use that information to access the required data in a random-access fashion; this would be useful for applications such as decoding only odd-number pages.

Note: Available in Standard, Document, and Photo editions. (With purchase of add-on)

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveJBIG2InvertedRegion Property

Description

Specifies whether the bits should be inverted prior to symbol analysis.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveJBIG2InvertedRegion() As Boolean

Remarks

Inverting the bits prior to symbol analysis may provide better compression; if the text is represented as light bits against a dark background, instead of the opposite. This setting This method is only used by the text encode modes.

Note: Available in Standard, Document, and Photo editions. (With purchase of add-on)

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveJBIG2LoosenessCompression Property

Description

Specifies how loose to be when matching symbols and compressing text using either of the lossy text region encode modes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveJBIG2LoosenessCompression() As Long

Remarks

SaveJBIG2LoosenessCompression provides the ability to set how loose to be when matching symbols and compressing text using either of the lossy text region encoding modes. The larger the number, the greater the compression and the greater the risk of introducing errors.

Note: Available in Standard, Document, and Photo editions. (With purchase of add-on)

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveJLSInterLeave Property

Description

Gets or sets the interleave setting.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveJLSInterLeave() As Long

Remarks

  • Interleave = 0 denotes each component is encoded in its own scan.
  • Interleave = 1 denotes all components are encoded together in one scan with the samples interleaved line-by-line as they are encoded.
  • Interleave = 2 denotes all components are encoded in one scan with the samples interleaved sample-by-sample as they are encoded.

Interleave = 0 or Interleave = 1 are typical settings for an RGB image. Interleave = 2 is specialized and intended for synthetic graphics or computer-generated compound documents (i.e., images likely to contain large flat areas that are common to all the components).

  • When compression is lossless (the Near parameter is zero), all three modes will decompress to the same image.
  • When compression is near-lossless (the Near parameter is nonzero), all three modes will meet the error tolerance for all reconstructed samples but will not decompress to identical binary images.

Note: Available in Standard, Document, and Photo editions. (With purchase of add-on)

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveJLSMaxValue Property

Description

Gets or sets the compression value.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveJLSMaxValue() As Long

Remarks

Valid values for MaxValue is 0 to ( 2 ^ Bits-Per-Channel) - 1. A 24-bit RGB image is 8 bits for each channel (Red, Green, & Blue each being separate channels). Images with less than 24-bit per pixel will be converted to 24-bit if they are color, 4 or 8-bit grayscale otherwise. The default value of MaxValue = 0 sets the compression to (2 ^ Bits-Per-Channel) – 1. MaxValue affects the maximum value of the Near argument, which will equal 255 or MaxValue / 2 (rounded up) whichever is lower.

Note: Available in Standard, Document, and Photo editions. (With purchase of add-on)

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveJLSNear Property

Description

Gets or sets the error tolerance for near-lossless compression.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveJLSNear() As Long

Remarks

Valid range is zero (lossless), one (near lossless) to 255 (very lossy). Generally, Near should be set to zero or a small positive number, perhaps 4 or 5 with higher numbers leading to ugly streaking artifacts. The Near parameter defines the error tolerance for near-lossless compression. If Near = 0, compression will be lossless and the reconstructed image after decompression will be identical to the original. If Near > 0, each pixel of the reconstructed image will differ from the original by no more than the value of Near. The value of MaxValue affects the maximum value of Near which will be either 255 or MaxValue/2 (rounded up) whichever is lower.

Note: Available in Standard, Document, and Photo editions. (With purchase of add-on)

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveJLSPoint Property

Description

Gets or sets the precision of the point transform.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveJLSPoint() As Long

Remarks

The point transform is the number of least significant bits truncated from each input sample prior to compression. A point transform is another way to use the JPEG-LS algorithm in a near-lossless mode.

Non-zero values denote near-lossless compression; the source image will no longer be reconstructed exactly from the compressed image. The allowed range for Point is zero (default value) or 2 to 16.

  • The JPEG-LS standard allows input samples to range from 2 to 16 bits (called the Precision), hence the allowed range for Point.

Precision is the number of bits used for each sample in an image. For example, a 24-bit image uses 8 bits for each red, green and blue sample in each pixel.

JLSPoint should be no greater than the actual Precision of the input samples. This affects the bits per channel of an image. So if you had a 24-bit RGB image, it has 8-bits per R, G, and B channel. For example, if Point = 2 then the image will effectively have 6-bits per channel (8 - 2 = 6). This will affect the calculations for JLSMaxValue property and therefore the maximum value for JLSNear property.

Note: Available in Standard, Document, and Photo editions. (With purchase of add-on)

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveJP2Order Property

Description

Gets or sets the progression order.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveJP2Order() As enumProgressionOrder

Remarks

The ProgressionOrder determines the order of the compressed image data for the layer, the component, the resolution and the position. This will affect how the image is viewed progressively when streamed.

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveJP2Type Property

Description

Gets or sets the format of the file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveJP2Type() As enumJP2Type

Remarks

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveJPEGChromFactor Property

Description

Gets or sets the chrominance quality setting for saving JPEG, TIFF-JPEG, and ePIC files.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveJPEGChromFactor() As Integer

Remarks

Valid values range from 0 to 255, with a value of zero meaning no compression (and hence, maximum color quality) and 255 meaning maximum image color compression (and hence, minimal image color quality). The default setting of Chrominance = 10.

JPEG and ePIC images are stored in a compressed format. Compression is lossy which means when saving JPEG or ePIC files, there will be data loss.

Data loss is the result of JPEG and ePICs ability to achieve high compression ratios. Higher quality settings result in less compression, while lower quality settings result in higher compression.

Quality versus compression is a tradeoff. Adjust image compression ratio by setting the Luminance and Chrominance properties. The Luminance property adjusts the luminance or gray scale quality, while the Chrominance property adjusts the chrominance or color quality.

  • Lower settings for these properties result in higher quality images with less compression.
  • Higher settings for these properties result in lower quality images with more compression.

For general use photographic type images, the default settings of Luminance = 24 and Chrominance = 30 provides about a 12:1 image compression ratio with minimal data loss. Compression ratios and perceived image quality will vary depending on the image.

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveJPEGCosited Property

Description

Gets or sets enabling of DICOM decompression of JPEG images.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveJPEGCosited() As Boolean

Remarks

Default value is False. This is a special use for DICOM images. Since there is no file indicator for cosited subsampling, it must be determined independently of the application decoding the image.

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveJPEGGrayscale Property

Description

Gets or sets whether image is being saved as gray scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveJPEGGrayscale() As Boolean

Remarks

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveJPEGLumFactor Property

Description

Gets or sets the luminance quality.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveJPEGLumFactor() As Integer

Remarks

JPEG and ePIC images are stored in a compressed format. Compression is lossy which means when saving JPEG or ePIC files, there will be data loss. Data loss is the result of JPEG and ePICs ability to achieve high compression ratios. Higher quality settings result in less compression, while lower quality settings result in higher compression. Quality versus compression is a tradeoff.

The image compression ratio can be adjusted by setting the Luminance and Chrominance properties. The Luminance property adjusts the luminance or gray scale quality and the Chrominance property adjusts the chrominance or color quality. Lower settings for these properties result in higher quality images with less compression. Higher settings for these properties result in lower quality images with more compression.

For general use photographic type images, the default settings of Luminance = 24 and Chrominance = 30 provides about a 12:1 image compression ratio with minimal data loss. Compression ratios and perceived image quality will vary depending on the image.

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveJPEGProgressive Property

Description

Gets or sets whether an image file will be saved in standard or progressive format.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveJPEGProgressive() As Boolean

Remarks

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveJPEGSubSampling Property

Description

Gets or sets sub-sampling.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveJPEGSubSampling() As enumSaveJPEGSubSampling

Remarks

This applies to JPEG, TIFF-JPEG, and ePIC files. This property is used in conjunction with the Chrominance and Luminance properties to control the compression ratio and the compressed image quality.

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveLJPCompMethod Property

Description

Specifies the compression method used for saving a lossless JPEG file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveLJPCompMethod() As enumSaveLJPCompMethod

Remarks

This property applies only when saving lossless JPEG files. It is ignored for all other image file formats.

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveLJPCompOrder Property

Description

Gets or sets the order of compression for lossless JPEG.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveLJPCompOrder() As Integer

Return Type

An integer value which represents the compression order.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveLJPCompType Property

Description

Gets or sets the type of compression for lossless JPEG.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveLJPCompType() As enumSaveLJPCompType

Remarks

This property only applies to lossless JPEG files. It is ignored for all other image file formats.

When set to LJPTYPE_RGB, image data is compressed in RGB format. When set to LJPTYPE_YCBCR, image data is first converted to YCBCR and then compressed. When YCBCR files are decompressed, they are converted back to RGB.

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveLJPPrediction Property

Description

Specifies the selection value which determines the prediction formula.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveLJPPrediction() As Integer

Remarks

There is no way other than by trial and error to determine which selection value will provide the best compression. Most applications will use a default value of 1. Valid values are 1 through 7.

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveMultiPage Property

Description

Specifies if a TIFF, PDF, ICO, MODCA or DCX file should be saved as the next page in an existing file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveMultiPage() As Boolean

Remarks

This property applies only when saving TIFF, PDF, ICO, MODCA and DCX files. It is ignored for all other image file formats. Only local files may be saved as multi-page. Multi-page files may not be saved to remote locations (via FTP:// or HTTP://).
  • When True, if the target file exists, the image data is saved as the next page in the existing file. If the target file does not exist, a new file is created.
  • When False, the image is written as a new file. If the target file exists, it is overwritten.

The SaveMultiPage property does not support all TIFF compression types. If the SaveTIFFCompression property is set to 4 — LZW, 5 — Pack Bits, or 7 — Deflate, the image saves as a single page TIFF file.

Note: Available in Document and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SavePBMType Property

Description

Specifies the format for saving a PBM file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SavePBMType() As enumPortableType

Remarks

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SavePDFCompression Property

Description

Gets or sets the compression type employed for saving a PDF file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SavePDFCompression() As enumSavePDFCompression

Remarks

The PDF file specification includes storing stream raster image data. ImagXpress supports writing a PDF file containing stream raster image data.

The Group 4 Fax format is ideal for exchanging document image files over the Web because this format can be read by Adobe Acrobat Reader.

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SavePDFSwapBlackandWhite Property

Description

Gets or sets flag indicating a pixel value of zero is black or white.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SavePDFSwapBlackandWhite() As Boolean

Remarks

This property pertains only to G4 Compression types. SavePDFCompression must be set to either PDF_CCITTFAX4 or PDF_Compress_G4.

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SavePGMType Property

Description

Specifies the format for saving a PGM file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SavePGMType() As enumPortableType

Remarks

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SavePNGInterlaced Property

Description

Gets or sets whether image will be saved in the interlaced or non-interlaced format.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SavePNGInterlaced() As Boolean

Remarks

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SavePPMType Property

Description

Gets or sets the format type.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SavePPMType() As enumPortableType

Remarks

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SavePSNR Property

Description

Gets and sets the PSNR (Peak Signal-to-Noise Ratio).

Property type

Read-write property

Syntax (Visual Basic)

Public Property SavePSNR() As Double

Return Type

A double value which represents the PSNR value.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveTIFFByteOrder Property

Description

Gets or sets the TIFF byte order.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveTIFFByteOrder() As enumSaveTIFFByteOrder

Remarks

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveTIFFCompression Property

Description

Gets or sets the compression for the TIFF file being saved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveTIFFCompression() As enumSaveTIFFCompression

Remarks

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveTIFFRowsPerStrip Property

Description

Gets or sets the number of rows to save in each strip of a TIFF file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveTIFFRowsPerStrip() As Long

Remarks

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveTileHeight Property

Description

Gets or sets the tile height.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveTileHeight() As Long

Remarks

The default value is zero.

The recommended non-zero setting is 64, with the width and height arguments of the tile size properties usually being equal.

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveTileWidth Property

Description

Gets or sets the tile width.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveTileWidth() As Long

Remarks

The default value is zero.

The recommended non-zero setting is 64, with the width and height arguments of the parameters usually being equal.

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveToBuffer Property

Description

Specifies whether image data should be saved to a file or a memory buffer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveToBuffer() As Boolean

Remarks

If successful, the SaveBufferHandle property is set to a locked global handle (HGLOBAL) of the memory buffer. The control does not automatically free this handle. A calling application can issue a GlobalFree on the handle to release the memory. The DeleteSaveBuffer method can also be used to free the memory associated with the handle. Use the SaveFileType property to specify the file type.

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveTransparencyColor Property

Description

Gets or sets the transparency Color value.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveTransparencyColor() As ULong

Remarks

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveTransparent Property

Description

Gets or sets the type of TransparencyMatch to perform.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveTransparent() As enumTransparencyMatch

Remarks

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveUseIFDOffset Property

Description

Enables or disables fast multi-page tiff writes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveUseIFDOffset() As Boolean

Remarks

For detailed information on how to use this property with multi-page TIFF files, see How To Save Image to File.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveWSQBlack Property

Description

Gets or sets the level of black used in the WSQ file compression.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveWSQBlack() As Integer

Remarks

The default value is 0.

Valid values are 0 to 255.

Note: Available in Standard, Document, and Photo editions. (With purchase of add-on)

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveWSQQuant Property

Description

Gets or sets the quantization of the saved WSQ file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveWSQQuant() As Double

Remarks

The default value is 0.75.

Valid values are 0.1 to 8.0.

Note: Available in Standard, Document, and Photo editions. (With purchase of add-on)

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SaveWSQWhite Property

Description

Gets or sets the level of white used in the WSQ file compression.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveWSQWhite() As Integer

Remarks

The default value is 255.

Valid values are 0 to 255.

Note: Available in Standard, Document, and Photo editions. (With purchase of add-on)

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ScaleResizePreserveBlack Property

Description

Specifies that black objects should be enhanced within the image to increase readability.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScaleResizePreserveBlack() As Boolean

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ScaleResizeToGray Property

Description

Sets or returns the ScaleResizeToGray flag.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScaleResizeToGray() As Boolean

Remarks

When this property is set to True, and the current DIB is 1 bit per pixel (black and white) and the Resize Method is invoked, the image will be resized and scaled to gray. The resulting DIB is an 8-bit per pixel grayscale image.

This is particularly useful when attempting to create a thumbnail image of the original that is visually pleasing.

Note: Available in View, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ScrollBarLargeChangeH Property

Description

Sets or returns the horizontal scroll amount when the scroll bar page area (between the thumb and arrow) is clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollBarLargeChangeH() As Long

Remarks

Valid values are greater than 0.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ScrollBarLargeChangeV Property

Description

Sets or returns the vertical scroll amount when the scroll bar page area (between the thumb and arrow) is clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollBarLargeChangeV() As Long

Remarks

Valid values are greater than 0.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ScrollBars Property

Description

Sets or returns the scroll bar property, to indicate whether vertical and/or horizontal scrollbars are enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollBars() As enumScrollBars

Remarks

The default value is 0.

When the ScrollBars property is set to 1, 2 or 3, scroll bars will not be available for AutoSize types of ISIZE_ResizeControl, ISIZE_ResizeImage, ISIZE_TileImage and ISIZE_BestFit.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ScrollBarSmallChangeH Property

Description

Sets or returns the horizontal scroll amount when the scroll bar arrow is clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollBarSmallChangeH() As Long

Remarks

Valid values are greater than 0.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ScrollBarSmallChangeV Property

Description

Sets or returns the verticalscroll amount when the scroll bar arrow is clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollBarSmallChangeV() As Long

Remarks

Valid values are greater than 0.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ScrollX Property

Description

Sets or returns the horizontal position, in pixels, of the scroll rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollX() As Long

Remarks

The width and height of the scroll rectangle is determined by the width and height of the control. The scroll rectangle is the display area of the image. This property is not available at design time.

When the ScrollX property is set, the horizontal thumb automatically adjusts to the proper position on the scroll bar. If the ScrollX property is set to a value exceeding the maximum size amount, then it is set to the maximum size. If the ScrollX property is set to less than zero, then it is set to zero.

No matter what the ScrollBar property is set to, the image still scrolls when ScrollX is set.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ScrollY Property

Description

Sets or returns the vertical position, in pixels, of the scroll rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollY() As Long

Remarks

The width and height of the scroll rectangle is determined by the width and height of the control. The scroll rectangle is the display area of the image. This property is not available at design time.

When the ScrollY property is set, the vertical thumb automatically adjusts to the proper position on the scroll bar. If the ScrollY property is set to a value exceeding the maximum size amount, then it is set to the maximum size. If the ScrollY property is set to less than zero, then it is set to zero.

No matter what the ScrollBar property is set to, the image still scrolls when ScrollY is set.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ShowHourglass Property

Description

Sets or returns the hourglass flag.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowHourglass() As Boolean

Remarks

When the ShowHourglass property is True, the mouse pointer will change to an hourglass whenever an image is loaded using the FileName property or LoadBlob method, or whenever an image is saved, or during image processing.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

SpecialTIFFHandling Property

Description

Gets or sets the flag denoting an abnormally formatted TIFF file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SpecialTIFFHandling() As Boolean

Remarks

This is a property specifically for banking-vendors with abnormally stored TIFF files. With this flag enabled, normally formatted TIFF files cannot be read. With this flag disabled, abnormally formatted TIFF files cannot be read.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TagCount Property

Description

Obtains the count of data items within the current tag.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TagCount() As Long

Remarks

This property is read-only at run time and is available at design time.

The TagCount property only applies when the image loaded into the control is a TIFF of EXIF file. It represents the number of data items for the current tag, not the number of tags.

For more information on querying and modifying tags, see Modify Tags.

Note: Available in View, Document, and Photo editions.

Example

Function using TagCount property.

[GetTagCount (Visual Basic)]

Private Function GetTagCount()
    Dim tagCount As Integer
    Dim tagLevel As Integer
    tagLevel = 0
    tagCount = 0
    For tagLevel = 0 To 4
        ImagXpress1.tagLevel = tagLevel
        ImagXpress1.TagFirst
        While ImagXpress1.TagNumber <> 0
            tagCount = tagCount + 1
            ImagXpress1.TagNext
        Wend
    Next tagLevel
    GetTagCount = tagCount
End Function

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TagData Property

Description

Obtains a block of data from the current tag.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TagData() As Variant

Remarks

Obtains a block of data from the current tag.

The TagData property only applies when the image loaded into the control is a TIFF or EXIF file.

Note: Available in View, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TagLength Property

Description

The length in bytes of the current tag. (read-only)

Property type

Read-write property

Syntax (Visual Basic)

Public Property TagLength() As Long

Remarks

This property is read-only at run time and is available at design time.

Obtains the length in bytes of the current tag.

The TagLength property only applies when the image loaded into the control is a TIFF or EXIF file.

Note: Available in View, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TagLevel Property

Description

Gets or sets the nesting level at which the tag will reside.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TagLevel() As Long

Remarks

Byte representing the nesting level of the tag being created. Typically this will be 0 (e.g. TIFF files).

Some file formats have the ability to have image meta-data that will include a sub-list. TagLevel allows the developer to access tags on all levels. TagLevel can be 0 through 4.

Note: Available in View, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TagNumber Property

Description

Gets or sets the tag number of the current tag. (See list)

Property type

Read-write property

Syntax (Visual Basic)

Public Property TagNumber() As Long

Remarks

Integer that evaluates to the tag number. This value represents a specific type of TIFF tag encoding format.

The following is a recent list of common TIFF/EXIF tag numbers:

Baseline TIFF:

  • TAG_Artist (0x13b)

  • TAG_BitsPerSample (0x102)

  • TAG_CellLength (0x109)

  • TAG_CellWidth (0x108)

  • TAG_ColorMap (0x140)

  • TAG_Compression (0x103)

  • TAG_Copyright (0x8298)

  • TAG_DateTime (0x132)

  • TAG_ExtraSamples (0x152)

  • TAG_FillOrder (0x10a)

  • TAG_FreeByteCounts (0x121)

  • TAG_FreeOffsets (0x120)

  • TAG_GrayResponseCurve (0x123)

  • TAG_GrayResponseUnit (0x122)

  • TAG_HostComputer (0x13c)

  • TAG_ImageDescription (0x10e)

  • TAG_ImageLength (0x101)

  • TAG_ImageWidth (0x100)

  • TAG_Make (0x10f)

  • TAG_MaxSampleValue (0x119)

  • TAG_MinSampleValue (0x118)

  • TAG_Model (0x110)

  • TAG_NewSubfileType (0xfe)

  • TAG_Orientation (0x112)

  • TAG_PhotometricInterpretation (0x106)

  • TAG_PlanarConfiguration (0x11c)

  • TAG_ResolutionUnit (0x128)

  • TAG_RowsPerStrip (0x116)

  • TAG_SamplesPerPixel (0x115)

  • TAG_Software (0x131)

  • TAG_StripByteCounts (0x117)

  • TAG_StripOffsets (0x111)

  • TAG_SubfileType (0xff)

  • TAG_Threshholding (0x107)

  • TAG_XResolution (0x11a)

  • TAG_YResolution (0x11b)

CCITT BiLevel Encodings:

  • TAG_T4Options (0x124)

  • TAG_T6Options (0x125)

Document Storage and Retrieval:

  • TAG_DocumentName (0x10d)

  • TAG_PageName (0x11d)

  • TAG_PageNumber (0x129)

  • TAG_XPosition (0x11e)

  • TAG_YPosition (0x11f)

Differencing Predictor:

  • TAG_Predictor (0x13d)

Tiled Images:

  • TAG_TileWidth (0x142)

  • TAG_TileLength (0x143)

  • TAG_TileOffsets (0x144)

  • TAG_TileByteCounts (0x145)

CMYK Images:

  • TAG_InkSet (0x14c)

  • TAG_NumberOfInks (0x14e)

  • TAG_InkNames (0x14d)

  • TAG_DotRange (0x150)

  • TAG_TargetPrinter (0x151)

Halftone Hints:

  • TAG_HalftoneHints (0x141)

Data Sample Format:

  • TAG_SampleFormat (0x153)

  • TAG_SMinSampleValue (0x154)

  • TAG_SMaxSampleValue (0x155)

RGB Image Colorimetry:

  • TAG_WhitePoint (0x13e)

  • TAG_PrimaryChromaticities (0x13f)

  • TAG_TransferFunction (0x12d)

  • TAG_TransferRange (0x156)

  • TAG_ReferenceBlackWhite (0x214)

YCbCr Images:

  • TAG_YCbCrCoefficients (0x211)

  • TAG_YCbCrSubSampling (0x212)

  • TAG_YCbCrPositioning (0x213)

JPEG Compression:

  • TAG_JPEGProc (0x200)

  • TAG_JPEGInterchangeFormat (0x201)

  • TAG_JPEGInterchangeFormatLength (0x202)

  • TAG_JPEGRestartInterval (0x203)

  • TAG_JPEGLosslessPredictors (0x205)

  • TAG_JPEGPointTransforms (0x206)

  • TAG_JPEGQTables (0x207)

  • TAG_JPEGDCTTables (0x208)

  • TAG_JPEGDCTables (0x208)

  • TAG_JPEGACTables (0x209

EXIF definitions:

  • TAG_ExifExposureTime (0x829A)

  • TAG_ExifFNumber (0x829D)

  • TAG_ExifIFD (0x8769)

  • TAG_ExifExposureProg (0x8822)

  • TAG_ExifSpectralSense (0x8824)

  • TAG_ExifISOSpeed (0x8827)

  • TAG_ExifOECF (0x8828

  • TAG_ExifInterlace (0X8829)

  • TAG_ExifTimeZoneOffset (0X882A)

  • TAG_ExifSelfTimerMode (0X882B)

  • TAG_ExifVer (0x9000)

  • TAG_ExifDTOrig (0x9003 )

  • TAG_ExifDTDigitized (0x9004)

  • TAG_ExifCompConfig (0x9101)

  • TAG_ExifCompBPP (0x9102)

  • TAG_ExifShutterSpeed (0x9201)

  • TAG_ExifAperture (0x9202)

  • TAG_ExifBrightness (0x9203)

  • TAG_ExifExposureBias (0x9204)

  • TAG_ExifMaxAperture (0x9205)

  • TAG_ExifSubjectDist (0x9206)

  • TAG_ExifMeteringMode (0x9207)

  • TAG_ExifLightSource (0x9208)

  • TAG_ExifFlash (0x9209)

  • TAG_ExifFocalLength (0x920A)

  • TAG_ExifFlashEnergy (0X920B)

  • TAG_ExifSpatialFrequencyResponse (0X920C)

  • TAG_ExifNoise (0X920D)

  • TAG_ExifImageNumber (0X9211)

  • TAG_ExifSecurityClassification (0X9212)

  • TAG_ExifImageHistory (0X9213)

  • TAG_ExifSubjectLocation (0X9214)

  • TAG_ExifTIFF_EPStandardID (0X9216)

  • TAG_ExifMakerNote (0x927C)

  • TAG_ExifUserComment (0x9286)

  • TAG_ExifDTSubsec (0x9290 )

  • TAG_ExifDTOrigSS (0x9291 )

  • TAG_ExifDTDigSS (0x9292 )

  • TAG_ExifFPXVer (0xA000)

  • TAG_ExifColorSpace (0xA001)

  • TAG_ExifPixXDim (0xA002)

  • TAG_ExifPixYDim (0xA003)

  • TAG_ExifRelatedWav (0xA004 )

  • TAG_ExifInterop (0xA005)

  • TAG_ExifFlashEnergy (0xA20B)

  • TAG_ExifSpatialFR (0xA20C )

  • TAG_ExifFocalXRes (0xA20E )

  • TAG_ExifFocalYRes (0xA20F )

  • TAG_ExifFocalResUnit (0xA210 )

  • TAG_ExifSubjectLoc (0xA214)

  • TAG_ExifExposureIndex (0xA215)

  • TAG_ExifSensingMethod (0xA217)

  • TAG_ExifFileSource (0xA300)

  • TAG_ExifSceneType (0xA301)

  • TAG_ExifCfaPattern (0xA302)

Note: Available in View, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TagType Property

Description

Gets or sets type of data within the tag.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TagType() As Integer

Remarks

Obtains the type of data within the current tag resulting from a call to the TagFirst, TagFind, or TagNext methods.

The TagType property only applies when the image loaded into the control is a TIFF or EXIF file.

Example

Note: Available in View, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TIFFIFDOffset Property

Description

Gets or sets the number of bytes preceding the IFD.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TIFFIFDOffset() As Long

Remarks

This property applies when using the FileName property, or the LoadBlob, LoadBuffer, or LoadBufferPtr methods. When reading the file or memory buffer, the control begins at the offset specified by the FileOffset property. This property is useful when reading non-standard files with embedded image data, files with multiple images, or where a header of known size is pre-pended to an image file.

TIFFIFDOffset is zero based, such that the beginning of the file is considered 0, not 1.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Timer Property

Description

Sets the built-in timer interval.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Timer() As Long

Remarks

This is very useful for checking when things occur, and updating fields in your programs accordingly. To enable this timer, set this property to a positive integer value, which defines the timer interval (in milliseconds). Each time-out occurrence will generate a TimerTick event, and the code connected to that event will be executed.

A zero value for the Timer property disables the timer.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolActive Property

Description

Retrieves or sets the currently active tool.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolActive() As enumIXTool

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolbarActivated Property

Description

Indicates whether the toolbar is created and ready for use.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolbarActivated() As Boolean

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolbarEnabled Property

Description

Gets or sets whether the toolbar is enabled or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolbarEnabled() As Boolean

Remarks

When a toolbar is enabled, the application end-user can select it. When ToolbarEnabled is false, the toolbar appears normal but is not selectable.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolbarHeight Property

Description

Gets or sets the height of toolbar, in icons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolbarHeight() As Long

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolbarHwnd Property

Description

Gets or sets the windows handle of the toolbar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolbarHwnd() As Long

Remarks

Only available when the toolbar is activated.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolbarLargeIcons Property

Description

Gets and sets whether toolbar icons are large.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolbarLargeIcons() As Boolean

Return Type

A boolean value which is True if toolbar icons are large. Otherwise, False is used.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolbarVisible Property

Description

Gets or sets toolbar visibility.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolbarVisible() As Boolean

Remarks

When a toolbar is visible (ToolbarVisible is true), it appears in the display.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolbarWidth Property

Description

Gets or sets the width of toolbar, in icons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolbarWidth() As Long

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

UndoEnabled Property

Description

Sets or returns the undo flag.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UndoEnabled() As Boolean

Remarks

The Undo method is used to undo the results of an image processing method.

Note: Available in Standard, Document, and Photo editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ViewAlphaBlend Property

Description

Enables or disables alpha blending an image to the background of the control when an alpha channel is present in the image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewAlphaBlend() As Boolean

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ViewAntialias Property

Description

Gets or sets the anti-alias effect.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewAntialias() As Boolean

Remarks

When the logical size of an image is reduced to less than the actual size of the image, then some of that image’s pixels will get lost. When ViewAntialias is enabled, all of the pixels that would occupy the same area are averaged together turning them into a level of gray for black and white images.

For color images, all of the pixels are averaged. This prevents fine lines from being lost, and allows a full page of printed text to be read clearly.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ViewBrightness Property

Description

Gets or sets the brightness of the current image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewBrightness() As Integer

Remarks

Higher brightness values result in brighter images. Negative values darken images.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ViewContrast Property

Description

Gets or sets the view contrast level of the displayed image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewContrast() As Integer

Remarks

Changing this property does not permanently affect the loaded image in memory. Valid input values are -100 to 100. Higher values result in images with higher contrast.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ViewCropHeight Property

Description

Gets or sets the view cropped height of the displayed image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewCropHeight() As Long

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ViewCropWidth Property

Description

Gets or sets the view cropped width of the displayed image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewCropWidth() As Long

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ViewCropX Property

Description

Gets or sets the view cropped x coordinate of the displayed image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewCropX() As Long

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ViewCropY Property

Description

Gets or sets the view cropped y coordinate of the displayed image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewCropY() As Long

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ViewDithered Property

Description

Gets or sets dithered indicator on the current image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewDithered() As Boolean

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ViewGrayMode Property

Description

Gets or sets the mode of grey for the image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewGrayMode() As enumGrayMode

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ViewImageID Property

Description

Gets or sets the mode of grey for the image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewImageID() As Long

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ViewPreserveBlack Property

Description

Specifies whether fine lines should be enhanced to increase readability.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewPreserveBlack() As Boolean

Remarks

ViewPreserveBlack can be useful to maintain readability of images when the display size is very small.

The ViewPreserveBlack property does not modify the image in memory.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ViewProgressive Property

Description

Gets or sets progressive view capability of the view control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewProgressive() As Boolean

Remarks

Can be useful if loading is expected to take a long time (for example, remote loading of a large, highly compressed file).

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ViewSmoothing Property

Description

Gets or sets the smoothing effect.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewSmoothing() As Boolean

Remarks

When the logical size of an image increases to more than the actual size of the image, the image starts to look boxy. When ViewSmoothing is enabled, an ImagXpress algorithm smoothes out the square edges.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ViewStatus Property

Description

Status of the current view image buffer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewStatus() As Long

Remarks

  • BUFSTATUS_EMPTY (0)

  • BUFSTATUS_DEFINED (1)

  • BUFSTATUS_OPENED (2)

  • BUFSTATUS_DECODED (4)

  • BUFSTATUS_DECODING (8)

  • BUFSTATUS_ERROR (268435456)

  • BUFSTATUS_WAIT (16)

  • BUFSTATUS_CANCELED (32)

  • BUFSTATUS_SHUTDOWN (64)

  • BUFSTATUS_IMAGEPROCESSING (256)

  • BUFSTATUS_IMAGEPROCESSED (512)

  • BUFSTATUS_SAVING (1024)

  • BUFSTATUS_SAVED (2048)

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ViewUpdate Property

Description

Sets or returns the update flag.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewUpdate() As Boolean

Remarks

Caution: Use this property carefully. If you set the ViewUpdate Property to False in design mode and never set it True, your control will not be displayed.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

WMFConvert Property

Description

Specifies whether a windows metafile should be converted to DIB at load time.

Property type

Read-write property

Syntax (Visual Basic)

Public Property WMFConvert() As Boolean

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Xpos Property

Description

Returns the logical x-coordinate of the cursor within the displayed image, in pixels. (read only)

Property type

Read-write property

Syntax (Visual Basic)

Public Property Xpos() As Long

Remarks

This property is read-only at run time and is available at design time.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Ypos Property

Description

Gets the logical y position of the cursor within the displayed image, in pixels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Ypos() As Long

Return Type

A long value which represents the logical y position of the cursor within the displayed image.

Remarks

This property is read-only at run time and is available at design time.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ZoomFactor Property

Description

Gets or sets the value by which the current display image will be resized.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ZoomFactor() As Double

Return Type

A double value which represents the image to be resized to.

Remarks

Values greater than 1 result in the display image being enlarged. Values less than 1 result in the display image being reduced. Anything past the thousandths place (.001) is ignored.

For example, a ZoomFactor = 2 will double the display image height and width. As another example, a ZoomFactor = .5 will reduce display image height and width by 50%.

Note: If the AutoSize property is set to 'BestFit', 'FitWidth', 'FitHeight' or 'ResizeImage' then the ZoomFactor property will be read-only.

Note: Available in all editions.

See Also


ImagXpress Object

newValue
An enumAutoSize value which determines the new value of the autosize event.
oldValue
An enumAutoSize value which determines the old value of the autosize event.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

AutoSizeChanged Event

Description

Called during autosize changed events.

Syntax

Public Event AutoSizeChanged( _
   ByVal newValue As enumAutoSize, _
   ByVal oldValue As enumAutoSize _
)

Parameters

newValue
Value | Description
ISIZE_CropImageToControl | (0) — The image is cropped to the control size. Note: if the control size is larger than the image, the control will be resized to the image.
ISIZE_ResizeControl | (1) — The control is resized to fit the image.
ISIZE_ResizeImage | (2) — The image is resized to fit the control.
ISIZE_TileImage | (3) — The image is tiled to fit the control.
ISIZE_BestFit | (4) — The image is resized to fit the control and the aspect ratio is preserved.
ISIZE_CropImage | 5) — The image is cropped to the control size. Note: if the control size is larger than the image, the control will not be resized to the image.
ISIZE_FitWidth | (6) — Resize image to fit image width within viewer control.
ISIZE_FitHeight | (7) — Resize image to fit image height within viewer control.
An enumAutoSize value which determines the new value of the autosize event.
oldValue
Value | Description
ISIZE_CropImageToControl | (0) — The image is cropped to the control size. Note: if the control size is larger than the image, the control will be resized to the image.
ISIZE_ResizeControl | (1) — The control is resized to fit the image.
ISIZE_ResizeImage | (2) — The image is resized to fit the control.
ISIZE_TileImage | (3) — The image is tiled to fit the control.
ISIZE_BestFit | (4) — The image is resized to fit the control and the aspect ratio is preserved.
ISIZE_CropImage | 5) — The image is cropped to the control size. Note: if the control size is larger than the image, the control will not be resized to the image.
ISIZE_FitWidth | (6) — Resize image to fit image width within viewer control.
ISIZE_FitHeight | (7) — Resize image to fit image height within viewer control.
An enumAutoSize value which determines the old value of the autosize event.

See Also


ImagXpress Object

ID
Specifies which image buffer is being processed.
CBID
An enumIXEVENT_CB_ID value which determines the type of call back.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

CB Event

Description

Event is called at several different times in response to the user initiating a LoadCB method to load an image via Call Back.

Syntax

Public Event CB( _
   ByVal ID As Integer, _
   ByVal CBID As enumIXEVENT_CB_ID _
)

Parameters

ID
Specifies which image buffer is being processed.
CBID
Value | Description
CBID_OPEN | (0) — User should open data sources and do any memory allocation/initialization to this.
CBID_READ | (1) — The decompressor is requesting more data, which the user should supply through the WriteCBData and WriteCBDataPtr methods.
CBID_CLOSE | (2) — The decompressor completed decompressing the data and is notifying the user to perform any clean-up such as file closing, etc.
An enumIXEVENT_CB_ID value which determines the type of call back.

Remarks

For read events, return non-zero values as long as there is more data available. When all the data has been presented, return zero to signal the load process to finish.cbi

Note: If the CBID_READ event is issued after a call to WriteCBData or WriteCBDataPtr with a data length of 0, then additional calls to WriteCBData or WriteCBDataPtr with a data length of 0 may be necessary.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Click Event

Description

Raised when the user clicks the mouse on the image.

Syntax

Public Event Click()

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

DblClick Event

Description

Raised when the user double-clicks the mouse on the image.

Syntax

Public Event DblClick()

Remarks

Note: Available in all editions.

See Also


ImageStatusChanged Event

ImagXpress Object

ID
Gets the image ID.
eOPID
The above properties provide information specific to this event.
lStatus
Gets the status of the current image.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ImageStatusChanged Event

Description

Occurs when image status has changed.

Syntax

Public Event ImageStatusChanged( _
   ByVal ID As Integer, _
   ByVal eOPID As enumIPEffect, _
   ByVal lStatus As Long _
)

Parameters

ID
Gets the image ID.
eOPID
Value | Description
IP_None | (0) No image processing was done.
IP_Flip | (1) Flip image vertically.
IP_Mirror | (2) Mirror image horizontally.
IP_Rotate90 | (3) — N/A (Obsolete Setting)
IP_Rotate180 | (4) — N/A (Obsolete Setting)
IP_Rotate270 | (5) — N/A (Obsolete Setting)
IP_Negative | (6) Replaced image with a negative.
IP_ColorDepth24 | (7) Color Depth set to 24.
IP_ColorDepth8 | (8) Color Depth set to 8.
IP_ColorDepth4 | (9) Color Depth set to 4.
IP_ColorDepth1 | (10) Color Depth set to 1.
IP_Sharpen | (11) Sharpen by focusing blurred regions by increasing the contrast of adjacent pixels.
IP_Soften | (12) Soften image edges.
IP_Tile | (13) Break image up into a series of tiles, creating an offset between the selection and the original position.
IP_RotateAngle | (14) Rotate image by a specified angle.
IP_LoadImage | (15) Load image.
IP_SaveImage | (16) Save image.
IP_Outline | (17) Apply outline effect to image.
IP_Mosaic | (18) Apply mosaic effect which clumps pixels into square blocks.
IP_Equalize | (19) Apply equalize effect to image.
IP_Median | (20) Apply median effect to image.
IP_Brightness | (21) Modify brightness on image.
IP_Contrast | (22) Modify image contrast.
IP_Resize | (23) Resize image.
IP_Crop | (24) Crop specified region of image. Cropping is the process of removing portions of an image to create focus or strengthen the composition.
IP_Emboss | (25) Apply emboss effect to image. Emboss makes a selection appear raised or stamped by converting it's fill color to gray and tracing the edges with the original fill color.
IP_Ripple | (26) Image has an undulating patten on a selection, like ripples on the surface of a pond.
IP_Noise | (27) Adds Noise (pixels with randomly distributed color levels. This helps to blend a selection into the surrounding pixels.
IP_Twist | (28) Distort image in a twisting motion.
IP_MotionBlur | (29) Blur image in the specified direction.
IP_ReplColors | (30) Replace colors.
IP_Matrix | (31) Apply 3x3 Image has had a 3x3 convolution matrix filter added.
IP_Zoom | (32) Modify image to fit the ImagXpress control.
IP_Perspective | (33) Image has had the aspect changed for each row or column of pixels.
IP_AdjustRGB | (34) Adjust color image.
IP_Merge | (35) Merge image with other loaded images.
IP_Copy | (36) Copy the specified region or image.
IP_AdjustHSL | (37) Adjust image hue, saturation and luminance components.
IP_Gamma | (38) Lighten or darken image depending on the specified value given.
IP_Resample | (39) Change image pixel dimensions (and therefore display size).
IP_AutoContrast | (40) Automatically adjust image contrast uniformly.
IP_Solarize | (41) A negative and a positive image blended together.
IP_Posterize | (42) Apply a specified number of brightness values altered. This is useful for creating special effects, such as large, flat areas in a photograph.
IP_Parabolic | (43) Brightness is adjusted based on either a convex or concave transform as specified.
IP_Blend | (44) Blend with underlying pixels in the image.
IP_Blur | (45) Noise eliminated where significant color transitions occur. The blur filters smooth transitions by averaging the pixels next to the hard edges of defined lines and shaded areas.
IP_Diffuse | (46) Image displays as though it were viewed through a soft diffusion filter.
IP_PWarp | (47) Distort image to conform to a specified shape.
IP_Swirl | (48) Transform image from a swirling pattern from the center of the image.
IP_Buttonize | (49) Add translucent bevels to the edges of to give it the appearance of a 3D button.
IP_Pinch | (50) Apply pinch to image which squeezes a selection.
IP_Dilate | (51) Enhance and/or fill in divets in black letters and lines.
IP_Erode | (52) Reduce or erase protrusions from black letters and lines.
IP_Separate | (53) Perform color separation on image.
IP_PICResize | (54) PIC resize
IP_Despeckle | (55) Blur the selection on the image except those edges. This blurring removes noise while preserving detail.
IP_Deskew | (56) Correct skewing of image.
IP_AutoCrop | (57) Crop border space automatically.
IP_CropBorder | (58) Crop image borders.
IP_ColorCount | (59) Returns the number of pixels of a specified color within the current image area.
IP_Binarize | (60) Modify the color palette associated with the image, setting it to two colors.
IP_ColorJoin | (61) Joins the color components into a full image.
IP_RGBColorCount | (62) Gives 3 array sets each containing 256 elements which equate to a count of red, green and blue color intensities of the image.
IP_CreateColorImage | (63) Create color image
IP_CountUniqueColors | (64) Count unique colors
IP_ApplyGrayscaleTransform | (65) Permanently levels an 8 through 16-bit gray image to an 8-bit gray image.
IP_RemoveRedeye | (66) Reduces the red reflection displayed in the eyes of people from which a color flash photo image was taken.
IP_AutoLevel | (67) Restores and balances color quality within an image.
IP_Unsharpen | (68) Combines a noise-cleaning filter with a sharpening filter applied to image.
IP_RemoveNoise | (69) Remove noise
IP_RemoveDust | (70) Removes specks within color images.
IP_RemoveScratches | (71) Removes scratches within color images along a line.
IP_SharpenEx | (72) Sharpens the current DIB by applying a high pass 3x3 convolution filter selected by the user.
IP_UnsharpenEx | (73) Subtracts the low resolution image from a normal resolution image to create a masked image.
IP_SoftenEx | (74) Softens the current DIB by applying a low pass 3x3 convolution filter.
IP_DocumentDeskew | (75) Automatically detects and removes skew from current 1-bit depth images.
IP_DocumentDespeckle | (76) Detects and removes specks from the current image.
IP_DocumentLineRemoval | (77) Automatically detects and removes lines from the current image.
IP_DocumentDilate | (78) Examines pixels in the current image and expands the black ones by a given amount in a given direction.
IP_DocumentErode | (79) Removes the black pixels in the current image by the given amount in the given direction.
IP_DocumentZoomSmooth | (80) Replaces current 1 bit per pixel image with an image whose width and height have been doubled and whose pixels have been smoothed.
IP_DocumentShear | (81) Shears current image clockwise or counter-clockwise.
IP_DocumentBlobRemoval | (82) Locates and removes large black objects in images such as binder punch holes.
IP_DocumentBlankPageDetect | (83) Examines a rectangle on an image, determining if the page is considered blank, based on the amount of data on the page.
IP_DocumentBorderCrop | (84) Crops borders of documents.
IP_AdjustColorBalance | (85) Correct color balance as specified.
IP_AdjustLightness | (86) Adjust image lightness as specified.
IP_AutoColorBalance | (87) Correct image color balance automatically.
IP_AutoLightness | (88) Adjust contrast in light and dark regions of the image separately. This is useful to bring more detail into the shadowy areas of the image, without washing out the light regions.
IP_AutoRemoveRedeye | (89) Remove red eye on an image.
The above properties provide information specific to this event.
lStatus
Gets the status of the current image.

Remarks

The event handler receives an argument of IPEffect, containing data related to this event.

Note: Available in all editions.

See Also


ImagXpress Object

KeyCode
Gets the keyboard code for a KeyDown or KeyUp event.
Shift
Gets a value indicating whether the SHIFT key was pressed.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

KeyDown Event

Description

Occurs when a key is pressed while the control has focus.

Syntax

Public Event KeyDown( _
   ByVal KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
Gets the keyboard code for a KeyDown or KeyUp event.
Shift
Gets a value indicating whether the SHIFT key was pressed.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

KeyASCII
The key that was pressed.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

KeyPress Event

Description

Occurs when a key is pressed while the control has focus.

Syntax

Public Event KeyPress( _
   ByVal KeyASCII As Integer _
)

Parameters

KeyASCII
The key that was pressed.

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

KeyCode
Gets the keyboard code for a KeyDown or KeyUp event.
Shift
Gets a value indicating whether the SHIFT key was pressed.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

KeyUp Event

Description

Occurs when a key is released while the control has focus.

Syntax

Public Event KeyUp( _
   ByVal KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
Gets the keyboard code for a KeyDown or KeyUp event.
Shift
Gets a value indicating whether the SHIFT key was pressed.

Remarks

Note: Available in all editions.

See Also


MenuSelect Event

ImagXpress Object

Menu

When menu type is Toolbar, then the tool parameter is the Tool ID that the menu is associated with.

When menu type is Context, then the tool parameter has no meaning and can be any value.

Tool
An enumIXTool value which represents the tool.
TopMenuID
Top-level menu ID of the selected item.
SubMenuID
Sub-level menu ID of the selected item. If the menu item was a top-level menu item then the SubMenuID will be 0.
User1
The user-supplied long values set when the menu was created.
User2
The user-supplied long values set when the menu was created.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MenuSelect Event

Description

Raised when a menu selection is made on one of the right-click menus.

Syntax

Public Event MenuSelect( _
   ByVal Menu As enumMenu, _
   ByVal Tool As enumIXTool, _
   ByVal TopMenuID As Long, _
   ByVal SubMenuID As Long, _
   ByVal User1 As Long, _
   ByVal User2 As Long _
)

Parameters

Menu
Value | Description
Menu_Context | (1) - Context menu activated.
Menu_Toolbar | (2) - Toolbar menu activated.

When menu type is Toolbar, then the tool parameter is the Tool ID that the menu is associated with.

When menu type is Context, then the tool parameter has no meaning and can be any value.

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
An enumIXTool value which represents the tool.
TopMenuID
Top-level menu ID of the selected item.
SubMenuID
Sub-level menu ID of the selected item. If the menu item was a top-level menu item then the SubMenuID will be 0.
User1
The user-supplied long values set when the menu was created.
User2
The user-supplied long values set when the menu was created.

Remarks

Note: Available in all editions.

See Also


MouseDown Event

ImagXpress Object

Button

Which mouse button had been clicked to create this event:

  • LeftButton (1)
  • RightButton (2)
  • MiddleButton (4)
Shift

The shift key state when the event was generated:

  • ShiftMask (1)
  • CtrlMask (2)
  • AltMask (4)

These values may be combined.

x
The horizontal coordinate of the mouse relative to the control's area. Use DIBXPos and DIBYPos properties to get the coordinates within the image without having to calculate scale, scroll offsets, etc.
y
The vertical coordinate of the mouse relative to the control's area. Use DIBXPos and DIBYPos properties to get the coordinates within the image without having to calculate scale, scroll offsets, etc.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MouseDown Event

Description

Raised when the user presses down on a mouse button over the image.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Which mouse button had been clicked to create this event:

  • LeftButton (1)
  • RightButton (2)
  • MiddleButton (4)
Shift

The shift key state when the event was generated:

  • ShiftMask (1)
  • CtrlMask (2)
  • AltMask (4)

These values may be combined.

x
The horizontal coordinate of the mouse relative to the control's area. Use DIBXPos and DIBYPos properties to get the coordinates within the image without having to calculate scale, scroll offsets, etc.
y
The vertical coordinate of the mouse relative to the control's area. Use DIBXPos and DIBYPos properties to get the coordinates within the image without having to calculate scale, scroll offsets, etc.

Remarks

Note: Available in all editions.

See Also


MouseMove Event

ImagXpress Object

Button

An integer which represents the mouse button had been clicked to create this event.

  • LeftButton (1)
  • RightButton (2)
  • MiddleButton (4)
Shift

An integer which represents the shift key state when the event was generated:

  • ShiftMask (1)
  • CtrlMask (2)
  • AltMask (4)

These values may be combined.

x
The horizontal coordinate of the mouse relative to the control's area. Use DIBXPos and DIBYPos properties to get the coordinates within the image without having to calculate scale, scroll offsets, etc.
y
The vertical coordinate of the mouse relative to the control's area. Use DIBXPos and DIBYPos properties to get the coordinates within the image without having to calculate scale, scroll offsets, etc.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MouseMove Event

Description

Raised each time the mouse moves over an image.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

An integer which represents the mouse button had been clicked to create this event.

  • LeftButton (1)
  • RightButton (2)
  • MiddleButton (4)
Shift

An integer which represents the shift key state when the event was generated:

  • ShiftMask (1)
  • CtrlMask (2)
  • AltMask (4)

These values may be combined.

x
The horizontal coordinate of the mouse relative to the control's area. Use DIBXPos and DIBYPos properties to get the coordinates within the image without having to calculate scale, scroll offsets, etc.
y
The vertical coordinate of the mouse relative to the control's area. Use DIBXPos and DIBYPos properties to get the coordinates within the image without having to calculate scale, scroll offsets, etc.

Remarks

Note: Available in all editions.

See Also


MouseUp Event

ImagXpress Object

Button

An integer value which represents the mouse button clicked to create the event:

  • LeftButton (1)
  • RightButton (2)
  • MiddleButton (4)
Shift

An integer which represents the shift key state when the event was generated:

ShiftMask (1)

CtrlMask (2)

AltMask (4)

These values may be combined.

x
A long value which represents the horizontal coordinate of the mouse relative to the control's area. Use DIBXPos and DIBYPos to get the coordinates within the image without having to calculate scale, scroll offsets, etc.
y
A long value which represents the vertical coordinate of the mouse relative to the control's area. Use DIBXPos and DIBYPos to get the coordinates within the image without having to calculate scale, scroll offsets, etc.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

MouseUp Event

Description

Raised when the user lifts up on a mouse button while over an image.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

An integer value which represents the mouse button clicked to create the event:

  • LeftButton (1)
  • RightButton (2)
  • MiddleButton (4)
Shift

An integer which represents the shift key state when the event was generated:

ShiftMask (1)

CtrlMask (2)

AltMask (4)

These values may be combined.

x
A long value which represents the horizontal coordinate of the mouse relative to the control's area. Use DIBXPos and DIBYPos to get the coordinates within the image without having to calculate scale, scroll offsets, etc.
y
A long value which represents the vertical coordinate of the mouse relative to the control's area. Use DIBXPos and DIBYPos to get the coordinates within the image without having to calculate scale, scroll offsets, etc.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Notify Event

Description

Occurs when the Notify property is True and the image in the control paints.

Syntax

Public Event Notify()

Remarks

Note: Available in all editions.

See Also


OLEDragDrop Event

ImagXpress Object

Data
A variant value which represents the data.
Format
An integer which represents the format.
Effect
A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data). The possible values are listed in Settings.
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the SHIFT, CTRL, and ALT keys when they are depressed. The SHIFT key is bit 0, the CTRL key is bit 1, and the ALT key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the CTRL and ALT keys were depressed, the value of shift would be 6.
x
A number which specifies the current location of the mouse pointer.
y
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate location of the object.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

OLEDragDrop Event

Description

Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.

Syntax

Public Event OLEDragDrop( _
   ByVal Data As Variant, _
   ByVal Format As Integer, _
   ByVal Effect As Long, _
   ByVal Button As Long, _
   ByVal Shift As Long, _
   ByVal x As Integer, _
   ByVal y As Integer _
)

Parameters

Data
A variant value which represents the data.
Format
An integer which represents the format.
Effect
A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data). The possible values are listed in Settings.
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the SHIFT, CTRL, and ALT keys when they are depressed. The SHIFT key is bit 0, the CTRL key is bit 1, and the ALT key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the CTRL and ALT keys were depressed, the value of shift would be 6.
x
A number which specifies the current location of the mouse pointer.
y
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate location of the object.

Remarks

The OLEDragOver and OLEDragDrop events only occur when the OLEDropMode enumerator is set to OLEDROP_MANUAL (1).

Note: Available in all editions.

See Also


OLEDragOver Event

ImagXpress Object

Data
A variant value which represents the data.
Format
An integer value which represents the format.
Effect
A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component.
Shift
An integer which acts as a bit field corresponding to the state of the SHIFT, CTRL, and ALT keys when they are depressed. The SHIFT key is bit 0, the CTRL key is bit 1, and the ALT key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the CTRL and ALT keys are depressed, the value of shift would be 6.
x
A number that specifies the current horizontal (x) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the properties of the object.
y
A number that specifies the current horizontal (x) position of the mouse pointer within the target form or control.
State
An integer that corresponds to the transition state of the control being dragged in relation to a target form or control.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

OLEDragOver Event

Description

Occurs when one component is dragged over another.

Syntax

Public Event OLEDragOver( _
   ByVal Data As Variant, _
   ByVal Format As Integer, _
   ByVal Effect As Long, _
   ByVal Shift As Long, _
   ByVal x As Integer, _
   ByVal y As Integer, _
   ByVal State As Long _
)

Parameters

Data
A variant value which represents the data.
Format
An integer value which represents the format.
Effect
A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component.
Shift
An integer which acts as a bit field corresponding to the state of the SHIFT, CTRL, and ALT keys when they are depressed. The SHIFT key is bit 0, the CTRL key is bit 1, and the ALT key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the CTRL and ALT keys are depressed, the value of shift would be 6.
x
A number that specifies the current horizontal (x) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the properties of the object.
y
A number that specifies the current horizontal (x) position of the mouse pointer within the target form or control.
State
An integer that corresponds to the transition state of the control being dragged in relation to a target form or control.

Remarks

Note: Available in all editions.

See Also


Paint Event

ImagXpress Object

hDC
A long value which represents the graphics.
ViewLeft
A long value which represents the left view.
ViewTop
A long value which represents the top view.
ViewWidth
A long value which represents the view width.
ViewHeight
A long value which represents the view height.
LogicalLeft
A long value which represents the logical left.
LogicalTop
A long value which represents the logical top.
LogicalWidth
A long value which represents the logical width.
LogicalHeight
A long value which represents the logical height.
UpdateLeft
UpdateTop
UpdateWidth
UpdateHeight
ZoomFactor
A double value which represents the zoom factor.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Paint Event

Description

Occurs when the control paints.

Syntax

Public Event Paint( _
   ByVal hDC As Long, _
   ByVal ViewLeft As Long, _
   ByVal ViewTop As Long, _
   ByVal ViewWidth As Long, _
   ByVal ViewHeight As Long, _
   ByVal LogicalLeft As Long, _
   ByVal LogicalTop As Long, _
   ByVal LogicalWidth As Long, _
   ByVal LogicalHeight As Long, _
   ByVal UpdateLeft As Long, _
   ByVal UpdateTop As Long, _
   ByVal UpdateWidth As Long, _
   ByVal UpdateHeight As Long, _
   ByVal ZoomFactor As Double _
)

Parameters

hDC
A long value which represents the graphics.
ViewLeft
A long value which represents the left view.
ViewTop
A long value which represents the top view.
ViewWidth
A long value which represents the view width.
ViewHeight
A long value which represents the view height.
LogicalLeft
A long value which represents the logical left.
LogicalTop
A long value which represents the logical top.
LogicalWidth
A long value which represents the logical width.
LogicalHeight
A long value which represents the logical height.
UpdateLeft
UpdateTop
UpdateWidth
UpdateHeight
ZoomFactor
A double value which represents the zoom factor.

Remarks

This event can be called by using the enumEventID enumeration.

See Also


PaintBackground Event

ImagXpress Object | enumEventID Enumeration

hDC
A long value which represents the graphics.
ViewLeft
A long value which represents the left view.
ViewTop
A long value which represents the top view.
ViewWidth
A long value which represents the view width.
ViewHeight
A long value which represents the view height.
LogicalLeft
A long value which represents the logical left.
LogicalTop
A long value which represents the logical top.
LogicalWidth
A long value which represents the logical width.
LogicalHeight
A long value which represents the logical height.
UpdateLeft
UpdateTop
UpdateWidth
UpdateHeight
ZoomFactor
A double value which represents the zoom factor.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

PaintBackground Event

Description

Occurs when the background is painted.

Syntax

Public Event PaintBackground( _
   ByVal hDC As Long, _
   ByVal ViewLeft As Long, _
   ByVal ViewTop As Long, _
   ByVal ViewWidth As Long, _
   ByVal ViewHeight As Long, _
   ByVal LogicalLeft As Long, _
   ByVal LogicalTop As Long, _
   ByVal LogicalWidth As Long, _
   ByVal LogicalHeight As Long, _
   ByVal UpdateLeft As Long, _
   ByVal UpdateTop As Long, _
   ByVal UpdateWidth As Long, _
   ByVal UpdateHeight As Long, _
   ByVal ZoomFactor As Double _
)

Parameters

hDC
A long value which represents the graphics.
ViewLeft
A long value which represents the left view.
ViewTop
A long value which represents the top view.
ViewWidth
A long value which represents the view width.
ViewHeight
A long value which represents the view height.
LogicalLeft
A long value which represents the logical left.
LogicalTop
A long value which represents the logical top.
LogicalWidth
A long value which represents the logical width.
LogicalHeight
A long value which represents the logical height.
UpdateLeft
UpdateTop
UpdateWidth
UpdateHeight
ZoomFactor
A double value which represents the zoom factor.

Remarks

This event can be called by using the enumEventID enumeration.

See Also

ImagXpress Object | enumEventID Enumeration


PaintImage Event

ImagXpress Object

hDC
A long value which represents a handle to the graphics of the image.
ViewLeft
A long value which represents the left view.
ViewTop
A long value which represents the top view.
ViewWidth
A long value which represents the width of the view.
ViewHeight
A long value which represents the height of the view.
LogicalLeft
A long value which represents the logical left.
LogicalTop
A long value which represents the logical top.
LogicalWidth
A long value which represents the logical width.
LogicalHeight
A long value which represents the logical height.
UpdateLeft
A long value which represents the left side of the image.
UpdateTop
A long value which represents the top side of the image.
UpdateWidth
A long value which represents the width of the image.
UpdateHeight
A long value which represents the height of the image.
ZoomFactor
A double value which represents the zoom factor.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

PaintImage Event

Description

Occurs when the image is painted.

Syntax

Public Event PaintImage( _
   ByVal hDC As Long, _
   ByVal ViewLeft As Long, _
   ByVal ViewTop As Long, _
   ByVal ViewWidth As Long, _
   ByVal ViewHeight As Long, _
   ByVal LogicalLeft As Long, _
   ByVal LogicalTop As Long, _
   ByVal LogicalWidth As Long, _
   ByVal LogicalHeight As Long, _
   ByVal UpdateLeft As Long, _
   ByVal UpdateTop As Long, _
   ByVal UpdateWidth As Long, _
   ByVal UpdateHeight As Long, _
   ByVal ZoomFactor As Double _
)

Parameters

hDC
A long value which represents a handle to the graphics of the image.
ViewLeft
A long value which represents the left view.
ViewTop
A long value which represents the top view.
ViewWidth
A long value which represents the width of the view.
ViewHeight
A long value which represents the height of the view.
LogicalLeft
A long value which represents the logical left.
LogicalTop
A long value which represents the logical top.
LogicalWidth
A long value which represents the logical width.
LogicalHeight
A long value which represents the logical height.
UpdateLeft
A long value which represents the left side of the image.
UpdateTop
A long value which represents the top side of the image.
UpdateWidth
A long value which represents the width of the image.
UpdateHeight
A long value which represents the height of the image.
ZoomFactor
A double value which represents the zoom factor.

Remarks

This event can be called by using the enumEventID enumeration.

See Also


PrintImage Event

ImagXpress Object

hDC
A long value which represents a handle to the graphics.
PrintLeft
A long value which represents the left side of the print.
A long value which represents the logical left.
PrintTop
A long value which represents the top side of the print.
A long value which represents the logical top.
PrintWidth
A long value which represents the width of the print.
A long value which represents the logical width.
PrintHeight
A long value which represents the height of the print.
A long value which represents the logical height.
units
An IX_GraphicsUnit value which represents the unit of measurement for the graphics.
ImageLeft
A long value which represents the left side of the image.
ImageTop
A long value which represents the top side of the image.
ImageWidth
A long value which represents the width of the image.
ImageHeight
A long value which represents the height of the image.
printType
an IX_PrintType value which represents the print type to use.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

PrintImage Event

Description

Called on print image events.

Syntax

Public Event PrintImage( _
   ByVal hDC As Long, _
   ByVal PrintLeft As Long, _
   ByVal PrintTop As Long, _
   ByVal PrintWidth As Long, _
   ByVal PrintHeight As Long, _
   ByVal units As IX_GraphicsUnit, _
   ByVal ImageLeft As Long, _
   ByVal ImageTop As Long, _
   ByVal ImageWidth As Long, _
   ByVal ImageHeight As Long, _
   ByVal printType As IX_PrintType _
)

Parameters

hDC
A long value which represents a handle to the graphics.
PrintLeft
A long value which represents the left side of the print.
A long value which represents the logical left.
PrintTop
A long value which represents the top side of the print.
A long value which represents the logical top.
PrintWidth
A long value which represents the width of the print.
A long value which represents the logical width.
PrintHeight
A long value which represents the height of the print.
A long value which represents the logical height.
units
Value | Description
IX_GraphicsUnit_World | World
IX_GraphicsUnit_Display | Display
IX_GraphicsUnit_Pixel | Pixel
IX_GraphicsUnit_Point | Point
IX_GraphicsUnit_Inch | Inch
IX_GraphicsUnit_Document | Document
IX_GraphicsUnit_Millimeter | Millimeter
IX_GraphicsUnit_Twip | Twip
An IX_GraphicsUnit value which represents the unit of measurement for the graphics.
ImageLeft
A long value which represents the left side of the image.
ImageTop
A long value which represents the top side of the image.
ImageWidth
A long value which represents the width of the image.
ImageHeight
A long value which represents the height of the image.
printType
Value | Description
IX_PrintType_FullImage | Full image
IX_PrintType_ViewCroppedImage | Cropped image
IX_PrintType_Rubberband | Rubberband
an IX_PrintType value which represents the print type to use.

See Also


Progress Event

ImagXpress Object

ImageID
Which view buffer is being processed.
OperationID

Gets the operation method being performed. See the enumIPEffect enumeration for possible processing actions.

BytesProcessed
Contains event data for image progress events.
TotalBytes
Gets the total bytes that were processed.
PctDone
Gets the percentage complete value of the current image operation.
bDone
Gets the True or False indicator denoting image processing is complete.
bAsync
Gets the True or False indicator denoting whether subsequent image loading/processing/saving operations will occur in a thread separate from the viewer control thread.
Error
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Progress Event

Description

Contains event data for image progress events.

Syntax

Public Event Progress( _
   ByVal ImageID As Long, _
   ByVal OperationID As Long, _
   ByVal BytesProcessed As Long, _
   ByVal TotalBytes As Long, _
   ByVal PctDone As Long, _
   ByVal bDone As Boolean, _
   ByVal bAsync As Boolean, _
   ByVal Error As Long _
)

Parameters

ImageID
Which view buffer is being processed.
OperationID

Gets the operation method being performed. See the enumIPEffect enumeration for possible processing actions.

BytesProcessed
Contains event data for image progress events.
TotalBytes
Gets the total bytes that were processed.
PctDone
Gets the percentage complete value of the current image operation.
bDone
Gets the True or False indicator denoting image processing is complete.
bAsync
Gets the True or False indicator denoting whether subsequent image loading/processing/saving operations will occur in a thread separate from the viewer control thread.
Error

Example

Note: Available in all editions.

See Also


ImagXpress Object

newWidth
A long value which represents the new width.
newHeight
A long value which represents the new height.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Resized Event

Description

Called for resized events.

Syntax

Public Event Resized( _
   ByVal newWidth As Long, _
   ByVal newHeight As Long _
)

Parameters

newWidth
A long value which represents the new width.
newHeight
A long value which represents the new height.

See Also


Scroll Event

ImagXpress Object

Bar

0 — The horizontal bar was adjusted.

1 — The vertical bar was adjusted.

Action

  • 0 — Minor adjustment as made by clicking on the up end arrow button.

  • 1 — Minor adjustment down.

  • 2 — Major adjustment as made by clicking in the space between the slider and the up end arrow button.

  • 3 — Major adjustment down

  • 4 — The slider has been moved but not dropped.

  • 5 — The user is changing the slider with the mouse.

  • 6 — Scroll to the top (right-mouse-click on the scroll bar and select 'top'.)

  • 7 — Scroll to the bottom (right-mouse-click on the scroll bar and select 'bottom'.)

  • 8 — The user lifted off the mouse button. (follows a 0, 2, 5, 6, or 7 Action)

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Scroll Event

Description

This event is raised when the user makes a minor or major adjustment with the scrollbars on an ImagXpress control.

Syntax

Public Event Scroll( _
   ByVal Bar As Integer, _
   ByVal Action As Integer _
)

Parameters

Bar

0 — The horizontal bar was adjusted.

1 — The vertical bar was adjusted.

Action

  • 0 — Minor adjustment as made by clicking on the up end arrow button.

  • 1 — Minor adjustment down.

  • 2 — Major adjustment as made by clicking in the space between the slider and the up end arrow button.

  • 3 — Major adjustment down

  • 4 — The slider has been moved but not dropped.

  • 5 — The user is changing the slider with the mouse.

  • 6 — Scroll to the top (right-mouse-click on the scroll bar and select 'top'.)

  • 7 — Scroll to the bottom (right-mouse-click on the scroll bar and select 'bottom'.)

  • 8 — The user lifted off the mouse button. (follows a 0, 2, 5, 6, or 7 Action)

See Also


ImagXpress Object

scrollBar
An enumScrollBars value which represents the scrollbar types.
visible
A boolean value which is True when the scrollbar is visible. Otherwise, False is used.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ScrollBarVisibleChanged Event

Description

Called for scrollbar visible changed events.

Syntax

Public Event ScrollBarVisibleChanged( _
   ByVal scrollBar As enumScrollBars, _
   ByVal visible As Boolean _
)

Parameters

scrollBar
Value | Description
SB_None | (0) - No scrollbars, default.
SB_Horizontal | (1) - Horizontal scrollbars only.
SB_Vertical | (2) - Vertical scrollbars only.
SB_Both | (3) - Both vertical and horizontal scrollbars.
An enumScrollBars value which represents the scrollbar types.
visible
A boolean value which is True when the scrollbar is visible. Otherwise, False is used.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

TimerTick Event

Description

The TimerTick event will be generated when the ImagXpress component timer times-out.

Syntax

Public Event TimerTick()

Remarks

This event will be generated at the interval to which the Timer property is set. When the Timer property is set to zero, the timer will become inactive.

Note: Available in all editions.

See Also


ImagXpress Object

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolbarClose Event

Description

This event is raised then the toolbar is closed.

Syntax

Public Event ToolbarClose()

Remarks

Note: Available in all editions.

See Also


ImagXpress Object

hWndToolbar
A long value which represents the handle of the toolbar.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolbarOpen Event

Description

This event is raised when the toolbar is opened.

Syntax

Public Event ToolbarOpen( _
   ByVal hWndToolbar As Long _
)

Parameters

hWndToolbar
A long value which represents the handle of the toolbar.

Remarks

Note: Available in all editions.

See Also


ToolbarSelect Event

ImagXpress Object

Tool
The ID of the selected tool.
User1
The user-supplied long values set when the menu was created.
User2
The user-supplied long values set when the menu was created.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolbarSelect Event

Description

Raised when a tool selection is made.

Syntax

Public Event ToolbarSelect( _
   ByVal Tool As enumIXTool, _
   ByVal User1 As Long, _
   ByVal User2 As Long _
)

Parameters

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
The ID of the selected tool.
User1
The user-supplied long values set when the menu was created.
User2
The user-supplied long values set when the menu was created.

Remarks

Note: Available in all editions.

See Also


ToolUse Event

ImagXpress Object

Tool
Action
x
The horizontal coordinate of the tool relative to the control's area.
y
The horizontal coordinate of the tool relative to the control's area.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ToolUse Event

Description

Provides usage information on tool.

Syntax

Public Event ToolUse( _
   ByVal Tool As enumIXTool, _
   ByVal Action As enumIXToolAction, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Tool
Value | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.
Action
Value | Description
TOOLACTION_Clicked | (0) - Tool clicked (activated)
TOOLACTION_Begin | (1) - Begin tool operation
TOOLACTION_End | 2) - Tool operation complete
x
The horizontal coordinate of the tool relative to the control's area.
y
The horizontal coordinate of the tool relative to the control's area.

Remarks

Provides information for which tool was used, which action the tool took and where it was used.

Note: Available in all editions.

See Also


ImagXpress Object

newValue
A double value which represents the new value.
oldValue
a double value which represents the old value.
See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

ZoomFactorChanged Event

Description

Called for zoom factor changed events.

Syntax

Public Event ZoomFactorChanged( _
   ByVal newValue As Double, _
   ByVal oldValue As Double _
)

Parameters

newValue
A double value which represents the new value.
oldValue
a double value which represents the old value.

See Also


enumAlignH Enumeration

Description

Enumeration values indicating horizontal alignment setting.

Members

Member | Description
ALIGNH_Left | (0) — Align horizontally to the left edge of the view.
ALIGNH_Center | (1) — Align horizontally to the center of the view.
ALIGNH_Right | (2) — Align horizontally to the right edge of the view.


enumAlignV Enumeration

Description

Enumeration values indicating vertical alignment setting.

Members

Member | Description
ALIGNV_Top | (0) — Align vertically to the top edge of the view.
ALIGNV_Center | (1) — Align vertically to the center of the view.
ALIGNV_Bottom | (2) — Align vertically to the bottom edge of the view.


enumAsyncPriority Enumeration

Description

The priority levels of loading/processing/saving threads, when operating asynchronously.

Members

Member | Description
ASYNC_Low | (-1) low priority
ASYNC_Normal | (0) normal priority
ASYNC_High | (1) high priority


enumAutoSize Enumeration

Description

Enumeration values for use with the AutoSize property.

Members

Member | Description
ISIZE_CropImageToControl | (0) — The image is cropped to the control size. Note: if the control size is larger than the image, the control will be resized to the image.
ISIZE_ResizeControl | (1) — The control is resized to fit the image.
ISIZE_ResizeImage | (2) — The image is resized to fit the control.
ISIZE_TileImage | (3) — The image is tiled to fit the control.
ISIZE_BestFit | (4) — The image is resized to fit the control and the aspect ratio is preserved.
ISIZE_CropImage | 5) — The image is cropped to the control size. Note: if the control size is larger than the image, the control will not be resized to the image.
ISIZE_FitWidth | (6) — Resize image to fit image width within viewer control.
ISIZE_FitHeight | (7) — Resize image to fit image height within viewer control.

Remarks

The default value is ISIZE_CropImage (5).


enumBinarizeBlur Enumeration

Description

Enumeration used to determine what type of blur functionality to invoke during Binarize method.

Members

Member | Description
BIN_BLUR_NONE | (0) - Don't blur.
BIN_BLUR_GAUSSIAN | (1) - Blur image before local contrast enhancement/binarize.
BIN_BLUR_SMART | (2) - Remove dither-like artifacts introduced into many images already binarized to 1-bit by other software or hardware operations.


enumBinarizeMode Enumeration

Description

Enumeration values used to determine what Binarize functionality to invoke.

Members

Member | Description
BIN_MODE_QUICK_TEXT | (0) - QuickText mode is to produce a clean 1-bit image for viewing and storage. This is generally used for document type images consisting of dark text and lines on a white or gray background. The result of the operation is to replace the text and lines in the image by black and the background by white. The controlling parameters for QuickText mode are: IPbinLowThreshold, IPbinHighThreshold, IPbinLCEFactor and IPbinBlur.
BIN_MODE_PHOTO_HALFTONE | (1) - The goal of this mode is to generate a 1-bit image from color or grayscale photographic-type images, reproducing the shades of gray in the image by black and white dots of various sizes. The angle and pitch of the halftone grid are controllable.
BIN_MODE_GRAY | (2) - The goal of this mode is to generate an 8-bit grayscale image from the input. Useful for scaling to gray before another Binarize call with more options.


enumBorderStyle Enumeration

Description

Enumeration values to indicate border display style.

Members

Member | Description
STYLE_Transparent | 0 - Transparent border style.
STYLE_Solid | 1 - Solid border style.
STYLE_Dash | 2 - Dashed border style.
STYLE_Dot | 3 - Dotted border style.
STYLE_DashDot | 4 - Dashed dot border style.
STYLE_DashDotDot | 5 - Dash dot dot border style.


enumBorderType Enumeration

Description

Enumeration values for use with the BorderType property.

Members

Member | Description
BORD_None | (0) — None
BORD_Inset | (1) — Inset - Sets the border to a 2-pixel wide inset border.
BORD_Raised | (2) - Raised border.
BORD_Flat | (3) — Flat - Sets the border to a 2-pixel wide black border.
BORD_RaisedResizer | (4) - Raised resizer handles.
BORD_InsetResizer | (5) - Inset resizer handles.
BORD_InsetThickResizer | (6) - Thick inset resizer handles.


enumCancelMode Enumeration

Description

Defines an event that cancels the loading, decompression, saving, compression, or processing of images.

Members

Member | Description
CM_None | 0 - On no event.
CM_ESCKey | 1 - On pressing the escape key.
CM_EnterKey | 2 - On pressing the enter key.
CM_SpaceKey | 3 - On pressing the space key.
CM_KeyPress | 4 - On any key press.
CM_MouseLeft | 5 - On pressing the left mouse button.
CM_MouseRight | 6 - On pressing the right mouse button.
CM_MouseMove | 7 - On moving the mouse.
CM_KeyOrButton | 8 - On any key or button press.
CM_KeyOrMove | 9 - On any key press or move.

Remarks

Called by CancelMode property.


enumClipboardFormat Enumeration

Description

Defines the various formats to get or set to the clipboard using the ClipboardFormat property

Members

Member | Description
CLIPBOARDFORMAT_DIB | (0) - DIB format
CLIPBOARDFORMAT_BITMAP | (1) - GDI HBITMAP format
CLIPBOARDFORMAT_ALL | (2) - Both the HBITMAP and DIB formats

Remarks

The default is CLIPBOARDFORMAT_DIB.


enumCompressInMemory Enumeration

Description

Sets compression policy for the DIB in memory.

Members

Member | Description
CMEM_NONE | (0) — None
CMEM_NOFOCUS | (1) — Compress the DIB if the control does not have focus.
CMEM_ALWAYS | (2) — Always compress the DIB.


enumContrastMethod Enumeration

Description

Enumeration used to determine which contrast method to invoke.

Members

Member | Description
DefaultContrast | DefaultContrast (0) — Default
ViewCompatibleContrast | ViewCompatibleContrast (1) — Use the contrast method that View does


enumCopyImageMode Enumeration

Description

Option values to determine copy image modes.

Members

Member | Description
COPYIMG_NO_EXCLUSION | 0x00000000 - Copy with no exclusion.
COPYIMG_EXCLUDE_UNDO | 0x00000001 - Copy excluding undo.
COPYIMG_EXCLUDE_TAGS | 0x00000002 - Copy excluding tags.
COPYIMG_EXCLUDE_ANNOT | 0x00000004 - Copy excluding annotations.


enumDefectType Enumeration

Description

Enumeration values indicating the defect type to process.

Members

Member | Description
DefectTypeLight | (0) - A light defect is to be removed.
DefectTypeDark | (1) - A dark defect is to be removed.


enumDeskewType Enumeration

Description

Enumeration values indicating deskew setting for image correction.

Members

Member | Description
DESKEW_Normal | (0) — Normal (Default).
DESKEW_AdjustSize | (1) — Image size grows or shrinks.
DESKEW_Preserve_Crop | (2) — Image stays same size, rotated image is cropped to original dimensions.
DESKEW_Preserve_Resize | (3) — Image stays same size, rotated image is resized to original dimensions using Resize method.
DESKEW_Preserve_Resample | (4) — Image stays same size, rotated image is resized to original dimensions using the Resample method.
DESKEW_Preserve_PICResize | (5) — Image stays same size, rotated image is resized to original dimensions using PICResize method.
DESKEW_Photo_Crop | (6) — Special deskew routine specifically for color images. Only available for Photo edition.


enumDithered Enumeration

Description

Enumeration values used to determine dither type to perform.

Members

Member | Description
DI_None | (0) — None
DI_Floyd | (1) — Floyd-Steinberg
DI_Ordered | (2) — Ordered
DI_Pegasus | (3) — Pegasus
DI_BinarizeQuickText | (4) — Binarize quick text
DI_BinarizePhotoHalftone | (5) — Binarize photo halftone


enumDrawMode Enumeration

Description

Returns or sets a value that determines the appearance of output from graphics methods.

Members

Member | Description
PEN_Blackness | (1) - Blackness
PEN_NotMergePen | (2) — Inverse of setting 15 (MergePen).
PEN_MaskNotPen | (3) — Combination of the colors common to the background color and the inverse of the pen.
PEN_NotCopyPen | (4) — Inverse of setting 13 (Copy Pen).
PEN_MaskPenNot | (5) — Combination of the colors common to both the pen and the inverse of the display.
PEN_Invert | (6) — Inverse of the display color.
PEN_Xor | (7) — Combination of the colors in the pen and in the display color, but not in both.
PEN_NotMaskPen | (8) — Inverse of setting 9 (Mask Pen).
PEN_MaskPen | (9) — Combination of the colors common to both the pen and the display.
PEN_NotXorPen | (10) — Inverse of setting 7 (Xor Pen).
PEN_Nop | (11) — No operation: output remains unchanged. In effect, this setting turns drawing off.
PEN_MergeNotPen | (12) — Combination of the display color and the inverse of the pen color.
PEN_CopyPen | (13) — Color specified by the ForeColor property.
PEN_MergePenNot | (14) — Combination of the pen color and the inverse of the display color.
PEN_MergePen | (15) — Combination of the pen color and the display color.
PEN_Whiteness | (16) - Whiteness


enumEdition Enumeration

Description

Enumeration determining current ImagXpress edition license agreement.

Members

Member | Description
EDITION_Std | Standard edition
EDITION_View | View edition
EDITION_Doc | Document edition
EDITION_Photo | Photo edition


enumEnhancementDirection Enumeration

Description

Enumeration used to determine enhancement direction.

Members

Member | Description
EnhancementDirectionAll | (0) - Enhance all directions.
EnhancementDirectionLeft | (1) - Enhance left.
EnhancementDirectionRight | (2) - Enhance right.
EnhancementDirectionUp | (3) - Enhance up.
EnhancementDirectionDown | (4) - Enhance down.
EnhancementDirectionLeftUp | (5) - Enhance left and up.
EnhancementDirectionLeftDown | (6) - Enhance left and down.
EnhancementDirectionRightUp | (7) - Enhance right and up.
EnhancementDirectionRightDown | (8) - Enhance right and down.


enumEvaluationMode Enumeration

Description

Enumeration used to determine how ImagXpress will behave when on the installed development machine in evaluation (non-licensed) mode.

Members

Member | Description
EVAL_Automatic (0) In Automatic Mode:
  • when running under an IIS server, the mode is switched to Watermark and all images passed through the component are watermarked.
  • otherwise, the component will regularly display a dialog box stating it is in Trial Licensing mode.
EVAL_Watermark | (1) Every image opened in ImagXpress is permanently watermarked with the Pegasus Imaging.

Remarks

In order to test the component in an application running as a service or other environments where the component would not have permissions to create a window, the application should set the EvaluationMode to Watermark. The component will not attempt to create its Evaluation Mode window, but it will permanently watermark all image data passed through it.


enumEventID Enumeration

Description

Option values which determine mouse actions.

Members

Member | Description
EVENT_CLICK | (1) — Click Events
EVENT_DBLCLICK | (2) — Double Click Events
EVENT_KEYDOWN | (3) — Key Down Events
EVENT_KEYPRESS | (4) — Key Press Events
EVENT_KEYUP | (5) — Key Up Events
EVENT_MOUSEDOWN | (6) — Mouse Down Events
EVENT_MOUSEMOVE | (7) — Mouse Move Events
EVENT_MOUSEUP | (8) — Mouse Up Events
EVENT_NOTIFY | (9) — Notify Events
EVENT_OLEDRAGDROP | (10) — OLE Drag Drop Events
EVENT_OLEDRAGOVER | (11) — OLE Drag Over Events
EVENT_PROGRESS | (12) — The progress percentage passes one of the defined boundary values (e.g. 10, 20, 30...).
EVENT_SCROLL | (13) — One of the scroll bars was moved.
EVENT_PAINTBACKGROUND | (14) - Paint the background event.
EVENT_PAINTIMAGE | (15) - Paint the image event.
EVENT_PAINT | (16) - Paint event.
EVENT_PRINTIMAGE | (17) - Print image.
EVENT_AUTOSIZECHANGED | (18) - Autosize changed.
EVENT_RESIZED | (19) - Resized.
EVENT_SCROLLBARVISIBLECHANGED | (20) - Scrollbar visible changed.
EVENT_ZOOMFACTORCHANGED | (21) - Zoom factor changed.
EVENT_TOOLUSE | (22) - Tool use.
EVENT_MENUSELECT | (23) - Menu select.
EVENT_TOOLBAROPEN | (24) - Toolbar open.
EVENT_TOOLBAR | (25) - Toolbar.
EVENT_TOOLBARCLOSE | (26) - Toolbar close.


enumEyeGlare Enumeration

Description

Enumeration values used when removing redeye.

Members

Member | Description
EyeGlareNone | (0) - No glare.
EyeGlareSlight | (1) - Slight image glare.
EyeGlareFull | (2) - Strong image glare.


enumEyeShade Enumeration

Description

Enumeration values used when removing redeye.

Members

Member | Description
EyeShadeNormal | (0) - Normal shade
EyeShadeDark | (2) - Dark eye shading
EyeShadeLight | (1) - Light eye shading


enumFileOffsetUse Enumeration

Description

Determines the behavior of the FileOffset property when loading a TIFF file.

Members

Member | Description
FO_IMAGE | (0) — TIFF file begins at FileOffset, default.
FO_TIFFII | (1) — File begins at IFD, FileOffset is the IFD location – Intel order TIFFs.
FO_TIFFMM | (2) — File begins at IFD, FileOffset is the IFD location – Motorola order TIFFs.
FO_UNKNOWN | (3) — File begins at start of TIFF, FileOffset is the IFD location.


DrawFillStyle Property | DrawFillColor Property

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

enumFillStyle Enumeration

Description

Option value for the pattern used to fill circles and boxes created with the DrawCircle, DrawLine and DrawPolygon graphics methods.

Members

Member | Description
FILL_Solid | 0 - Solid fill pattern.
FILL_Transparent | 1 - Transparent fill pattern.
FILL_HorizontalLine | 2 - Horizontal line fill pattern.
FILL_VerticalLine | 3 - Vertical line fill pattern.
FILL_DownwardDiagonal | 4 - Downward diagonal fill pattern.
FILL_UpwardDiagonal | 5 - Upward diagonal fill pattern.
FILL_Cross | 6 - Cross fill pattern.
FILL_DiagonalCross | 7 - Diagonal cross fill pattern.

Remarks

The default value is FILL_Transparent.

When DrawFillStyle is set to 1 (Transparent), the DrawFillColor property is ignored.

See Also

DrawFillStyle Property | DrawFillColor Property


enumFTPMode Enumeration

Description

Enumeration values used for FTP mode.

Members

Member | Description
FTP_ACTIVE | (0) — Active mode
FTP_PASSIVE | (1) — Passive mode


enumGIFType Enumeration

Description

Enumeration values for GIF file format.

Members

Member | Description
GIF89a | (0) — GIF89a format.
GIF87a | (1) — GIF87a format.


enumGrayMode Enumeration

Description

Used to determine which type of Gray Mode to utilize.

Members

Member | Description
GRAY_Standard | (0) — Use the simple linear method to level the image.
GRAY_Medical | (1) — Use the DICOM standard method to level the image.


enumIPEffect Enumeration

Description

Indicates the image processing action that has taken place.

Members

Member | Description
IP_None | (0) No image processing was done.
IP_Flip | (1) Flip image vertically.
IP_Mirror | (2) Mirror image horizontally.
IP_Rotate90 | (3) — N/A (Obsolete Setting)
IP_Rotate180 | (4) — N/A (Obsolete Setting)
IP_Rotate270 | (5) — N/A (Obsolete Setting)
IP_Negative | (6) Replaced image with a negative.
IP_ColorDepth24 | (7) Color Depth set to 24.
IP_ColorDepth8 | (8) Color Depth set to 8.
IP_ColorDepth4 | (9) Color Depth set to 4.
IP_ColorDepth1 | (10) Color Depth set to 1.
IP_Sharpen | (11) Sharpen by focusing blurred regions by increasing the contrast of adjacent pixels.
IP_Soften | (12) Soften image edges.
IP_Tile | (13) Break image up into a series of tiles, creating an offset between the selection and the original position.
IP_RotateAngle | (14) Rotate image by a specified angle.
IP_LoadImage | (15) Load image.
IP_SaveImage | (16) Save image.
IP_Outline | (17) Apply outline effect to image.
IP_Mosaic | (18) Apply mosaic effect which clumps pixels into square blocks.
IP_Equalize | (19) Apply equalize effect to image.
IP_Median | (20) Apply median effect to image.
IP_Brightness | (21) Modify brightness on image.
IP_Contrast | (22) Modify image contrast.
IP_Resize | (23) Resize image.
IP_Crop | (24) Crop specified region of image. Cropping is the process of removing portions of an image to create focus or strengthen the composition.
IP_Emboss | (25) Apply emboss effect to image. Emboss makes a selection appear raised or stamped by converting it's fill color to gray and tracing the edges with the original fill color.
IP_Ripple | (26) Image has an undulating patten on a selection, like ripples on the surface of a pond.
IP_Noise | (27) Adds Noise (pixels with randomly distributed color levels. This helps to blend a selection into the surrounding pixels.
IP_Twist | (28) Distort image in a twisting motion.
IP_MotionBlur | (29) Blur image in the specified direction.
IP_ReplColors | (30) Replace colors.
IP_Matrix | (31) Apply 3x3 Image has had a 3x3 convolution matrix filter added.
IP_Zoom | (32) Modify image to fit the ImagXpress control.
IP_Perspective | (33) Image has had the aspect changed for each row or column of pixels.
IP_AdjustRGB | (34) Adjust color image.
IP_Merge | (35) Merge image with other loaded images.
IP_Copy | (36) Copy the specified region or image.
IP_AdjustHSL | (37) Adjust image hue, saturation and luminance components.
IP_Gamma | (38) Lighten or darken image depending on the specified value given.
IP_Resample | (39) Change image pixel dimensions (and therefore display size).
IP_AutoContrast | (40) Automatically adjust image contrast uniformly.
IP_Solarize | (41) A negative and a positive image blended together.
IP_Posterize | (42) Apply a specified number of brightness values altered. This is useful for creating special effects, such as large, flat areas in a photograph.
IP_Parabolic | (43) Brightness is adjusted based on either a convex or concave transform as specified.
IP_Blend | (44) Blend with underlying pixels in the image.
IP_Blur | (45) Noise eliminated where significant color transitions occur. The blur filters smooth transitions by averaging the pixels next to the hard edges of defined lines and shaded areas.
IP_Diffuse | (46) Image displays as though it were viewed through a soft diffusion filter.
IP_PWarp | (47) Distort image to conform to a specified shape.
IP_Swirl | (48) Transform image from a swirling pattern from the center of the image.
IP_Buttonize | (49) Add translucent bevels to the edges of to give it the appearance of a 3D button.
IP_Pinch | (50) Apply pinch to image which squeezes a selection.
IP_Dilate | (51) Enhance and/or fill in divets in black letters and lines.
IP_Erode | (52) Reduce or erase protrusions from black letters and lines.
IP_Separate | (53) Perform color separation on image.
IP_PICResize | (54) PIC resize
IP_Despeckle | (55) Blur the selection on the image except those edges. This blurring removes noise while preserving detail.
IP_Deskew | (56) Correct skewing of image.
IP_AutoCrop | (57) Crop border space automatically.
IP_CropBorder | (58) Crop image borders.
IP_ColorCount | (59) Returns the number of pixels of a specified color within the current image area.
IP_Binarize | (60) Modify the color palette associated with the image, setting it to two colors.
IP_ColorJoin | (61) Joins the color components into a full image.
IP_RGBColorCount | (62) Gives 3 array sets each containing 256 elements which equate to a count of red, green and blue color intensities of the image.
IP_CreateColorImage | (63) Create color image
IP_CountUniqueColors | (64) Count unique colors
IP_ApplyGrayscaleTransform | (65) Permanently levels an 8 through 16-bit gray image to an 8-bit gray image.
IP_RemoveRedeye | (66) Reduces the red reflection displayed in the eyes of people from which a color flash photo image was taken.
IP_AutoLevel | (67) Restores and balances color quality within an image.
IP_Unsharpen | (68) Combines a noise-cleaning filter with a sharpening filter applied to image.
IP_RemoveNoise | (69) Remove noise
IP_RemoveDust | (70) Removes specks within color images.
IP_RemoveScratches | (71) Removes scratches within color images along a line.
IP_SharpenEx | (72) Sharpens the current DIB by applying a high pass 3x3 convolution filter selected by the user.
IP_UnsharpenEx | (73) Subtracts the low resolution image from a normal resolution image to create a masked image.
IP_SoftenEx | (74) Softens the current DIB by applying a low pass 3x3 convolution filter.
IP_DocumentDeskew | (75) Automatically detects and removes skew from current 1-bit depth images.
IP_DocumentDespeckle | (76) Detects and removes specks from the current image.
IP_DocumentLineRemoval | (77) Automatically detects and removes lines from the current image.
IP_DocumentDilate | (78) Examines pixels in the current image and expands the black ones by a given amount in a given direction.
IP_DocumentErode | (79) Removes the black pixels in the current image by the given amount in the given direction.
IP_DocumentZoomSmooth | (80) Replaces current 1 bit per pixel image with an image whose width and height have been doubled and whose pixels have been smoothed.
IP_DocumentShear | (81) Shears current image clockwise or counter-clockwise.
IP_DocumentBlobRemoval | (82) Locates and removes large black objects in images such as binder punch holes.
IP_DocumentBlankPageDetect | (83) Examines a rectangle on an image, determining if the page is considered blank, based on the amount of data on the page.
IP_DocumentBorderCrop | (84) Crops borders of documents.
IP_AdjustColorBalance | (85) Correct color balance as specified.
IP_AdjustLightness | (86) Adjust image lightness as specified.
IP_AutoColorBalance | (87) Correct image color balance automatically.
IP_AutoLightness | (88) Adjust contrast in light and dark regions of the image separately. This is useful to bring more detail into the shadowy areas of the image, without washing out the light regions.
IP_AutoRemoveRedeye | (89) Remove red eye on an image.


enumIRes Enumeration

Description

Enumeration used to determine the unit of measure for image resolution.

Members

Member | Description
IRes_NA | (0) - Not available: no absolute unit of measurement.
IRes_None | (1) - None
IRes_Inch | (2) - Inches
IRes_Cm | (3) - Centimeters


WriteCBData Method | WriteCBDataPtr Method

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

enumIXEVENT_CB_ID Enumeration

Description

Identifies the action that must be taken when a CB event is raised while loading by call back (LoadCB).

Members

Member | Description
CBID_OPEN | (0) — User should open data sources and do any memory allocation/initialization to this.
CBID_READ | (1) — The decompressor is requesting more data, which the user should supply through the WriteCBData and WriteCBDataPtr methods.
CBID_CLOSE | (2) — The decompressor completed decompressing the data and is notifying the user to perform any clean-up such as file closing, etc.

See Also

WriteCBData Method | WriteCBDataPtr Method


enumIXKeyMask Enumeration

Description

A mask enumeration, identifying the keys that can be used in mouse/key combinations to invoke a tool.

Members

Member | Description
IXKEY_None | 0x00000000 - No key.
IXKEY_Shift | 0x00000001 - Shift key.
IXKEY_Ctrl | 0x00000002 - Control key.
IXKEY_Alt | 0x00000004 - Alt key.


enumIXMouseButton Enumeration

Description

The buttons and wheel available on a mouse.

Members

Member | Description
IXMOUSEBUTTON_Left | 1 - Left mouse button.
IXMOUSEBUTTON_Right | 2 - Right mouse button.
IXMOUSEBUTTON_Middle | 4 - Middle mouse button.
IXMOUSEBUTTON_MouseWheel | 8 - Mouse wheel.


ToolActive Property

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

enumIXTool Enumeration

Description

Option values used to determine tool selected.

Members

Member | Description
TOOL_None | 0 - No tool selected.
TOOL_ZoomIn | 1 - Zoom in tool.
TOOL_ZoomOut | 2 - Zoom out tool.
TOOL_ZoomRect | 3 - Zoom rectangle tool.
TOOL_Hand | 4 - Image panning tool.
TOOL_Mag | 5 - Magnifying window.
TOOL_Select | 6 - Rubberband window selection tool.
TOOL_Pan | 7 - Image viewing pan tool.
TOOL_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOL_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOL_MouseWheelZoom | 103 - Mouse wheel zoom.

Remarks

See ToolActive property.

See Also

ToolActive Property


enumIXToolAction Enumeration

Description

Enumeration used to determine what type of IXTool event has occurred.

Members

Member | Description
TOOLACTION_Clicked | (0) - Tool clicked (activated)
TOOLACTION_Begin | (1) - Begin tool operation
TOOLACTION_End | 2) - Tool operation complete


enumIXToolAttr Enumeration

Description

Option values used to determine IXTool attribute value.

Members

Member | Description
TOOLATTR_ZoomInFactor | 0 - Zoom in factor.
TOOLATTR_ZoomOutFactor | 1 - Zoom out factor.
TOOLATTR_MagFactor | 2 - Magnification factor.
TOOLATTR_MagWidth | 3 - Magnifier width value.
TOOLATTR_MagHeight | 4 - Magnifier height value.
TOOLATTR_MagShape | 5 - Magnifier shape -- Reserved for future use.
TOOLATTR_MagBitmask | 6 - Magnifier bit mask -- Reserved for future use.
TOOLATTR_SelectShape | 7 - Select region shape.
TOOLATTR_MinimumArea | 8 - Minimum area.
TOOLATTR_MouseWheelVertScroll | 101 - Mouse wheel vertical scroll.
TOOLATTR_MouseWheelHorizScroll | 102 - Mouse wheel horizontal scroll.
TOOLATTR_MouseWheelZoom | 103 - Mouse wheel zoom.


enumJBIG2EncodeModeCompression Enumeration

Description

Specifies the encoding mode to use when creating the JBIG2 file.

Members

Member | Description
JB2_EncodeMode_AutoDetect | (0) -- Default, Lossless Generic_MQ
JB2_EncodeMode_Lossless_Generic_MQ | (1) -- Fast, great lossless compression, use for any content, uses MQ arithmetic coding
JB2_EncodeMode_Lossless_Generic_MMR | (2) -- Fast, very good lossless compression, use for any content, similar to G4 coding, uses Huffman/MMR coding
JB2_EncodeMode_Lossless_Text_MQ | (3) -- Great lossless compression possible, use for text or symbols, uses MQ arithmetic coding
JB2_EncodeMode_Lossless_Text_MMR | (4) -- Very good lossless compression possible, use for text or symbols, uses Huffman/MMR coding
JB2_EncodeMode_Lossless_Text_SPM_MQ | (5) -- Potentially best lossless compression for text or symbols, uses MQ arithmetic coding
JB2_EncodeMode_Lossless_Text_SPM_MMR | (6) -- Potentially best lossless compression for text or symbols, uses Huffman/MMR coding plus MQ arithmetic coding
JB2_EncodeMode_Lossy_Text_MQ | (7) -- Great lossy compression for text or symbols, uses MQ arithmetic coding
JB2_EncodeMode_Lossy_Text_MMR | (8) -- Very good lossy compression for text or symbols, uses Huffman/MMR coding
JB2_EncodeMode_Lossy_Halftone_MQ | (9) -- Good lossy compression for halftones, uses MQ arithmetic coding
JB2_EncodeMode_Lossy_Halftone_MMR | (10) -- Good lossy compression for halftones, uses Huffman/MMR coding


enumJBIG2FileOrgCompression Enumeration

Description

Specifies the file organization of the JBIG2 bitstream.

Members

Member | Description
JB2_FileOrg_Default | (0) -- Default; sequential organization
JB2_FileOrg_Sequential | (1) -- Sequential organization
JB2_FileOrg_RandomAccess | (2) -- Random access organization

Remarks

A JBIG2 file may be organized in two ways: sequential or random access.

  • Sequential organization is intended for streaming applications, where the decoder reads and decodes the file in order as the data is received.
  • Random access organization permits the decoder to know the entire file structure, without having to read the entire file, and then uses that information to access the required data in a random-access fashion. This organization is useful for applications such as decoding only odd-number pages.


enumJP2Type Enumeration

Description

Enumeration values used to determine JP2 file type.

Members

Member | Description
JP2_LOSSY | (0) - Lossy image compression format
JP2_LOSSLESS | (1) - Lossless image compression format


enumKeys Enumeration

Description

Values indicate features for key strokes.

Members

Member | Description
KEYS_ACCELERATORS | (0) — Accelerator keys such as Ctrl-S to save the file.
KEYS_ACCELERATORS_FORWARD | (1) — Forward accelerator key messages to the Key Events.
KEYS_SYSTEM | (2) — System keys such as Break.
KEYS_SYSTEM_FORWARD | (3) — Forward system key messages to the Key Events


enumLoadMode Enumeration

Description

Enumeration used to indicate the LoadMode property setting.

Members

Member | Description
LOAD_Normal | (0) - Standard image format
LOAD_Raw | (1) - RAW image format


enumLoadRotated Enumeration

Description

Immediately rotates an image when an image is loaded.

Members

Member | Description
LR_NONE | (0) — No rotation.
LR_90DEGREES | (1) — Image is rotated 90 degrees counterclockwise.
LR_180DEGREES | (2) — Image is rotated 180 degrees.
LR_270DEGREES | (3) — Image is rotated 270 degrees counterclockwise.
LR_FLIP | (4) — Image is flipped
LR_MIRROR | (5) — Image is mirrored
LR_90DEGREES_FLIP | (6) - Flip 90 degrees
LR_270DEGREES_FLIP | (7) - Flip 270 degrees

Remarks

The LoadRotated operation is a faster alternative to invoking the Rotate Method after the FileName Property.

Note: When combining actions, it is important to perform them in order:

1) LoadCrop

2) LoadResize

3) LoadRotate


enumLoadThumbnail Enumeration

Description

Enumeration used to determine the thumbnail size.

Members

Member | Description
THUMBNAIL_None | (0) - None; image is normal size. (Default)
THUMBNAIL_4 | (1) - Image is 1/4 normal size.
THUMBNAIL_16 | (2) - Image is 1/16 normal size.
THUMBNAIL_64 | (3) - Image is 1/64 normal size.

Remarks

See LoadThumbnail property.


enumMEDPhotometricInterpretation Enumeration

Description

Determines whether a zero in the image data is black or white.

Members

Member | Description
MEDPI_Monochrome1 | (0) — Positive image, 0 is white.
MEDPI_Monochrome2 | (1) - Negative image, 0 is black.

Remarks

Use this property only when DICOM specific information is available. Also, GrayMode enumerator must be set to grayMedical.


enumMenu Enumeration

Description

Enumeration used in determining which type of menu has been activated.

Members

Member | Description
Menu_Context | (1) - Context menu activated.
Menu_Toolbar | (2) - Toolbar menu activated.


enumMergeSize Enumeration

Description

Distinct value type declaring set of named constants to crop, resize and/or tile image as specified by current DIB or area.

Members

Member | Description
MSZ_Crop | (0) — Crop — The merge image is cropped to the size of the existing DIB or to the area specified by the Area method.
MSZ_ResizeArea | (1) — Resize Area to Image — The merge area is resized to the size of the merge image.
MSZ_ResizeImage | (2) — Resize Image to Area — The merge image is resized to the size of the current DIB or to the area specified by the Area method.
MSZ_TileImage | (3) — Tile Image to Area — The merge image is tiled to the size of the current DIB or to the area specified by the Area method.


enumMergeStyle Enumeration

Description

Set of named constants to superimpose image onto the existing image.

Members

Member | Description
MST_Normal | (0) — Pixels are merged with the existing image.
MST_IfDarker | (1) — Merges only pixels darker than the ones in the existing image.
MST_IfLighter | (2) — Merges only pixels lighter than the ones in the existing image.
MST_Additive | (3) — Pixel values are added to the pixels in the existing image.
MST_Subtractive | (4) — Pixel values are subtracted from the pixels in the existing image.
MST_Superimpose | (5) — The image is superimposed onto the existing image. high merge percentage determines the intensity of the superimposition.
MST_Superimpose_LeftToRight | (6) — The image is superimposed onto the existing image. This produces a fading effect where the left side of the superimposed image is lighter than the right side. The high or low merge percentage determines the intensity range of the superimposition.
MST_Superimpose_RightToLeft | (7) — The image is superimposed onto the existing image. This produces a fading effect where the right side of the superimposed image is lighter than the left side. The high or low merge percentage determines the intensity range of the superimposition.
MST_Superimpose_VerticalToCenter | (8) — The image is superimposed onto the existing image. This produces a fading effect where the right and left sides of the superimposed image are lighter than the center. Merge percentage determines intensity range of the superimposition.
MST_Superimpose_VerticalFromCenter | (9) — Superimpose Vertical from Center — The image is superimposed onto the existing image. This produces a fading effect where the center of the superimposed image is lighter than the right and left sides. Merge percentage determines intensity of superimposition.
MST_Superimpose_TopToBottom | (10) — The image is superimposed onto the existing image. This produces a fading effect where the top of the superimposed image is lighter than the bottom. Merge percentage determines intensity of superimposition.
MST_Superimpose_BottomToTop | (11) — The image is superimposed onto the existing image. This produces a fading effect where the bottom of the superimposed image is lighter than the top. Here too, merge merge percentage determines intensity of superimposition.
MST_Superimpose_HorizFromCenter | (12) — The image is superimposed onto the existing image. This produces a fading effect where the top and bottom of the superimposed image are lighter than the center. Merge merge percentage determines the intensity range of the superimposition.
MST_Superimpose_HorizToCenter | (13) — The image is superimposed onto the existing image. This produces a fading effect where the center of the superimposed image is lighter than the top and bottom. High or low merge percentage determines the intensity range of the superimposition.
MST_Alpha_ForeGround_Over_BackGround | (14) - The normal way of viewing a merged alpha image. The alpha channel in the foreground image is used to blend the two images together. The alpha channel contains information as to which pixels are opaque and which pixels are transparent in the image, and the degree of transparency. An opaque pixel in the foreground will hide the pixel in the background image. Likewise, a transparent pixel in the foreground image will let the background pixel show through.
MST_Alpha_BackGround_Over_ForeGround | (15) - The background image alpha channel determines which pixels are transparent and opaque. Effectively, the background alpha channel is negated and applied with the net result that the opaque background pixel will show through and the transparent pixel will allow the foreground image to show.
MST_Alpha_Most_Opaque | (16) - The most opaque pixel value is chosen from the foreground and background alpha channels and is used for the foreground image.
MST_Alpha_Least_Opaque | (17) - The least opaque pixel value is chosen from the foreground and background alpha channels and is used for the foreground image.

Remarks

With only dark or light pixels, by adding or subtracting pixels, by percentage, by fading from one direction or another, including from or to the center of the image, the set of named constants superimpose the image onto the existing image.


enumMousePointer Enumeration

Description

Determines the type of mouse pointer displayed when the mouse cursor is inside the object.

Members

Member | Description
MP_Default | (0) — Shape is determined by the object
MP_Arrow | (1) — Arrow
MP_Cross | (2) — Cross (cross-hair pointer)
MP_IBeam | (3) — I-Beam
MP_Icon | (4) — Icon (small square within a square)
MP_Size | (5) — Size (four-pointed arrow pointing north, south, east, west)
MP_SizeNESW | (6) — Size NE SW (double arrow pointing northeast and southwest)
MP_SizeNS | (7) — Size N S (double arrow pointing north and south)
MP_SizeNWSE | (8) — Size NW SE (double arrow pointing northwest and southeast)
MP_SizeEW | (9) — Size W E (double arrow pointing west and east)
MP_UpArrow | (10) — Up Arrow
MP_Hourglass | (11) — Hourglass (wait)
MP_Boy | (12) — Boy
MP_Brush | (13) — Paint Brush
MP_BPush | (14) — Button Push
MP_Clock | (15) — Clock
MP_CHand1 | (16) — Cup Hand #1
MP_CHand2 | (17) — Cup Hand #2
MP_Girl | (18) — Girl
MP_Hand1 | (19) — Hand #1
MP_Hand2 | (20) — Hand #2
MP_Hand3 | (21) — Hand #3
MP_Hand4 | (22) — Hand #4
MP_Hand5 | (23) — Hand #5
MP_Hand6 | (24) — Hand #6
MP_Hand7 | (25) — Hand #7
MP_Help1 | (26) — Help #1
MP_Help2 | (27) — Help #2
MP_Key | (28) — Key
MP_Lightning | (29) — Lightning
MP_Magnify | (30) — Magnify
MP_Mouse | (31) — Mouse
MP_NoDrop1 | (32) — No Drop #1
MP_NoDrop2 | (33) — No Drop #2
MP_NoDrop3 | (34) — No Drop #3
MP_Pencil1 | (35) — Pencil #1
MP_Pencil2 | (36) — Pencil #2
MP_Phone | (37) — Phone
MP_Question1 | (38) — Question #1
MP_Question2 | (39) — Question #2
MP_Wand | (40) — Wand
MP_ArrowHourglass | (41) — Arrow and Hourglass
MP_ArrowQuestion | (42) — Arrow and Question
MP_SizeAll | (43) — Size All
MP_ToolZoomIn |
MP_ToolZoomOut |
MP_ToolZoomRect |
MP_ToolHandOpen |
MP_ToolHandClose |
MP_ToolMagnifier |
MP_ToolSelect |
MP_ToolPanN |
MP_ToolPanNW |
MP_ToolPanNE |
MP_ToolPanS |
MP_ToolPanSE |
MP_ToolPanSW |
MP_ToolPanE |
MP_ToolPanW |
MP_ToolPanX |
MP_Custom | (99) — Custom — Determined by the MouseIcon property


enumOLEDropMode Enumeration

Description

Sets value for OLEDropMode property.

Members

Member | Description
OLEDROP_NONE | (0) — None (default)
OLEDROP_MANUAL | (1) — The OLEDragDrop event is fired when an image is dropped on the control. The image must be manually loaded into the control
OLEDROP_AUTOMATIC | (2) — The image is automatically loaded when dropped on the control.


enumPalette Enumeration

Description

Enumeration used to set the palette type of the ColorDepth method.

Members

Member | Description
IPAL_Optimized | (0) - Optimized - The image will be displayed using the best possible palette for each image.
IPAL_Fixed | (1) - Fixed - The image will be displayed using an internal fixed palette.
IPAL_Gray | (2) - Gray Scale - The image will be displayed using a gray scale palette.
IPAL_PalFile | (3) - Palette File - The image will be displayed using a palette file.
IPAL_UserDefined | (4) - User Defined - The image will be displayed using a user defined palette.


enumPicDisplayMode Enumeration

Description

Sets bit depth and number of colors for display.

Members

Member | Description
DM_TrueColor | (0) — True Color (24-bit) — images will be rendered at the maximum color depth supported by the current display setting (Default).
DM_PaletteColor | (1) — 256 Color (8-bit) — images will be rendered using 256 colors unless the current display setting is 16 colors.
DM_VGAColor | (2) — 16 Color (4-bit) — images will be rendered using 16 colors.

Remarks

See DisplayMode property.


enumPixelType Enumeration

Description

Bit mask enumeration used to determine which pixel format(s) are employed.

Members

Member | Description
PIXTYPE_None | (0x00000001) - Device independent bitmap
PIXTYPE_DIB | (0x00000002) - AW image format
PIXTYPE_RAW | (0x00000004) - Motorola byte order format
PIXTYPE_BigEndian | (0x00000008) - Top down bitmap format
PIXTYPE_TopDown | (0x00000010) - Signed byte order format
PIXTYPE_Signed | (0x00000010) - Signed byte order format
PIXTYPE_Gray | (0x00000020) - Grey scale image
PIXTYPE_HighGray | (0x00000040) - DICOM Medical standard grey scale image format
PIXTYPE_Alpha | (0x00000080) - Alpha channel
PIXTYPE_RGB | (0x00000100) - Red, Green, Blue byte order format
PIXTYPE_RGB555 | (0x00000400) - RGB555 byte order format
PIXTYPE_RGB565 | (0x00000800) - RGB565 byte order format
PIXTYPE_ARGB | (0x00001000) - Alpha, red, green, blue byte order format
PIXTYPE_ColorMapped | (0x00010000) - 8 bit colormapped format
PIXTYPE_CYMK | (0x00020000) - Cyan, yellow, magenta, black color format
PIXTYPE_Compressed | (0x00100000) - Compressed image format
PIXTYPE_NonInterleaved | (0x00200000) - Non-interleaved image format
PIXTYPE_NoDIBPad | (0x00400000) - No DIB pad


enumPortableType Enumeration

Description

Enumeration to determine the type of file save format.

Members

Member | Description
PT_Binary | (0) - Files are saved in binary format (default).
PT_Ascii | (1) - Files are saved in ASCII format.


enumProgressionOrder Enumeration

Description

Enumeration used to determine the progression order of a JPEG 2000 file being saved.

Members

Member | Description
PO_DEFAULT | (0) - Default progression order
PO_LRCP | (1) - Layer Resolution Component Position progression order
PO_RLCP | (2) - Resolution Layer Component Position progression order
PO_RPCL | (3) — Resolution Layer Component Position progression order
PO_PCRL | (4) - Position Component Resolution Layer progression order
PO_CPRL | (5) - Component Position Resolution Layer progression order


enumPropertyLocations Enumeration

Description

Determines source of certain properties.

Members

Member | Description
PROPLOC_COMPONENT | 0 - The component is the source.
PROPLOC_BUFFER | 1 - The buffer is the source.

Remarks

The default value is PROPLOC_COMPONENT.


enumRedeyePrecision Enumeration

Description

Enumeration values used as parameters in the RemoveRedeye method.

Members

Member | Description
RedeyePrecise | (0) — Use the precise region to reduce the red color.
RedeyeImprecise1 | (1) — Search the region for the specified red pixels.
RedeyeImprecise2 | (2) — Search the region for the specified red pixels. Use this value if the subject's face has a rosy complexion.


enumRenderIntent Enumeration

Description

Render as image, business, graphics or colormetric color spaces.

Members

Member | Description
RI_GM_IMAGES | (0) — Picture - Gamut of image fits, shrinks or expands, and fills the destination device gamut. Spatial distances of colors are relatively scaled for all color to fit within the gamut of the device. This is the default value for the class, which in most cases will produce the best rendering given the gamut differences of different color spaces.
RI_GM_BUSINESS | (1) — Proof - Only colors outside of gamut moved to closest inside value. White Point is not preserved. More pleasing viewing for images.
RI_GM_GRAPHICS | (2) — Graphics - Preserve color saturation at expense of hue and lightness. Vibrant, but accurate color is not produced.
RI_GM_ABS_COLORIMETRIC | (3) — Match - Similar to Business, but white point is preserved. Spatial color distance to white point changes, but not the white point itself. More accurate, but potentially less pleasing viewing.


enumResizeType Enumeration

Description

Enumeration used to determine what type of resize method to perform.

Members

Member | Description
RT_Fast | (0) - Faster but slower resampling. The pixels in the image are resampled using a nearest neighbor interpolation algorithm which is fast, but produces a lower quality.
RT_Resample | (1) — The pixels in the image are resampled using a bilinear interpolation algorithm which produces a better quality image, but is slower than RT_Fast.
RT_PICQuality | (2) - Slower but faster resampling. A Pegasus Imaging developed algorithm which produces an extremely high quality image, but is slower than the other two methods.


enumSaveFileType Enumeration

Description

Specifies the type of file to save for the SaveFileType property.

Members

Member | Description
FT_DEFAULT | 0 — Use the 3 character file extension in the SaveFileName property to specify the file type. WBMP is an exception.
FT_TGA | 1 - Targa File Format. Supports 1 to 32 bit images and professional features like an alpha (mask) channel, gamma settings and a built-in thumbnail image.
FT_PCX | 2 - ZSoft Paint format. Simple format that provides a minimum of compression using Run Length Encoding (RLE).
FT_GIF | 3 - Graphics Interchange Format.
FT_TIFF | 4 - Tag Image File Format.
FT_BMP | 5 - Windows Bitmap format.
FT_Reserved1 | 6 - Reserved 1
FT_Reserved2 | 7 - Reserved 2
FT_JPEG | 8 - Joint Photographic Experts Group file interchange format. Must use SaveProgressive
FT_PIC | 9 - Pegasus Imaging Corporation format which is read-only. Must use SaveTIFF.
FT_PNG | 10 - Portable Networks Graphic format.
FT_PJPEG | 11 — Progressive JPEG graphic.
FT_RLE | 12 — Run-length Limited Encoding which is read-only.
FT_TIFF_RLE | 13 - TIFF RLE compression.
FT_TIFF_G3 | 14 - TIFF with G3 Compression
FT_TIFF_G4 | 15 - TIFF with G4 Compression
FT_TIFF_LZW | 16 - TIFF with LZW compression.
FT_TIFF_PB | 17 - TIFF with PackBits compression.
FT_TIFF_JPEG | 18 - TIFF with JPEG images.
FT_TIFF_DEFL | 19 - TIFF with DEFLATE lossless compressed data.
FT_ICO | 20 - Windows icon format.
FT_PPM | 21 - Portable Pixel Map image format.
FT_PGM | 22 - Portable Gray Map image format.
FT_PBM | 23 - Portable Bitmap format.
FT_DCX | 24 - Multi-page PCX format.
FT_EPIC | 25 - High performance compression using Pegasus JPEG libraries.
FT_TIFF_G3_2D | 26 - TIFF graphic with G3 compression in 2D.
FT_EXIF | 27 - Exchangeable Image File graphic used by digital cameras to store extra picture information in photo files.
FT_Reserved3 | 28 - Reserved 3
FT_LJP | 29 - Lossless JPEG graphic.
FT_MODCA | 32 - IBM MOD:CA format commonly used to archive standard forms and other records.
FT_CALS | 33 - Raster graphics. Developed by Computer-Aided Acquisition and Logistics Support office of the US government. It is used primarily for document storage in a two color format.
FT_Reserved4 | 34 - Reserved 4
FT_RAW | 35 - RAW image format. 46 - Proprietary camera format that contains data that has not been processed (not compressed or encrypted).
FT_JP2 | 36 - JPEG 2000 graphic format.
FT_WSQ | 37 - Wavelet Scalar Quantization compression graphic designed to minimize the loss of gray scale information, provide a standard compression technique allowing for image interchange and to insure maximum image quality for both human and computer processing.
FT_JLS | 38 - JPEG-LS graphic format with lossless/near-lossless compression standard for continuous-tone images. The standard is based on the LOCO-1 algorithm (LOw COmplixity LOssless COmpression for images).
FT_J2K | 39 - A version of JPEG 2000 format which has no header.
FT_PDF | 40 - Adobe's Portable Document Format. A format that has captured all the elements of a printed document as an electronic image that you can view, navigate, print or forward to someone else.
FT_WBMP | 41 - Wireless BitMap graphic optimized for mobile computing devices.
FT_DIB | 42 - Device Independent Bitmap graphic used by Windows. Graphics stored in DIB format generally end with .bmp extension and are independent of their output device.
FT_TIFF_CMYK | 43 - TIFF graphic using CMYK color space.
FT_JPEG_CMYK | 44 - JPEG graphic using CMYK color space.
FT_JB2 | 45 - JBIG2 format.
FT_Reserved5 | 46 - Reserved 5
FT_Reserved6 | 47 - Reserved 6
FT_Reserved7 | 48 - Reserved 7
FT_Reserved8 | 49 - Reserved 8
FT_Reserved9 | 50 - Reserved 9
FT_PDF_NATIVE | 51 - PDF native format.
FT_PDF_G31D | 52 - PDF G31D format.
FT_PDF_G32D | 53 - PDF G32D format.
FT_PDF_G4 | 54 - PDF G4 format.
FT_PDF_JBIG2 | 55 - PDF JBIG2 format.
FT_PDF_JPEG | 56 - PDF JPEG format.
FT_PDF_J2K | 57 - PDF J2k format.
FT_HDPHOTO | 58 - HD Photo
FT_IOCA | 59 - IOCA Note: When performing a 'Save As' with this format, a MODCA is written which is a wrapper around the IOCA format.


enumSaveJPEGSubSampling Enumeration

Description

Specifies the subsampling type for a JPEG, TIFF-JPEG, or ePIC file format.

Members

Member | Description
SS_111 | (0) - 1:1:1 - no subsampling.
SS_211 | (1) - 2:1:1 - 2 to 1 horizontal subsampling.
SS_411 | (2) - 4:1:1 - 2 to 1 horizontal and vertical subsampling. (Default)
SS_211v | (3) - 2:1:1 Vertical only - 2 to 1 vertical subsampling.


enumSaveLJPCompMethod Enumeration

Description

Specifies the compression method used for saving a lossless JPEG file.

Members

Member | Description
LJPMETHOD_JPEG | (0) — Lossless JPEG as described in ISO/IEC DIS 10918-1.
LJPMETHOD_LOCO |
LJPMETHOD_PPMD |


enumSaveLJPCompType Enumeration

Description

Used to specify the type of compression used for saving a lossless JPEG file.

Members

Member | Description
LJPTYPE_RGB | (0) — Image data is compressed in RGB format
LJPTYPE_YCBCR | (1) — Image data is compressed in YCBCR format.


enumSavePDFCompression Enumeration

Description

Enumeration used to specify which PDF compression type to employ when saving a PDF file.

Members

Member | Description
PDF_Uncompressed | (0) - Uncompressed.
PDF_CCITTFAX4 | (1) — CCITT Group 4 Fax
PDF_Compress_G3_1D | (2) - CCITT Group 3 one-dimension standard fax compression.
PDF_Compress_G3_2D | (3) - CCITT Group 3 two-dimensional standard fax compression.
PDF_Compress_G4 | (4) - CCITT Group 4 fax compression.
PDF_Compress_JBIG2 | (5) - JBIG2 compression format.
PDF_Compress_SequentialJPEG | (6) - JPEG compression format.
PDF_Compress_CMYK_JPEG | (7) - CMYK compression format.
PDF_Compress_JP2000 | (8) - JPG2000 compression format.
PDF_Compress_Default | (8) - Default compression (same as Uncompressed).


enumSaveTIFFByteOrder Enumeration

Description

Used to specify the TIFF file byte order.

Members

Member | Description
TIFF_DEFAULT | 0 or 1, depending on reading file.
TIFF_INTEL | (0) - Intel Byte (LittleEndian) Order ("II" or &H4949 in hex notation).
TIFF_MOTOROLA | (1) - Motorola Byte (BigEndian) Order ("MM" or &H4D4D in hex notation).


enumSaveTIFFCompression Enumeration

Description

Option values used in determining image compression type.

Members

Member | Description
TIFF_Uncompressed | (0) - No compression.
TIFF_CCITTRLE | (1) - Run length encoding.
TIFF_CCITTFAX3 | (2) - CCITT Group 3 one-dimensional fax compression.
TIFF_CCITTFAX4 | (3) - CCITT Group 4 fax compression.
TIFF_LZW | (4) - Lempel-Ziv & Welch compression algorithm.
TIFF_PackBits | (5) - Apple Macintosh PackBits compression.
TIFF_JPEG | (6) - JPEG compression format.
TIFF_Deflate | (7) - Lossless compression standard derived from LZ77.
TIFF_CCITTFAX3_2D | (8) - CCITT Group 3 two-dimensional standard fax compression.
TIFF_JPEG_7 | (9) - JPEG 7 compression format.


enumScrollBars Enumeration

Description

Enumeration used to determine scroll bar settings of the viewer control.

Members

Member | Description
SB_None | (0) - No scrollbars, default.
SB_Horizontal | (1) - Horizontal scrollbars only.
SB_Vertical | (2) - Vertical scrollbars only.
SB_Both | (3) - Both vertical and horizontal scrollbars.

Remarks

See Scrollbars property.


enumSharpenFilter Enumeration

Description

Enumeration used in determining which type of Sharpen Filter to employ.

Members

Member | Description
SharpenFilter1 | (0) - Sharpen filter 1.
SharpenFilter2 | (1) - Sharpen filter 2.
SharpenFilter3 | (2) - Sharpen filter 3.


enumShearType Enumeration

Description

Enumeration used to determine document shear direction.

Members

Member | Description
DocShearVertical | (0) - Vertical shearing.
DocShearHorizontal | (1) - Horizontal shearing.


enumSoftenFilter Enumeration

Description

Enumeration used in determining which type of Soften Filter to employ.

Members

Member | Description
SoftenFilter1 | (0) - Soften filter 0.
SoftenFilter2 | (1) - Soften filter 1.
SoftenFilter3 | (2) - Soften filter 2.
SoftenFilter4 | (3) - Soften filter 3.


enumTranslate Enumeration

Description

Enumeration used in determining what type of translation to perform.

Members

Member | Description
TRANS_ViewToPixel | (0) - View units of measure to pixels.
TRANS_PixelToView | (1) - Pixels to view units of measure.


enumTransparencyMatch Enumeration

Description

Enumeration used to determine the type of Transparency color to invoke.

Members

Member | Description
TRANSPARENT_None | (0) - No transparent color.
TRANSPARENT_ClosestMatch | (1) - Use the color in the image that is the closest match to the one specified in SaveOptions.
TRANSPARENT_ExactMatch | (2) - Use the color specified in SaveOptions.


enumUnsharpenFilter Enumeration

Description

Enumeration used in determining what type of Unsharpen functionality to apply.

Members

Member | Description
UnsharpenFilter1 | (0) - Unsharpen filter 1.
UnsharpenFilter2 | (1) - Unsharpen filter 2.
UnsharpenFilter3 | (2) - Unsharpen filter 3.


enumZoomFit Enumeration

Description

Enumeration values to determine image fit within the ImagXpress viewer control.

Members

Member | Description
ZOOMFIT_WIDTH | (0) - Fit to the width of the control.
ZOOMFIT_HEIGHT | (1) - Fit to the height of the control.
ZOOMFIT_BEST | (2) - Fit such that the entire image appears within the control.


IX_CadFileType Enumeration

Description

Option values for CAD file types.

Members

Member | Description
IX_CadFiletype_Unknown | -1 - Unknown file type.
IX_CadFiletype_dwg | 0 - DWG CAD file type.
IX_CadFiletype_dxf | 1 - DXF CAD file type.
IX_CadFiletype_dxb | 2 - DXB CAD file type.
IX_CadFileType_dwf | 3 - DWF CAD file type.


IX_CadUnits Enumeration

Description

Option values for CAD unit of measure.

Members

Member | Description
IX_CadUnits_Undefined | 0 - Undefined units.
IX_CadUnits_Inches | 1 - Inches.
IX_CadUnits_Feet | 2 - Feet.
IX_CadUnits_Miles | 3 - Miles.
IX_CadUnits_Millimeters | 4 - Milimeters.
IX_CadUnits_Centimeters | 5 - Centimeters.
IX_CadUnits_Meters | 6 - Meters.
IX_CadUnits_Kilometers | 7 - Kilometers.
IX_CadUnits_Microinches | 8 - Microinches.
IX_CadUnits_Mils | 9 - Mils.
IX_CadUnits_Yards | 10 - Yards.
IX_CadUnits_Angstroms | 11 - Angstroms.
IX_CadUnits_Nanometers | 12 - Nanometers.
IX_CadUnits_Microns | 13 - Microns.
IX_CadUnits_Decimeters | 14 - Decimeters.
IX_CadUnits_Dekameters | 15 - Dekameters.
IX_CadUnits_Hectometers | 16 - Hecktometers.
IX_CadUnits_Gigameters | 17 - Gigameters.
IX_CadUnits_Astronomical | 18 - Astronomical.
IX_CadUnits_Lightyears | 19 - Light years.
IX_CadUnits_Parsecs | 20 - Parsecs.


IX_CadVersion Enumeration

Description

Option value for CAD versions.

Members

Member | Description
IX_CadVersion_0_0 | 0 - Version 0.
IX_CadVersion_1_2 | 1 - Version 1v2
IX_CadVersion_1_40 | 2 - Version 1v40
IX_CadVersion_1_50 | 3 - Version 1v50
IX_CadVersion_2_20 | 4 - Version 2v20
IX_CadVersion_2_10 | 5 - Version 2v10
IX_CadVersion_2_21 | 6 - Version 2v21
IX_CadVersion_2_22 | 7 - Version 2v22
IX_CadVersion_1001 | 8 - Version 1001
IX_CadVersion_1002 | 9 - Version 1002
IX_CadVersion_1003 | 10 - Version 1003
IX_CadVersion_1004 | 11 - Version 1004
IX_CadVersion_1005 | 12 - Version 1005
IX_CadVersion_1006 | 13 - Version 1006
IX_CadVersion_1007 | 14 - Version 1007
IX_CadVersion_1008 | 15 - Version 1008
IX_CadVersion_1009 | 16 - Version 1009
IX_CadVersion_1010 | 17 - Version 1010
IX_CadVersion_1011 | 18 - Version 1011
IX_CadVersion_1012 | 19 - Version 1012
IX_CadVersion_1013 | 20 - Version 1013
IX_CadVersion_1014 | 21 - Version 1014
IX_CadVersion_1500 | 22 - Version 1500
IX_CadVersion_1015 | 23 - Version 1015
IX_CadVersion_1800a | 24 - Version 1800a
IX_CadVersion_1800 | 25 - Version 1800
IX_CadVersion_2100a | 26 - Version 2100a
IX_CadVersion_1021 | 27 - Version 1021
IX_CadVersion_Unknown | 32766 - Unknown


Debug Property | DebugLogFile Property | DebugErrorLevel Property

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

IX_DebugErrorLevel Enumeration

Description

Option values to set the Debug information in the DebugLogFile.

Members

Member | Description
IX_DebugErrorLevel_Production | Writes minimal information into the debug log file.
IX_DebugErrorLevel_Development | Writes information into the debug log file that is useful during normal development.
IX_DebugErrorLevel_Detailed | Writes as much information into the debug log file as possible. Use this option when you are tracking down a problem.

Remarks

The default value is IX_DebugErrorLevel_Production.

Set this value using the DebugErrorLevel property.

See Also

Debug Property | DebugLogFile Property | DebugErrorLevel Property


IX_GraphicsUnit Enumeration

Description

Option values which determine the type of graphics.

Members

Member | Description
IX_GraphicsUnit_World | World
IX_GraphicsUnit_Display | Display
IX_GraphicsUnit_Pixel | Pixel
IX_GraphicsUnit_Point | Point
IX_GraphicsUnit_Inch | Inch
IX_GraphicsUnit_Document | Document
IX_GraphicsUnit_Millimeter | Millimeter
IX_GraphicsUnit_Twip | Twip


IX_ImageType Enumeration

Description

Option values which determine the image format to use.

Members

Member | Description
IX_ImageType_Unknown | 0 - Unknown format
IX_ImageType_Targa | 1 - Targa format
IX_ImageType_Pcx | 2 - PCX (ZSoft) format
IX_ImageType_Gif | 3 - GIF format
IX_ImageType_Tiff | 4 - Tiff format
IX_ImageType_Bmp | 5 - BMP (bitmap) format
IX_ImageType_Wpg | 6 - WPG format
IX_ImageType_Wmf | 7 - WMF format
IX_ImageType_Jpeg | 8 - JPEG format
IX_ImageType_Pic | 9 - PIC format
IX_ImageType_Png | 10 - PNG format
IX_ImageType_ProgressiveJpeg | 11 - Progressive JPEG format
IX_ImageType_Rle | 12 - RLE format
IX_ImageType_Tiff_Rle | 13 - RLE Tiff format
IX_ImageType_Tiff_G3 | 14 - Tiff G3 format
IX_ImageType_Tiff_G4 | 15 - Tiff G4 format
IX_ImageType_Tiff_Lzw | 16 - LZW Tiff format
IX_ImageType_Tiff_PackBits | 17 - Tiff PackBits format
IX_ImageType_Tiff_Jpeg | 18 - Tiff JPEG format
IX_ImageType_Tiff_Deflate | 19 - Tiff deflate format
IX_ImageType_Ico | 20 - ICO format
IX_ImageType_Ppm | 21 - PPM format
IX_ImageType_Pgm | 22 - PGM format
IX_ImageType_Pbm | 23 - PBM format
IX_ImageType_Dcx | 24 - DCX format
IX_ImageType_Epic | 25 - EPIC format
IX_ImageType_Tiff_G3_2D | 26 - Tiff G3 2D format
IX_ImageType_Exif | 27 - Exif format
IX_ImageType_ProgressiveExif | 28 - Progressive Exif format
IX_ImageType_LosslessJpeg | 29 - Lossless Jpeg format
IX_ImageType_Modca | 30 - Modca format
IX_ImageType_Cals | 31 - Cals format
IX_ImageType_Raw | 32 - Raw format
IX_ImageType_Jpeg2000 | 33 - Jpeg 2000 format
IX_ImageType_Wsq | 34 - Wsq format
IX_ImageType_JpegLS | 35 - Jpeg LS format
IX_ImageType_J2K | 36 - JPEG 2000 format
IX_ImageType_Pdf | 37 - PDF format
IX_ImageType_WirelessBmp | 38 - Wireless BMP format
IX_ImageType_Dib | 39 - DIB format
IX_ImageType_Tiff_Cmyk | 40 - Tiff CMYK format
IX_ImageType_Jpeg_Cmyk | 41 - Jpeg CMYK format
IX_ImageType_JBig2 | 42 - JBIG 2 format
IX_ImageType_Camera_Raw | 43 - Camera Raw format
IX_ImageType_Cad_Dwf | 44 - CAD DWF format
IX_ImageType_Cad_Dwg | 45 - CAD DWG format
IX_ImageType_Cad_Dxf | 46 - CAD DXF format
IX_ImageType_Cad_Dxfb | 47 - CAD DXFb format
IX_ImageType_Pdf_Native | 48 - PDF Native format
IX_ImageType_Pdf_G3_1D | 49 - PDF G3 1D format
IX_ImageType_Pdf_G3_2D | 50 - PDF G3 2D format
IX_ImageType_Pdf_G4 | 51 - PDF G4 format
IX_ImageType_Pdf_JBig2 | 52 - PDF JBig 2 format
IX_ImageType_Pdf_Jpeg | 53 - PDF JPEG format
IX_ImageType_Pdf_J2K | 54 - PDF JPeg 2000 format
IX_ImageType_HdPhoto | 55 - HDPhoto format
IX_ImageType_Ioca | 56 - Ioca format


IX_PostProcessingFilter Enumeration

Description

Option values which determine the post processing filter type.

Members

Member | Description
HdpFilter_None | None
HdpFilter_Light | Light
HdpFilter_Medium | Medium
HdpFilter_Strong | Strong
HdpFilter_VeryStrong | Very Strong


IX_PrintType Enumeration

Description

Option values which determine the print type.

Members

Member | Description
IX_PrintType_FullImage | Full image
IX_PrintType_ViewCroppedImage | Cropped image
IX_PrintType_Rubberband | Rubberband


IX_Result Enumeration

Description

Option values returned from image processing methods.

Members

Member | Description
IX_Ok | (0) — No error.
IX_Error_None | (0) — No error.
IX_Error_FileOpen | (1000) — Cannot find or cannot open the image file
IX_Error_FormatUnknown | (1001) — The image file type is unknown or unable to read the image file type.
IX_Error_MemoryLock | (1002) — Cannot lock memory.
IX_Error_FileRead | (1003) — Error reading the file.
IX_Error_MemoryAlloc | (1004) — Cannot allocate memory for the image.
IX_Error_CreateFile | (1005) — Cannot create file.
IX_Error_FileWrite | (1006) — Error writing file.
IX_Error_NoImage | (1007) — The operation failed because the control does not have a DIB.
IX_Error_InvalidFormat | (1008) — Invalid image format.
IX_Error_InvalidOption | (1009) — Invalid option.
IX_Error_Canceled | (1010) — Image load or decompression was canceled.
IX_Error_InvalidPaletteFile | (1011) — Invalid palette file.
IX_Error_PaletteIndexOutOfRange | (1012) — Specified palette index does not lie within the number of palette entries for the current DIB.
IX_Error_ClipboardPaste | (1013) — Error pasting from clipboard.
IX_Error_ClipboardCopy | (1014) — Error copying image to the clipboard.
IX_Error_InvalidPicPassword | (1015) — Attempting to read a password protected PIC file and the password in the PICPassword property does not match the password in the file.
IX_Error_BadAngle | (1016) — The operation failed because an invalid angle was specified.
IX_Error_BadRadius | (1017) — The operation failed because an invalid radius was specified.
IX_Error_InvalidCrop | (1018) — Loading a JPEG or ePIC image failed because PICCropEnabled property was set and the PICCropX or PICCropY property was out of range for the specified image.
IX_Error_InvalidPropertyValue | (1019) — Invalid property value.
IX_Error_InvalidFileName | (1020) — Invalid file name.
IX_Error_CaptureFailed | (1021) — Capture failed.
IX_Error_InvalidLicense | (1022) — Invalid License. Attempting to access functionality that is not covered under the license in effect.
IX_Error_NoLicense | (1023) - License not found.
IX_Error_InvalidWebIntegratorLicense | (1024) - Invalid web license.
IX_Error_LoadWatermarkImage | (1026) - Unable to load watermark image.
IX_Error_UnableToCrop | (1027) — Unable to Crop.
IX_Error_NoWindow | (1028) — No Window Handle.
IX_Error_JpegCommentNotFound | (1029) — JPEG comment not found. The requested comment does not exist.
IX_Error_JpegCommentAddFailure | (1030) — Unable to add a JPEG comment.
IX_Error_TagNotFound | (1031) — Tag not found.
IX_Error_TagItemNotFound | (1032) — Tag item not found.
IX_Error_InvalidHandle | (1033) - Invalid window handle.
IX_Error_InvalidPointer | (1034) - Invalid pointer.
IX_Error_InvalidAreaOrRegion | (1035) - Invalid region or area.
IX_Error_InvalidImageId | (1036) - Invalid image ID.
IX_Error_NoCurrentBuffer | (1037) - No current image buffer found.
IX_Error_ImageAccessTimeout | (1038) - Unable to access requested image.
IX_Error_ResumeThreadFailure | (1039) - Resume thread failure.
IX_Error_Shutdown | (1040) - Windows is shutting down.
IX_Error_OperationNotApplicableForRawImages | (1041) - Invalid image operation on RAW image formats.
IX_Error_InternalFailure | (1042) - Internal failure
IX_Error_BufferAccessTimeout | (1043) - Unable to access image buffer.
IX_Error_EventResponse | (1044) - Event handler error.
IX_Error_ThreadCreation | (1045) - Unable to create thread.
IX_Error_ImageHasTasksPending | (1046) - Tasks in process must complete.
IX_Error_LoadLibraryFailForWinInet | (1047) - Library failed to load.
IX_Error_FTP | (1048) — FTP error.
IX_Error_InternetInValidCA | (1049) - Invalid Internet certificate.
IX_Error_InternetPostIsNonSecure | (1050) - Invalid post to unsecure HTTP address.
IX_Error_InternetSecurityCertificateCNInvalid | (1051) - Invalid security certificate.
IX_Error_InternetSecurityCertificateDateInvalid | (1052) - Invalid security certificate date.
IX_Error_InternetHTTPtoHTTPsOnRedirect | (1053) - Invalid HTTP to HTTPS redirect.
IX_Error_InternetHTTPNoConnection | (1054) - No internet connection.
IX_Error_InvalidICMProfile | (1055) - Invalid image color management profile.
IX_Error_MissingOrBadCMYKProfile | (1056) - CMYK profile missing or corrupt.
IX_Error_ICMNotEnabled | (1057) - Image color management not enabled.
IX_Error_NoResources | (1058) — Image capture failed.
IX_Error_PrintNotSupported | (1059) — Printer does not support the StretchDIBits API function.
IX_Error_PrintOutOfRange | (1060) — Cannot print outside the valid printer area.
IX_Error_TiffTag_AddError | (1061) - Tiff tag adding error.
IX_Error_UnsupportedPDF | (1062) - Unsupported PDF error.
IX_Error_InvalidBitDepth | (1063) - Invalid bit depth error.
IX_Error_UnableToGetAnnotations | (1064) - Unable to get annotations error.
IX_Error_OperationNotApplicableForVirtualImages | (1065) - Operation not applicable for virtual images error.
IX_Error_Tag_ModifyError | (1066) - Modify tag error.
IX_Error_Tag_AddError | (1067) - Add tag error.


IX_SaveHDPSubSampling Enumeration

Description

Option values which determine the HDP sub-sampling type to save in.

Members

Member | Description
Chroma_400 | Saves in chroma 400
Chroma_420 | Saves in chroma 420
Chroma_422 | Saves in chroma 422
Chroma_444 | Saves in chroma 444


ixSTATUS Enumeration

Description

Used for querying the current status of an image.

Members

Member | Description
BUFSTATUS_EMPTY | (0) - No image.
BUFSTATUS_DEFINED | (1) - Image file set.
BUFSTATUS_OPENED | (2) - Image file opened.
BUFSTATUS_DECODED | (4) - Image decoded.
BUFSTATUS_DECODING | (8) - Image being decoded.
BUFSTATUS_ERROR | (268435456) - Image error.
BUFSTATUS_WAIT | (16) - Operation in process.
BUFSTATUS_CANCELED | (32) - Image process cancelled.
BUFSTATUS_SHUTDOWN | (64) - Application shutdown.
BUFSTATUS_IMAGEPROCESSING | (256) - Image being processed.
BUFSTATUS_IMAGEPROCESSED | (512) - Image process complete.
BUFSTATUS_SAVING | (1024) - Image being saved.
BUFSTATUS_SAVED | (2048) - Image save complete.


Glossary

A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | Q | R | S | T | U | V | W | X | Y | Z

A

Aspect Ratio
There are two kinds of aspect ratio that you need to be aware of when working with 2D images; the image aspect ratio and the pixel aspect ratio.The image aspect ratio is the ratio of the width of the image to the height of the image. It's important when resizing an image to keep this ratio as close to unchanged as possible or the image may become distorted.The pixel aspect ratio is the shape of the pixels in the image. For computers this is normally square (1:1) or close to it depending on the monitor settings. For some video sources, however, the pixels may be slightly rectangular.

B

Black on Edge
The minimum or maximum number of pixels on the vertical or horizontal edge of an image or document.

BMP
The Microsoft Windows Bitmap file format is based on the Microsoft Windows internal bitmap data structures. The BMP format is very widely used and it is quick and easy to read. Although most BMP files are uncompressed, a type of run length encoding is supported.

BPP
Bits per pixel

Brightness
A Pegasus Imaging method that enhances the brightness attributes of the pixels in the bitmap. Positive settings produce brighter pixels while negative settings produce darker pixels.

C

CCITT
CCITT is the most widely used compression scheme for transmitting binary (black and white) image data. CCITT was established by the International Telegraph and Telephone Consultative Committee. The Group 3 and Group 4 CCITT compression standards are widely used for transmitting fax data. CCITT compressed images are typically stored in the TIFF image format.

CIELAB
Three dimensional color space defined by the Commission Internationale de L'Eclairage, or CIE. L describes relative lightness; A represents relative redness-greenness,and B represents relative yellowness-blueness.

Container
Gets the container for the component. An object implementing the IContainer interface that represents the component's container, or a null reference (Nothing in Visual Basic) if the component does not have a site.

Contrast
An Pegasus Imaging method that enhances the contrast attributes of the pixels in the bitmap. Positive settings produce a higher contrast image while negative settings produce a lower contrast image. Images with a higher contrast have a higher frequency of pixel intensities near the ends of the intensity spectrum while images with a lower contrast have a higher frequency of pixels near the middle of the intensity spectrum.

Cosited
Specifies horizontally coincident positioning of sub-sampled chrominance components relative to luminance sample.

CreateObjRef
Creates an object that contains all the relevant information required to generate a proxy used to communicate with a remote object.

D

DCOM
Microsoft's extension of their Component Object Model (COM) to support objects distributed across a network. DCOM is currently implemented only by Microsoft for Microsoft Windows; and by Software AG, under the name "EntireX", for Unix and IBM mainframes. DCOM serves the same purpose as IBM's DSOM protocol. DCOM is an object model, but has no provisions for inheritance.

DCX
An image format containing multiple PCX images. A DCX file can contain a maximum of 1024 images.

DDB
Microsoft Device Dependent Bitmap. The actual in-memory information used to display an image.

DEP
Data Execution Prevention (computer security)

Despeckle
A modified median filter primarily used for reducing noise in document images. Despeckling divides the image into pixel groups and uses the brightness value to adjust brightness spikes. This filter will reduce noise in a black and white document image with minimal distortion of document text.

Device Context
A device context is a structure that defines a set of graphic objects and their associated attributes, as well as the graphic modes that affect output. The graphic objects include a pen for line drawing, a brush for painting and filling, a bitmap for copying or scrolling parts of the screen, a palette for defining the set of available colors, a region for clipping and other operations, and a path for painting and drawing operations.

DIB
Microsoft Device Independent Bitmap. An alternative file extension used by the Microsoft Windows Bitmap.

DICOM
Digital Imaging and Communication, a standard for handling digital medical images.

Dispose
Releases the resources used by the Component.

Disposed
Adds an event handler to listen to the Disposed event on the component. When you create a Disposed delegate, you identify the method that handles the event.

Dithering
A technique used in computer graphics to create the illusion of varying shades of gray on a monochrome display or printer, or additional colors on a color display or printer. Dithering relies on treating areas of an image as groups of dots that are colored in different patterns. Akin to the print images called halftones, dithering takes advantage of the eye’s tendency to blur spots of different colors by averaging their effects and merging them into a single perceived shade or color. Depending on the ratio of black dots to white dots within a given area, the overall effect is of a particular shade of gray. Dithering is used to add realism to computer graphics and to soften jagged edges in curves and diagonal lines at low resolutions.

E

Emboss
A Pegasus Imaging method that causes the foreground of an image to appear raised from background. Embossing gives the image a raised metallic-like look

ePIC
Pegasus Imaging enhanced PIC image format. This high performance image compression combines the patented ELS arithmetic coder with the high performance Pegasus JPEG libraries. The result is a new and unbeatable compression technology. The ePIC compression has significant advantages over standard JPEG. Most importantly it produces smaller file sizes and decompresses extremely quickly. ePIC images can be password encrypted. These images can also be 'zoomed' or scaled to larger, arbitrary sizes.

Equalize
An Pegasus Imaging method that is a point process used for adjusting the contrast of an image. A frequency histogram of the colors of the image is computed and adjusted to equalize the colors across the full spectrum of intensity values. The equalized colors are applied to each pixel in the image.

EXIF
EXchangeable Image File format (Japan Electronic Industry Development Association, JEIDA), compressed image format used in digital cameras.

F

Flate
The lossless deflate compression algorithm is based on two other compression algorithms: huffman encoding and LZ77 compression.

Float
Denotes a simple type that stores 32-bit floating-point values.

G

Gamma
A non-linear brightness transform. Gamma values greater than 0 and less that 1.0 generate exponential curves that dim and image. Gamma values greater than 1.0 generate exponential curves that brighten an image.

Gamut
In graphics, the gamut of a monitor is the range of colours it can display. There are some colours which can't be made up of a mixture of red, green and blue phosphor emissions and so can't be displayed by any monitor.

GDI
Acronym for Graphical Device Interface. In Windows, a graphics display system used by applications to display or print bitmapped text (TrueType fonts), images, and other graphical elements. The GDI is responsible for drawing dialog boxes, buttons, and other elements in a consistent style on screen by calling the appropriate screen drivers and passing them the information on the item to be drawn. The GDI also works with GDI printers, which have limited ability to prepare a page for printing. Instead, the GDI handles that task by calling the appropriate printer drivers and moving the image or document directly to the printer, rather than reformatting the image or document in PostScript or another printer language.

GetLifetimeService
Retrieves the current lifetime service object that controls the lifetime policy for this instance.

GIF
Graphical Interchange File, originally developed by CompuServe as a machine independent format. GIF is one of the most popular image formats for storing 8-bit digitized images. GIF files are typically smaller than uncompressed formats like BMP due to the LZW compression algorithm that GIF uses.

Greyscale
If the pixels of a grey-scale image have N bits, they may take values from zero, representing black up to 2^N-1, representing white with intermediate values representing increasingly light shades of grey. If N=1, the image is not called grey-scale, but could be called monochrome.

H

Halftone
Pertaining to pictures in which gradation of tone in the photograph is reproduced by a graduated system of dotted and checkered spots, usually nearly invisible to the unaided eye, produced by the interposition between the camera and the object of a screen. The name alludes to the fact that this process was the first that was practically successful in reproducing the half tones of the photograph.

hDIB
Handle to a Device Independent Bitmap. An operation affecting the image may cause the hDIB before the operation to become invalid.

Hue
One of the 3 components of the HSL (Hue, Saturation and Luminance ) color space. The hue component controls the overall color space of an image. Adjusting the hue of the image adjusts the color spectrum from red through yellow, green, blue, and violet.

I

ICO
Microsoft Windows Icon file format.

Inverse
To reverse something or change it to its opposite. For example, to invert the colors on a monochrome display means to change light to dark and dark to light. In a digital electrical signal, to replace a high level by a low level and vice versa. This type of operation is the electronic equivalent of a Boolean NOT operation.

IOD
Information Object Definition.

J

JIF
An alternative image file extension used for a JFIF compliant JPEG file. Because many early versions of JPEG contained a JPG extension but did not adhere to the JFIF specifications, the JIF extension was created to identify JPEG files that are JFIF compliant. As the popularity of JPEG grew, JFIF compliance became synonymous with the JPG extension and thus the JIF extension is rarely used.

JPEG
The JPEG (Joint Photographic Experts Group) standard is one of the most important image data compression standards. It is widely used in many industries including graphic arts, desktop publishing, medical imaging, and many more. It is also becoming one of the most widely used image formats on the Internet. Although JPEG supports a lossless mode, it most commonly uses lossy compression. This allows JPEG to achieve very high compression ratios. JPEG compression uses several compression modes. First, an image is transformed to the frequency domain using the discrete cosine transform. The smaller valued frequency components are discarded leaving only the larger valued components. The remaining components are DPCM coded and then Huffman coded. Fortunately, ImagXpress handles all of this for you! The compression level is adjustable. Higher quality settings produce a larger image file size with higher image quality. Lower quality settings produce a smaller image file size with lower image quality. Typically, we have found that compression ratios of 10:1 or 15:1 (A 640x480x24-bit image is 921,600 bytes; a 15:1 compressed image would compress to only 61k) produce generally acceptable image quality for photographic type images. Images compressed at higher ratios begin to show more noticeable and sometimes objectionable artifacts and clarity loss. JPEG is a 24-bit format and works only with 24-bit images. If you compress an 8-bit image, ImagXpress automatically converts it to 24-bit to do the compression, however, you will obtain better quality when the source image is 24-bit because 8-bit images only contain 256 colors. JPEG works best with photographic type images. It does not work well with solid colors, 16-color images, cartoon like images, or drawings. Progressive JPEG is a multiple-scan sequential JPEG format that is becoming popular on the Internet for the ability to display images in progressively clearer segments.

L

Little-endian
Describes a computer architecture in which, within a given 16- or 32-bit word, bytes at lower addresses have lower significance (the word is stored "little-end-first"). The PDP-11/VAX families of computers, Intel microprocessors, plus a lot of communications and networking hardware, are little-endian. The term is sometimes used to describe the ordering of units other than bytes; most often, bits within a byte.

Lock
A lock, represented by the Visual Basic keyword "SyncLock Statement," or the C# keyword "lock Statement", allows a single thread of execution to obtain exclusive execution rights on an object. Although using locks will guarantee that multiple threads do not simultaneously access an object, they can cause significant performance degradation.

Luminance
One of the 3 components of the HSL (Hue, Saturation and Luminance) color space. Luminance controls the overall brightness (energy/whiteness) of an image.

LUT
Look Up Table.

LZW
Lempel-Ziv-Welch (algorithm)

M

Matrix
A matrix filter, also called convolution, alters each pixel's color based on its current color and the colors of any neighboring pixels. The ImagXpress Matrix method uses a 3x3 matrix. The numbers in the matrix are coefficients. When a pixel is processed, its color value is multiplied by the coefficient in the center of the matrix, and any pixels within the 3x3 grid are multiplied by the corresponding coefficients in the matrix. The sum of the products becomes the target pixel's new value. The Divisor is simply the coefficient denominator. The matrix method is typically used for sharpening, softening, and edge enhancement.

Mosaic
A mosaic divides the bitmap into tiles of a specified size. All of the pixels in each tile are averaged and changed to the average color.

Multithreading
Multithreading, or free threading, refers to the ability of a program to execute multiple threads of operation simultaneously. In a single-threaded application, a user might spend idle time waiting for the calculations or database updates to finish. In a multithreaded application, these processes can proceed in the background so user time is not wasted. An example of a multithreaded application might be a program that receives user input on one thread, performs a variety of complex calculations on a second thread, and updates a database on a third thread. In a single-threaded application, a user might spend idle time waiting for the calculations or database updates to finish. In a multithreaded application, these processes can proceed in the background so user time is not wasted. Multithreading can be a powerful tool to use in component programming. By writing multithreaded components, you can create components that perform complex calculations in the background while leaving the user interface free to respond to user input. Although multithreading can be a powerful tool, it can also be difficult to apply correctly. Improperly implemented multithreaded code can degrade application performance, or even cause frozen applications. (See MSDN)

N

Negate
An ImagXpress method that creates a color negative of an image.

Noise
An ImagXpress method that adds random pixels to the bitmap.

O

Orthogonal
Used loosely to mean mutually independent or well separated. It describes sets of primitives or capabilities that, like linearly independent vectors in geometry, span the entire "capability space" and are in some sense non-overlapping or mutually independent. For example, in logic, the set of operators "not" and "or" is described as orthogonal, but the set "and", "or", and "not" is not (because any one of these can be expressed in terms of the others).

P

PBM
Portable bitmap image format, a very simple uncompressed 1-bit (black and white) image format. Data can be stored in either binary or ASCII format.

PGM
Portable Graymap image format. PGM is a very simple uncompressed 8-bit grayscale image format. Data can be stored in either binary or ASCII format.

Pica
A printer's unit of type size, equal to 12 points or about 1/6 of an inch. An equivalent unit of composition measurement used in determining the dimensions of lines, illustrations, or printed pages. A type size for typewriters, providing ten characters to the inch. (Probably from Medieval Latin "pica," a list of church services; perhaps from the typeface used to print it).

PNG
Portable Network Graphics (pronounced "ping") provides a portable, legally unencumbered (royalty-free), well-compressed, well-specified standard for lossless bitmapped image files. The initial motivation for developing PNG was to provide a royalty-free alternative to GIF. The design retains many of the features of GIF that make it an attractive format for transmission of images, such as lossless compression and progressive display capabilities. Additionally, it provides several advantages including 24-bit image support and generally better compression, although decompression is typically somewhat slower than GIF. PNG's success will be ultimately determined by its acceptability on the Internet. At the time of this writing, however, PNG has not been incorporated as part of the major Internet browsers.

PPM
Portable Pixmap image format, a very simple uncompressed 24-bit image format. Data is stored in RGB triplets and can be stored in either binary or ASCII format.

R

RGB
Red, Green Blue. Bitmapped images are most generally stored as RGB data. Each pixel or data point in a true color (24-bit) image contains 3 components, red, green and blue, that describe the color of the pixel. Each of the components can have a value between 0 and 255, 0 being the darkest shade of color and 255 being the lightest shade of color. Since each component can be stored in one byte (8-bits), the 3 components take up 3 bytes or 24-bits per pixel. 8-bit images contain one byte (8-bit) indexes for each pixel that map to a color table called a palette which contains a maximum of 256 RGB entries. Likewise, 4-bit images contain 4-bit indexes for each pixel that map to a palette which contains a maximum of 16 RGB entries. 1-bit images contain 1-bit per pixel. Each bit in a 1-bit image represents either black or white.

RLE
RLE stands for Run Length Encoding. It is a lossless algorithm that only offers decent compression ratios in specific types of data.

S

Saturation
One of the 3 components of the HSL (Hue, Saturation, and Luminance) color space. Saturation controls the purity of a color. Higher saturations result in richer, deeper colors. Lower saturations result in paler colors.

Scalar
In programming, any data type that stores a single value (a number or Boolean), as opposed to an aggregate data type that has many elements. A string is regarded as a scalar in some languages (PERL) and a vector of characters in others (C).

Sharpen
An ImagXpress method that is used to sharpen an image. The sharpen filter uses a high-pass convolution matrix filter to accentuate high frequency detail in the image.

Single
Value type represents a single-precision 32-bit number with values ranging from negative 3.402823e38 to positive 3.402823e38, as well as positive or negative zero, PositiveInfinity, NegativeInfinity, and not a number (NaN).

Soften
An ImagXpress method that is used to soften an image. The soften filter uses a low-pass convolution matrix filter to accentuate low frequency detail in the image.

Sprite
A small bitmap image, often used in animated games but also sometimes used as a synonym for icon.

sRGB
In 1996, Hewlett-Packard and Microsoft proposed a standard color space, sRGB, within Microsoft operating systems, HP products, the Internet, and all other interested vendors.

T

TGA
Targa Image File) format was developed by TrueVision for its Targa line of products. TGA is one of the earliest image formats and was the first popular format to support 24-bit color. TGA supports uncompressed and RLE compressed formats.

TIFF
Tag Image File Format, originally released by Aldus Corporation is a standard file format found in most paint, imaging, and desktop publishing programs. TIFF is extremely powerful, flexible, and extensible. However, because of its many nuances and its wide scope, TIFF can be a difficult format to understand as well as a difficult format to support. ImagXpress supports a wide range of TIFF 6.0 formats including uncompressed, CCITT RLE, CCITT Group 3 Fax, CCITT Group 4 Fax, LZW, Pack Bits, JPEG, and deflate compression types. ImagXpress supports black and white, RGB, and RGB palette images but it does not support transparency mask, CMYK, YCbCr, or CIELab.

TWAIN
TWAIN (Technology Without An Interesting Name) is a standard for controlling and acquiring image data from raster-generating devices such as scanners, digital cameras, and video digitizers. Manufacturers write the TWAIN driver (called the Source) for their device. Applications that are TWAIN compliant can be used with any TWAIN compliant Source. Likewise, a TWAIN compliant Source can be used with any TWAIN compliant application. Applications that you build with ImagXpress can be used to interface TWAIN compliant Sources to acquire image data. TWAIN compliant applications should provide the following: The capability to select the Source. This is required because you may have more than one TWAIN device connected to a computer. Use the TWAINSelect method to select the source. The ability to acquire image data. Use the TWAINAcquire method to acquire the image data. If Pegasus' TWAIN Acquire method is successful, the image data is converted to a DIB and the control's hDIB property is set to the resulting DIB handle. Once the image is acquired, you may use any of the image processing methods to alter or save the DIB. The TWAIN sample in the SAMPLES directory and the ImagXpress Demo application demonstrate how easy it is to add TWAIN support to your applications.

twip
Twips describe the sizes of characters produced by dot matrix printers, which were&(No Suggestions);constrained to multiples of either 12 or 10 dots per inch.

V

VOI
Value Of Interest

Void structure
Indicates a method that does not return a value; that is, the method has the void return type.

W

Wintel
A term describing the combination of Microsoft Windows operating system running on PCs with Intel or compatible processors. Dominance of the wintel platform began with MS-DOS on PCs with Intel's 8-bit 8088 processors in 1979.

WMF
The Microsoft Windows Metafile format is used to store vector and bitmap image data. Because of its popularity and wide use, many Windows and non-Windows applications support WMF.

WSQ
Wavelet Scalar Quantization (WSQ) Gray-Scale Fingerprint Image Compression Specification based on the results of the NIST (National Institute of Standards and Technology) review. The benefit of WSQ fingerprint-specific compression is reduced file size. A sample fingerprint with a resolution of 589 pixels by 605 pixels, 8-bit grayscale results in a file size of 325 KB when compressed with the standard lossless compression technology LZW.

WYSIWYG
What You See Is What You Get; realistic display of final print or screen image

X

XP
Microsoft says the Windows "XP" designation originates from the word "experience". Windows XP brings many features previously available only in the server- and workstation-oriented Windows NT and Windows 2000 families, such as greater stability and efficiency due to its pure 32-bit kernel, instead of the hybrid 16-bit/32-bit kernel in prior consumer versions of Windows. (The version number of Windows XP is 5.1 just as Windows 2000 was version 5.0, to denote two OS as descendants of Windows NT 4.0.)

Y

YCbCr
Family of color spaces used in video systems. Y is the luma component;Cb and Cr are the chroma components. YCbCr is often confused with the YUV color space; typically the terms YCbCr and YUV are used interchangeably, leading to confusion. In fact, digital signals, the term "YUV" probably really means "YCbCr." The term YCbCr is sometimes abbreviated to YCC. YCbCr signals (prior to scaling and offsets to place the signals into digital form) are created from the corresponding gamma-adjusted RGB (red, green and blue).


Documentation Overview

Description

Pegasus Imaging ImagXpress Control v9.0

Projects

Project | Description
PegasusImagingActiveXImagXpress9 | Pegasus Imaging ImagXpress Control v9.0


Project Overview

Description

Pegasus Imaging ImagXpress Control v9.0

Classes

Class Module | Description
ImagXpress | Pegasus Imaging ImagXpress Control v9.0

Public Enumerations

Enumeration | Description
enumAlignH | Enumeration values indicating horizontal alignment setting.
enumAlignV | Enumeration values indicating vertical alignment setting.
enumAsyncPriority | The priority levels of loading/processing/saving threads, when operating asynchronously.
enumAutoSize | Enumeration values for use with the AutoSize property.
enumBinarizeBlur | Enumeration used to determine what type of blur functionality to invoke during Binarize method.
enumBinarizeMode | Enumeration values used to determine what Binarize functionality to invoke.
enumBorderStyle | Enumeration values to indicate border display style.
enumBorderType | Enumeration values for use with the BorderType property.
enumCancelMode | Defines an event that cancels the loading, decompression, saving, compression, or processing of images.
enumClipboardFormat | Defines the various formats to get or set to the clipboard using the ClipboardFormat property
enumCompressInMemory | Sets compression policy for the DIB in memory.
enumContrastMethod | Enumeration used to determine which contrast method to invoke.
enumCopyImageMode | Option values to determine copy image modes.
enumDefectType | Enumeration values indicating the defect type to process.
enumDeskewType | Enumeration values indicating deskew setting for image correction.
enumDithered | Enumeration values used to determine dither type to perform.
enumDrawMode | Returns or sets a value that determines the appearance of output from graphics methods.
enumEdition | Enumeration determining current ImagXpress edition license agreement.
enumEnhancementDirection | Enumeration used to determine enhancement direction.
enumEvaluationMode | Enumeration used to determine how ImagXpress will behave when on the installed development machine in evaluation (non-licensed) mode.
enumEventID | Option values which determine mouse actions.
enumEyeGlare | Enumeration values used when removing redeye.
enumEyeShade | Enumeration values used when removing redeye.
enumFileOffsetUse | Determines the behavior of the FileOffset property when loading a TIFF file.
enumFillStyle | Option value for the pattern used to fill circles and boxes created with the DrawCircle, DrawLine and DrawPolygon graphics methods.
enumFTPMode | Enumeration values used for FTP mode.
enumGIFType | Enumeration values for GIF file format.
enumGrayMode | Used to determine which type of Gray Mode to utilize.
enumIPEffect | Indicates the image processing action that has taken place.
enumIRes | Enumeration used to determine the unit of measure for image resolution.
enumIXEVENT_CB_ID | Identifies the action that must be taken when a CB event is raised while loading by call back (LoadCB).
enumIXKeyMask | A mask enumeration, identifying the keys that can be used in mouse/key combinations to invoke a tool.
enumIXMouseButton | The buttons and wheel available on a mouse.
enumIXTool | Option values used to determine tool selected.
enumIXToolAction | Enumeration used to determine what type of IXTool event has occurred.
enumIXToolAttr | Option values used to determine IXTool attribute value.
enumJBIG2EncodeModeCompression | Specifies the encoding mode to use when creating the JBIG2 file.
enumJBIG2FileOrgCompression | Specifies the file organization of the JBIG2 bitstream.
enumJP2Type | Enumeration values used to determine JP2 file type.
enumKeys | Values indicate features for key strokes.
enumLoadMode | Enumeration used to indicate the LoadMode property setting.
enumLoadRotated | Immediately rotates an image when an image is loaded.
enumLoadThumbnail | Enumeration used to determine the thumbnail size.
enumMEDPhotometricInterpretation | Determines whether a zero in the image data is black or white.
enumMenu | Enumeration used in determining which type of menu has been activated.
enumMergeSize | Distinct value type declaring set of named constants to crop, resize and/or tile image as specified by current DIB or area.
enumMergeStyle | Set of named constants to superimpose image onto the existing image.
enumMousePointer | Determines the type of mouse pointer displayed when the mouse cursor is inside the object.
enumOLEDropMode | Sets value for OLEDropMode property.
enumPalette | Enumeration used to set the palette type of the ColorDepth method.
enumPicDisplayMode | Sets bit depth and number of colors for display.
enumPixelType | Bit mask enumeration used to determine which pixel format(s) are employed.
enumPortableType | Enumeration to determine the type of file save format.
enumProgressionOrder | Enumeration used to determine the progression order of a JPEG 2000 file being saved.
enumPropertyLocations | Determines source of certain properties.
enumRedeyePrecision | Enumeration values used as parameters in the RemoveRedeye method.
enumRenderIntent | Render as image, business, graphics or colormetric color spaces.
enumResizeType | Enumeration used to determine what type of resize method to perform.
enumSaveFileType | Specifies the type of file to save for the SaveFileType property.
enumSaveJPEGSubSampling | Specifies the subsampling type for a JPEG, TIFF-JPEG, or ePIC file format.
enumSaveLJPCompMethod | Specifies the compression method used for saving a lossless JPEG file.
enumSaveLJPCompType | Used to specify the type of compression used for saving a lossless JPEG file.
enumSavePDFCompression | Enumeration used to specify which PDF compression type to employ when saving a PDF file.
enumSaveTIFFByteOrder | Used to specify the TIFF file byte order.
enumSaveTIFFCompression | Option values used in determining image compression type.
enumScrollBars | Enumeration used to determine scroll bar settings of the viewer control.
enumSharpenFilter | Enumeration used in determining which type of Sharpen Filter to employ.
enumShearType | Enumeration used to determine document shear direction.
enumSoftenFilter | Enumeration used in determining which type of Soften Filter to employ.
enumTranslate | Enumeration used in determining what type of translation to perform.
enumTransparencyMatch | Enumeration used to determine the type of Transparency color to invoke.
enumUnsharpenFilter | Enumeration used in determining what type of Unsharpen functionality to apply.
enumZoomFit | Enumeration values to determine image fit within the ImagXpress viewer control.
IX_CadFileType | Option values for CAD file types.
IX_CadUnits | Option values for CAD unit of measure.
IX_CadVersion | Option value for CAD versions.
IX_DebugErrorLevel | Option values to set the Debug information in the DebugLogFile.
IX_GraphicsUnit | Option values which determine the type of graphics.
IX_ImageType | Option values which determine the image format to use.
IX_PostProcessingFilter | Option values which determine the post processing filter type.
IX_PrintType | Option values which determine the print type.
IX_Result | Option values returned from image processing methods.
IX_SaveHDPSubSampling | Option values which determine the HDP sub-sampling type to save in.
ixSTATUS | Used for querying the current status of an image.


Enumerations Members

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Enumerations Object

For a list of all members defined in this module, see Enumerations members.

Object Model

See Also

Enumerations Members


Enumerations Overview

See Also Pegasus Imaging ImagXpress Control v9.0 Send comments on this topic.

Enumerations Object Members

See Also

Enumerations Overview